<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<c:set var="isFdb" value="false" />
<c:if test="${empty drugPairDTO.status}">
	<c:set var="isFdb" value="true" />
</c:if>
<h1 class="titleBar">
	<span class="headerText"> <c:choose>
			<c:when test="${useOpenButtons}">
			Drug-Drug Interaction 
		</c:when>
			<c:otherwise>
				<spring:message code="ddim.wizard.titlebar.create.customize" />
			</c:otherwise>
		</c:choose> <c:if test="${not drugPairDTO.current}">
		(read-only)
	</c:if> <c:if test="${drugPairDTO.current}">
		(Active read-only)
	</c:if>
	</span>
	<c:set var="readOnly" value="true" />
	<c:set var="grayTextReadOnly" value="true" />
	<c:set var="grayTextReadOnly" value="true" />
	<c:set var="readonlyColor" value="true" />
	<pecs:pageHelp topic="<%= HelpTopics.SINGLE_DRUG_DRUG_PAIR_DETAIL %>" />
</h1>

<br>
<c:if test="%{drugPairDTO.current}">
	<div class="buttons">
		<button type="submit" value="DrugPairs" name="wizardButton">
			<spring:message code="ddim.wizard.titlebar.create.customize" />
		</button>
	</div>
</c:if>
<div class="inputbuttons">
	<input type="button" style="float: right; width: auto;" name="print"
		value="Print Page" onClick="javascript:window.print()" />
</div>

<pecs:userMessages modelAttribute="drugPairDTO" />

<form:form
	action="/ct/pecs/drugPairDetail/VA/${drugPairDTO.fdbCustomDdimVaId}"
	commandName="drugPairDTO" method="POST">
	
	<br>
	<div id="list" style="clear: both"></div>
	<form:hidden path="interactionid" id="interactionid" />
	<form:hidden path="interactionidDesc" id="interactionidDesc" />
	<form:hidden path="severitylevelcode" id="severitylevelcode" />
	<form:hidden path="rtgenid1" id="rtgenid1" />
	<form:hidden path="rtgenid1Desc" id="rtgenid1Desc" />
	<form:hidden path="rtgenid2" id="rtgenid2" />
	<form:hidden path="rtgenid2Desc" id="rtgenid2Desc" />
	<c:if test="%{current}">
		<div class="buttons">
			<button type="submit" value="DrugPair" name="wizardButton">
				<spring:message code="wizard.button.drugpair" />
			</button>
		</div>
	</c:if>
	
	<!--	<tiles:insertAttribute name="buttons" />  -->
	<br>
	<br>

	<pecs:text name="ACTION_STATUS"
		fieldInfo="${ fieldMap['ACTION_STATUS']}" property="status"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.status }"
		isFdb="${isFdb}" />
		<pecs:text name="EXPORT_DATE_DISPLAY_STRING" fieldInfo="${fieldMap['EXPORT_DATE_DISPLAY_STRING'] }"
        property="exportDateDisplayString" isCurrentRec="${drugPairDTO.current}"
        value="${drugPairDTO.exportDateDisplayString }" isFdb="${isFdb}"></pecs:text>
	<pecs:text name="FDB_ID" fieldInfo="${ fieldMap['FDB_ID']}"
		property="fdbId" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.fdbId }"
		isFdb="${isFdb}" />
		<pecs:text name="REVERSE_FDB_ID" fieldInfo="${ fieldMap['REVERSE_FDB_ID']}"
        property="reverseFdbId" isCurrentRec="${drugPairDTO.current}"
        value="${drugPairDTO.reverseFdbId }" />
	<pecs:text name="REQUESTOR" fieldInfo="${ fieldMap['REQUESTOR']}"
		property="requestor" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.requestor }"
		isFdb="${isFdb}" />
	<pecs:text name="ACTION_DATE_DISPLAY_STRING" fieldInfo="${ fieldMap['ACTION_DATE_DISPLAY_STRING']}"
		property="actionDateDisplayString" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.actionDateDisplayString }" isFdb="${isFdb}" />
	<pecs:text name="ACTION_BY" fieldInfo="${ fieldMap['ACTION_BY']}"
		property="actionBy" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.actionBy }"
		isFdb="${isFdb}" />
	<pecs:select name="ASSIGNED_TO" fieldInfo="${ fieldMap['ASSIGNED_TO']}"
		list="${users }" property="assignedTo"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.assignedTo }"/>
	<div id="INTERACTIONID" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="interactionid">
			<a
				href="/ct/pecs/drugdrug/interactionid/${drugPairDTO.interactionid}">
				Interaction ID &nbsp; <spring:message code="message.required" />
			</a>
		</form:label>
		<form:select style="display:none;" cssClass="${disableInteractionId}"
			path="interactionid" disabled="${disableInteractionId}">
			<form:option label="" value="" />
			<form:options items="${interactionList}" itemValue="value"
				itemLabel="label" />
		</form:select>
		<span class="read-only"><c:out
				value="${drugPairDTO.interactionid }"></c:out></span>
	</div>
	<!-- pecs:selectGeneric label="label" value="value" name="INTERACTIONID" fieldInfo="${ fieldMap['INTERACTIONID']}" list="${interactionList}"  property="interactionid" isCurrentRec="${drugPairDTO.current}"  / -->
	<pecs:text name="SEVERITYLEVELCODE_DESC"
		fieldInfo="${ fieldMap['SEVERITYLEVELCODE_DESC']}"
		property="severitylevelcodeDesc"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.severitylevelcodeDesc }"
		isFdb="${isFdb}" />

	<div id="RTGENID1" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="rtgenid1">Routed Generic #1 &nbsp; <spring:message
				code="message.required" />
		</form:label>
		<form:select style="display:none;" cssClass="${disableRtgenId1}"
			path="rtgenid1" disabled="${disableRtgenId1}">
			<form:option label="" value="" />
			<form:options items="${drugs}" itemValue="value" itemLabel="label" />
		</form:select>
		<span class="read-only"><c:out
				value="${drugPairDTO.rtgenid1 }"></c:out></span>
	</div>
	<!-- pecs:selectGeneric label="label" value="value" name="RTGENID1" fieldInfo="${ fieldMap['RTGENID1']}" list="${drugs }"  property="rtgenid1" isCurrentRec="${drugPairDTO.current}"  / -->

	<div id="RTGENID2" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="rtgenid2">Routed Generic #2 &nbsp; <spring:message
				code="message.required" />
		</form:label>
		<form:select style="display:none;" cssClass="${disableRtgenId2}"
			path="rtgenid2" disabled="${disableRtgenId2}">
			<form:option label="" value="" />
			<form:options items="${drugs}" itemValue="value" itemLabel="label" />
		</form:select>
		<span class="read-only"><c:out
				value="${drugPairDTO.rtgenid2 }"></c:out></span>
	</div>
	<!-- pecs:selectGeneric label="label" value="value" name="RTGENID2" fieldInfo="${ fieldMap['RTGENID2']}" list="${drugs }"  property="rtgenid2" isCurrentRec="${drugPairDTO.current}"  / -->
	<pecs:textarea name="REFERENCE_TEXT"
		fieldInfo="${ fieldMap['REFERENCE_TEXT']}" property="referenceText"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.referenceText }"
		isFdb="${isFdb}" />
	<pecs:textarea name="ACTION_REASON"
		fieldInfo="${ fieldMap['ACTION_REASON']}" property="actionReason"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.actionReason }"
		isFdb="${isFdb}" />
	<pecs:textareaRequired name="CURRENT_ACTION_REASON"
		fieldInfo="${ fieldMap['CURRENT_ACTION_REASON']}"
		property="currentActionReason"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.currentActionReason } " />
</form:form>

<input type="hidden" id="showDetail" value="${showDetail}"/>
<c:if test="${useOpenButtons}">
    <tiles:insertAttribute name="openButtons" />
</c:if>
<div class="inputbuttons">
	<input type="button" style="float: right; width: auto;" name="print"
		value="Print Page" onClick="javascript:window.print()" />
</div>


