<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<c:set var="user" value="${ sessionScope.sessionUser}" />

<h1 id="customizationQueryHeader" class="titleBar"><span class="headerText">Advanced Query/Customization</span>
<pecs:pageHelp topic="<%= HelpTopics.ADVANCED_QUERY_CUSTOMIZATION %>"/>
</h1>
<br/>
<%-- Query Builder Section, default to true --%>
<tiles:insertAttribute name="conceptRecordSelect" />

<%-- Query Manager Section --%>
<h2 class=h2title>Run a Saved Query</h2>
<input type="hidden" value="${pageContext.request.contextPath}" id="appContext" />

<c:set var="showMyQueries" value="" />
<c:set var="showOthersQueries" value="" />
<c:choose>
    <c:when test='${customizationQueryModel.whosQuery == "MyQueries"}'>
        <c:set var="showMyQueries" value="activeTab" />
    </c:when>
    <c:when test='${customizationQueryModel.whosQuery == "OthersQueries"}'>
        <c:set var="showOthersQueries" value="activeTab" />
    </c:when>
</c:choose>

<ul class="tabNavigation">
    <li>
        <a id="myQueries" class="savedQuery" href="${pageContext.request.contextPath}/pecs/customization/myQueries" class="${showMyQueries}">My Queries</a>
    </li>
    <li>
        <a id="othersQueries" class="savedQuery" href="${pageContext.request.contextPath}/pecs/customization/othersQueries" class="${showOthersQueries}">Other Users' Queries</a>
    </li>
</ul>
<div id="savedQueriesList" >

</div>
<div id="vaResultsDiv" style="display: none;">
        <h2 id="hdr_vaQueryResults" class="h2title">
            <spring:message code="dpl.header.vaResults" />
        </h2>
        <div class="show">
            <div class="buttons clearfix">
                <button type="button" id="vaExport" value="add" name="addAction" >Export</button>
            </div>
        </div>
<div id="vaQueryResults" class="show" style="width: 100%; height: 350px"></div>
</div>
<div id="fdbResultsDiv" style="display: none;">
        <h2 id="hdr_fdbQueryResults" class="h2title">
            <spring:message code="dpl.header.fdbResults" />
        </h2>
        <div class="show">
            <div class="buttons clearfix" >
                <button type="button" id="fdbExport" value="add" name="addAction" >Export</button>
            </div>
        </div>
<div id="fdbQueryResults" class="show" style="width: 100%; height: 350px"></div>
</div>

<c:choose>
<c:when
    test="${user.requestor || user.approver}">
<div class="buttons" id="openBlankForm" style="height: 40px; display:none;">
    <button type="button" id="blankForm" value="blank" name="blank" >Open Blank Form</button>
</div>
</c:when>
</c:choose>
