<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="ddidtSearchSelection">
		<pecs:userMessages modelAttribute="doseSearchCriteria" />
		<div id="selectInformationDiv" class="show">
			<h2 id="ddidtSelectInformation" class="h2title"><spring:message code="es.header.select.information.type"/></h2>

	      <form:checkbox value="drugdruginteraction" id="drugdruginteraction" path="ddiSelected" onclick="displaySeverityLevel();" />
	      <label for="drugdruginteraction">Drug-Drug Interaction with Professional Monograph</label>
	      <br />
	          &nbsp;
	      <ul id="ddiSeverityLevelList" class="tablesList" style="display: none;">
	       <li>
	        <form:radiobutton id="Display_Severity_Levels_severe" path="ddiSeverityLevel" name="tableName" value="Display_Severity_Levels_severe" checked="checked" />
	        <label for="Display_Severity_Levels_severe"><spring:message code="es.label.ddiseveritylevel.severe"/></label>
	       </li>
	       <li class="alt" >
	        <form:radiobutton id="Display_Severity_Levels_all" path="ddiSeverityLevel" name="tableName" value="Display_Severity_Levels_all"/>
	        <label for="Display_Severity_Levels_all"><spring:message code="es.label.ddiseveritylevel.all"/></label>
	       </li>
	      </ul>
	     <br />
	      <form:checkbox path="dtSelected" value="duplicatetherapy" id="duplicatetherapy" />
	      <label for="duplicatetherapy">Duplicate Therapy</label>
		</div>
		<h2 id="ddidtSimpleQueryHeader" class="h2title">
			<spring:message code="es.header.search.select.drugs" />
		</h2>
		<div id="drugCriteria">
			<form:label path="ddidtcriteria"><spring:message code="es.label.drug.search" /></form:label>
			<form:input type="text" id="ddidtcriteria" path="ddidtcriteria" onkeydown="drugSearchOnEnter(event);"/>
			<div class="buttons">
				<button id="easySearchSearch" type="submit" onclick="searchForDrugs(); return false;">
					<spring:message code="es.label.button.search" />
				</button>
			</div>
		</div>
		<div id="drugSelection" class="show">
			<h2 id="searchResultsHdr" class="h2title">
				<spring:message code="es.header.search.results" />
			</h2>
			<div id="drugSearchResults">
				<form:select id="drugSearchResultsList" path="drugList"
					multiple="true" itemValue="value" itemLabel="label" onchange="enableWhenDrugsSearchedAreSelected(); return false;">
				</form:select>
			</div>
			<div class="show">
				<div class="buttons">
					<button id="addButton"
						onclick="moveSelectedItems('drugSearchResultsList', 'selectedDrugsList', false); return false;" disabled="disabled">
						<spring:message code="es.button.add" />
					</button>
					<button id="removeButton"
						onclick="moveSelectedItems('selectedDrugsList', 'drugSearchResultsList', true); return false;" disabled="disabled">
						<spring:message code="es.button.remove" />
					</button>
				</div>
			</div>
			<h2 id="drugsToCheckHdr" class="h2title">
				<spring:message code="es.header.drugs.to.check" />
			</h2>
			<div id="drugsToCheck">
				<form:select id="selectedDrugsList" path="prospectiveDrugList"
					multiple="true" items="${easySearchModel.drugsSearched}" itemValue="id.valueAsString" itemLabel="uiLabel"
					onchange="enableWhenSelectedDrugsAreSelected(); return false;">
				</form:select>
			</div>
			<div class="show">
				<div class="buttons">
					<button id="easySearchSubmit" type="submit" disabled="disabled">
						<spring:message code="wizard.button.submit" />
					</button>
					<button id="removeAll"
						onclick="moveAllItems('selectedDrugsList','drugSearchResultsList'); return false;" disabled="disabled">
						<spring:message code="es.button.removeall" />
					</button>
				</div>
			</div>
		</div>
</div>
