<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="drSearchSelection">
		<pecs:userMessages modelAttribute="doseSearchCriteria" />

		<h2 id="drSimpleQueryHeader">
			<spring:message code="es.header.dr.search.select.drugs" />
		</h2>
		<div id="drugCriteria">
			<form:label path="drcriteria"><spring:message code="es.label.drug.search" /></form:label>
			<form:input type="text" id="drcriteria" path="drcriteria" onkeydown="drugDRSearchOnEnter(event);"/>
			<div class="buttons">
				<button id="easySearchDRSearch" type="submit" onclick="searchForDoseRangeDrugs(); return false;">
					<spring:message code="es.label.button.search" />
				</button>
				
			</div>
		</div>
		<div id="drugDRSelection" class="show">
			<h2 id="searchResultsHdr" class="h2title">
				<spring:message code="es.header.dr.drugs.to.check" />
				
			</h2>
			<div id="drugSearchDRResults">
				<form:select id="drugSearchDRResultsList" path="drDoseRangeSelection" 
				   onchange="drugDoseRangeChecked('drugSearchDRResults', null); return false;" 	multiple="false" size="10">
				</form:select>
			</div>
			
			<h2 id="drugsToCheckHdr" class="h2title">
				<spring:message code="es.header.dr.selected.drug" />
			</h2>
			
			<div id="drDoseRangeSelection"></div>
	<br />



		<div id="doseTypeControls">
				<div class="testconstraints">
						<label for="doseTypeSelection">Dose Type</label>		
						<form:select id="conceptDRSelection" path="doseTypeSelection" 
							multiple="false" items="${easySearchModel.drugDoseTypeList}" itemValue="code" itemLabel="name">
						</form:select>
				</div>
				
				<div class="testconstraints">
					<label for="doseRouteSelection">Dose Route</label>
					<form:select id="doseRouteSelection" path="doseRouteSelection"  
							multiple="false" items="${easySearchModel.drugDoseRouteList}" itemValue="code" itemLabel="name">		
						
					</form:select>
				</div>
		</div>
  
	
		
		<h2 id="drDemographicSimpleQueryHeader">
			<spring:message code="es.header.dr.selected.demographicinformation" />
		</h2>

			<div class="age">
				<label for="columnValueAge">Age(years)</label>
				<form:input id="columnValueAge"  path="doseAgeDays"  size="3" class="bsaField" />
			</div>

			<div class="heightweight">
				<label for="columnValueWeight">Weight</label>
				<form:input id="columnValueWeight" path="doseWeight" size="3" class="bsaField" />
			</div>
			
			<div class="heightweightSelect">
				<label for="demographicWeightSelection" ></label>
				<form:select id="demographicWeightSelection" path="demographicWeightSelection" class="bsaField" >				
					<form:option value="KG" label="kg" />
					<form:option value="LB" label="lb" />
				</form:select>
			</div>
			
			<div class="heightweight">
				<label for="columnValueHeight">Height</label>
				<form:input id="columnValueHeight" path="doseHeight" size="3" class="bsaField" />
			</div>
							
			<div class="heightweightSelect">
				<label for="demographicHeightSelection"></label>
				<form:select id="demographicHeightSelection" path="demographicHeightSelection" class="bsaField">				
					<form:option value="CM" label="cm" />
					<form:option value="IN" label="in" />
				</form:select>
			</div>

			<div  class="bsaresults">
				<c:out value="BSA(M2) = "/><span id="doseBSA">
				<c:out value="${easySearchModel.doseBSA}"/></span><br />
			</div>
				<form:hidden id="bsa" path="doseBSA"/>
			<div class="bsaresults clearfix">
				<div class="buttons">
					<button id="defaultBSA" name="bsa">Use Default BSA</button>
				</div>	
			</div>
		</div>
	
		<h2 id="drDoseSimpleQueryHeader">
			<spring:message code="es.header.dr.selected.dosinginformation" />
		</h2>
		<div class="doseInfo">
			<label for="singleDose">Single Dose</label>
			<form:input type="text" id="singleDose" path="singleDose"/>
		</div>			
		<div class="doseInfo">
			<label for="doseUnitSelection">Dose Unit</label>
			<form:select id="doseUnitSelection" path="doseUnitSelection"
					multiple="false" items="${easySearchModel.drugDoseUnitList}" itemValue="code" itemLabel="name">		
			</form:select>
		</div> 
		<div class="doseInfo">
		<label for="doseRateUnitSelection">Dose Rate Unit</label>
		<form:select id="doseRateUnitSelection" path="doseRateUnitSelection" >
			<form:option value="" label="" />
			<form:option value="HOUR" label="Hour" />
			<form:option value="MINUTE" label="Minute" />
			<form:option value="DAY" label="Day" />
		</form:select>		
		</div>
		<div class="doseInfo">
		<label for="frequency">Frequency</label>
		<form:input type="text" id="frequency" path="frequency"/>
		</div>
		<br />
			<div class="buttons">
				<button id="easySearchDRSearch" type="submit" >
					<spring:message code="wizard.button.submit" />
				</button>
				
			</div>
		<form:hidden id="idValue" path="drugIdentifierValue"/>
		<form:hidden id="idType" path="drugIdentifierType"/>	
			
			
		</div>
