<%@ include file="../includes/docType.jsp"%>

<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="tableSettings clearfix">
	<h2 class="titleBar">
		<spring:message code="ts.titlebar.part1" />
		&nbsp;
		<spring:message
			code="table.name.${fn:toLowerCase(tableSettings.tableName)}" />
		&nbsp;
		<spring:message code="ts.titlebar.part2" />
        <pecs:pageHelp topic="<%= HelpTopics.CUSTOMIZE_CONCEPT_TYPE_SETTINGS %>" />
	</h2>



	<form:form modelAttribute="tableSettings"
		action="${pageContext.request.contextPath}/pecs/administration/conceptConfiguration/${tableSettings.tableName}"
		method="POST">
		<pecs:userMessages modelAttribute="tableSettings" errorType="all" />
		<table style="width: 100%; border: 1px solid;">
			<tr>
				<th><label><spring:message code="ts.column.header.name" />
				</label>
				</th>
				<th><label><spring:message
							code="ts.column.header.displayname" />
				</label>
				</th>
				<th><label><spring:message
							code="ts.column.header.displayintable" />
				</label>
				</th>
				<th><label><spring:message
							code="ts.column.header.displayindetail" />
				</label>
				</th>
				<th><label><spring:message
							code="ts.column.header.includeinreport" />
				</label>
				</th>
				<th><label><spring:message
							code="ts.column.header.displayorder" />
				</label>
				</th>
			</tr>
			<c:forEach var="configColumn" items="${tableSettings.configColumns}"
				varStatus="rowCounter">
				<tr>
					<td><spring:bind path="configColumns[${rowCounter.index}]">
							${status.value.fieldName}
							<c:set var="required" value="${status.value.required}" />
							<c:set var="tableDisplay"
								value="${status.value.canIncludeInQueryResults}" />
							<c:set var="reportDisplay"
								value="${status.value.canIncludeInReports}" />
						</spring:bind> <form:hidden id="configColumns[${rowCounter.index}].conceptName"
							path="configColumns[${rowCounter.index}].conceptName" /> <form:hidden
							id="configColumns[${rowCounter.index}].fieldId"
							path="configColumns[${rowCounter.index}].fieldId" /> <form:hidden
							id="configColumns[${rowCounter.index}].fieldName"
							path="configColumns[${rowCounter.index}].fieldName" /> <form:hidden
							id="configColumns[${rowCounter.index}].required"
							path="configColumns[${rowCounter.index}].required" /> <form:hidden
							id="configColumns[${rowCounter.index}].canIncludeInQueryResults"
							path="configColumns[${rowCounter.index}].canIncludeInQueryResults" /> <form:hidden
							id="configColumns[${rowCounter.index}].canIncludeInReports"
							path="configColumns[${rowCounter.index}].canIncludeInReports" /></td>
					<td><form:input maxlength="50"
							path="configColumns[${rowCounter.index}].displayName" /></td>
					<td><c:choose>
							<c:when test="${tableDisplay}">
								<label
									for="configColumns[${rowCounter.index}].includeInQueryResults_True">True</label>&nbsp;&nbsp;
								<form:radiobutton
									id="configColumns[${rowCounter.index}].includeInQueryResults_True"
									path="configColumns[${rowCounter.index}].includeInQueryResults"
									value="true" />
								<br />
								<c:if test="${not required}">
									<label
										for="configColumns[${rowCounter.index}].includeInQueryResults_False">False</label>
									<form:radiobutton
										id="configColumns[${rowCounter.index}].includeInQueryResults_False"
										path="configColumns[${rowCounter.index}].includeInQueryResults"
										value="false" />
								</c:if>
							</c:when>
							<c:otherwise>
								<label
									for="configColumns[${rowCounter.index}].includeInQueryResults_False">False</label>
								<form:radiobutton
									id="configColumns[${rowCounter.index}].includeInQueryResults_False"
									path="configColumns[${rowCounter.index}].includeInQueryResults"
									value="false" />
							</c:otherwise>
						</c:choose></td>
					<td><label
						for="configColumns[${rowCounter.index}].includeInDetailDisplay_True">True</label>&nbsp;&nbsp;
						<form:radiobutton
							id="configColumns[${rowCounter.index}].includeInDetailDisplay_True"
							path="configColumns[${rowCounter.index}].includeInDetailDisplay"
							value="true" /><br /> <label
						for="configColumns[${rowCounter.index}].includeInDetailDisplay_False">False</label>
						<form:radiobutton
							id="configColumns[${rowCounter.index}].includeInDetailDisplay_False"
							path="configColumns[${rowCounter.index}].includeInDetailDisplay"
							value="false" /></td>
					<td><c:choose>
							<c:when test="${reportDisplay}">
								<label
									for="configColumns[${rowCounter.index}].includeInReports_True">True</label>&nbsp;&nbsp;
								<form:radiobutton
									id="configColumns[${rowCounter.index}].includeInReports_True"
									path="configColumns[${rowCounter.index}].includeInReports"
									value="true" />
								<br />
								<label
									for="configColumns[${rowCounter.index}].includeInReports_False">False</label>
								<form:radiobutton
									id="configColumns[${rowCounter.index}].includeInReports_False"
									path="configColumns[${rowCounter.index}].includeInReports"
									value="false" />
							</c:when>
							<c:otherwise>
								<label
									for="configColumns[${rowCounter.index}].includeInReports_False">False</label>
								<form:radiobutton
									id="configColumns[${rowCounter.index}].includeInReports_False"
									path="configColumns[${rowCounter.index}].includeInReports"
									value="false" />
							</c:otherwise>
						</c:choose></td>
					<td>
						<!-- <form:input size="2" maxlength="2" path="configColumns[${rowCounter.index}].displayOrder" /> -->
						<form:input maxlength="2"
							path="configColumns[${rowCounter.index}].displayOrder" /></td>
				</tr>
			</c:forEach>
		</table>
		<input type="hidden" name="tableName"
			value="${tableSettings.tableName}" />
		<div class="buttons">
			<button id="newAction" type="submit" value="new" class="positive"
				onclick="return confirm('Are you sure you want to save Settings?');">
				Save</button>
			<a href="${pageContext.request.contextPath}/pecs/administration"
				class="negative">Cancel</a>
		</div>
	</form:form>
</div>
