<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
 
<div id="fdbDrugs" class="show">
	<div id="response"></div>

	<div id="remainingFdbDrugs">
		<label><b><spring:message code="ddim.wizard.fdb.customize" /></b></label>
	</div>
	<form:form id="fdbDrugPairsForm" name="fdbDrugPairsForm"
		commandName="fdbDrugPairsForm" method="POST"
		action="${pageContext.request.contextPath}/pecs/drugPairCustomization/fdbDrugPairs">
		<form:hidden id="interactionId" path="interactionId" />
		<div id="fdbDrugPairsGrid" class="show"
			style="width: 100%; height: 350px"></div>
		<div>
			<div class="filter-qty-fdb">
				<input id="selectAllFdbList" type="checkbox"
					value="SelectDeselectAll" /> <label for="selectAllFdbList">Select/Deselect
					Drug Pairs from Corresponding FDB Interaction</label>
			</div>
			<div class="filter-qty-fdb">
				<input id=maxRecsFdb100 type="radio" name="maxRecsFdb" value="100" />
				<label for="maxRecsFdb100">100 Max</label>
			</div>
			<div class="filter-qty">
				<input id=maxRecsFdb200 type="radio" name="maxRecsFdb" value="200" />
				<label for="maxRecsFdb200">200 Max</label>
			</div>
			<div class="filter-qty-fdb">
				<input id=maxRecsFdb1000 type="radio" name="maxRecsFdb" value="1000" />
				<label for="maxRecsFdb1000">1000 Max</label>
			</div>
			<div class="filter-qty-fdb">
				<input id=allFdbRecs type="radio" name="maxRecsFdb"
					checked="checked" value="-1" /> <label for="allFdbRecs">All</label>
			</div>
			<div class="filter-qty-fdb">
				<input type="button" id="fdbCounts" value=" Get Record Counts " />
			</div>
		</div>
		<br />
		<br />
		<p class="instructionText">
			<spring:message code="ddim.wizard.customize.instruction" />
		</p>
		<p>
			<label>Reference Text (drug pair reference text)</label>
			<form:textarea path="referenceText" cssClass="dpTextBox" cols="40"
				rows="5" />
		</p>
		<p>
			<label>Current Action Reason (for drug pair creation)<span
				class="required">&nbsp;(Required)</span></label>
			<form:textarea id="currentActionReasonFdb" path="currentActionReason"
				cssClass="dpTextBox" cols="40" rows="5" />
		</p>
		<p>
			<label>Assigned To<span class="required">
					&nbsp;(Required)</span></label>
			<form:select path="assignedTo">
				<form:options items="${users}" />
			</form:select>
		</p>
		<div class="buttons">
			<button type="submit" name="Customize" value="Customize">
				<spring:message code="wizard.button.customize" />
			</button>
		</div>

	</form:form>

</div>
