<%@ page language="java"
	import="java.util.*, gov.va.med.pharmacy.pecs.web.help.HelpTopics"
	pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="drugPairLookup">
	<h1 id="simpleQueryHeader" class="titleBar">
	    <span class="headerText">
		<spring:message code="dpl.label.title" />
		</span>
	   <pecs:pageHelp topic="<%= HelpTopics.DRUG_PAIR_LOOKUP %>"/>
	</h1>
	<p>
		<br />
		<spring:message code="dpl.label.instructions" />
	</p>
	<p>
		<I><spring:message code="dpl.label.instruction2" /> </I> <br />
	</p>
	<%-- Simple Query --%>
	<form:form modelAttribute="drugPairLookupCriteria"
		name="simpleQueryForm" onkeypress="queryOnEnter(event);">
		<pecs:userMessages modelAttribute="drugPairLookupCriteria" />
		<div id="drugAdiv">
			<form:label path="drugA">
				<spring:message code="dpl.label.drugA" />
			</form:label>
			<form:input id="drugA" path="drugA" />
		</div>
		<div id="drugBDiv">
			<form:label path="drugB">
				<spring:message code="dpl.label.drugB" />
			</form:label>
			<form:input id="drugB" path="drugB" />
		</div>
		<div id="interactionDiv">
			<form:label path="interaction">
				<spring:message code="dpl.label.interaction" />
			</form:label>
			<form:input id="interaction" path="interaction" />
		</div>
		<div id="severityLevelDiv">
			<form:label path="severityLevel">
				<spring:message code="dpl.label.severityLevel" />
			</form:label>
			<form:select id="severityLevel" path="severityLevel"
				items="${severityLevels}" itemValue="code" itemLabel="uiLabel"
				emptyOption="true" />
		</div>
	</form:form>
	<div class="buttons">
		<button type="submit" id="drugPairSimpleQuery" onclick="dplProcess();">
			<spring:message code="dpl.label.button.query" />
		</button>
	</div>
	<%-- Query Results Section --%>
	<div id="vaResultsDiv" style="display: none;">
		<h2 id="hdr_vaQueryResults" class="h2title">
			<spring:message code="dpl.header.vaResults" />
		</h2>
        <div class="show">
            <div class="buttons clearfix">
                <button type="button" id="vaExport" value="add" name="addAction">Export</button>
            </div>
        </div>
        <br />		
		<div id="vaQueryResults" class="show"
			style="width: 100%; height: 350px"></div>
	</div>
	<div id="fdbResultsDiv" style="display: none;">
		<h2 id="hdr_fdbQueryResults" class="h2title">
			<spring:message code="dpl.header.fdbResults" />
		</h2>
        <div class="show">
            <div class="buttons clearfix">
                <button type="button" id="fdbExport" value="add" name="addAction">Export</button>
            </div>
        </div>
        <br />      
		<div id="fdbQueryResults" class="show"
			style="width: 100%; height: 350px"></div>
<!--
		<form:form id="drugPairFdbResultsForm" method="post"
			action="${pageContext.request.contextPath}/tables/drugDrug/pairs/CreateWizardLoadAction.html?buttonValue=New">
			<div class="buttons">
				<button id="newAction" type="submit" buttonValue="New" value="New"
					class="positive">
					<spring:message code="dpl.label.button.create" />
				</button>
			</div>
		</form:form>
-->
	</div>
</div>
<br />
<div id="drugPairLoadingImage" class="loadingHide">
	<p>
		<spring:message code="dpl.message.queryinprogress" />
		<br /> 
		<img
			src="${pageContext.request.contextPath}/images/loading.gif" alt="loading image" ></img>
	</p>
</div>
