<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<%@ attribute name="ddiInfo" required="true" rtexprvalue="true" type="gov.va.med.pharmacy.pecs.domain.impl.easy.DrugDrugInteractionInfo"%>
<%@ attribute name="elemindex" required="true" rtexprvalue="true" type="java.lang.Integer"%>

<div id="ddiResultDiv" class="conceptcontainer clearfix">
	<div id="ddiResultHdr" class="concepthdr">
	<spring:message code="es.label.drugdruginteraction"/>&nbsp;
	<c:choose>
		<c:when test="${ddiInfo.custom}">
			<spring:message code="es.label.customdata"/>
		</c:when>
		<c:otherwise>
			<spring:message code="es.label.fdbdata"/>
		</c:otherwise>
	</c:choose>
	</div>
	<br />
	<c:forEach var="drug" items="${ddiInfo.drugs}">
		<span class="indented">${drug.uiLabel}</span><br />
	</c:forEach>
	<br />
	
	<pecs:easySearchAttribute labelCode="es.label.ddi.interactiondescription" value="${ddiInfo.interactionDescription}"/>
	<pecs:easySearchAttribute labelCode="es.label.ddi.severity" value="${ddiInfo.severity.code} - ${ddiInfo.severity.description}" />
	<c:choose>
		<c:when test="${ddiInfo.professionalMonograph != null}">
			<c:set var="clinicalEffectValue" value="${ddiInfo.professionalMonograph.clinicalEffects}"/>
		</c:when>
		<c:otherwise>
			<c:set var="clinicalEffectValue" value='<spring:message code="es.label.ddi.no.pm"/>' />
		</c:otherwise>
	</c:choose>
	<pecs:easySearchAttribute labelCode="es.label.ddi.clinicaleffects" value="${clinicalEffectValue}"/>
	
	<br />
	
	<span class="indented">
	<c:choose>
		<c:when test="${ddiInfo.custom}">
			<a href="/ct/pecs/drugdrug/interactionid/${ddiInfo.id}"><spring:message code="es.label.ddi.link"/></a>
		</c:when>
		<c:otherwise>
			<a href="/ct/pecs/drugdrug/interaction/FDB/${ddiInfo.id}"><spring:message code="es.label.ddi.link"/></a>
		</c:otherwise>
	</c:choose>
	</span>
	
	<br />
	
	<c:choose>
		<c:when test="${ddiInfo.professionalMonograph != null}">
			<pecs:pmEasySearchResults monograph="${ddiInfo.professionalMonograph}" elemindex="${elemindex}"/>
		</c:when>
		<c:otherwise>
			<br />
		</c:otherwise>
	</c:choose>
	
	

</div> 
<br />

