/**
 * Creates a new Dojo DataGrid as a child of the parentContainer. This DataGrid
 * is used to show the number of Requests in PECS.
 * 
 * @param servlet -
 *            The servlet to use for AJAX calls. Usually this is 'pecs'.
 * @param parentContainer -
 *            The container that will be the parent for this grid. Usually can
 *            be a DIV.
 * @param dataSourceURL -
 *            The URL and query criteria for obtaining the data to display in
 *            the grid.
 */
define([ "dojo/dom", "dojo/store/JsonRest", "dojo/data/ObjectStore", "dojox/grid/DataGrid","dojo/_base/declare" ], function(dom, JsonRest,
        ObjectStore, DataGrid, declare) {
    return declare( WorkListGrid, "dojox/grid/DataGrid", DataGrid, {
        constructor: function () {
            this.dataStore;
            this.layout;
            this.gridId;
        }
        id : gridId,
        store: dataStore,
        structure: gridLayout,
        showTitle : true,
        columnReordering : false,
        loadingMessage : "Query In Progress...",
        noDataMessage : "Your Query Returned No results",
      //  onFetchError : gridFetchError,
        selectionMode : 'single',
        selectable : true,
        sort : false,
       // onKeyEvent : onKeyEvent
        
    })
});