dojo.require("dijit.Editor");
dojo.require("dojox.editor.plugins.Save");
dojo.require("dijit._editor.plugins.LinkDialog");
dojo.require('dijit._editor.plugins.TextColor');
dojo.ready(function() {
    dojo.extend(dojox.editor.plugins.Save, {
        save : function(content) {
            // summary:
            // User over-ridable save function for the editor content.
            // Please note that the service URL provided should do content
            // filtering of the posted content to avoid XSS injection via
            // the data from the editor.
            // tags:
            // public

            // Set the default header to post as a body of text/html.
            var headers = {
                "Content-Type" : "text/html"
            };
            if (this.url) {
                var postArgs = {
                    url : this.url,
                    postData : content,
                    headers : headers,
                    handleAs : "json"
                };
                this.button.set("disabled", true);
                var deferred = dojo.xhrPost(postArgs);
                deferred.addCallback(dojo.hitch(this, this.onSuccess));
                deferred.addErrback(dojo.hitch(this, this.onError));
            } else {
                console.log("No URL provided, no post-back of content: " + content);
            }
        },
        onSuccess : function(resp, ioargs) {
            // summary:
            // User over-ridable save success function for editor content.
            // Be sure to call this.inherited(arguments) if over-riding this
            // method.
            // resp:
            // The response from the server, if any, in text format.
            // tags:
            // public
            this.button.set("disabled", false);
            console.log(resp);
            if (resp.successMessage) {
                window.location = "../contact"
            } else {
                var errorNode = dojo.byId("error");
                dojo.create("div", {
                    "class" : "error",
                    innerHTML : resp.errorMessages
                }, errorNode);
            }

        },
        onError : function(error, ioargs) {
            // summary:
            // User over-ridable save success function for editor content.
            // Be sure to call this.inherited(arguments) if over-riding this
            // method.
            // resp:
            // The response from the server, if any, in text format.
            // tags:
            // public
            this.button.set("disabled", false);
            if (this.logResults) {
                console.log(error);
            }
        }

    });
    var content = dojo.byId("editor").innerHTML;
    console.log(content);
    var editor = new dijit.Editor({
        height : 'auto',
        extraPlugins : [  'createLink', 'foreColor', {
            name : 'save',
            url : '/ct/pecs/contact/edit'
        } ]

    }, dojo.byId('editor'));
    editor.startup();
    
    /*
     * editor.onLoadDeferred.addCallback(function(){ editor.attr("value",
     * content); });
     */
})