dojo.require("dijit.Dialog");
dojo.require("dijit.Tooltip");
var handle = null;
dojo
		.ready(function() {
			orderFields("DOSE_RANGE");

			var myForm = dojo.byId("doseRangeDTO");
			var id = dojo.byId("fdbCustomDosingVaId").value;

			if (id == 0) {
				id = dojo.byId("fdbCustomDosingVaId").value;
			}

			var conceptId = dojo.query("#conceptid");
			if (conceptId != null) {
				conceptId.connect("onblur", null, "findConceptDescription");
			}

			if (!pageHasErrors()) {
				if (hasVAInURL()) {
					callReqHistory("DOSE_RANGE", id);
				}
			}

			if (dojo.byId("editButton")) {
				dojo.query(".edit").connect("onclick", null, function(e) {
					e.preventDefault();
					edit();
				});
				dojo.query(".cancel").connect("onclick", null, function(e) {
					e.preventDefault();
					cancel();
					if (hasVAInURL()) {
						callReqHistory("DOSE_RANGE", id);
					}
				});
			}

			if (dojo.byId("userCommentButton") != null) {

				connectUserCommentButton("userCommentButton");
			}
			if (dojo.byId("userCommentButton2") != null) {

				connectUserCommentButton("userCommentButton2");
			}

			dojo.query(".historyButton").connect("onclick", null, function(e) {
				e.preventDefault();

				exportHistory();
			});
			var actionButtons = dojo.query(".button");

			actionButtons
					.connect(
							"onclick",
							function(e) {

								if (this.id == "wtSubmit_for_Delete") {
									var conf = confirm("Are you sure you would like to submit the request for delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								if (this.id == "wtDelete") {
									var conf = confirm("Are you sure you would like to delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								dojo.query('input', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('select', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('textarea', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});

								dojo.create("input", {
									type : "hidden",
									name : "action",
									id : "action",
									value : this.value
								}, myForm, "first");

							});

			if (pageHasErrors()) {
				if (dojo.isIE == 7) {
					setTimeout(function() {
						document.getElementById("errorMessages").focus();
					}, 500);
					document.getElementById("errorMessages").focus();
					document.getElementById("errorMessages").focus();
				} else {
					document.getElementById("errorMessages").focus();

				}
			}
		});

function findConceptDescription(e) {
	var conceptType = dojo.query("#concepttype")[0];
	var conceptId = dojo.query("#conceptid")[0];

	if (conceptType != null && conceptType.value != "" && conceptId != null
			&& conceptId.value != "") {
		// The parameters to pass to xhrGet, the url, how to handle it, and the
		// callbacks.
		var xhrArgs = {
			url : "/ct/pecs/doseRangeCustomization/find/conceptdescription?concepttype="
					+ conceptType.value + "&conceptid=" + conceptId.value,
			handleAs : "text",
			sync : true,
			load : function(data) {
				var conceptDescription = dojo.query("#conceptDescription")[0];
				if (data != null && data != "") {
					if (conceptDescription != null) {
						conceptDescription.value = data;
					}
				} else {
					alert("Concept Type/Concept ID Number combination does not exist in FDB.");
					if (conceptDescription != null) {
						conceptDescription.value = "";
					}
				}
			},
			error : function(error, ioargs) {
				var status = ioargs.xhr.status;
				if (status == 404) {
					return;
				}
				alert("An error occured trying to obtain the Concept Id Description.  If problem persists, report this error to the support team.");

			}
		};
		// Call xhrGet
		var deferred = dojo.xhrGet(xhrArgs);
	}
}

// Generate URL
function exportHistory() {
	var id = dojo.byId("fdbCustomDosingVaId").value;
	var url = "/ct/pecs/doseRangeCustomization/history/VA/" + id;
	location.href = url;
}

function createDialog() {
	var dialogObj = dijit.byId("commentDialog");

	if (dialogObj === undefined) {
		var recordId = String(window.location.href.split('/').pop());
		dialogObj = createConceptDialog("DOSE_RANGE", recordId);

		dialogObj.show();
		dialogObj.onLoadDeferred.then(function() {
			connectToDialogButtons();
		});
		return;
	}

	var deferred = dialogObj.show();

}

