var buttons;
var enabledButtons = [];
var numChecks;
var wtStep;
var allowExit = false;

var time = null;
var maxTime = 60 * 19 * 1000;
var reloadPage = 60 * 20 * 1000;

function connectToEditCancel() {
	if (dojo.byId("editButton")) {
		dojo.query(".edit").connect("onclick", null, "edit");
		dojo.query(".cancel").connect("onclick", null, "cancel");
	}
}

function getButtonsForChecked() {
	checkedBoxes = [];
	enabledButtons = [];
	dojo.query(".pairListCheckbox").forEach(function(entry, i) {

		if (entry.checked) {
			actions = getActions(entry.value);
			if (checkedBoxes.length == 0) {
				checkedBoxes.push(actions);
			}
			var exists = false;
			for ( var c = 0; c < checkedBoxes.length; c++) {

				var cb = checkedBoxes[c].toString();
				var act = actions.toString();
				if (cb == act) {
					exists = true;
					break;
				}
			}
			if (!exists) {
				checkedBoxes.push(actions);
			}
		}
	});
	numChecks = checkedBoxes.length;
	if (numChecks == 0) {
		disableDrugPairButtons();
		return;
	}
	enabledButtons = actions;

	for ( var j = 0; j < checkedBoxes.length; j++) {
		enabledButtons = intersection(enabledButtons, checkedBoxes[j]);
	}

	enableDrugPairButtons();

}

function disableDrugPairButtons() {
	if (!buttons) {
		buttons = dojo.query("#wtButtons button");
	}
	for ( var i = 0; i < buttons.length; i++) {
		// disable all buttons
		buttons[i].className = "disabled";
		buttons[i].disabled = true;
	}
}

/*
 * Enable the appropriate buttons, depending on the drug pairs that are
 * selected. This is invoked every time a drug pair is selected or deselected.
 */
function showButtons(chkBox, divId) {

	if (chkBox.checked) {
		numChecks++;
	} else {
		numChecks--;
	}

	// the checkbox value is of the form
	// action1,action2,...,actionx|rtgenid1|rtgenid2
	// extract the actions
	var actionsString = (chkBox.value.split("\|"))[0];
	disableDrugPairButtons();
	if (chkBox.checked) {
		if (actionsString.length == 0) {
			// no allowable actions for this drug pair; disable all buttons
			enabledButtons = [];
			return;
		} else {
			// extract the individual actions allowable for this drug pair
			// actionsString = actionsString.substring(1,
			// actionsString.length-1);
			var actions = actionsString.split("\~");
			if (numChecks == 1) {
				// this is the only checked record
				enabledButtons = actions;
			} else {
				// enable the buttons that are applicable to this drug pair
				// and the others that were already selected
				enabledButtons = intersection(enabledButtons, actions);
			}
			enableDrugPairButtons();
			return;
		}
	} else {
		// a checkbox was unchecked; look at all checkboxes still
		// selected and figure out what buttons need to be enabled
		numChecks = 0;
		getButtonsForChecked();
	}
}

/*
 * Enable buttons for the actions specified in the global array enabledButtons.
 */
function enableDrugPairButtons() {
	for ( var i = 0; i < enabledButtons.length; i++) {
		enableDrugPairAction("wt" + enabledButtons[i]);
	}
}

function getActions(actionString) {
	actionString = (actionString.split("\|"))[0];
	var actions = actionString.split("\~");
	return actions;

}
/*
 * Compute the intersection of 2 arrays.
 */
// I'm sure there is a more elegant way to do this
function intersection(arr1, arr2) {
	var res = [];
	for ( var i = 0; i < arr1.length; i++) {
		for ( var j = 0; j < arr2.length; j++) {
			if (arr1[i] == arr2[j]) {
				res.push(arr1[i]);
			}
		}
	}
	return res;
}

/*
 * Enable the button with the specified id.
 */
function enableDrugPairAction(actionNm) {
	// alert("enabling button: " + actionNm);
	var btnAction = dojo.byId(actionNm);
	// there may be actions w/o a corresponding button (e.g. Modify)
	if (btnAction) {
		btnAction.className = "";
		btnAction.disabled = false;
	}
}

function saveOriginalButtonClassNames() {
	var buttons = dojo.query("#modifyDrugPairsForm .submitButton");
	for ( var i = 0; i < buttons.length; i++) {
		buttons[i].originalClassName = buttons[i].className;
		// disable all buttons
		buttons[i].className = "disabled";
		buttons[i].disabled = true;
	}
	// initialize global variables
	numChecks = 0;
	wtStep = [];
}

function showHideRows(chkBx, actionStatus) {
	actionStatus = actionStatus.toLowerCase();
	// alert("chkBx value is " + chkBx + ", and actionStatus is " + actionStatus
	// + " ");
	var tableEl = document.getElementById("drugPairsTable");
	if (tableEl != null) {
		var rows = tableEl.rows;
		if (rows != null) {
			// var paintAlternate = true;
			var statusCell;
			var statusCellText;
			var cellNum = 0;
			var tableCells = rows[0].cells;
			// Determine which cell has the status
			for ( var c = 0; c < tableCells.length; c++) {
				statusCell = tableCells[c];
				// alert("(for)statusCell.innerText = "+statusCell.innerText);
				if (statusCell != null
						&& statusCell.innerHTML.indexOf("Action Status") >= 0) {
					cellNum = c;
					// alert("statusCell.innerText = " + statusCell.innerText +
					// ", cellNum = " + cellNum);
				}
			}
			for ( var j = 0; j < rows.length; j++) {
				tableCells = rows[j].cells;
				statusCell = tableCells[cellNum];
				if (statusCell != null) {
					statusCellText = dojo.trim(statusCell.innerHTML)
							.toLowerCase();
				} else {
					statusCellText = "";
				}
				// alert("statusCell.innerText = " + statusCell.innerText + ", j
				// = " + j + "\n actionStatus = " + actionStatus);
				// if (statusCell != null &&
				// statusCell.innerHTML.indexOf(actionStatus) >= 0) {
				if (statusCellText == actionStatus) {
					rows[j].style.display = 'none';
					if (chkBx.checked) {
						rows[j].style.display = '';
					} else {
						rows[j].style.display = 'none';
					}
				}
			}
		}
	}

}

function getRowCount() {
	var rowNodes = dojo.query(".vaDrugPairRow");
	if (rowNodes != []) {
		var rowCount = 0;

		rowNodes.forEach(function(entry, i) {
			if (dojo.style(entry, "display") != "none") {
				rowCount++;
			}
		});
		alert("Now showing " + (rowCount) + " of " + (rowNodes.length)
				+ " total records.");
	}
}
function connectToSelectAllPairsVA() {
	dojo.connect(dojo.byId("selectAllPairs"), "onclick", function(event) {
		var maxValue = -1;
		var checked = event.target.checked;
		checkedBoxes = [];
		var actions = [];
		// we want to uncheck all when we are
		// unchecking.
		if (checked) {
			var theRadios = document.getElementsByName('maxRecs');
			for ( var i = 0; i < theRadios.length; i++) {
				if (theRadios[i].checked) {
					maxValue = theRadios[i].value;
				}
			}
			var counter = 0;
			dojo.query(".pairListCheckbox").forEach(
					function(entry, i) {
						if ((counter < maxValue || maxValue == -1)
								&& (dojo.style(entry.parentNode.parentNode,
										"display") != "none")) {
							entry.checked = checked;
							counter++;
							actions = getActions(entry.value);
							if (checkedBoxes.length == 0) {
								checkedBoxes.push(actions);
							}
							var exists = false;
							for ( var c = 0; c < checkedBoxes.length; c++) {

								var cb = checkedBoxes[c].toString();
								var act = actions.toString();
								if (cb == act) {
									exists = true;
									break;
								}
							}
							if (!exists) {
								checkedBoxes.push(actions);
							}
						}
					});
			enabledButtons = actions;
			for ( var j = 0; j < checkedBoxes.length; j++) {
				enabledButtons = intersection(enabledButtons, checkedBoxes[j]);
			}

			enableDrugPairButtons();
		} else {
			disableDrugPairButtons();

			dojo.query(".pairListCheckbox").forEach(function(entry, i) {

				if (i < maxValue || maxValue == -1) {
					entry.checked = checked;
				}
			});
		}
	});
}


dojo.connect(window,"onbeforeunload",this,function(e) {
	var id = dojo.byId("interactionId").value;
	if (isInEditMode() && !allowExit) {
		var msg = "This action will cause you to lose any edits you have made.\n Click Leave this page to proceed or click Stay on this page to continue editing this record.";
		e.preventDefault();
		e.returnValue = msg;
		return msg;
	}
});

dojo.addOnWindowUnload(window, cancelLockOnUnload);


/**
 * Determines if the page is in edit mode by checking if the cancelButton is
 * displayed (in edit mode) or not (not in edit mode).
 * 
 * @returns True if in edit mode; false if not in edit mode.
 */
function isInEditMode() {
	var cancelButton = dojo.byId("cancelButton");
	var style = dojo.style(cancelButton, "display");
	return (style != "none");
};

function timeOutWarning() {

	var timeOutStart = new Date().getTime();
	alert("Your editing session on this page will end in one minute.\n  To avoid losing your changes click OK to extend your editing session");

	var elapsedTime = new Date().getTime() - timeOutStart;
	if (maxTime + elapsedTime < reloadPage) {
		extendLockAndResetTimers();
	} else {
		cancelLockAndReload();
	}
}

function extendLockAndResetTimers() {
	extendLock();
	resetTimers();
}

function cancelLockAndReload() {
	cancelLock();
	reload();
}

// 508 controller does not expose the extent lock functionality so both pages
// are going through the non-508 page to cancel locks
function extendLock() {
	var id = dojo.byId("interactionId").value;
	var xhrArgs = {
		url : "/ct/pecs/drugPairCustomization/extend/VA/" + id,
		handleAs : "text",
		load : function(data) {
			if (data != "") {
				alert(data);
				return;
			}
		}
	};
	dojo.xhrGet(xhrArgs);
}


/**
 * Function to unlock while in edit mode.
 * 
 * Attribute sync is default value of false. (also see cancelLockOnUnload)
 * 
 * 
 */
// 508 controller does not expose the cancel lock functionality so both pages
// are going through the non-508 page to cancel locks
function cancelLock() {
	var id = dojo.byId("interactionId").value;
	console.log("Canceling Lock..." + id);
	var xhrArgs = {
		url : "/ct/pecs/drugPairCustomization/cancel/VA/" + id,
		handleAs : "text",
		load : function(data) {
			if (data != "") {
				alert(data);
				return;
			}
		}
	};
	dojo.xhrGet(xhrArgs);
}
/**
 * Function to unlock while in edit mode.
 * 
 * Attribute sync is set to true in order to make sure the page 
 * does not disappear while processing unlock.
 * 
 */
function cancelLockOnUnload() {
	console.log("cancelLockOnUnload")	
	var id = dojo.byId("interactionId").value;
	var xhrArgs = {
		url : "/ct/pecs/drugPairCustomization/cancel/VA/" + id,
		handleAs : "text",
		sync : true,
		load : function(data) {
			if (data != "") {
				//alert(data);
				return;
			}
		}
	};
		
	if (isInEditMode() && !allowExit) {	
		var deferred = dojo.xhrGet(xhrArgs);
		deferred.then(function() {
			console.log("waiting a second")
		});
	}	
}

function setTimers() {
	time = window.setTimeout(timeOutWarning, maxTime);
}

function resetTimers() {
	window.clearTimeout(time);
	time = window.setTimeout(timeOutWarning, maxTime);
}

function clearTimers() {
	window.clearTimeout(time);
}
