/** 
 * Used to deal with buttons on drug pairs page.
 * **/

var buttons;

function disableDrugPairButtons()
{
  if (!buttons) {
	buttons = $$("#modifyDrugPairsForm button");
  //alert("buttons.length == " + buttons.length);
  }
  for (var i = 0; i < buttons.length; i++)
  { 
	  // disable all buttons
	  buttons[i].className = "disabled";
	  buttons[i].disabled = true;
  }
  // alert("All buttons disabled");
}

/*
 * Enable buttons for the actions specified in the global array enabledButtons. 
 */
function enableDrugPairButtons() {
	for (var i = 0; i < enabledButtons.length; i++) {
		enableDrugPairAction("wt" + enabledButtons[i]);
	}
}

/*
 * Enable the button with the specified id.
 */
function enableDrugPairAction(actionNm)
{
	 //alert("enabling button: " + actionNm);
	 var btnAction = $(actionNm);
	 // there may be actions w/o a corresponding button (e.g. Modify)
	 if (btnAction) {
		 btnAction.className = "";
		 btnAction.disabled = false;
	 }
}

function saveOriginalButtonClassNames()
{
  var buttons = $$("#modifyDrugPairsForm button");
  for (var i = 0; i < buttons.length; i++)
  {
	buttons[i].originalClassName = buttons[i].className;
	// disable all buttons
	buttons[i].className = "disabled";
	buttons[i].disabled = true;
  }
  // initialize global variables
  numChecks = 0;
  wtStep = [];
}

// Global variables
var numChecks;
var wtStep;
var enabledButtons = [];

/*
 * Enable the appropriate buttons, depending on the drug pairs 
 * that are selected.  This is invoked every time a drug pair 
 * is selected or deselected.
 */
function showButtons(chkBox, divId) {
    if (chkBox.checked) {
    	numChecks++;
    } else {
    	numChecks--;
    }
    
    // the checkbox value is of the form action1,action2,...,actionx|rtgenid1|rtgenid2
    // extract the actions
    var actionsString = (chkBox.value.split("\|"))[0];
	disableDrugPairButtons();
    if (chkBox.checked) {
    	if (actionsString.length == 0) {
    		// no allowable actions for this drug pair; disable all buttons
    		enabledButtons = [];
    		return;
    	} else {
    		// extract the individual actions allowable for this drug pair
    		//actionsString = actionsString.substring(1, actionsString.length-1);
    		var actions = actionsString.split("\~");
//    		for (var i = 0; i < actions.length; i++) {
//    			// not sure why this is not working in IE
//    			//actions[i] = trim(actions[i]);
//    			actions[i] = actions[i].replace(/^\s+|\s+$/g,"");
//    		}
    		if (numChecks == 1) {
    			// this is the only checked record
    			enabledButtons = actions;
    		} else {
    			// enable the buttons that are applicable to this drug pair 
    			// and the others that were already selected
    			enabledButtons = intersection(enabledButtons, actions);
    		}
			enableDrugPairButtons();
    		return;
    	}
    } else {
    	// a checkbox was unchecked; look at all checkboxes still 
    	// selected and figure out what buttons need to be enabled
		enabledButtons = [];
    	numChecks = 0;
    	var chkBoxes = getCheckedBoxes();
    	for (var i = 0; i < chkBoxes.length; i++) {
    		showButtons(chkBoxes[i], divId)
    	}
    }
}

var dpCheckboxes;

/*
 * Get all checked drug pairs.
 */
function getCheckedBoxes() {
	var res = [];
	if (!dpCheckboxes) {
		var container = document.getElementById("drugPairsContainer");
		dpCheckboxes = container.getElementsByTagName("input");
	}
	for (var i = 0; i < dpCheckboxes.length; i++) {
		if (dpCheckboxes[i].checked) {
			res.push(dpCheckboxes[i]);
		}
	}
	return res;
}

/*
 * Compute the intersection of 2 arrays.
 */
// I'm sure there is a more elegant way to do this
function intersection(arr1, arr2) {
	var res = [];
	for (var i = 0; i < arr1.length; i++) {
		for (var j = 0; j < arr2.length; j++) {
			if (arr1[i] == arr2[j]) {
				res.push(arr1[i]);
			}
		}
	}
	return res;
}

function showButtons_old(chkBox, divId)
{
    // disable all buttons
    disableDrugPairButtons();

    // if(document.getElementById(divId) == null)
	//	return;

    // Hide all the buttons
    // document.getElementById(divId).style.visibility = "hidden";
    if(chkBox.checked)
    {
        var ix = wtStep.length;
        wtStep[ix] = chkBox.value; 
        numChecks = numChecks + 1;
    }
    else
    {
        numChecks = numChecks - 1;
        ix = wtStep.indexOf(chkBox.value);
        if(ix != -1)
        {
	        wtStep[ix] = "";
	    }
    }
    
    // alert("numchecks = " + numChecks);

    if(numChecks <= 0)
    {
    	// Clean up and return
    	numChecks = 0;
    	wtStep = [];
		//document.getElementById(divId).style.visibility = "hidden";
    	return;
    }
    
    var narr = [];
    var k = 0;
    for(var j=0; j<wtStep.length; j++)
    {
        if(wtStep[j] != "")
        {
            narr[k] = wtStep[j];
            k = k+1;
        }
    }
    wtStep = narr.slice(0);
    // alert("narr = " + narr);
    // alert("wtStep = " + wtStep);
    
    var stepValue = (wtStep[0].split("\|"))[0];
    //alert("stepValue = " + stepValue + "\n" +
    //		 "numChecks = " + numChecks);
    if(numChecks > 1)
    {
	    for(var i=1; i<wtStep.length; i++)
    	{
        	var curAct = (wtStep[i].split("\|"))[0];
			if(stepValue == "")
			{
		    	stepValue = (wtStep[i].split("\|"))[0];
		    }
        	if(curAct != "" && curAct != stepValue)
        	{
        		// don't allow any operations - different status on records
		        //document.getElementById(divId).style.visibility = "hidden";
        		return;
        	}
        }
    }
    
    // Enable buttons based on status
    if(stepValue == "1")		// new or modified records
    {
    	if(numChecks == 1)
    	{
		    enableDrugPairAction("wtModify");
		}
		enableDrugPairAction("wtReject");
		enableDrugPairAction("wtReview");
    }
    else if(stepValue == "2")	// reviewed records - 2nd reviewer
    {
    	if(numChecks == 1)
    	{
		    enableDrugPairAction("wtModify");
		}
		enableDrugPairAction("wtReject");
		enableDrugPairAction("wtApprove");
    }
    else if(stepValue == "53")	// reviewed records - 1st reviewer
    {
    	if(numChecks == 1)
    	{
		    enableDrugPairAction("wtModify");
		}
		enableDrugPairAction("wtReject");
    }
    else if(stepValue == "3")	// approved records
    {
		enableDrugPairAction("wtDeleteReview");
    }
    else if(stepValue == "4")	// rejected records
    {
    	if(numChecks == 1)
    	{
		    enableDrugPairAction("wtModify");
		}
		enableDrugPairAction("wtReview");
    }
    else if(stepValue == "5")	// delete reviewed records
    {
        enableDrugPairAction("wtDelete");
        enableDrugPairAction("wtDeleteReject");
    }
    //document.getElementById(divId).style.visibility = "visible";
}

function showHideRows(chkBx,actionStatus) {
	actionStatus = actionStatus.toLowerCase();
	//alert("chkBx value is " + chkBx + ", and actionStatus is " + actionStatus + " ");
	var tableEl = document.getElementById("drugPairsTable");
	if (tableEl != null) {
		var rows = tableEl.rows;
		if (rows != null) {
			var paintAlternate = true;
			var statusCell;
			var statusCellText;
			var cellNum;
			var tableCells = rows[0].cells;
			// Determine which cell has the status 
			for (var c = 0; c < tableCells.length; c++) {
				statusCell = tableCells[c];
				//alert("(for)statusCell.innerText = "+statusCell.innerText);
				if (statusCell != null && statusCell.innerHTML.indexOf("Action Status") >= 0) {
					cellNum = c;
					//alert("statusCell.innerText = " + statusCell.innerText + ", cellNum = " + cellNum);
				}
			}
			for (var j = 0; j < rows.length; j++) {
				tableCells = rows[j].cells;
				statusCell = tableCells[cellNum];
				if (statusCell != null) {
					statusCellText = trim(statusCell.innerText).toLowerCase();
				} 
				else {
					statusCellText = "";
				}
				//alert("statusCell.innerText = " + statusCell.innerText + ", j = " + j + "\n actionStatus = " + actionStatus);
				//if (statusCell != null && statusCell.innerHTML.indexOf(actionStatus) >= 0) {
				if (statusCellText == actionStatus) {
					rows[j].style.display = 'none';
					if (chkBx.checked) {
						rows[j].style.display = '';
					} 
					else {
						rows[j].style.display = 'none';
					}
				}
				//if (paintAlternate) {			
				//	addRollOverToRow(rows[j], "alternateRow");
				//} else {
				//	addRollOverToRow(rows[j], "normalRow");
				//}
				//paintAlternate = !paintAlternate;
			}
		}
	}
	function trim(s) {
		if (s == null) {
			return s;
		}
		var l = 0; var r = s.length - 1;
		//alert("r == " + r + ", and s.length == " + s.length + " ");
		while (l < s.length && isWhitespace(s[l])) {
			l++;
		}
		while(r > l && isWhitespace(s[r])) {
			r--;
		}
		//alert("s.substring(l, r) == " + s.substring(l, r) + ", and l == " + l + ", and r == " + r + " ");
		return s.substring(l, r-1);
	}

	function isWhitespace(s) {
		return (s == " " || s == "\n" || s == "\r" || s == "\t");
	}
}

function getRowCountFdb(){
	var tableFdb = document.getElementById("fdbDrugTable");
	if(tableFdb == null)	{
		return;
	}
	var rows = tableFdb.rows;
	var rowCount = 0;
	if(rows != null){
		for (var j = 0; j < rows.length; j++) {
			if( !(rows[j].style.display == 'none') ) {
				rowCount++;
			}
		}
		alert("Now showing " + (rowCount - 2) + " total records.");
		//alert("Now showing " + (rowCount - 2) + " of " + (rows.length - 2) + " total records.");
	}
}
function selectAllFdb(allChkBox, containerDiv){
	if(document.getElementById(containerDiv) == null){
		return;
	}
	var container = document.getElementById(containerDiv);
	var controls = container.getElementsByTagName('input');
	// Get the user's choice for the maximum number of rows to select
	var maxValue;
	var theRadios = document.getElementsByName('maxRecsFdb');
	for (var i = 0; i < theRadios.length; i++) {
		if (theRadios[i].checked) {
			maxValue = theRadios[i].value;
			//alert("theRadios[" + i + "]is checked. \n The value is " + theRadios[i].value + "\n maxValue is " + maxValue);
		} else {
			//alert("theRadios[" + i + "]is not checked. \n The value is " + theRadios[i].value + "\n maxValue is " + maxValue);
		}
	}
	var rowsToSelect;
	var checksAdded = 0;
	if (controls.length > maxValue) {
		rowsToSelect = maxValue;
	} else {
		rowsToSelect = controls.length;
	}
	if (theRadios[3].checked || !allChkBox.checked) {
		rowsToSelect = controls.length;
	}
	//alert("rowsToSelect == " + rowsToSelect + "\n controls.length == " + controls.length);
	// Store all visible (or maximum number selected) rows with their checkboxes in arrays.
	var i;
	for(i = 0; i < controls.length; i++){
		if(controls[i].type == 'checkbox'){
			if(allChkBox.checked == true){
				controls[i].checked = true;
				checksAdded++;
				if (checksAdded == rowsToSelect){
					i = controls.length;
				}
			}else{
				controls[i].checked = false;
			}
		}
	}
	//alert("i = " + i + ", and controls.length = " + controls.length + "\n checksAdded = " + checksAdded);
}

function checkInput(form) {
	if (form.buttonValue.value == "Cancel") {
		return true;
	}
	var theRadios = document.getElementsByName('drugPairSource');
	var maxValue;
	if (theRadios[0].checked) {
		maxValue = theRadios[0].value;
		//alert("theRadios[0] is checked. \n The value is " + theRadios[0].value);
		var chkBoxes = document.getElementsByName('selectedFdbList');
		for (var i = 0; i < chkBoxes.length; i++) {
			if (chkBoxes[i].checked) {
				return true;
				//alert("chkBoxes[" + i + "]is checked. \n The value is " + chkBoxes[i].value);
			}
		}
		alert("At least one drug pair must be chosen \n before clicking the Customize button.");
		return false;
	}
	if (theRadios[1].checked) {
		maxValue = theRadios[1].value;
		//alert("theRadios[1] is checked. \n The value is " + theRadios[1].value);
		var rtgenid1Obj = document.getElementById('drugPairDTO_rtgenid1');
		//alert("rtgenid1Obj.selectedIndex  is " + rtgenid1Obj.selectedIndex);
		rtgenid1Index = rtgenid1Obj.selectedIndex;

		var rtgenid2Obj = document.getElementById('drugPairDTO_rtgenid2');
		//alert("rtgenid2Obj.selectedIndex  is " + rtgenid2Obj.selectedIndex);
		rtgenid2Index = rtgenid2Obj.selectedIndex;
		if (rtgenid1Index == rtgenid2Index) {
			//alert("Routed Generic #1 and Routed Generic #2 fields cannot be the same value.");
			return false;
		}
		return true;
	}
}

function getRowCount(){
	var tableEl = document.getElementById("drugPairsTable");
	if(tableEl == null)	{
		return;
	}
	var rows = tableEl.rows;
	var rowCount = 0;
	if(rows != null){
		for (var j = 0; j < rows.length; j++) {
			if( !(rows[j].style.display == 'none') ) {
				rowCount++;
			}
		}
		alert("Now showing " + (rowCount - 2) + " of " + (rows.length - 2) + " total records.");
	}
}

// Function to check/uncheck all check boxes when header checkbox is checked/unchecked
function selectAllShowing(allChkBox, containerDiv){
	var tableEl = document.getElementById("drugPairsTable");
	if(tableEl == null)	{
		return;
	}
	if(document.getElementById(containerDiv) == null){
		return;
	}
	var rows = tableEl.rows;
	var container = document.getElementById(containerDiv);
	var controls = container.getElementsByTagName('input');
	if(rows != null){
		var statusCell;
		var cellNum;
		var tableCells = rows[0].cells;
		// Determine which cell has the status 
		for (var c = 0; c < tableCells.length; c++) {
			statusCell = tableCells[c];
			if (statusCell != null && statusCell.innerHTML.indexOf("Action Status") >= 0) {
				cellNum = c;
			}
		}
		if (statusPresent == 0){
			cellNum = 0;
		}
		// Get the user's choice for the maximum number of rows to select
		var maxValue;
		var theRadios = document.getElementsByName('maxRecs');
		for (var i = 0; i < theRadios.length; i++) {
			if (theRadios[i].checked) {
				maxValue = theRadios[i].value;
				//alert("theRadios[" + i + "]is checked. \n The value is " + theRadios[i].value + "\n maxValue is " + maxValue);
			} else {
				//alert("theRadios[" + i + "]is not checked. \n The value is " + theRadios[i].value + "\n maxValue is " + maxValue);
			}
		}
		var rowsToSelect;
		var checksAdded = 0;
		if (rows.length > maxValue) {
			rowsToSelect = maxValue;
		} else {
			rowsToSelect = rows.length;
		}
		if (theRadios[2].checked || !allChkBox.checked) {
			rowsToSelect = rows.length;
		}
		//alert("rowsToSelect == " + rowsToSelect + "\n rows.length == " + rows.length);
		// Store all visible (or maximum number selected) rows with their checkboxes in arrays.
		var count = 0;
		for (var j = 1; j < rows.length; j++) {
			if( !(rows[j].style.display == 'none') ) {
				tableCells = rows[j].cells;
				statusCell = tableCells[cellNum];
				if (statusCell != null) {
					//alert(statusCell.innerText+", j== "+j);
					while (controls[count].type != "checkbox" && count <= controls.length) {
						count++;
					}
					if(allChkBox.checked){
						//alert("in if(true) test of allChkBox checked, j = "+j+"\n rowsToSelect = "+rowsToSelect);
						controls[count].checked = true;
						checksAdded++;
						showButtons(controls[count], containerDiv);
						if (checksAdded == rowsToSelect){
							//alert("checksAdded = " + checksAdded);
							j = rows.length;
						}
					}else{
						//alert("in if(false) test of allChkBox checked, j = "+j+"\n rowsToSelect = "+rowsToSelect);
						controls[count].checked = false;
						disableDrugPairButtons();
						numChecks = 0;
						wtStep = [];
					}
				}
			}
			count++;
		}
	}
}

function selectAll(allChkBox, containerDiv){
	if(document.getElementById(containerDiv) == null){
		return;
	}
	var container = document.getElementById(containerDiv);
	var controls = container.getElementsByTagName('input');
	var i;
	for(i = 0; i < controls.length; i++){
		if(controls[i].type == 'checkbox'){
			controls[i].checked = allChkBox.checked;
			if(containerDiv == 'drugPairsContainer'){
				showButtons(controls[i], containerDiv);
			}
		}
	}
}

// stripes a table with alternating row colors and adds a onmouse over effect
// to highlight the row the user hovers over
function stripeTable()
{
	function highlightRow() {
		this.className = "highlightedRow";
	}
	
	function resetRow() {
		this.className = this.originalClassName;
	}

	function addRollOverToRow(row, rowClassName) {
		rows[j].className = rowClassName;
		rows[j].originalClassName = rowClassName;
		rows[j].onmouseover = highlightRow;
		rows[j].onmouseout = resetRow;
	}
	
	var tableEl = document.getElementById("drugPairsTable");
	if(tableEl != null)
	{
		var rows = tableEl.rows;
		if(rows != null)
		{
			for (var j = 0; j < rows.length; j++) {
				if (j % 2 == 0) {			
					addRollOverToRow(rows[j], "alternateRow");
				} else {
					addRollOverToRow(rows[j], "normalRow");
				}				
			}
		}
	}
}

function toggleHeader()
{
	// Toggle + and - images
	var linkEl = $(this.id).firstDescendant();
	
	if (linkEl.className == "opened") {
		linkEl.className = "closed";
	} else {
		linkEl.className = "opened";
	}
	
	// Show or Hide section
	
	// remove the hdr_ prefix
	var toggleID = this.id.substring("hdr_".length, this.id.length);
	
	if ($(toggleID).className == "show") {
		// hide it
		$(toggleID).className = "hide";
	} else {
		// show it
		$(toggleID).className = "show";
	}
}

function toggleHeaders()
{
	// make all the h2 headers inside forms toggalable
	var h2List = $$("#content form h2");
		
	for (var i = 0; i < h2List.length; i++)
	{
		h2List[i].onclick = toggleHeader;
	}
}

function initToggleBehavior()
{
	// Open all be default
	$("hdr_createDrugPairs").onclick();
	$("hdr_modifyDrugPairs").onclick();
	return;
}


// uses the tablekit api
function makeTableSortable()
{
	// set Table kit options
 	TableKit.options.resizable = false;
	TableKit.options.stripe = true;
	if (document.getElementById("drugPairsTable") != null)
	{
		TableKit.Sortable.init($("drugPairsTable"), {});
	}		
	if (document.getElementById("fdbDrugTable") != null)
	{
		TableKit.Sortable.init($("fdbDrugTable"), {});
	}		
}

function toggleSource()
{
    var fdbId = "fdbDrugs";
    var genId = "genericDrugs";
    var radioButtons = $('createDrugPairsForm').getInputs('radio', 'drugPairSource');
    for (var i = 0; i < radioButtons.length; i++)
    {
      if (radioButtons[i].checked)
      {
        if (radioButtons[i].value == "fdb")
	    {
          // show fdb
          $(fdbId).className = "show";
          $(genId).className = "hide";
        }
	    else
	    {
          // show generic
          $(fdbId).className = "hide";
          $(genId).className = "show";
	    }
      }
    }
}

function drugPairSourceInit()
{
      var table = $("drugPairSourceTable");
      if(table != null)
      {
	      for (var i = 0; i < table.rows.length; i++)
	      {
	        var cell = table.rows[i].cells[0];
	        
	        Element.extend(cell);
	          
	        // add onclick event to radio button
	        cell.firstDescendant().onclick = toggleSource; 
	      }
      }
      toggleSource();
}

var statusPresent;
function init()
{
	// add toggle behavior to headers
	toggleHeaders();

	// run the initial open/close behavior for the toggalable headers
	// initToggleBehavior();

    drugPairSourceInit();
    stripeTable();
	makeTableSortable();
	saveOriginalButtonClassNames();

	// Show or hide Action Status checkboxes if Action Status column is not present
	var tableEl = document.getElementById("drugPairsTable");
	if(tableEl != null)
	{
		var rows = tableEl.rows;
		if(rows != null)
		{
			var statusCell;
			statusPresent = 0;
			var tableCells = rows[0].cells;
			// Determine if any cell has Action Status 
			for (var c = 0; c < tableCells.length; c++) {
				statusCell = tableCells[c];
				if (statusCell != null && statusCell.innerHTML.indexOf("Action Status") >= 0) {
					statusPresent++;
				}
				//alert("statusCell.innerText = "+statusCell.innerText+", statusPresent = "+statusPresent);
			}
			if (statusPresent == 0){
				var asTable = document.getElementById("statusTypeSelectTable");
				if(asTable != null){
					var asRows = asTable.rows;
					if(asRows != null){
						for (var c = 0; c < asRows.length; c++) {
							asRows[c].style.display = 'none';
						}
					}
				}
			}
		}
	}
}

Event.observe(window, "load", init);