var DDI_FOR_SINGLE_DRUG_URL = "/ct/pecs/search/ddiforsingledrug";
var DISPENSIBLE_GENERIC_RESULTS_URL = "/ct/pecs/search/dispensable/critera";
var DOSE_RANGE_URL = "/ct/pecs/search/doserange";
var DDI_MONO_DT_URL = "/ct/pecs/search/multipleconcept";
var FIND_DRUGS_BY_IDS = "/ct/pecs/drugSearch/findDrugsByIds";
var DESPG = createArgs(DDI_FOR_SINGLE_DRUG_URL, ddiForSingleDrug);
var DDIDT = createArgs(DDI_MONO_DT_URL, multipleConcept);
var DOSER = createArgs(DOSE_RANGE_URL, doseRange);
var formhasData = false;

dojo.require("dojo.hash");
dojo.ready(function() {
	var selectBox = dojo.byId("conceptSelection");

	var hash = dojo.hash();
	var hashObject = dojo.queryToObject(hash);
	//console.log(hash);
	//console.log(hashObject);
	if (hash != "") {
		var selectOnLoad = getSelected(selectBox);
		var selected = hashObject.selected;
		if (selectOnLoad == "") {
			setSelected(selectBox, selected);

		}
		// Maybe Else Needed
		var deffered = dojo.xhrGet(eval(selected));

		deffered.then(function() {
			if (selected == "DDIDT") {
				setFormFromHashDDIDT(hashObject);
			}
			if (selected == "DESPG") {
				setFormFromHashDESPG(hashObject);
			}
			if (selected == "DOSER") {
				setFormFromHashDOSER(hashObject);
			}
		});

	}

	dojo.connect(selectBox, "onchange", null, function(event) {
		selected = getSelected(selectBox);
		if (selected != "") {
			dojo.xhrGet(eval(selected));
		}

	});

});

function setFormFromHashDDIDT(hash) {

	var ddiCheckBox = dojo.byId("drugdruginteraction");
	dojo.connect(ddiCheckBox, "onclick", null, "displaySeverityLevel");
	setupMultipleConcept();
	if (hash.ddiSelected) {
		dojo.byId("drugdruginteraction").click();
	}
	if (hash.dtSelected) {
		dojo.byId("duplicatetherapy").click();
	}
	var drug = dojo.byId("drug");
	drug.value = hash.drug;

	dojo.xhrPost(getDispensableGenericArgs(drug));
	var drugSelect = dojo.byId("drugs");
	var select = dojo.byId("selectedDrugsList");
	var drugs = hash.prospectiveDrugList;
	var xhrArgs = {
		url : FIND_DRUGS_BY_IDS + "?drugs=" + drugs,
		handleAs : "json",
		load : function(data) {
			dojo.forEach(data, function(item) {
				var option = new Option();
				option.value = item.value;
				option.text = item.label;
				select.add(option);
				
				var options = drugSelect.options;
				for(var i =0; i < options.length; i++){
				    if (option.value == options[i].value){
				        drugSelect.remove(i);
				    }
				}
				enableWhenSelectedDrugsArePresent();
			});
		}

	};
	dojo.xhrGet(xhrArgs);

	dojo.byId(hash.ddiSeverityLevel).checked = true;
}

function setFormFromHashDESPG(hash) {
	//console.log(hash);
	var group = document.forms["drugSearchForm"].severityLevel;
	setSelectedRadio(group, hash.severityLevel);
	dojo.xhrPost(getDispensableGenericArgs(drug));

}
function setFormFromHashDOSER(hash) {

	// set the drug to be searched and populate the the box
	var drug = dojo.byId("drug");
	drug.value = hash.drug;
	dojo.byId("submit").click();

	setSelected(dojo.byId("drugs"), hash.drugs);
	drugDoseRangeChecked();
	setSelected(dojo.byId("conceptDRSelection"), hash.doseTypeSelection);
	setSelected(dojo.byId("doseRouteSelection"), hash.doseRouteSelection);
	dojo.byId("columnValueAge").value = hash.doseAgeDays;
	dojo.byId("columnValueWeight").value = hash.doseWeight;
	dojo.byId("columnValueHeight").value = hash.doseHeight;

	setSelected(dojo.byId("demographicWeightSelection"),
			hash.demographicWeightSelection);
	setSelected(dojo.byId("demographicHeightSelection"),
			hash.demographicHeightSelection);

	dojo.byId("singleDose").value = hash.singleDose;
	setSelected(dojo.byId("doseUnitSelection"), hash.doseUnitSelection);
	setSelected(dojo.byId("doseRateUnitSelection"), hash.doseRateUnitSelection);

	dojo.byId("frequency").value = hash.frequency;
	submitForDoseRangeBSA();
}

/**
 * pass in a radio button group and the function will return the selected option
 * object. null if nothing is selected
 */
function getSelectedRadio(group) {
	for ( var i = 0; i < group.length; i++) {
		if (group[i].checked) {
			return group[i];
		}
	}
	return null;
}
/**
 * pass in a radio button group and a value and the function will check the box
 * associated with that value
 */
function setSelectedRadio(group, value) {
	for ( var i = 0; i < group.length; i++) {
		if (group[i].value == value) {
			group[i].checked = true;
			return;
		}
	}
}

function setSelected(selectBox, value) {
	var options = selectBox.options;

	for ( var i = 0; i < options.length; i++) {
		//console.log(options[i].value + "=" + value);
		if (options[i].value == value) {
			options[i].selected = true;
			return;
		}
	}
}
function getSelected(selectBox) {
	var selectedIndex = selectBox.options.selectedIndex;
	var selected = selectBox.options[selectedIndex].value;
	return selected;
}

function hasValue(id) {
	var inputValue = dojo.byId(id);
	if (inputValue != null) {
		if (inputValue.value != "") {
			return true;
		}
	}
	return false;
}

function hasSelectedItem(id) {
	var select = dojo.byId(id);
	if (select != null) {
		if (select.options.length == 0 || select.selectedIndex == -1) {
			return false;
		}
		if (select.options[select.selectedIndex].value != "") {
			return true;
		}
	}
	return false;
}

function ddiForSingleDrug(data) {
	data = dojo.trim(data);

	dojo.byId("querySection").innerHTML = data;
	var form = dojo.byId("drugSearchForm");

	dojo.connect(form, "onsubmit", null, function(event) {
		event.preventDefault();
		if (!hasValue("drug")) {
			alert("Please enter a drug to search.");
			return;
		}
		var submitArgs = getDispensableGenericArgs(dojo.byId("drug"));

		var deferred = dojo.xhrPost(submitArgs);
		deferred.then(function(value) {

		});

	});

	var dispensableGenericForm = dojo.byId("dispensableGenericForm");
	dojo.connect(dispensableGenericForm, "onsubmit", null, "submitReportForm");
}

function getDispensableGenericArgs(drug) {
	// replace all special characters with spaces
	var filteredDrugValue = drug.value.replace(/[^a-zA-Z0-9]/g,' ');
	var dispensableGenericsArgs = {
		url : DISPENSIBLE_GENERIC_RESULTS_URL + "/" + filteredDrugValue,
		handleAs : "json",
		sync : true,
		load : function(data) {
			var select = dojo.byId("drugs");
			select.options.length = 0;
			if (data.length == 0) {
				alert("There are no results for the chosen drug.");
				return;
			}
			dojo.forEach(data, function(item) {
				var option = new Option();
				option.value = item.id.type + "|" + item.id.value;
				option.text = item.uiLabel;
				select.add(option);

			});

		}
	};
	return dispensableGenericsArgs;
}

function submitReportForm(event) {

	var drug = dojo.byId("drug");
	if (!hasValue(drug)) {
		alert("Please search and select a drug.");
		event.preventDefault();
		return;
	}

	var group = document.forms["drugSearchForm"].severityLevel;
	var selected = getSelectedRadio(group);
	dojo.byId("submittedSeverity").value = selected.value;

	if (!hasValue("drugs") || !hasSelectedItem("drugs")) {
		alert("Please select a drug prior to generating an Interaction for Single Drug Report.");
		event.preventDefault();
		return;
	}
	dojo.byId("submittedDrug").value = getSelected(dojo.byId("drugs"));
	var drugSearchForm = dojo.formToQuery(dojo.byId("drugSearchForm"));

	dojo.hash(drugSearchForm);

}

function createArgs(url, method) {
	var xhrArgs = {
		url : url,
		handleAs : "text",
		load : method

	};
	return xhrArgs;
}

function doseRange(data) {
	data = dojo.trim(data);

	dojo.byId("querySection").innerHTML = data;
	var doseRangeForm = dojo.byId("doseRangeForm");

	var submitButton = dojo.byId("submit");
	dojo.connect(submitButton, "onclick", null, function(event) {
		event.preventDefault();
		var drug = dojo.byId("drug");
		var queryArgs = getDispensableGenericArgs(drug);
		dojo.xhrPost(queryArgs);

	});

	var drugs = dojo.byId("drugs");
	dojo.connect(drugs, "onchange", null, "drugDoseRangeChecked");
	dojo.connect(doseRangeForm, "onsubmit", null, "submitSingleDoseRange");
}

function multipleConcept(data) {

	data = dojo.trim(data);
	dojo.byId("querySection").innerHTML = data;

	/* Add functionality drug interaction check box */
	var ddiCheckBox = dojo.byId("drugdruginteraction");
	dojo.connect(ddiCheckBox, "onclick", null, "displaySeverityLevel");

	setupMultipleConcept();

	/* Add functionality drug search submit button */

	var submit = dojo.byId("submit");
	dojo.connect(submit, "onclick", null, "submitSingleDrugForm");

	var drug = dojo.byId("drug");
	dojo.connect(drug, "onkeypress", null, "enterKeyPressedEvent");

	var form = dojo.byId("multipleConceptForm");
	dojo.connect(form, "onsubmit", null, "submitMultipleConcept");

};

function enterKeyPressedEvent(event) {
	//console.log(event.charOrCode);
	switch (event.charOrCode) {
	case dojo.keys.ENTER:
		if (!submitSingleDrugForm(event)) {
			break;
		}
	default:
	}
}

function submitSingleDrugForm(event) {
	event.preventDefault();
	var drug = dojo.byId("drug");
	if (dojo.trim(drug.value) == "") {
		alert("Please enter a drug to search.");
		event.preventDefault();
		return false;
	}
	var queryArgs = getDispensableGenericArgs(drug);
	var deferred = dojo.xhrPost(queryArgs);
	deferred.then(function(value) {
		var drugs = dojo.byId("drugs");
		drugs.scrollTop = 0;
	});
}

function setupMultipleConcept() {
	/* Determine if add buttons should be enabled */
	var drugs = dojo.byId("drugs");
	dojo.connect(drugs, "onchange", null, "enableWhenDrugsSearchedAreSelected");

	/* Add functionality add button */
	var addToButton = dojo.byId("addButton");
	dojo.connect(addToButton, "onclick", null, "addToSelectedDrugs");

	/* Determine if other buttons should be enabled */
	var drugsSelected = dojo.byId("selectedDrugsList");
	dojo.connect(drugsSelected, "onchange", null,
			"enableWhenSelectedDrugsAreSelected");
	dojo.connect(drugsSelected, "onchange", null,
			"enableWhenSelectedDrugsArePresent");

	/* Add functionality remove button */
	var removeFromButton = dojo.byId("removeButton");
	dojo.connect(removeFromButton, "onclick", null, "removeFromSelectedDrugs");

	/* Add functionality removeAll button */
	var removeAllButton = dojo.byId("removeAll");
	dojo
			.connect(removeAllButton, "onclick", null,
					"removeAllFromSelectedDrugs");
}

function submitMultipleConcept(event) {

	if (!validateMultipleConcepts(event)) {
		return;
	}
	;
	deselectSearchResultsList();
	selectAllDrugsToCheck();

	// ******************************************************
	formhasData = true;
	var selectBox = dojo.byId("conceptSelection");
	var selected = "selected" + "=" + getSelected(selectBox);
	var multiForm = dojo.formToQuery(dojo.byId("multipleConceptForm"));
	dojo.hash(selected + "&" + multiForm);

	//console.log(dojo.hash());

}

function validateMultipleConcepts(event) {
	var drugsToCheck = dojo.byId("selectedDrugsList");
	var drugDrugInteraction = dojo.byId("drugdruginteraction");
	var duplicateTherapy = dojo.byId("duplicatetherapy");

	if (!drugDrugInteraction.checked && !duplicateTherapy.checked) {
		alert("Please select an Information Type before continuing.");
		event.preventDefault();
		return false;
	}
	if (drugDrugInteraction.checked) {
		if (drugsToCheck.length < 2) {
			alert("Please select at least 2 drugs prior to submitting a Drug-Drug Interaction search.");
			event.preventDefault();
			return false;
		}
	}
	if (duplicateTherapy.checked) {
		if (drugsToCheck.length < 1) {
			alert("Please select a drug prior to submitting a Duplicate Therapy search.");
			event.preventDefault();
			return false;
		}
	}
	return true;
}

function displaySeverityLevel() {
	var display = "block";
	if (!dojo.byId("drugdruginteraction").checked) {
		display = "none";
	}
	dojo.byId("ddiSeverityLevelList").style.display = display;
}

function addToSelectedDrugs(event) {
	event.preventDefault();
	moveSelectedItems('drugs', 'selectedDrugsList', false);
};

function removeFromSelectedDrugs(event) {
	event.preventDefault();
	moveSelectedItems('selectedDrugsList', 'drugs', false);
};

function removeAllFromSelectedDrugs(event) {
	event.preventDefault();
	moveAllItems('selectedDrugsList', 'drugs');
}

function enableWhenDrugsSearchedAreSelected() {

	var drugsSearched = dojo.byId("drugs");
	var addButton = dojo.byId("addButton");

	if (drugsSearched != null && addButton != null) {
		if (drugsSearched.selectedIndex != -1) {
			addButton.disabled = false;
			return;
		}
		addButton.disabled = true;
	}

}

function enableWhenSelectedDrugsAreSelected() {
	var selectedDrugs = dojo.byId("selectedDrugsList");
	var removeButton = dojo.byId("removeButton");

	if (selectedDrugs != null && removeButton != null) {
		if (selectedDrugs.selectedIndex > -1) {
			removeButton.disabled = false;
			return;
		}
		removeButton.disabled = true;
	}
};

function enableWhenSelectedDrugsArePresent() {
	var selectedDrugs = dojo.byId("selectedDrugsList");
	var submitButton = dojo.byId("easySearchSubmit");
	var removeAllButton = dojo.byId("removeAll");

	if (selectedDrugs != null && submitButton != null
			&& removeAllButton != null) {
		if (selectedDrugs.options.length > 0) {
			submitButton.disabled = false;
			removeAllButton.disabled = false;

			return;
		}
	}
	submitButton.disabled = true;
	removeAllButton.disabled = true;
};

/**
 * Moves selected items from ctrlSource to ctrlTarget. If ctrlTarget is named
 * 'selectedDrugsList', a user is only allowed to move 10 items into that list.
 * 
 * @param ctrlSource
 * @param ctrlTarget
 */
function moveSelectedItems(ctrlSource, ctrlTarget, ignoreDuplicates) {

	var source = dojo.byId(ctrlSource);
	var target = dojo.byId(ctrlTarget);

	if ((source != null) && (target != null)) {
		while (source.options.selectedIndex >= 0) {
			var newOption = new Option();
			newOption.text = source.options[source.options.selectedIndex].text;
			newOption.value = source.options[source.options.selectedIndex].value;

			if (ctrlTarget == 'selectedDrugsList') {
				if (target.length >= 10) {
					alert("Drugs To Check can only contain a maximum of 10 drugs.");
					break;
				}
			}
			if (targetContainsOption(target, newOption) && !ignoreDuplicates) {
				alert("This product, " + newOption.text
						+ ", cannot be added a second time.");
			} else {
				target.options[target.length] = newOption;
			}
			source.remove(source.options.selectedIndex);
		}
		enableWhenDrugsSearchedAreSelected();
		enableWhenSelectedDrugsAreSelected();
		enableWhenSelectedDrugsArePresent();
	}
}

/**
 * Function to remove all options from the ctrlSource listbox to the ctrlTarget
 * listbox.
 * 
 * @param ctrlSource
 * @param ctrlTarget
 */
function moveAllItems(ctrlSource, ctrlTarget) {
	var source = dojo.byId(ctrlSource);
	var target = dojo.byId(ctrlTarget);

	if ((source != null) && (target != null)) {
		while (source.options.length > 0) {
			var newOption = new Option();
			newOption.text = source.options[0].text;
			newOption.value = source.options[0].value;

			if (!targetContainsOption(target, newOption)) {
				target.options[target.length] = newOption;
			}
			source.remove(0);
		}
		enableWhenDrugsSearchedAreSelected();
		enableWhenSelectedDrugsAreSelected();
		enableWhenSelectedDrugsArePresent();
	}
}

function deselectSearchResultsList() {
	var drugsToCheck = dojo.byId("drugs").options;
	dojo.forEach(drugsToCheck, function(entry) {
		entry.selected = false;
	});
}

function selectAllDrugsToCheck() {
	var drugsToCheck = dojo.byId("selectedDrugsList").options;
	dojo.forEach(drugsToCheck, function(entry) {
		entry.selected = true;
	});
}

/**
 * Checks to see if the target Select contains the option value. If so, a false
 * value is returned. If not, a true value is returned.
 * 
 * @param target
 * @param option
 * @returns {Boolean}
 */
function targetContainsOption(target, option) {
	for ( var i = 0; i < target.length; i++) {
		if (option.value == target.options[i].value) {
			return true;
		}
	}
	return false;
}

/* Function to support the submit of a single drug for dose range easy search. */
function submitSingleDoseRange(event) {

	/* Verify the required fields are populated or selected. */
	if (!hasValue("idValue") || !hasSelectedItem("conceptDRSelection")
			|| !hasSelectedItem("doseRouteSelection")
			|| !hasSelectedItem("doseUnitSelection")
			|| !hasValue("columnValueAge") || !hasValue("columnValueWeight")
			|| !hasValue("columnValueHeight") || !hasValue("singleDose")
			|| !hasValue("frequency")) {
		alert("All fields are required except Dose Rate Unit.");
		event.preventDefault();
		return;
	}
	var query = dojo.formToQuery(dojo.byId("doseRangeForm"));

	// ******************************************************
	var selectBox = dojo.byId("conceptSelection");
	var selected = "selected=" + getSelected(selectBox);
	dojo.hash(selected + "&" + query);
	// *************************************************************

	//console.log(dojo.hash());
}

function drugDoseRangeChecked() {
	var criteria = dojo.byId("drugs");
	if (criteria.value.length > 0) {
		var xhrArgs = {
			url : "/ct/pecs/drugSearch/drugForDoseRangeChecked?criteria="
					+ criteria.value,
			handleAs : "json",
			sync : true,
			load : function(data) {
				if (dojo.isString(data)) {
					if (data.indexOf("LoginForm") > -1) {
						parent.location = "/ct/login/login.jsp";
					}
				}
			},
			error : function(error) {
				alert("An unexpected error occurred: " + error.message);
			}
		};
		// Call xhrGet
		var deferred = dojo.xhrGet(xhrArgs);
		deferred.then(function(data) {
			var searchResults = dojo.byId("drDoseRangeSelection");
			searchResults.innerHTML = data.uiLabel;
			
			var doseType = searchForDoseType(data.id.value, data.id.type);
			var doseRoute = searchForDoseRoute(data.id.value, data.id.type);
			var doseUnits = searchForDoseUnits(data.id.value, data.id.type);

			if (doseType.length > 0
					|| doseRoute.length > 0
					|| doseUnits.length > 0) {
				displayConsolidatedErrorMessage(doseType, doseRoute, doseUnits);
			}
			
			dojo.byId("idValue").value = data.id.value;
			dojo.byId("idType").value = data.id.type;
			if (isInputEmpty("columnValueHeight")
					&& isInputEmpty("columnValueWeight")
					&& isInputEmpty("columnValueAge")) {
				dojo.byId("defaultBSA").checked = true;
				addDefaultBSA(null);
			}
			if (isInputEmpty("singleDose")) {
				dojo.byId("singleDose").value = "1";
			}
			if (isInputEmpty("frequency")) {
				dojo.byId("frequency").value = "1";
			}
			dojo.query(".bsaField")
					.connect("onchange", "submitForDoseRangeBSA");
			dojo.connect(dojo.byId("defaultBSA"), "onclick", null,
					"addDefaultBSA", null);

		});

	} else {
		alert("A drug or partial drug name must be entered before searching.");
	}
}

function searchForDoseRangeDrugs() {
	var criteria = dojo.byId("drugs");
	if (criteria.value.length > 0) {
		var xhrArgs = {
			url : "/ct/pecs/drugSearch/findDrugs?criteria=" + criteria.value,
			handleAs : "json",
			sync : true,
			load : function(data) {
				if (dojo.isString(data)) {
					if (data.indexOf("LoginForm") > -1) {
						parent.location = "/ct/login/login.jsp";
					}
				}
				var searchResults = dojo.byId("drugSearchDRResultsList");
				searchResults.options.length = 0;
				if (data.length > 0) {
					dojo
							.forEach(
									data,
									function(entry, i) {
										var text = entry.uiLabel;
										var value = entry.id.valueAsString;
										searchResults.options[searchResults.options.length] = new Option(
												text, value);
									});
				} else {
					alert("No drugs that match the search criteria were found.");
				}
			},
			error : function(error) {
				alert(error.message);
			}
		};
		// Call xhrGet
		dojo.xhrGet(xhrArgs);
	} else {
		alert("A drug or partial drug name must be entered before searching.");
	}
}

function searchForDoseRoute(id, type) {
	// if DoseRoute is found return true. If not, return false
	var result = "";
	var criteria = dojo.byId("drugs");
	if (criteria.value.length > 0) {
		var xhrArgs = {
			url : "/ct/pecs/drugSearch/getDoseRoutes/" + id + "/" + type,
			handleAs : "json",
			sync : true,
			load : function(data) {
				if (dojo.isString(data)) {
					if (data.indexOf("LoginForm") > -1) {
						parent.location = "/ct/login/login.jsp";
					}
				}
				var searchResults = dojo.byId("doseRouteSelection");
				searchResults.options.length = 0;
				if (data != null && data.length > 0) {
					dojo.forEach(data, function(entry, i) {
						var text = entry.name;
						var value = entry.code;
						searchResults.options[i] = new Option(text, value);
					});
				} else {
					result = "Could not retrieve dose route \n";
				}
			},
			error : function(error) {
				alert(error.message);
			}
		};
		// Call xhrGet
		dojo.xhrGet(xhrArgs);
	} else {
		alert("A drug or partial drug name must be entered before searching.");
	}
	return result;
}

function searchForDoseUnits(id, type) {
	// if DoseUnits is found return true. If not, return false
	var result = "";
	var criteria = dojo.byId("drugs");
	if (criteria.value.length > 0) {
		var xhrArgs = {
			url : "/ct/pecs/drugSearch/getDoseUnits/" + id + "/" + type,
			handleAs : "json",
			sync : true,
			load : function(data) {
				if (dojo.isString(data)) {
					if (data.indexOf("LoginForm") > -1) {
						parent.location = "/ct/login/login.jsp";
					}
				}
				var searchResults = dojo.byId("doseUnitSelection");
				searchResults.options.length = 0;
				if (data != null && data.length > 0) {
					dojo.forEach(data, function(entry, i) {
						var text = entry.name;
						var value = entry.code;
						searchResults.options[i] = new Option(text, value);
					});
				} else {
					result = "Could not retrieve dose units \n";
				}
			},
			error : function(error) {
				alert(error.message);
			}
		};
		// Call xhrGet
		dojo.xhrGet(xhrArgs);
	} else {
		alert("A drug or partial drug name must be entered before searching.");
	}
	return result;
}

function searchForDoseType(id, type) {
	// if DoseType is found return true. If not, return false
	var result = "";
	var criteria = dojo.byId("drugs");
	if (criteria.value.length > 0) {
		var xhrArgs = {
			url : "/ct/pecs/drugSearch/getDoseTypes/" + id + "/" + type,
			handleAs : "json",
			sync : true,
			load : function(data) {
				if (dojo.isString(data)) {
					if (data.indexOf("LoginForm") > -1) {
						parent.location = "/ct/login/login.jsp";
					}
				}
				var searchResults = dojo.byId("conceptDRSelection");
				searchResults.options.length = 0;
				if (data != null && data.length > 0) {
					dojo.forEach(data, function(entry, i) {
						var text = entry.name;
						var value = entry.code;
						searchResults.options[i] = new Option(text, value);
					});
				} else {
					result = "Could not retrieve dose type \n";
				}
			},
			error : function(error) {
				alert("An unexpected error occurred: " + error.message);
			}
		};
		// Call xhrGet
		dojo.xhrGet(xhrArgs);
	} else {
		alert("A drug or partial drug name must be entered before searching.");
	}
	return result;
}

/*
 * Checks to see if the control with the given name has a value entered. If not,
 * true is returned. Otherwise, false is returned.
 */
function isInputEmpty(control) {
	var input = dojo.byId(control);
	if (input != null) {
		if (input.value == "") {
			return true;
		}
	}
	return false;
}

function addDefaultBSA(event) {
	var height = dojo.byId("columnValueHeight");
	var weight = dojo.byId("columnValueWeight");
	var age = dojo.byId("columnValueAge");
	var heightUnits = dojo.byId("demographicWeightSelection");
	var weightUnits = dojo.byId("demographicHeightSelection");

	if (event != null) {
		event.preventDefault();
	}
	height.value = 180;
	heightUnits.value = "KG";
	weight.value = 80;
	weightUnits.value = "CM";
	age.value = 30;
	submitForDoseRangeBSA(null);
}

function submitForDoseRangeBSA(event) {

	var height = dojo.byId("columnValueHeight").value;
	var weight = dojo.byId("columnValueWeight").value;
	var age = dojo.byId("columnValueAge");

	if (age.value.length > 0 && height.length > 0 && weight.length > 0) {
		var weightUnits = dojo.byId("demographicWeightSelection").value;
		var heightUnits = dojo.byId("demographicHeightSelection").value;
		//console.log(weightUnits);
		if (weightUnits == "LB") {
			weight = weight / 2.20462262185;
		}
		if (heightUnits == "IN") {
			height = height * 2.54;
		}
		//console.log(height);
		//console.log(weight);
		var answer = Math.pow(weight, 0.425) * Math.pow(height, 0.725)
				* 0.007184;

		var searchResults = dojo.byId("doseBSA");
		searchResults.innerHTML = Math.round(100 * answer) / 100;
		dojo.byId("bsa").value = Math.round(100 * answer) / 100;
		return false;
	}
}

function displayConsolidatedErrorMessage(doseType, doseRoute, doseUnits) {
	alert("Record not found. \n" + doseType + doseRoute + doseUnits
			+ "A query cannot be executed for this selected Drug.");
}
