SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Constraints_Only" FROM DUAL;

ALTER TABLE CTSTAGING.CLINICAL_EFFECT
	ADD CONSTRAINT  PK_CLINICAL_EFFECT PRIMARY KEY (CLINICAL_EFFECT_ID) USING INDEX CTSTAGING.XPKCLINICAL_EFFECT    ;

ALTER TABLE CTSTAGING.COMPARISON_REPORT_CONCEPT
	ADD CONSTRAINT  PKCOMPARISON_REPORT_CONCEPT PRIMARY KEY (COMPARISON_REPORT_CONCEPT_ID) USING INDEX CTSTAGING.XPKCOMPARISON_REPORT_CONCEPT    ;

ALTER TABLE CTSTAGING.COMPARISON_REPORT_CONCEPT
ADD CONSTRAINT  XAK1COMPARISON_REPORT_CONCEPT UNIQUE (CODE) USING INDEX CTSTAGING.XAK1COMPARISON_REPORT_CONCEPT;

ALTER TABLE CTSTAGING.CT_USERS_VA
	ADD CONSTRAINT  PK_CT_USERS_VA PRIMARY KEY (CT_USERS_VA_ID) USING INDEX CTSTAGING.XPKCT_USERS_VA   ;

ALTER TABLE CTSTAGING.CT_VERSION_VA
	ADD CONSTRAINT  PK_CT_VERSION_VA PRIMARY KEY (CT_VERSION_KEY) USING INDEX CTSTAGING.XPKCT_VERSION_VA    ;

ALTER TABLE CTSTAGING.CUSTOM_UPDATE_FILE_VA
	ADD CONSTRAINT  PK_CUSTOM_UPDATE_FILE_VA PRIMARY KEY (CUSTOM_UPDATE_FILE_VA_ID) USING INDEX CTSTAGING.XPKCUSTOM_UPDATE_FILE_VA   ;

ALTER TABLE CTSTAGING.DOSE_ROUTE
	ADD CONSTRAINT  PK_DOSE_ROUTE PRIMARY KEY (DOSE_ROUTE_ID) USING INDEX CTSTAGING.XPKDOSE_ROUTE    ;

ALTER TABLE CTSTAGING.DOSE_TYPE
	ADD CONSTRAINT  PK_DOSE_TYPE PRIMARY KEY (DOSE_TYPE_ID) USING INDEX CTSTAGING.XPKDOSE_TYPE    ;

ALTER TABLE CTSTAGING.DOSE_UNIT_TYPE
	ADD CONSTRAINT  PK_DOSE_UNIT_TYPE PRIMARY KEY (DOSE_UNIT_TYPE_ID) USING INDEX CTSTAGING.XPKDOSE_UNIT_TYPE    ;

ALTER TABLE CTSTAGING.DUPLICATE_ALLOWANCE ADD (
  CONSTRAINT PK_DUPLICATE_ALLOWANCE
  PRIMARY KEY
  (DUPLICATE_ALLOWANCE_ID)
  USING INDEX CTSTAGING.XPKDUPLICATE_ALLOWANCE
  ENABLE VALIDATE);

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA ADD (
  CONSTRAINT FK_DUPALLOW_DUPLTHERAPY 
  FOREIGN KEY (CUSTOM_DUP_ALLOWANCE_ID) 
  REFERENCES CTSTAGING.DUPLICATE_ALLOWANCE (DUPLICATE_ALLOWANCE_ID)
  ENABLE VALIDATE);

ALTER TABLE CTSTAGING.EASY_SEARCH_SELECT_TYPE
	ADD CONSTRAINT  PK_EASY_SEARCH_SELECT_TYPE PRIMARY KEY (EASY_SEARCH_SELECT_TYPE_ID) USING INDEX CTSTAGING.XPKEASY_SEARCH_SELECT_TYPE    ;

ALTER TABLE CTSTAGING.FDB_UPDATE_REPORT
	ADD CONSTRAINT  PK_FDB_UPDATE_REPORT PRIMARY KEY (FDB_UPDATE_REPORT_ID) USING INDEX CTSTAGING.XPKFDB_UPDATE_REPORT    ;

ALTER TABLE CTSTAGING.FIELD_METADATA
	ADD CONSTRAINT  PK_FIELD_METADATA PRIMARY KEY (FIELD_ID) USING INDEX CTSTAGING.XPKFIELD_METADATA    ;

ALTER TABLE CTSTAGING.FIELD_METADATA
ADD CONSTRAINT  UKCONCEPTFIELD UNIQUE (CONCEPT_NAME,FIELD_NAME) USING INDEX CTSTAGING.UKCONCEPTFIELD;

ALTER TABLE CTSTAGING.FORWARD_REVERSE_MONOGRAPH
	ADD CONSTRAINT  PK_FORWARD_REVERSE_MONOGRAPH PRIMARY KEY (FORWARD_MONOGRAPH_ID,REVERSE_MONOGRAPH_ID) USING INDEX CTSTAGING.XPKFORWARD_REVERSE_MONOGRAPH    ;

ALTER TABLE CTSTAGING.HALF_LIFE_UNIT
	ADD CONSTRAINT  PK_HALF_LIFE_UNIT PRIMARY KEY (HALF_LIFE_UNIT_ID) USING INDEX CTSTAGING.XPKHALF_LIFE_UNIT    ;

ALTER TABLE CTSTAGING.MONOGRAPH_SECTION_ORDER_VA
	ADD CONSTRAINT  PK_MONOGRAPH_SECTION_ORDER_VA PRIMARY KEY (SECTIONCODE) USING INDEX CTSTAGING.XPKMONOGRAPH_SECTION_ORDER_VA    ;

ALTER TABLE CTSTAGING.PECS_DDI_VA
	ADD CONSTRAINT  PK_PECS_DDI_VA PRIMARY KEY (PECS_DDI_VA_ID) USING INDEX CTSTAGING.XPKPECS_DDI_VA    ;

ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA
	ADD CONSTRAINT  PK_PECS_DDI_VERSION_VA PRIMARY KEY (VERSION_ID) USING INDEX CTSTAGING.XPKPECS_DDI_VERSION_VA    ;

ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VA
	ADD CONSTRAINT  PK_PECS_DOSE_RANGE_VA PRIMARY KEY (VA_DOSE_RANGE_ID) USING INDEX CTSTAGING.XPKPECS_DOSE_RANGE_VA    ;

ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
	ADD CONSTRAINT  PK_PECS_DOSERANGEVERSION_VA PRIMARY KEY (VERSION_ID) USING INDEX CTSTAGING.XPKPECS_DOSERANGEVERSION_VA    ;

ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
ADD CONSTRAINT  UKVERSIONNUMDOSERANGE UNIQUE (VA_DOSE_RANGE_ID,VERSION_NUM) USING INDEX CTSTAGING.XPKVERSIONNUMDOSERANGE; 


ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VA
	ADD CONSTRAINT  PK_PECS_DRUG_PAIR_VA PRIMARY KEY (VA_DRUG_PAIR_ID) USING INDEX CTSTAGING.XPKPECS_DRUG_PAIR_VA    ;

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VA
ADD CONSTRAINT  UKRTGENID UNIQUE (ROUTED_GENERIC_ID1,ROUTED_GENERIC_ID2,PECS_DDI_VA_ID) USING INDEX CTSTAGING.UKRTGENID;

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
	ADD CONSTRAINT  PK_PECS_DRUG_PAIR_VERSION_VA PRIMARY KEY (VERSION_ID) USING INDEX CTSTAGING.XPKPECS_DRUG_PAIR_VERSION_VA    ;

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
ADD CONSTRAINT  UKVERSIONNUMDRUGPAIR UNIQUE (VA_DRUG_PAIR_ID,VERSION_NUM) USING INDEX CTSTAGING.XPKVERSIONNUMDRUGPAIR; 

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VA
	ADD CONSTRAINT  PK_PECS_DUPL_THERAPY_VA PRIMARY KEY (VA_DUPL_THERAPY_ID) USING INDEX CTSTAGING.XPKPECS_DUPL_THERAPY_VA    ;

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VA
ADD CONSTRAINT  UKDTCIDDUPLTHERAPY UNIQUE (DTCID) USING INDEX CTSTAGING.UKDTCIDDUPLTHERAPY;

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA
	ADD CONSTRAINT  PK_PECS_DUPLTHERAPYVERSION_VA PRIMARY KEY (VERSION_ID) USING INDEX CTSTAGING.XPKPECS_DUPLTHERAPYVERSION_VA    ;

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA
ADD CONSTRAINT  UKVERSIONNUMDUPLTHERAPY UNIQUE (VA_DUPL_THERAPY_ID,VERSION_NUM) USING INDEX CTSTAGING.XPKVERSIONNUMDUPLTHERAPY; 

ALTER TABLE CTSTAGING.PECS_LOCKING
	ADD CONSTRAINT  PK_PECS_LOCKING PRIMARY KEY (RECORD_ID,CONCEPT,RECORD_TYPE) USING INDEX CTSTAGING.XPKPECS_LOCKING    ;

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA
	ADD CONSTRAINT  PKPECSMONOGRAPHSECTIONLINEVA PRIMARY KEY (LINE_ID) USING INDEX CTSTAGING.XPKPECSMONOGRAPHSECTIONLINEVA    ;

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VA
	ADD CONSTRAINT  PK_PECS_MONOGRAPH_VA PRIMARY KEY (VA_MONOGRAPH_ID) USING INDEX CTSTAGING.XPKPECS_MONOGRAPH_VA    ;

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA
ADD CONSTRAINT  UKPECSMONOGRAPHVERSIONLINEVA UNIQUE (VERSION_ID,LINE_ID) USING INDEX CTSTAGING.UKPECSMONOGRAPHVERSIONLINEVA;

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_VA
	ADD CONSTRAINT  PK_PECS_MONOGRAPH_VERSION_VA PRIMARY KEY (VERSION_ID) USING INDEX CTSTAGING.XPKPECS_MONOGRAPH_VERSION_VA    ;

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_VA
ADD CONSTRAINT  UKVERSIONNUMMONOGRAPH UNIQUE (VA_MONOGRAPH_ID,VERSION_NUM) USING INDEX CTSTAGING.XPKVERSIONNUMMONOGRAPH;  

ALTER TABLE CTSTAGING.PECS_STATUS
	ADD CONSTRAINT  PK_PECS_STATUS PRIMARY KEY (STATUS_ID) USING INDEX CTSTAGING.XPKPECS_STATUS    ;

ALTER TABLE CTSTAGING.PECS_STATUS
ADD CONSTRAINT  UKPECSCODE UNIQUE (CODE) USING INDEX CTSTAGING.UKPECSCODE;

ALTER TABLE CTSTAGING.PERIOD_OF_TIME
	ADD CONSTRAINT  PK_PERIOD_OF_TIME PRIMARY KEY (PERIOD_OF_TIME_ID) USING INDEX CTSTAGING.XPKPERIOD_OF_TIME    ;

ALTER TABLE CTSTAGING.REFERENCE_TEXT_VA
	ADD CONSTRAINT  PK_REFERENCE_TEXT_VA PRIMARY KEY (REFERENCE_TEXT_VA_ID) USING INDEX CTSTAGING.XPKREFERENCE_TEXT_VA    ;

ALTER TABLE CTSTAGING.SAVED_QUERY_VA
	ADD CONSTRAINT  PK_SAVED_QUERY_VA PRIMARY KEY (SAVED_QUERY_VA_ID) USING INDEX CTSTAGING.XPKSAVED_QUERY_VA    ;

ALTER TABLE CTSTAGING.SEVERITY_LEVEL
	ADD CONSTRAINT  PK_SEVERITY_LEVEL PRIMARY KEY (SEVERITY_LEVEL_ID) USING INDEX CTSTAGING.XPKSEVERITY_LEVEL    ;

ALTER TABLE CTSTAGING.FDB_UPDATE_REPORT
	ADD (CONSTRAINT FK_RPTCONCEPT_RPT FOREIGN KEY (COMPARISON_REPORT_CONCEPT_ID) REFERENCES CTSTAGING.COMPARISON_REPORT_CONCEPT (COMPARISON_REPORT_CONCEPT_ID));

ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA
	ADD (CONSTRAINT FK_DDI_VERSION_PECSTATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID));

ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA
	ADD (CONSTRAINT FK_DDI_VERSION_SEVERITYLEVEL FOREIGN KEY (SEVERITY_LEVEL_ID) REFERENCES CTSTAGING.SEVERITY_LEVEL (SEVERITY_LEVEL_ID));

ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA
	ADD (CONSTRAINT FK_DDI_VERSION_CLINEFFECT1 FOREIGN KEY (CLINICAL_EFFECT1_ID) REFERENCES CTSTAGING.CLINICAL_EFFECT (CLINICAL_EFFECT_ID));

ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA
	ADD (CONSTRAINT FK_DDI_VERSION_CLINEFFECT2 FOREIGN KEY (CLINICAL_EFFECT2_ID) REFERENCES CTSTAGING.CLINICAL_EFFECT (CLINICAL_EFFECT_ID));

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VA
	ADD (CONSTRAINT FK_DDI_TO_DP FOREIGN KEY (PECS_DDI_VA_ID) REFERENCES CTSTAGING.PECS_DDI_VA (PECS_DDI_VA_ID));

-- CCR 5514 - Null Drug Pair Removal Process
--
-- DESCRIPTION:
-- Create copy of the FDB_GENERIC_ROUTEDDRUG table to support display
-- of deleted routed drug description.
--
ALTER TABLE CTSTAGING.GENERIC_ROUTEDDRUG ADD CONSTRAINT PKGENERIC_ROUTEDDRUG PRIMARY KEY (RTGENID) 
USING INDEX CTSTAGING.XPKGENERIC_ROUTEDDRUG  ENABLE VALIDATE;

-- CCR 5443  In support of query of FDB and VA Custom Dose Range records to include the Concept ID Description. 
--
--ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
--ADD CONSTRAINT FK_DOSERANGE_VERSION FOREIGN KEY (VA_DOSE_RANGE_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VA (VA_DOSE_RANGE_ID) ON DELETE SET NULL;

ALTER TABLE CTSTAGING.DDIMINTERACTION_COMMENT ADD CONSTRAINT PKDDIMCOMMENTID PRIMARY KEY (COMMENT_ID)
   USING INDEX CTSTAGING.XPKDDIMCOMMENTID;

ALTER TABLE CTSTAGING.FDB_DDIM_XREF ADD CONSTRAINT PK_FDB_DDIM_XREF PRIMARY KEY (FDB_REFERENCE_ID)
   USING INDEX CTSTAGING.XPK_FDB_DDIM_XREF;

ALTER TABLE CTSTAGING.FDB_DOSE_RANGE_XREF ADD CONSTRAINT PK_FDB_DOSE_XREF PRIMARY KEY (FDB_REFERENCE_ID)
   USING INDEX CTSTAGING.XPK_FDB_DOSE_XREF;

ALTER TABLE CTSTAGING.DOSERANGE_COMMENT ADD CONSTRAINT PKDOSECOMMENTID PRIMARY KEY (COMMENT_ID)
   USING INDEX CTSTAGING.XPKDOSECOMMENTID;

ALTER TABLE CTSTAGING.FDB_DUPTHERAPY_XREF ADD CONSTRAINT PK_FDB_DT_XREF PRIMARY KEY (FDB_REFERENCE_ID)
   USING INDEX CTSTAGING.XPK_FDB_DT_XREF;

ALTER TABLE CTSTAGING.DUPLTHERAPY_COMMENT ADD CONSTRAINT PKDTCOMMENTID PRIMARY KEY (COMMENT_ID)
   USING INDEX CTSTAGING.XPKDTCOMMENTID;

ALTER TABLE CTSTAGING.FDB_MONOGRAPH_XREF ADD CONSTRAINT PK_FDB_MONO_XREF PRIMARY KEY (FDB_REFERENCE_ID)
   USING INDEX CTSTAGING.XPK_FDB_MONO_XREF;

ALTER TABLE CTSTAGING.MONOGRAPH_COMMENT ADD CONSTRAINT PKMONOCOMMENTID PRIMARY KEY (COMMENT_ID)
   USING INDEX CTSTAGING.XPKMONOCOMMENTID;

ALTER TABLE CTSTAGING.DDIMINTERACTION_COMMENT ADD CONSTRAINT FK_XREF_DDIMCOMMENT FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DDIM_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.DOSERANGE_COMMENT ADD CONSTRAINT FK_XREF_DRCOMMENT FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DOSE_RANGE_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.DUPLTHERAPY_COMMENT ADD CONSTRAINT FK_XREF_DTCOMMENT FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DUPTHERAPY_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.MONOGRAPH_COMMENT ADD CONSTRAINT FK_XREF_MONOCOMMENT FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_MONOGRAPH_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.PECS_DDI_VA ADD CONSTRAINT FK_XREF_DDIM FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DDIM_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VA ADD CONSTRAINT FK_XREF_DUPLTHERAPY FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DUPTHERAPY_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VA ADD CONSTRAINT FK_XREF_DOSERANGE FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_DOSE_RANGE_XREF (FDB_REFERENCE_ID);

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VA ADD CONSTRAINT FK_XREF_MONOGRAPH FOREIGN KEY (FDB_REFERENCE_ID) REFERENCES CTSTAGING.FDB_MONOGRAPH_XREF (FDB_REFERENCE_ID);

ALTER TABLE ctstaging.pecs_contact ADD (
  CONSTRAINT pk_pecs_contact
  PRIMARY KEY
  (pecs_contact_id)
  USING INDEX ctstaging.xpk_pecs_contact
  ENABLE VALIDATE);

ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD (
  CONSTRAINT PK_PECS_DDI_EXPORT_VA
  PRIMARY KEY
  (PECS_DDI_VA_ID)
  USING INDEX CTSTAGING.XPK_PECS_DDI_EXPORT_VA
  ENABLE VALIDATE);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT UKDDIEXPORTABLEVERSIONID UNIQUE (EXPORTABLE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT UKDDIEXPORTEDVERSIONID UNIQUE (EXPORTED_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT UKDDIACTIVEVERSIONID UNIQUE (ACTIVE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT FK_DDI_EXPORT_VA_ID FOREIGN KEY (PECS_DDI_VA_ID) REFERENCES CTSTAGING.PECS_DDI_VA (PECS_DDI_VA_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT FK_DDIV_EXPORTABLE_VERSION_ID FOREIGN KEY (EXPORTABLE_VERSION_ID) REFERENCES CTSTAGING.PECS_DDI_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT FK_DDIV_EXPORTED_VERSION_ID FOREIGN KEY (EXPORTED_VERSION_ID) REFERENCES CTSTAGING.PECS_DDI_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DDI_EXPORT_VA ADD CONSTRAINT FK_DDIV_ACTIVE_VERSION_ID FOREIGN KEY (ACTIVE_VERSION_ID) REFERENCES CTSTAGING.PECS_DDI_VERSION_VA (VERSION_ID);

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD (
  CONSTRAINT PK_PECS_DP_EXPORT_VA
  PRIMARY KEY
  (VA_DRUG_PAIR_ID)
  USING INDEX CTSTAGING.XPK_PECS_DP_EXPORT_VA
  ENABLE VALIDATE);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT UKDPEXPORTABLEVERSIONID UNIQUE (EXPORTABLE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT UKDPEXPORTEDVERSIONID UNIQUE (EXPORTED_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT UKDPACTIVEVERSIONID UNIQUE (ACTIVE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT FK_DP_EXPORT_VA_ID FOREIGN KEY (VA_DRUG_PAIR_ID) REFERENCES CTSTAGING.PECS_DRUG_PAIR_VA (VA_DRUG_PAIR_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT FK_DPV_EXPORTABLE_VERSION_ID FOREIGN KEY (EXPORTABLE_VERSION_ID) REFERENCES CTSTAGING.PECS_DRUG_PAIR_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT FK_DPV_EXPORTED_VERSION_ID FOREIGN KEY (EXPORTED_VERSION_ID) REFERENCES CTSTAGING.PECS_DRUG_PAIR_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA ADD CONSTRAINT FK_DPV_ACTIVE_VERSION_ID FOREIGN KEY (ACTIVE_VERSION_ID) REFERENCES CTSTAGING.PECS_DRUG_PAIR_VERSION_VA (VERSION_ID);

ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD (
  CONSTRAINT PK_PECS_DOSE_RANGE_EXPORT_VA
  PRIMARY KEY
  (VA_DOSE_RANGE_ID)
  USING INDEX CTSTAGING.XPK_PECS_DOSE_RANGE_EXPORT_VA
  ENABLE VALIDATE);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT UKDREXPORTABLEVERSIONID UNIQUE (EXPORTABLE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT UKDREXPORTEDVERSIONID UNIQUE (EXPORTED_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT UKDRACTIVEVERSIONID UNIQUE (ACTIVE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT FK_DR_EXPORT_VA_ID FOREIGN KEY (VA_DOSE_RANGE_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VA (VA_DOSE_RANGE_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT FK_DRV_EXPORTABLE_VERSION_ID FOREIGN KEY (EXPORTABLE_VERSION_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT FK_DRV_EXPORTED_VERSION_ID FOREIGN KEY (EXPORTED_VERSION_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA ADD CONSTRAINT FK_DRV_ACTIVE_VERSION_ID FOREIGN KEY (ACTIVE_VERSION_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VERSION_VA (VERSION_ID);

ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD (
  CONSTRAINT PK_PECS_DT_EXPORT_VA
  PRIMARY KEY
  (VA_DUPL_THERAPY_ID)
  USING INDEX CTSTAGING.XPK_PECS_DT_EXPORT_VA
  ENABLE VALIDATE);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT UKDTEXPORTABLEVERSIONID UNIQUE (EXPORTABLE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT UKDTEXPORTEDVERSIONID UNIQUE (EXPORTED_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT UKDTACTIVEVERSIONID UNIQUE (ACTIVE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT FK_DT_EXPORT_VA_ID FOREIGN KEY (VA_DUPL_THERAPY_ID) REFERENCES CTSTAGING.PECS_DUPL_THERAPY_VA (VA_DUPL_THERAPY_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT FK_DTV_EXPORTABLE_VERSION_ID FOREIGN KEY (EXPORTABLE_VERSION_ID) REFERENCES CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT FK_DTV_EXPORTED_VERSION_ID FOREIGN KEY (EXPORTED_VERSION_ID) REFERENCES CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA ADD CONSTRAINT FK_DTV_ACTIVE_VERSION_ID FOREIGN KEY (ACTIVE_VERSION_ID) REFERENCES CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA (VERSION_ID);

ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD (
  CONSTRAINT PK_PECS_MONO_EXPORT_VA
  PRIMARY KEY
  (VA_MONOGRAPH_ID)
  USING INDEX CTSTAGING.XPK_PECS_MONO_EXPORT_VA
  ENABLE VALIDATE);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT UKMNEXPORTABLEVERSIONID UNIQUE (EXPORTABLE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT UKMNEXPORTEDVERSIONID UNIQUE (EXPORTED_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT UKMNACTIVEVERSIONID UNIQUE (ACTIVE_VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT FK_MONO_EXPORT_VA_ID FOREIGN KEY (VA_MONOGRAPH_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VA (VA_MONOGRAPH_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT FK_MONOV_EXPORTABLE_VERSION_ID FOREIGN KEY (EXPORTABLE_VERSION_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT FK_MONOV_EXPORTED_VERSION_ID FOREIGN KEY (EXPORTED_VERSION_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_EXPORT_VA ADD CONSTRAINT FK_MONOV_ACTIVE_VERSION_ID FOREIGN KEY (ACTIVE_VERSION_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VERSION_VA (VERSION_ID);

/* Already exists in present schema
-- should be a renamed using standard naming conventions
ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA ADD CONSTRAINT FK_CLINICAL_EFFECT1_ID FOREIGN KEY (CLINICAL_EFFECT1_ID) REFERENCES CTSTAGING.CLINICAL_EFFECT (CLINICAL_EFFECT_ID);
ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA ADD CONSTRAINT FK_CLINICAL_EFFECT2_ID FOREIGN KEY (CLINICAL_EFFECT2_ID) REFERENCES CTSTAGING.CLINICAL_EFFECT (CLINICAL_EFFECT_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VA ADD CONSTRAINT FK_DDI_TO_DP FOREIGN KEY (PECS_DDI_VA_ID) REFERENCES CTSTAGING.PECS_DDI_VA (PECS_DDI_VA_ID);
ALTER TABLE CTSTAGING.FDB_UPDATE_REPORT ADD CONSTRAINT FK_RPTCONCEPT_RPT FOREIGN KEY (COMPARISON_REPORT_CONCEPT_ID) REFERENCES CTSTAGING.COMPARISON_REPORT_CONCEPT (COMPARISON_REPORT_CONCEPT_ID);
ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA ADD CONSTRAINT FK_SEVERITY_LEVEL_ID FOREIGN KEY (SEVERITY_LEVEL_ID) REFERENCES CTSTAGING.SEVERITY_LEVEL (SEVERITY_LEVEL_ID);
*/

ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VERSION_VA ADD CONSTRAINT FK_DPVERSION_DP FOREIGN KEY (VA_DRUG_PAIR_ID) REFERENCES CTSTAGING.PECS_DRUG_PAIR_VA (VA_DRUG_PAIR_ID);
ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA ADD CONSTRAINT FK_DDIVERSION_TO_DDI FOREIGN KEY (PECS_DDI_VA_ID) REFERENCES CTSTAGING.PECS_DDI_VA (PECS_DDI_VA_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA ADD CONSTRAINT FK_DTVERSION_TO_DT FOREIGN KEY (VA_DUPL_THERAPY_ID) REFERENCES CTSTAGING.PECS_DUPL_THERAPY_VA (VA_DUPL_THERAPY_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA ADD CONSTRAINT FK_DRVERSION_TO_DR FOREIGN KEY (VA_DOSE_RANGE_ID) REFERENCES CTSTAGING.PECS_DOSE_RANGE_VA (VA_DOSE_RANGE_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_VA ADD CONSTRAINT FK_MONOVERSION_TO_MONO FOREIGN KEY (VA_MONOGRAPH_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VA (VA_MONOGRAPH_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA ADD CONSTRAINT FK_MONOVERSLINE_TO_MONOVERSION FOREIGN KEY (VERSION_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_VERSION_VA (VERSION_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA ADD CONSTRAINT FK_MONOVERSLINE_MONOSECTLINE FOREIGN KEY (LINE_ID) REFERENCES CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA (LINE_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA ADD CONSTRAINT FK_MONOSECTLINE_SECTORDER FOREIGN KEY (SECTION_CODE) REFERENCES CTSTAGING.MONOGRAPH_SECTION_ORDER_VA (SECTIONCODE);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA ADD CONSTRAINT FK_DRVERSION_DOSETYPE FOREIGN KEY (DOSE_TYPE_ID) REFERENCES CTSTAGING.DOSE_TYPE (DOSE_TYPE_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA ADD CONSTRAINT FK_DRVERSION_DOSEROUTE FOREIGN KEY (DOSE_ROUTE_ID) REFERENCES CTSTAGING.DOSE_ROUTE (DOSE_ROUTE_ID);
ALTER TABLE CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA ADD CONSTRAINT FK_DTVERSION_TO_STATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID);
ALTER TABLE CTSTAGING.PECS_MONOGRAPH_VERSION_VA ADD CONSTRAINT FK_MONOVERS_TO_STATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID);
ALTER TABLE CTSTAGING.PECS_DRUG_PAIR_VERSION_VA ADD CONSTRAINT FK_DPVERSION_TO_STATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA ADD CONSTRAINT FK_DRVERSION_TO_STATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID);
ALTER TABLE CTSTAGING.PECS_DOSE_RANGE_VERSION_VA ADD CONSTRAINT FK_HALFLIFE_DRVERSION FOREIGN KEY (HALF_LIFE_UNIT_ID) REFERENCES CTSTAGING.HALF_LIFE_UNIT (HALF_LIFE_UNIT_ID)
-- Contraint already created 
--ALTER TABLE CTSTAGING.PECS_DDI_VERSION_VA ADD CONSTRAINT FK_DDIVERSION_TO_STATUS FOREIGN KEY (STATUS_ID) REFERENCES CTSTAGING.PECS_STATUS (STATUS_ID);


SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Constraints_Only" FROM DUAL;