SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Triggers_Only.sql" FROM DUAL;

CREATE  OR REPLACE  TRIGGER CTSTAGING.CLINICALEFFECT_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.CLINICAL_EFFECT
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.CLINICAL_EFFECT_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.CLINICAL_EFFECT_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.CLINICALEFFECT_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.CTUSERSVA_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.CT_USERS_VA
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.CT_USERS_VA_ID, 0) < 1) THEN
    SELECT ctusersva_seq.nextval INTO :NEW.CT_USERS_VA_ID FROM dual;
  END IF;
END;



/



ALTER TRIGGER CTSTAGING.CTUSERSVA_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.CTVERSVA_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.CT_VERSION_VA
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.CT_VERSION_KEY, 0) < 1) THEN
    SELECT ctversva_seq.nextval INTO :NEW.CT_VERSION_KEY FROM dual;
  END IF;
END;



/



ALTER TRIGGER CTSTAGING.CTVERSVA_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.CUFVA_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.CUSTOM_UPDATE_FILE_VA
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.CUSTOM_UPDATE_FILE_VA_ID, 0) < 1) THEN
    SELECT cufva_seq.nextval INTO :NEW.CUSTOM_UPDATE_FILE_VA_ID FROM dual;
   END IF;
END;



/



ALTER TRIGGER CTSTAGING.CUFVA_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.DOSEROUTE_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.DOSE_ROUTE
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.DOSE_ROUTE_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.DOSE_ROUTE_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.DOSEROUTE_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.DOSETYPE_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.DOSE_TYPE
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.DOSE_TYPE_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.DOSE_TYPE_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.DOSETYPE_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.DOSEUNITTYPE_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.DOSE_UNIT_TYPE
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.DOSE_UNIT_TYPE_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.DOSE_UNIT_TYPE_ID FROM dual;
  END IF;
END;



/



ALTER TRIGGER CTSTAGING.DOSEUNITTYPE_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE OR REPLACE TRIGGER CTSTAGING.DUPLICATEALLOWANCE_TRIGGER 
BEFORE INSERT ON CTSTAGING.DUPLICATE_ALLOWANCE
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
  IF (NVL(:NEW.DUPLICATE_ALLOWANCE_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.DUPLICATE_ALLOWANCE_ID FROM dual;
  END IF;
END;
/



ALTER TRIGGER CTSTAGING.DUPLICATEALLOWANCE_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.EASY_SEARCH_SELECT_TYPE_TRIG
 BEFORE INSERT
 ON CTSTAGING.EASY_SEARCH_SELECT_TYPE
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.EASY_SEARCH_SELECT_TYPE_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.EASY_SEARCH_SELECT_TYPE_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.EASY_SEARCH_SELECT_TYPE_TRIG
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.HALFLIFEUNIT_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.HALF_LIFE_UNIT
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.HALF_LIFE_UNIT_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.HALF_LIFE_UNIT_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.HALFLIFEUNIT_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.INTERACTION_ID_TRG
 BEFORE INSERT
 ON CTSTAGING.PECS_DDI_VA
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.INTERACTION_ID, 0) < 1) THEN
    SELECT interactionid_seq.NEXTVAL INTO :NEW.INTERACTION_ID FROM DUAL;
  END IF;

END;


/



ALTER TRIGGER CTSTAGING.INTERACTION_ID_TRG
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.PERIODOFTIME_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.PERIOD_OF_TIME
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.PERIOD_OF_TIME_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.PERIOD_OF_TIME_ID FROM dual;
  END IF;
END;


/



ALTER TRIGGER CTSTAGING.PERIODOFTIME_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.SQRY_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.SAVED_QUERY_VA
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.SAVED_QUERY_VA_ID, 0) < 1) THEN
    SELECT sqry_seq.nextval INTO :NEW.SAVED_QUERY_VA_ID FROM dual;
   END IF;
END;



/



ALTER TRIGGER CTSTAGING.SQRY_TRIGGER
	COMPILE REUSE SETTINGS;


CREATE  OR REPLACE  TRIGGER CTSTAGING.SEVERITY_LEVEL_TRIGGER
 BEFORE INSERT
 ON CTSTAGING.SEVERITY_LEVEL
 REFERENCING OLD AS OLD NEW AS NEW
 for each row
 
BEGIN
  IF (NVL(:NEW.SEVERITY_LEVEL_ID, 0) < 1) THEN
    SELECT REFTABLE_SEQ.nextval INTO :NEW.SEVERITY_LEVEL_ID FROM dual;
  END IF;
END;


/


ALTER TRIGGER CTSTAGING.SEVERITY_LEVEL_TRIGGER
	COMPILE REUSE SETTINGS;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Triggers_Only.sql" FROM DUAL;
