--
-- Header: PECS5_Create_User_Profiles.sql  04-4-2012
--
-- Created By: Alicia Ray
--
-- FILE NAME: PECS5_Create_User_Profiles.sql 
--
-- DESCRIPTION:
--  Create PECS Oracle user account profiles.
--
-- NOTES:
--  
--  
-- MODIFIED	 (MM-DD-YYYY)	  DESCRIPTION
---------------------------------------
-- Ray		  04-04-2012	  Initial version for PECS 2.2
-- Shelley    10-21-2013     Updated for PECS 3.3
-- Shelley    12-05-2013     Updated for PECS 5.0
SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_User_Profiles.sql" FROM DUAL;

DROP PROFILE SERVICE_ACCOUNT CASCADE;

CREATE PROFILE SERVICE_ACCOUNT LIMIT
  SESSIONS_PER_USER 30
  CPU_PER_SESSION DEFAULT
  CPU_PER_CALL DEFAULT
  CONNECT_TIME DEFAULT
  IDLE_TIME 60
  LOGICAL_READS_PER_SESSION DEFAULT
  LOGICAL_READS_PER_CALL DEFAULT
  COMPOSITE_LIMIT DEFAULT
  PRIVATE_SGA DEFAULT
  FAILED_LOGIN_ATTEMPTS 3
  PASSWORD_LIFE_TIME 365
  PASSWORD_REUSE_TIME UNLIMITED
  PASSWORD_REUSE_MAX DEFAULT
  PASSWORD_LOCK_TIME UNLIMITED
  PASSWORD_GRACE_TIME 10
  PASSWORD_VERIFY_FUNCTION NULL;


DROP PROFILE USER_ACCOUNT CASCADE;

CREATE PROFILE USER_ACCOUNT LIMIT
  SESSIONS_PER_USER DEFAULT
  CPU_PER_SESSION DEFAULT
  CPU_PER_CALL DEFAULT
  CONNECT_TIME DEFAULT
  IDLE_TIME DEFAULT
  LOGICAL_READS_PER_SESSION DEFAULT
  LOGICAL_READS_PER_CALL DEFAULT
  COMPOSITE_LIMIT DEFAULT
  PRIVATE_SGA DEFAULT
  FAILED_LOGIN_ATTEMPTS 3
  PASSWORD_LIFE_TIME 90
  PASSWORD_REUSE_TIME UNLIMITED
  PASSWORD_REUSE_MAX DEFAULT
  PASSWORD_LOCK_TIME UNLIMITED
  PASSWORD_GRACE_TIME 10
  PASSWORD_VERIFY_FUNCTION NULL;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_User_Profiles.sql" FROM DUAL;
