-- PECS 5.0 PECS DDI Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record
-- for each DDI.  If no Approved or Deleted records exist then the value is null.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDdiVersionVa_UPDATE.sql" FROM DUAL;

SET PAGESIZE 1000
COLUMN version_comment FORMAT a200
SET LINESIZE 350

UPDATE ctstaging.pecs_ddi_version_va mainddi
   SET (export_date) =
          (SELECT maxdate
             FROM ctstaging.pecs_ddi_version_va ddi
                  LEFT OUTER JOIN
                  (  SELECT subddi.pecs_ddi_va_id
                           ,MAX (subddi.version_date) maxdate
                       FROM ctstaging.pecs_ddi_version_va subddi
                      WHERE subddi.status_id IN (5, 7)
                   GROUP BY subddi.pecs_ddi_va_id
                   ORDER BY subddi.pecs_ddi_va_id) source_ddi
                     ON ddi.pecs_ddi_va_id = source_ddi.pecs_ddi_va_id
            WHERE     version_date = maxdate
                  AND ddi.pecs_ddi_va_id = mainddi.pecs_ddi_va_id)
 WHERE (mainddi.pecs_ddi_va_id, mainddi.version_num) IN (SELECT ddi.pecs_ddi_va_id
                                                               ,ddi.version_num
                                                           FROM ctstaging.pecs_ddi_version_va ddi
                                                                LEFT OUTER JOIN
                                                                (  SELECT subddi.pecs_ddi_va_id
                                                                         ,MAX (
                                                                             subddi.version_date)
                                                                             maxdate
                                                                     FROM ctstaging.pecs_ddi_version_va subddi
                                                                    WHERE subddi.status_id IN (5
                                                                                              ,7)
                                                                 GROUP BY subddi.pecs_ddi_va_id
                                                                 ORDER BY subddi.pecs_ddi_va_id)
                                                                source_ddi
                                                                   ON ddi.pecs_ddi_va_id =
                                                                         source_ddi.pecs_ddi_va_id
                                                          WHERE version_date =
                                                                   maxdate);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDdiVersionVa_UPDATE.sql" FROM DUAL;