-- PECS 5.0 PECS dr Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record
-- for each dr.  If no Approved or Deleted records exist then the value is null.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDoseRrangeVersionVa_UPDATE" FROM DUAL;

SET PAGESIZE 1000
COLUMN version_comment FORMAT a200
SET LINESIZE 350

UPDATE ctstaging.pecs_dose_range_version_va maindr
   SET (export_date) =
          (SELECT DISTINCT maxdate
             FROM ctstaging.pecs_dose_range_version_va dr
                  LEFT OUTER JOIN
                  (  SELECT subdr.va_dose_range_id
                           ,MAX (subdr.version_date) maxdate
                       FROM ctstaging.pecs_dose_range_version_va subdr
                      WHERE subdr.status_id IN (5, 7)
                   GROUP BY subdr.va_dose_range_id
                   ORDER BY subdr.va_dose_range_id) source_dr
                     ON dr.va_dose_range_id = source_dr.va_dose_range_id
            WHERE     version_date = maxdate
                  AND dr.va_dose_range_id = maindr.va_dose_range_id)
 WHERE (maindr.va_dose_range_id, maindr.version_num) IN (SELECT dr.va_dose_range_id
                                                               ,dr.version_num
                                                           FROM ctstaging.pecs_dose_range_version_va dr
                                                                LEFT OUTER JOIN
                                                                (  SELECT subdr.va_dose_range_id
                                                                         ,MAX (subdr.version_date) maxdate
                                                                     FROM ctstaging.pecs_dose_range_version_va subdr
                                                                    WHERE subdr.status_id IN (5,7)
                                                                 GROUP BY subdr.va_dose_range_id
                                                                 ORDER BY subdr.va_dose_range_id) source_dr
                                                                   ON dr.va_dose_range_id = source_dr.va_dose_range_id
                                                          WHERE version_date = maxdate);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDoseRrangeVersionVa_UPDATE" FROM DUAL;