-- PECS 5.0 PECS dt Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record
-- for each dt.  If no Approved or Deleted records exist then the value is null.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDuplTherapyVersionVa_UPDAT" FROM DUAL;

SET PAGESIZE 1000
COLUMN version_comment FORMAT a200
SET LINESIZE 350

UPDATE ctstaging.pecs_dupl_therapy_version_va maindt
   SET (export_date) =
          (SELECT DISTINCT maxdate
             FROM ctstaging.pecs_dupl_therapy_version_va dt
                  LEFT OUTER JOIN
                  (  SELECT subdt.va_dupl_therapy_id
                           ,MAX (subdt.version_date) maxdate
                       FROM ctstaging.pecs_dupl_therapy_version_va subdt
                      WHERE subdt.status_id IN (5, 7)
                   GROUP BY subdt.va_dupl_therapy_id
                   ORDER BY subdt.va_dupl_therapy_id) source_dt
                     ON dt.va_dupl_therapy_id = source_dt.va_dupl_therapy_id
            WHERE     version_date = maxdate
                  AND dt.va_dupl_therapy_id = maindt.va_dupl_therapy_id)
 WHERE (maindt.va_dupl_therapy_id, maindt.version_num) IN (SELECT dt.va_dupl_therapy_id
                                                                 ,dt.version_num
                                                             FROM ctstaging.pecs_dupl_therapy_version_va dt
                                                                  LEFT OUTER JOIN
                                                                  (  SELECT subdt.va_dupl_therapy_id
                                                                           ,MAX (subdt.version_date) maxdate
                                                                       FROM ctstaging.pecs_dupl_therapy_version_va subdt
                                                                      WHERE subdt.status_id IN (5,7)
                                                                   GROUP BY subdt.va_dupl_therapy_id
                                                                   ORDER BY subdt.va_dupl_therapy_id) source_dt
                                                                     ON dt.va_dupl_therapy_id = source_dt.va_dupl_therapy_id
                                                            WHERE version_date = maxdate);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDuplTherapyVersionVa_UPDAT" FROM DUAL;