-- PECS 5.0 PECS mono Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record
-- for each mono.  If no Approved or Deleted records exist then the value is null.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsMonographVersionVa_UPDATE" FROM DUAL;

SET PAGESIZE 1000
COLUMN version_comment FORMAT a200
SET LINESIZE 350

UPDATE ctstaging.pecs_monograph_version_va mainmono
   SET (export_date) =
          (SELECT DISTINCT maxdate
             FROM ctstaging.pecs_monograph_version_va mono
                  LEFT OUTER JOIN
                  (  SELECT submono.va_monograph_id
                           ,MAX (submono.version_date) maxdate
                       FROM ctstaging.pecs_monograph_version_va submono
                      WHERE submono.status_id IN (5, 7)
                   GROUP BY submono.va_monograph_id
                   ORDER BY submono.va_monograph_id) source_mono
                     ON mono.va_monograph_id = source_mono.va_monograph_id
            WHERE     version_date = maxdate
                  AND mono.va_monograph_id = mainmono.va_monograph_id)
 WHERE (mainmono.va_monograph_id, mainmono.version_num) IN (SELECT mono.va_monograph_id
                                                                  ,mono.version_num
                                                              FROM ctstaging.pecs_monograph_version_va mono
                                                                   LEFT OUTER JOIN
                                                                   (  SELECT submono.va_monograph_id
                                                                            ,MAX (submono.version_date) maxdate
                                                                        FROM ctstaging.pecs_monograph_version_va submono
                                                                       WHERE submono.status_id IN (5,7)
                                                                    GROUP BY submono.va_monograph_id
                                                                    ORDER BY submono.va_monograph_id) source_mono
                                                                      ON mono.va_monograph_id = source_mono.va_monograph_id
                                                             WHERE version_date = maxdate);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsMonographVersionVa_UPDATE" FROM DUAL;