-- Modify CT_VERSION_VA table 
-- Convert ISSUEDATE to TIMESTAMP 

-- Drop virtual column if exists
alter table CTSTAGING.CT_VERSION_VA
       drop column CT_ISSUEDATE_DT
/

--add NEW column
ALTER TABLE "CTSTAGING"."CT_VERSION_VA"
ADD
  ("CT_ISSUEDATE_DT" TIMESTAMP(6))
/

-- set TIMESTAMP based on value in old field
UPDATE "CTSTAGING"."CT_VERSION_VA"
    SET CT_ISSUEDATE_DT = TO_DATE(CT_ISSUEDATE, 'yyyymmdd')
/

--drop column once migration has occurred
ALTER TABLE "CTSTAGING"."CT_VERSION_VA"
DROP COLUMN CT_ISSUEDATE
/

--rename new column to match old 
ALTER TABLE "CTSTAGING"."CT_VERSION_VA"
RENAME COLUMN CT_ISSUEDATE_DT TO CT_ISSUEDATE
/

COMMIT
/
