--create Dose Range cross reference between PECS Dose Range customizations and FDB originating Dose Range
spool dr_xref_migration.log
insert into CTSTAGING.FDB_DOSE_RANGE_XREF (
  FDB_REFERENCE_ID,
  CONCEPTTYPE  ,
  CONCEPTID    ,
  AGELOWINDAYS ,
  AGEHIGHINDAYS,
  DOSEROUTEID  ,
  DOSETYPEID   ,
  FDBDX        ,
  HITTYPE)         
select CTSTAGING.FDB_DOSEROUTE_REF_ID_SEQ.nextval, 
  CONCEPTTYPE  ,
  CONCEPTID    ,
  AGELOWINDAYS ,
  AGEHIGHINDAYS,
  ROUTECODE  ,
  TYPECODE   ,
  FDBDX        ,
  HITTYPE
FROM (
SELECT DISTINCT
  CUSTOM.CONCEPTTYPE  ,
  CUSTOM.CONCEPTID    ,
  CUSTOM.AGELOWINDAYS ,
  CUSTOM.AGEHIGHINDAYS,
  CUSTOM.ROUTECODE  ,
  CUSTOM.TYPECODE   ,
  CUSTOM.FDBDX        ,
  FDB.HITTYPE
FROM
(select DR.va_dose_range_id,
DR.CONCEPTTYPE,
DR.CONCEPTID,
DR.AGELOWINDAYS,
DR.AGEHIGHINDAYS,
droute.code as routecode,
dtype.code as typecode,
DR.FDBDX,
count(*) cntrecs
from ctstaging.pecs_dose_range_version_va DR inner join ctstaging.dose_route droute on 
droute.dose_route_id = DR.DOSE_ROUTE_ID inner join ctstaging.dose_type dtype on
dtype.DOSE_TYPE_ID = DR.DOSE_TYPE_ID
where DR.version_id = (select min(version_id) from ctstaging.pecs_dose_range_version_va subDR 
where SUBDR.VA_DOSE_RANGE_ID = DR.VA_DOSE_RANGE_ID)
group by 
DR.va_dose_range_id,
DR.CONCEPTTYPE,
DR.CONCEPTID,
DR.AGELOWINDAYS,
DR.AGEHIGHINDAYS,
droute.code,
dtype.code,
DR.FDBDX
)  CUSTOM inner join FDB_DIF.FDB_DOSING FDB 
on 
CUSTOM.AGEHIGHINDAYS = FDB.AGEHIGHINDAYS and
CUSTOM.AGELOWINDAYS = FDB.AGELOWINDAYS and
CUSTOM.CONCEPTID = FDB.CONCEPTID and
CUSTOM.CONCEPTTYPE = FDB.CONCEPTTYPE and
CUSTOM.routecode = FDB.DOSEROUTEID and
CUSTOM.typecode = FDB.DOSETYPEID and
CUSTOM.FDBDX = FDB.FDBDX
where not exists (select * from CTSTAGING.FDB_DOSE_RANGE_XREF XREF
WHERE CUSTOM.AGEHIGHINDAYS = XREF.AGEHIGHINDAYS and
CUSTOM.AGELOWINDAYS = XREF.AGELOWINDAYS and
CUSTOM.CONCEPTID = XREF.CONCEPTID and
CUSTOM.CONCEPTTYPE = XREF.CONCEPTTYPE and
CUSTOM.routecode = XREF.DOSEROUTEID and
CUSTOM.typecode = XREF.DOSETYPEID and
CUSTOM.FDBDX = XREF.FDBDX and
FDB.HITTYPE = XREF.HITTYPE)
ORDER BY
  CUSTOM.CONCEPTTYPE  ,
  CUSTOM.CONCEPTID    ,
  CUSTOM.AGELOWINDAYS ,
  CUSTOM.AGEHIGHINDAYS,
  CUSTOM.ROUTECODE  ,
  CUSTOM.TYPECODE   ,
  CUSTOM.FDBDX        ,
  FDB.HITTYPE
  );
  
COMMIT;
spool off