--2. Run migration script to add new column, migrate data, create FK reference and remove the old column after migration.  (DUPLICATE_ALLOWANCE_MIGRATION.sql)

-- Modify PECS_DUPL_THERAPY_VERSION_VA to reference duplicate allowance lookup table

--add new id column for reference
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA"
ADD
  ("CUSTOM_DUP_ALLOWANCE_ID" Number(11,0))
/

--migration existing data
UPDATE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA" THERAPY SET CUSTOM_DUP_ALLOWANCE_ID =
    (SELECT duplicate_allowance_id FROM CTSTAGING.DUPLICATE_ALLOWANCE allow
    where ALLOW.CODE = THERAPY.CUSTOM_DUP_ALLOWANCE)
WHERE THERAPY.CUSTOM_DUP_ALLOWANCE_ID IS NULL
/
--add foreign key for reference id field
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA" ADD CONSTRAINT "FK_DUPALLOW_DUPLTHERAPY" FOREIGN KEY ("CUSTOM_DUP_ALLOWANCE_ID") REFERENCES "CTSTAGING"."DUPLICATE_ALLOWANCE" ("DUPLICATE_ALLOWANCE_ID")
/
--add not null constraint to column
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA"
MODIFY
  ("CUSTOM_DUP_ALLOWANCE_ID" Number(11,0) NOT NULL)
/

--drop column once migration has occurred
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA"
DROP
  ("CUSTOM_DUP_ALLOWANCE")
/
COMMIT
/