-- PECS 5.0 PECS DDI Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record 
-- for each DDI.  If no Approved or Deleted records exist then the value is null.

set pagesize 1000
column version_comment format a200
set linesize 350

update ctstaging.PECS_DDI_VERSION_VA mainddi set (export_date) = (
    select maxdate
    from CTSTAGING.PECS_DDI_VERSION_VA ddi 
    left outer join 
    (
    select subddi.PECS_DDI_VA_ID, max(subddi.version_date) maxdate  
    from CTSTAGING.PECS_DDI_VERSION_VA subddi
    where subddi.status_id in (5,7)
    group by subddi.PECS_DDI_VA_ID
    order by subddi.PECS_DDI_VA_ID) source_ddi
    on
    DDI.PECS_DDI_VA_ID = source_ddi.pecs_ddi_va_id
    where version_date = maxdate and ddi.pecs_ddi_va_id = mainddi.pecs_ddi_va_id)
where (mainddi.pecs_ddi_va_id, MAINDDI.VERSION_NUM) in (
    select DDI.PECS_DDI_VA_ID, DDI.VERSION_NUM
    from CTSTAGING.PECS_DDI_VERSION_VA ddi 
    left outer join 
    (
    select subddi.PECS_DDI_VA_ID, max(subddi.version_date) maxdate  
    from CTSTAGING.PECS_DDI_VERSION_VA subddi
    where subddi.status_id in (5,7)
    group by subddi.PECS_DDI_VA_ID
    order by subddi.PECS_DDI_VA_ID) source_ddi
    on
    DDI.PECS_DDI_VA_ID = source_ddi.pecs_ddi_va_id
    where version_date = maxdate) 
;
commit;