-- PECS 5.0 PECS dr Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record 
-- for each dr.  If no Approved or Deleted records exist then the value is null.

set pagesize 1000
column version_comment format a200
set linesize 350

update ctstaging.PECS_DOSE_RANGE_VERSION_VA maindr set (export_date) = (
    select distinct maxdate
    from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA dr 
    left outer join 
    (
    select subdr.VA_DOSE_RANGE_ID, max(subdr.version_date) maxdate  
    from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA subdr
    where subdr.status_id in (5,7)
    group by subdr.VA_DOSE_RANGE_ID
    order by subdr.VA_DOSE_RANGE_ID) source_dr
    on
    dr.VA_DOSE_RANGE_ID = source_dr.VA_DOSE_RANGE_ID
    where version_date = maxdate and dr.VA_DOSE_RANGE_ID = maindr.VA_DOSE_RANGE_ID )
where (maindr.VA_DOSE_RANGE_ID, MAINdr.VERSION_NUM) in (
    select dr.VA_DOSE_RANGE_ID, dr.VERSION_NUM
    from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA dr 
    left outer join 
    (
    select subdr.VA_DOSE_RANGE_ID, max(subdr.version_date) maxdate  
    from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA subdr
    where subdr.status_id in (5,7)
    group by subdr.VA_DOSE_RANGE_ID
    order by subdr.VA_DOSE_RANGE_ID) source_dr
    on
    dr.VA_DOSE_RANGE_ID = source_dr.VA_DOSE_RANGE_ID
    where version_date = maxdate) 