-- PECS 5.0 PECS mono Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record 
-- for each mono.  If no Approved or Deleted records exist then the value is null.

set pagesize 1000
column version_comment format a200
set linesize 350

update CTSTAGING.PECS_MONOGRAPH_VERSION_VA mainmono set (export_date) = (
    select distinct maxdate
    from CTSTAGING.PECS_MONOGRAPH_VERSION_VA mono 
    left outer join 
    (
    select submono.VA_MONOGRAPH_ID, max(submono.version_date) maxdate  
    from CTSTAGING.PECS_MONOGRAPH_VERSION_VA submono
    where submono.status_id in (5,7)
    group by submono.VA_MONOGRAPH_ID
    order by submono.VA_MONOGRAPH_ID) source_mono
    on
    mono.VA_MONOGRAPH_ID = source_mono.VA_MONOGRAPH_ID
    where version_date = maxdate and mono.VA_MONOGRAPH_ID = mainmono.VA_MONOGRAPH_ID )
where (mainmono.VA_MONOGRAPH_ID, MAINmono.VERSION_NUM) in (
    select mono.VA_MONOGRAPH_ID, mono.VERSION_NUM
    from CTSTAGING.PECS_MONOGRAPH_VERSION_VA mono 
    left outer join 
    (
    select submono.VA_MONOGRAPH_ID, max(submono.version_date) maxdate  
    from CTSTAGING.PECS_MONOGRAPH_VERSION_VA submono
    where submono.status_id in (5,7)
    group by submono.VA_MONOGRAPH_ID
    order by submono.VA_MONOGRAPH_ID) source_mono
    on
    mono.VA_MONOGRAPH_ID = source_mono.VA_MONOGRAPH_ID
    where version_date = maxdate) 