-- Modify PECS_DOSE_RANGE_VERSION_VA to reference half life lookup table

--add new id column for reference
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA"
ADD
  ("HALF_LIFE_UNIT_ID" Number(11,0))
/

--migration existing data
UPDATE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" DR SET HALF_LIFE_UNIT_ID =
    (SELECT half_life_unit_id FROM CTSTAGING.HALF_LIFE_UNIT HALFLIFE
    where HALFLIFE.CODE = DR.HALFLIFEUNITS)
WHERE DR.HALF_LIFE_UNIT_ID IS NULL
/
--add foreign key for reference id field
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" ADD CONSTRAINT "FK_HALFLIFE_DRVERSION" FOREIGN KEY ("HALF_LIFE_UNIT_ID") REFERENCES "CTSTAGING"."HALF_LIFE_UNIT" ("HALF_LIFE_UNIT_ID")
/

--drop column once migration has occurred
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA"
DROP
  ("HALFLIFEUNITS")
/
COMMIT
/
