ALTER TABLE PECSJMS.JMS_SRV1_WLSTORE
 DROP PRIMARY KEY CASCADE
/

DROP TABLE PECSJMS.JMS_SRV1_WLSTORE CASCADE CONSTRAINTS
/

CREATE TABLE PECSJMS.JMS_SRV1_WLSTORE
(
  ID      NUMBER(22)                            NOT NULL,
  TYPE    NUMBER(22)                            NOT NULL,
  HANDLE  NUMBER(22)                            NOT NULL,
  RECORD  BLOB                                  NOT NULL
)
LOB (RECORD) STORE AS (
  TABLESPACE PECSJMS_DATA
  ENABLE       STORAGE IN ROW
  CHUNK       8192
  RETENTION
  NOCACHE
  LOGGING
  INDEX       (
        TABLESPACE PECSJMS_DATA
        STORAGE    (
                    INITIAL          64K
                    NEXT             1M
                    MINEXTENTS       1
                    MAXEXTENTS       UNLIMITED
                    PCTINCREASE      0
                    BUFFER_POOL      DEFAULT
                   ))
      STORAGE    (
                  INITIAL          64K
                  NEXT             1M
                  MINEXTENTS       1
                  MAXEXTENTS       UNLIMITED
                  PCTINCREASE      0
                  BUFFER_POOL      DEFAULT
                 ))
TABLESPACE PECSJMS_DATA
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING
/


--  There is no statement for index PECSJMS.SYS_C0016916.
--  The object is created automatically by Oracle when the parent object is created.

DROP PUBLIC SYNONYM JMS_Srv1_WLStore
/

CREATE PUBLIC SYNONYM JMS_Srv1_WLStore FOR PECSJMS.JMS_Srv1_WLStore
/

ALTER TABLE PECSJMS.JMS_SRV1_WLSTORE ADD (
  PRIMARY KEY
  (ID)
  USING INDEX
    TABLESPACE PECSJMS_DATA
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ))
/

