--create Dose Range cross reference between PECS Dose Range customizations and FDB originating Dose Range
--spool ddim_xref_migration.log

SELECT 'START : ' || CURRENT_TIMESTAMP AS "FdbDdimXref_DATA.sql" FROM DUAL;

INSERT INTO ctstaging.fdb_ddim_xref (fdb_reference_id, interaction_id)
   SELECT ctstaging.fdb_ddim_ref_id_seq.NEXTVAL, custom.fdb_id
     FROM (  SELECT DISTINCT ddi.fdb_id
               FROM ctstaging.pecs_ddi_va ddi
                    INNER JOIN fdb_dif.fdb_ddiminteraction fdb
                       ON fdb.interactionid = ddi.fdb_id
              WHERE NOT EXISTS
                       (SELECT *
                          FROM ctstaging.fdb_ddim_xref xref
                         WHERE xref.interaction_id = fdb.interactionid)
           ORDER BY ddi.fdb_id) custom;

COMMIT;

--spool off
SELECT 'END : ' || CURRENT_TIMESTAMP AS "FdbDdimXref_DATA.sql" FROM DUAL;

