SELECT 'START : ' || CURRENT_TIMESTAMP AS "FdbMonographXref_DATA.sql" FROM DUAL;

INSERT INTO ctstaging.fdb_monograph_xref (fdb_reference_id
                                         ,languageid
                                         ,monographid
                                         ,versioncode
                                         ,sequencenumber)
   SELECT ctstaging.fdb_monograph_ref_id_seq.NEXTVAL
         ,custom.languageid
         ,custom.monographid
         ,'FDB-P'
         ,1
     FROM (  SELECT fdb.monographid, fdb.languageid, COUNT (*) cntrecs
               FROM ctstaging.pecs_monograph_va mono
                    INNER JOIN fdb_dif.fdb_monograph_ddim fdb
                       ON     fdb.monographid = mono.monograph_id
                          AND fdb.languageid = mono.language_id
              WHERE NOT EXISTS
                           (SELECT *
                              FROM ctstaging.fdb_monograph_xref xref
                             WHERE     fdb.monographid = xref.monographid
                                   AND fdb.languageid = xref.languageid)
           GROUP BY fdb.monographid, fdb.languageid
           ORDER BY fdb.monographid, fdb.languageid) custom;

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "FdbMonographXref_DATA.sql" FROM DUAL;
