--
-- Header: PECS5_Create_CTSTAGING_Tablespaces_Dev.sql  04-4-2012
--
-- Created By: Alicia Ray
--
-- FILE NAME: PECS5_Create_CTSTAGING_Tablespaces_Dev.sql 
--
-- DESCRIPTION:
--  Create PECS Oracle staging tablespace. Note, there is a directory placeholder 
--  in this script that needs to be updated before script execution. 
--
--
-- NOTES:
--  
--  
-- MODIFIED	 (MM-DD-YYYY)	  DESCRIPTION
---------------------------------------
-- Ray		  04-04-2012	  Initial version for PECS 2.2
-- Shelley    12-05-2013     Updated for PECS 5.0
SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_CTSTAGING_Tablesp" FROM DUAL;

DROP TABLESPACE CTSTAGING_DATA INCLUDING CONTENTS  AND DATAFILES ;

CREATE SMALLFILE TABLESPACE CTSTAGING_DATA
	DATAFILE 
--   '%DATAFILE_LOCATION%/ctstaging_data.dbf' SIZE 314572800  AUTOEXTEND ON NEXT 2560 MAXSIZE UNLIMITED
   'C:\app\VHAISLSHELLD\oradata\dunkpre\ctstaging_data.dbf' SIZE 108M AUTOEXTEND ON NEXT 1M MAXSIZE UNLIMITED
	BLOCKSIZE 8192
	LOGGING
	DEFAULT NOCOMPRESS 
	ONLINE
	EXTENT MANAGEMENT LOCAL  AUTOALLOCATE
	SEGMENT SPACE MANAGEMENT AUTO;


DROP TABLESPACE CTSTAGING_INDEX INCLUDING CONTENTS  AND DATAFILES;

CREATE SMALLFILE TABLESPACE CTSTAGING_INDEX
	DATAFILE 
--   '%DATAFILE_LOCATION%/ctstaging_index.dbf' SIZE 1048576000  AUTOEXTEND ON NEXT 2560 MAXSIZE UNLIMITED
   'C:\app\VHAISLSHELLD\oradata\dunkpre\ctstaging_index.dbf' SIZE 108M AUTOEXTEND ON NEXT 1M MAXSIZE UNLIMITED
	BLOCKSIZE 8192
	LOGGING
	DEFAULT NOCOMPRESS 
	ONLINE
	EXTENT MANAGEMENT LOCAL  AUTOALLOCATE
	SEGMENT SPACE MANAGEMENT AUTO;


--CCR 5231-5532 - FDB Comparison Report:  Create tablespaces required to stored LOB objects for comparison reports.
--Run as SYSTEM

DROP TABLESPACE LOB_DATA INCLUDING CONTENTS AND DATAFILES;
CREATE TABLESPACE LOB_DATA	
	DATAFILE 
--   '%DATAFILE_LOCATION%/LOB_data.dbf' SIZE 1000M AUTOEXTEND ON NEXT 20M MAXSIZE UNLIMITED
   'C:\app\VHAISLSHELLD\oradata\dunkpre\LOB_data.dbf' SIZE 1000M AUTOEXTEND ON NEXT 20M MAXSIZE UNLIMITED
	BLOCKSIZE 8192
	LOGGING
	DEFAULT NOCOMPRESS 
	ONLINE
	EXTENT MANAGEMENT LOCAL  AUTOALLOCATE
	FLASHBACK ON
	SEGMENT SPACE MANAGEMENT AUTO;

DROP TABLESPACE LOB_INDEX INCLUDING CONTENTS AND DATAFILES;
CREATE TABLESPACE LOB_INDEX 
	DATAFILE 
--   '%DATAFILE_LOCATION%/LOB_index.dbf' SIZE 1000M AUTOEXTEND ON NEXT 20M MAXSIZE UNLIMITED 
   'C:\app\VHAISLSHELLD\oradata\dunkpre\LOB_index.dbf' SIZE 1000M AUTOEXTEND ON NEXT 20M MAXSIZE UNLIMITED
	BLOCKSIZE 8192
	LOGGING
	DEFAULT NOCOMPRESS 
	ONLINE
	EXTENT MANAGEMENT LOCAL  AUTOALLOCATE
	FLASHBACK ON
	SEGMENT SPACE MANAGEMENT AUTO;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_CTSTAGING_Tablesp" FROM DUAL;
