SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Indices_Only.sql" FROM DUAL;

CREATE UNIQUE INDEX CTSTAGING.XPKCLINICAL_EFFECT ON CTSTAGING.CLINICAL_EFFECT
(CLINICAL_EFFECT_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKCOMPARISON_REPORT_CONCEPT ON CTSTAGING.COMPARISON_REPORT_CONCEPT
(COMPARISON_REPORT_CONCEPT_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XAK1COMPARISON_REPORT_CONCEPT ON CTSTAGING.COMPARISON_REPORT_CONCEPT
(CODE   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKCT_USERS_VA ON CTSTAGING.CT_USERS_VA
(CT_USERS_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKCT_VERSION_VA ON CTSTAGING.CT_VERSION_VA
(CT_VERSION_KEY   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKCUSTOM_UPDATE_FILE_VA ON CTSTAGING.CUSTOM_UPDATE_FILE_VA
(CUSTOM_UPDATE_FILE_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKDOSE_ROUTE ON CTSTAGING.DOSE_ROUTE
(DOSE_ROUTE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKDOSE_TYPE ON CTSTAGING.DOSE_TYPE
(DOSE_TYPE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKDOSE_UNIT_TYPE ON CTSTAGING.DOSE_UNIT_TYPE
(DOSE_UNIT_TYPE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKDUPLICATE_ALLOWANCE ON CTSTAGING.DUPLICATE_ALLOWANCE
(DUPLICATE_ALLOWANCE_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPKEASY_SEARCH_SELECT_TYPE ON CTSTAGING.EASY_SEARCH_SELECT_TYPE
(EASY_SEARCH_SELECT_TYPE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKFDB_UPDATE_REPORT ON CTSTAGING.FDB_UPDATE_REPORT
(FDB_UPDATE_REPORT_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.XIF1FDB_UPDATE_REPORT ON CTSTAGING.FDB_UPDATE_REPORT
(COMPARISON_REPORT_CONCEPT_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKFIELD_METADATA ON CTSTAGING.FIELD_METADATA
(FIELD_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.UKCONCEPTFIELD ON CTSTAGING.FIELD_METADATA
(CONCEPT_NAME   ASC,FIELD_NAME   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_CONCEPT_NAME_META ON CTSTAGING.FIELD_METADATA
(CONCEPT_NAME   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_FIELD_NAME_META ON CTSTAGING.FIELD_METADATA
(FIELD_NAME   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKFORWARD_REVERSE_MONOGRAPH ON CTSTAGING.FORWARD_REVERSE_MONOGRAPH
(FORWARD_MONOGRAPH_ID   ASC,REVERSE_MONOGRAPH_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKHALF_LIFE_UNIT ON CTSTAGING.HALF_LIFE_UNIT
(HALF_LIFE_UNIT_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKMONOGRAPH_SECTION_ORDER_VA ON CTSTAGING.MONOGRAPH_SECTION_ORDER_VA
(SECTIONCODE   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DDI_VA ON CTSTAGING.PECS_DDI_VA
(PECS_DDI_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DDI_VERSION_VA ON CTSTAGING.PECS_DDI_VERSION_VA
(VERSION_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DOSE_RANGE_VA ON CTSTAGING.PECS_DOSE_RANGE_VA
(VA_DOSE_RANGE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DOSERANGEVERSION_VA ON CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
(VERSION_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DRUG_PAIR_VA ON CTSTAGING.PECS_DRUG_PAIR_VA
(VA_DRUG_PAIR_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.UKRTGENID ON CTSTAGING.PECS_DRUG_PAIR_VA
(ROUTED_GENERIC_ID1   ASC,ROUTED_GENERIC_ID2   ASC,PECS_DDI_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_DDI_DRUG_PAIR ON CTSTAGING.PECS_DRUG_PAIR_VA
(PECS_DDI_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_RTGENID1_DRUG_PAIR ON CTSTAGING.PECS_DRUG_PAIR_VA
(ROUTED_GENERIC_ID1   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_RTGENID2_DRUG_PAIR ON CTSTAGING.PECS_DRUG_PAIR_VA
(ROUTED_GENERIC_ID2   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DRUG_PAIR_VERSION_VA ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
(VERSION_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_STATUS_DRUG_PAIR ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
(STATUS_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IX_VERSION_DRUG_PAIR ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
(VA_DRUG_PAIR_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DUPL_THERAPY_VA ON CTSTAGING.PECS_DUPL_THERAPY_VA
(VA_DUPL_THERAPY_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.UKDTCIDDUPLTHERAPY ON CTSTAGING.PECS_DUPL_THERAPY_VA
(DTCID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_DUPLTHERAPYVERSION_VA ON CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA
(VERSION_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_LOCKING ON CTSTAGING.PECS_LOCKING
(RECORD_ID   ASC,CONCEPT   ASC,RECORD_TYPE   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECSMONOGRAPHSECTIONLINEVA ON CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA
(LINE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_MONOGRAPH_VA ON CTSTAGING.PECS_MONOGRAPH_VA
(VA_MONOGRAPH_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.UKPECSMONOGRAPHVERSIONLINEVA ON CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA
(VERSION_ID   ASC,LINE_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_MONOGRAPH_VERSION_VA ON CTSTAGING.PECS_MONOGRAPH_VERSION_VA
(VERSION_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPECS_STATUS ON CTSTAGING.PECS_STATUS
(STATUS_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.UKPECSCODE ON CTSTAGING.PECS_STATUS
(CODE   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKPERIOD_OF_TIME ON CTSTAGING.PERIOD_OF_TIME
(PERIOD_OF_TIME_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKREFERENCE_TEXT_VA ON CTSTAGING.REFERENCE_TEXT_VA
(REFERENCE_TEXT_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKSAVED_QUERY_VA ON CTSTAGING.SAVED_QUERY_VA
(SAVED_QUERY_VA_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IDX_SQRY_CREATED_BY ON CTSTAGING.SAVED_QUERY_VA
(CREATED_BY   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE INDEX CTSTAGING.IDX_SQRY_NAME ON CTSTAGING.SAVED_QUERY_VA
(SAVED_QUERY_NAME   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKSEVERITY_LEVEL ON CTSTAGING.SEVERITY_LEVEL
(SEVERITY_LEVEL_ID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

-- added manual because they were disabled in originating schema


CREATE UNIQUE INDEX CTSTAGING.XPKVERSIONNUMMONOGRAPH ON CTSTAGING.PECS_MONOGRAPH_VERSION_VA
(VA_MONOGRAPH_ID ASC, VERSION_NUM   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;


CREATE UNIQUE INDEX CTSTAGING.XPKVERSIONNUMDUPLTHERAPY ON CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA
(VA_DUPL_THERAPY_ID ASC, VERSION_NUM   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;


CREATE UNIQUE INDEX CTSTAGING.XPKVERSIONNUMDRUGPAIR ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA
(VA_DRUG_PAIR_ID ASC, VERSION_NUM   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;


CREATE UNIQUE INDEX CTSTAGING.XPKVERSIONNUMDOSERANGE ON CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
(VA_DOSE_RANGE_ID ASC, VERSION_NUM   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

-- CCR 5514 - Null Drug Pair Removal Process
--
-- DESCRIPTION:
-- Create copy of the FDB_GENERIC_ROUTEDDRUG table to support display
-- of deleted routed drug description.
--
CREATE UNIQUE INDEX CTSTAGING.XPKGENERIC_ROUTEDDRUG ON CTSTAGING.GENERIC_ROUTEDDRUG
(RTGENID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

-- CCR 5443  In support of query of FDB and VA Custom Dose Range records to include the Concept ID Description. 
--
CREATE INDEX CTSTAGING.XIE1CONCEPTTYPE_ID ON CTSTAGING.PECS_DOSE_RANGE_VERSION_VA
(CONCEPTTYPE   ASC,CONCEPTID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE CTSTAGING_INDEX
	NOCOMPRESS 
	NOPARALLEL;

CREATE UNIQUE INDEX CTSTAGING.XPKDDIMCOMMENTID ON CTSTAGING.DDIMINTERACTION_COMMENT (COMMENT_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_FDB_DDIM_XREF ON CTSTAGING.FDB_DDIM_XREF (FDB_REFERENCE_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_FDB_DOSE_XREF ON CTSTAGING.FDB_DOSE_RANGE_XREF (FDB_REFERENCE_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPKDOSECOMMENTID ON CTSTAGING.DOSERANGE_COMMENT (COMMENT_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_FDB_DT_XREF ON CTSTAGING.FDB_DUPTHERAPY_XREF (FDB_REFERENCE_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPKDTCOMMENTID ON CTSTAGING.DUPLTHERAPY_COMMENT (COMMENT_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_FDB_MONO_XREF ON CTSTAGING.FDB_MONOGRAPH_XREF (FDB_REFERENCE_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPKMONOCOMMENTID ON CTSTAGING.MONOGRAPH_COMMENT (COMMENT_ID)
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX ctstaging.xpk_pecs_contact
   ON ctstaging.pecs_contact (pecs_contact_id);

CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_DDI_EXPORT_VA ON CTSTAGING.PECS_DDI_EXPORT_VA
(PECS_DDI_VA_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_DP_EXPORT_VA ON CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA
(VA_DRUG_PAIR_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_DOSE_RANGE_EXPORT_VA ON CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA
(VA_DOSE_RANGE_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_DT_EXPORT_VA ON CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA
(VA_DUPL_THERAPY_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;

CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_MONO_EXPORT_VA ON CTSTAGING.PECS_MONOGRAPH_EXPORT_VA
(VA_MONOGRAPH_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX;






SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Indices_Only.sql" FROM DUAL;