SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDoseRangeVa_UPDATE.sql" FROM DUAL;

UPDATE ctstaging.pecs_dose_range_va dr
   SET dr.fdb_reference_id =
          (SELECT DISTINCT xref.fdb_reference_id
             FROM ctstaging.pecs_dose_range_version_va drver
                  INNER JOIN dose_route droute
                     ON droute.dose_route_id = drver.dose_route_id
                  INNER JOIN dose_type dtype
                     ON dtype.dose_type_id = drver.dose_type_id
                  INNER JOIN ctstaging.fdb_dose_range_xref xref
                     ON     drver.agehighindays = xref.agehighindays
                        AND drver.agelowindays = xref.agelowindays
                        AND drver.conceptid = xref.conceptid
                        AND drver.concepttype = xref.concepttype
                        AND droute.code = xref.doserouteid
                        AND dtype.code = xref.dosetypeid
                        AND drver.fdbdx = xref.fdbdx
            WHERE     drver.va_dose_range_id = dr.va_dose_range_id
                  AND drver.version_id =
                         (SELECT DISTINCT MIN (version_id)
                            FROM ctstaging.pecs_dose_range_version_va subdr
                           WHERE subdr.va_dose_range_id =
                                    drver.va_dose_range_id))
 WHERE     dr.fdb_reference_id IS NULL
       AND EXISTS
              (SELECT xref.fdb_reference_id
                 FROM ctstaging.pecs_dose_range_version_va drver
                      INNER JOIN dose_route droute
                         ON droute.dose_route_id = drver.dose_route_id
                      INNER JOIN dose_type dtype
                         ON dtype.dose_type_id = drver.dose_type_id
                      INNER JOIN ctstaging.fdb_dose_range_xref xref
                         ON     drver.agehighindays = xref.agehighindays
                            AND drver.agelowindays = xref.agelowindays
                            AND drver.conceptid = xref.conceptid
                            AND drver.concepttype = xref.concepttype
                            AND droute.code = xref.doserouteid
                            AND dtype.code = xref.dosetypeid
                            AND drver.fdbdx = xref.fdbdx
                WHERE     drver.va_dose_range_id = dr.va_dose_range_id
                      AND drver.version_id =
                             (SELECT DISTINCT MIN (version_id)
                                FROM ctstaging.pecs_dose_range_version_va subdr
                               WHERE subdr.va_dose_range_id =
                                        drver.va_dose_range_id));

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDoseRangeVa_UPDATE.sql" FROM DUAL;
