-- PECS 5.0 PECS dp Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record
-- for each dp.  If no Approved or Deleted records exist then the value is null.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDrugPairVersionVa_UPDATE" FROM DUAL;

SET PAGESIZE 1000
COLUMN version_comment FORMAT a200
SET LINESIZE 350

UPDATE ctstaging.pecs_drug_pair_version_va maindp
   SET (export_date) =
          (SELECT DISTINCT maxdate
             FROM ctstaging.pecs_drug_pair_version_va dp
                  LEFT OUTER JOIN
                  (  SELECT subdp.va_drug_pair_id
                           ,MAX (subdp.version_date) maxdate
                       FROM ctstaging.pecs_drug_pair_version_va subdp
                      WHERE subdp.status_id IN (5, 7)
                   GROUP BY subdp.va_drug_pair_id
                   ORDER BY subdp.va_drug_pair_id) source_dp
                     ON dp.va_drug_pair_id = source_dp.va_drug_pair_id
            WHERE     version_date = maxdate
                  AND dp.va_drug_pair_id = maindp.va_drug_pair_id)
 WHERE (maindp.va_drug_pair_id, maindp.version_num) IN (SELECT dp.va_drug_pair_id
                                                              ,dp.version_num
                                                          FROM ctstaging.pecs_drug_pair_version_va dp
                                                               LEFT OUTER JOIN
                                                               (  SELECT subdp.va_drug_pair_id
                                                                        ,MAX (subdp.version_date) maxdate
                                                                    FROM ctstaging.pecs_drug_pair_version_va subdp
                                                                   WHERE subdp.status_id IN (5,7)
                                                                GROUP BY subdp.va_drug_pair_id
                                                                ORDER BY subdp.va_drug_pair_id) source_dp
                                                                  ON dp.va_drug_pair_id = source_dp.va_drug_pair_id
                                                         WHERE version_date = maxdate);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDrugPairVersionVa_UPDATE" FROM DUAL;