--
-- Header: add_ct_version_ddl.sql 09-24-2009
--
-- Created By: rick.bloyer
--
-- FILE NAME: add_ct_version_ddl.sql
--
-- DESCRIPTION:
--  This script creates a table in the FDB schema, as per advice
--  from Ben Nguyen at FDB (03-16-2009).  The table tracks PECS
--  update file information.
--
-- NOTES:
--  
--  
-- MODIFIED		(MM-DD-YYYY)		DESCRIPTION
---------------------------------------
-- Bloyer			09-24-2009			Initial version.
--
--

create table FDB_DIF.CT_VERSION
(
	VERSIONKEY NUMBER(6) NOT NULL,
	DBVERSION VARCHAR2(5) NULL,
	BUILDVERSION VARCHAR2(5) NULL,
	FREQUENCY VARCHAR2(1) NULL,
	ISSUEDATE VARCHAR2(8) NULL,
	VERSIONCOMMENT VARCHAR2(80) NULL,
	DBTYPE VARCHAR2(10) NULL
)
;
insert into CT_VERSION (VERSIONKEY, DBVERSION, BUILDVERSION, FREQUENCY, ISSUEDATE, VERSIONCOMMENT, DBTYPE)
select 1, '3.2', '6', 'W', '20090209', 'Weekly custom data issued 20090316, fdb production date 20090209', 'USA'
from dual;

insert into CT_VERSION (VERSIONKEY, DBVERSION, BUILDVERSION, FREQUENCY, ISSUEDATE, VERSIONCOMMENT, DBTYPE)
select 2, '3.2', '6', 'W', '20090209', 'Weekly custom data issued 20090316, fdb production date 20090209', 'USA'
from dual;
