--Script to drop CTSTAGING tables, sequences, views and packages.
--Run SYSTEM

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Procedures.sql

SELECT 'DROP PROCEDURE ctstaging.' || LOWER (object_name) || ';'
  FROM dba_procedures
 WHERE owner = 'CTSTAGING' AND object_type = 'PROCEDURE';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Procedures.log
@Drop_CTSTAGING_Procedures.sql
COMMIT;
SPOOL OFF

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Functions.sql

SELECT 'DROP FUNCTION ctstaging.' || LOWER (object_name) || ';'
  FROM dba_procedures
 WHERE owner = 'CTSTAGING' AND object_type = 'FUNCTION';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Functions.log
@Drop_CTSTAGING_Functions.sql
COMMIT;
SPOOL OFF

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Triggers.sql

SELECT 'DROP TRIGGER ctstaging.' || LOWER (object_name) || ';'
  FROM dba_procedures
 WHERE owner = 'CTSTAGING' AND object_type = 'TRIGGER';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Triggers.log
@Drop_CTSTAGING_Triggers.sql
COMMIT;
SPOOL OFF

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Sequences.sql

SELECT 'DROP SEQUENCE ctstaging.' || LOWER (sequence_name) || ';'
  FROM dba_sequences
 WHERE sequence_owner = 'CTSTAGING';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Sequences.log
@Drop_CTSTAGING_Sequences.sql
COMMIT;
SPOOL OFF

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Views.sql

SELECT 'DROP VIEW ctstaging.' || LOWER (view_name) || ';'
  FROM dba_views
 WHERE owner = 'CTSTAGING';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Views.log
@Drop_CTSTAGING_Views.sql
COMMIT;
SPOOL OFF

SET TERM      OFF
SET ECHO      OFF
SET HEADING   OFF
SET FEEDBACK  OFF
SET PAGESIZE  0
SET LINESIZE  1000
SET VERIFY    OFF

SPOOL Drop_CTSTAGING_Tables.sql

SELECT 'DROP TABLE ctstaging.' || LOWER (table_name) || ' CASCADE CONSTRAINTS;'
  FROM dba_tables
 WHERE owner = 'CTSTAGING';

SPOOL OFF

--reset display of messages for verification
SET TERM      ON
SET ECHO      ON
SET HEADING   ON
SET FEEDBACK  ON
SET VERIFY    ON
SET PAGESIZE  150

SPOOL Drop_CTSTAGING_Tables.log
@Drop_CTSTAGING_Tables.sql
COMMIT;
SPOOL OFF
