﻿-- Created: 4/2/2013
-- Modified: 4/12/2013
-- Model: RE Oracle 11g Release 2
-- Database: Oracle 11g Release 2
--
-- Drop relationships section -------------------------------------------------

ALTER TABLE "CTSTAGING"."MONOGRAPH_COMMENT" DROP CONSTRAINT "FK_XREF_MONOCOMMENT"
/
ALTER TABLE "CTSTAGING"."DUPLTHERAPY_COMMENT" DROP CONSTRAINT "FK_XREF_DTCOMMENT"
/
ALTER TABLE "CTSTAGING"."DOSERANGE_COMMENT" DROP CONSTRAINT "FK_XREF_DRCOMMENT"
/
ALTER TABLE "CTSTAGING"."DDIMINTERACTION_COMMENT" DROP CONSTRAINT "FK_XREF_DDIMCOMMENT"
/

-- Drop tables section ---------------------------------------------------

DROP TABLE "CTSTAGING"."MONOGRAPH_COMMENT" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."FDB_MONOGRAPH_XREF" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."DUPLTHERAPY_COMMENT" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."FDB_DUPTHERAPY_XREF" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."DOSERANGE_COMMENT" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."FDB_DOSE_RANGE_XREF" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."FDB_DDIM_XREF" CASCADE CONSTRAINTS PURGE
/
DROP TABLE "CTSTAGING"."DDIMINTERACTION_COMMENT" CASCADE CONSTRAINTS PURGE
/


-- Drop concept table relationships section -------------------------------------------------

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VA" DROP CONSTRAINT "FK_XREF_MONOGRAPH"
/
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VA" DROP CONSTRAINT "FK_XREF_DOSERANGE"
/
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VA" DROP CONSTRAINT "FK_XREF_DUPLTHERAPY"
/
ALTER TABLE "CTSTAGING"."PECS_DDI_VA" DROP CONSTRAINT "FK_XREF_DDIM"
/

-- Drop concept table column changes section ---------------------------------------------------

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VA" DROP COLUMN "FDB_REFERENCE_ID"
/
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VA" DROP COLUMN "FDB_REFERENCE_ID"
/
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VA" DROP COLUMN "FDB_REFERENCE_ID"
/
ALTER TABLE "CTSTAGING"."PECS_DDI_VA" DROP COLUMN "FDB_REFERENCE_ID"
/

-- Drop sequences section --------------------------------------------------- 

DROP SEQUENCE "CTSTAGING"."FDB_DOSEROUTE_REF_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."DOSEROUTE_COMMENT_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."FDB_DUPLTHERAPY_REF_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."DUPLTHERAPY_COMMENT_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."FDB_MONOGRAPH_REF_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."MONOGRAPH_COMMENT_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."FDB_DDIM_REF_ID_SEQ"
/
DROP SEQUENCE "CTSTAGING"."DDIM_COMMENT_ID_SEQ"
/



-- Create sequences section -------------------------------------------------

CREATE SEQUENCE "CTSTAGING"."DDIM_COMMENT_ID_SEQ"
 START WITH 1
 MAXVALUE 9999999999999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."FDB_DDIM_REF_ID_SEQ"
 START WITH 1
 MAXVALUE 9999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."MONOGRAPH_COMMENT_ID_SEQ"
 START WITH 1
 MAXVALUE 9999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."FDB_MONOGRAPH_REF_ID_SEQ"
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."DUPLTHERAPY_COMMENT_ID_SEQ"
 START WITH 1
 MAXVALUE 9999999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."FDB_DUPLTHERAPY_REF_ID_SEQ"
 START WITH 1
 MAXVALUE 99999999999999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."DOSEROUTE_COMMENT_ID_SEQ"
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20
/

CREATE SEQUENCE "CTSTAGING"."FDB_DOSEROUTE_REF_ID_SEQ"
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20
/

-- Create tables section -------------------------------------------------

-- Table CTSTAGING.DDIMINTERACTION_COMMENT

CREATE TABLE "CTSTAGING"."DDIMINTERACTION_COMMENT"(
  "COMMENT_ID" Integer NOT NULL,
  "FDB_REFERENCE_ID" Integer,
  "COMMENT_TEXT" Varchar2(4000 BYTE),
  "COMMENT_DATE" Timestamp(6),
  "COMMENT_USER" Varchar2(50 BYTE) NOT NULL
)
TABLESPACE "CTSTAGING_DATA"
MAXTRANS   255
PCTFREE    10
PCTUSED    0
INITRANS   1
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING
NOCOMPRESS
/

-- Create indexes for table CTSTAGING.DDIMINTERACTION_COMMENT

CREATE UNIQUE INDEX "CTSTAGING"."XPKDDIMCOMMENTID" ON "CTSTAGING"."DDIMINTERACTION_COMMENT" ("COMMENT_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.DDIMINTERACTION_COMMENT

ALTER TABLE "CTSTAGING"."DDIMINTERACTION_COMMENT" ADD CONSTRAINT "PKDDIMCOMMENTID" PRIMARY KEY ("COMMENT_ID")
   USING INDEX "CTSTAGING"."XPKDDIMCOMMENTID"
/

-- Table CTSTAGING.FDB_DDIM_XREF

CREATE TABLE "CTSTAGING"."FDB_DDIM_XREF"(
  "FDB_REFERENCE_ID" Integer NOT NULL,
  "INTERACTION_ID" Integer
)
TABLESPACE "CTSTAGING_DATA"
/

-- Create indexes for table CTSTAGING.FDB_DDIM_XREF

CREATE UNIQUE INDEX "CTSTAGING"."XPK_FDB_DDIM_XREF" ON "CTSTAGING"."FDB_DDIM_XREF" ("FDB_REFERENCE_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.FDB_DDIM_XREF

ALTER TABLE "CTSTAGING"."FDB_DDIM_XREF" ADD CONSTRAINT "PK_FDB_DDIM_XREF" PRIMARY KEY ("FDB_REFERENCE_ID")
   USING INDEX "CTSTAGING"."XPK_FDB_DDIM_XREF"
/

-- Table and Columns comments section
  
COMMENT ON COLUMN "CTSTAGING"."FDB_DDIM_XREF"."INTERACTION_ID" IS 'Interaction ID from FDB_DDIMINTERATION table '
/

-- Table CTSTAGING.FDB_DOSE_RANGE_XREF

CREATE TABLE "CTSTAGING"."FDB_DOSE_RANGE_XREF"(
  "FDB_REFERENCE_ID" Integer NOT NULL,
  "CONCEPTTYPE" Integer,
  "CONCEPTID" Integer,
  "AGELOWINDAYS" Integer,
  "AGEHIGHINDAYS" Integer,
  "DOSEROUTEID" Varchar2(3 BYTE),
  "DOSETYPEID" Varchar2(2 BYTE),
  "FDBDX" Varchar2(9 BYTE),
  "HITTYPE" Integer
)
TABLESPACE "CTSTAGING_DATA"
/

-- Create indexes for table CTSTAGING.FDB_DOSE_RANGE_XREF

CREATE UNIQUE INDEX "CTSTAGING"."XPK_FDB_DOSE_XREF" ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" ("FDB_REFERENCE_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.FDB_DOSE_RANGE_XREF

ALTER TABLE "CTSTAGING"."FDB_DOSE_RANGE_XREF" ADD CONSTRAINT "PK_FDB_DOSE_XREF" PRIMARY KEY ("FDB_REFERENCE_ID")
   USING INDEX "CTSTAGING"."XPK_FDB_DOSE_XREF"
/

-- Table CTSTAGING.DOSERANGE_COMMENT

CREATE TABLE "CTSTAGING"."DOSERANGE_COMMENT"(
  "COMMENT_ID" Integer NOT NULL,
  "FDB_REFERENCE_ID" Integer,
  "COMMENT_TEXT" Varchar2(4000 BYTE),
  "COMMENT_DATE" Timestamp(6),
  "COMMENT_USER" Varchar2(50 BYTE) NOT NULL
)
TABLESPACE "CTSTAGING_DATA"
MAXTRANS   255
PCTFREE    10
PCTUSED    0
INITRANS   1
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING
NOCOMPRESS
/

-- Create indexes for table CTSTAGING.DOSERANGE_COMMENT

CREATE UNIQUE INDEX "CTSTAGING"."XPKDOSECOMMENTID" ON "CTSTAGING"."DOSERANGE_COMMENT" ("COMMENT_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.DOSERANGE_COMMENT

ALTER TABLE "CTSTAGING"."DOSERANGE_COMMENT" ADD CONSTRAINT "PKDOSECOMMENTID" PRIMARY KEY ("COMMENT_ID")
   USING INDEX "CTSTAGING"."XPKDOSECOMMENTID"
/

-- Table CTSTAGING.FDB_DUPTHERAPY_XREF

CREATE TABLE "CTSTAGING"."FDB_DUPTHERAPY_XREF"(
  "FDB_REFERENCE_ID" Integer NOT NULL,
  "DTCID" Integer
)
TABLESPACE "CTSTAGING_DATA"
/

-- Create indexes for table CTSTAGING.FDB_DUPTHERAPY_XREF

CREATE UNIQUE INDEX "CTSTAGING"."XPK_FDB_DT_XREF" ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" ("FDB_REFERENCE_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.FDB_DUPTHERAPY_XREF

ALTER TABLE "CTSTAGING"."FDB_DUPTHERAPY_XREF" ADD CONSTRAINT "PK_FDB_DT_XREF" PRIMARY KEY ("FDB_REFERENCE_ID")
   USING INDEX "CTSTAGING"."XPK_FDB_DT_XREF"
/

-- Table CTSTAGING.DUPLTHERAPY_COMMENT

CREATE TABLE "CTSTAGING"."DUPLTHERAPY_COMMENT"(
  "COMMENT_ID" Integer NOT NULL,
  "FDB_REFERENCE_ID" Integer,
  "COMMENT_TEXT" Varchar2(4000 BYTE),
  "COMMENT_DATE" Timestamp(6),
  "COMMENT_USER" Varchar2(50 BYTE) NOT NULL
)
TABLESPACE "CTSTAGING_DATA"
MAXTRANS   255
PCTFREE    10
PCTUSED    0
INITRANS   1
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING
NOCOMPRESS
/

-- Create indexes for table CTSTAGING.DUPLTHERAPY_COMMENT

CREATE UNIQUE INDEX "CTSTAGING"."XPKDTCOMMENTID" ON "CTSTAGING"."DUPLTHERAPY_COMMENT" ("COMMENT_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.DUPLTHERAPY_COMMENT

ALTER TABLE "CTSTAGING"."DUPLTHERAPY_COMMENT" ADD CONSTRAINT "PKDTCOMMENTID" PRIMARY KEY ("COMMENT_ID")
   USING INDEX "CTSTAGING"."XPKDTCOMMENTID"
/

-- Table CTSTAGING.FDB_MONOGRAPH_XREF

CREATE TABLE "CTSTAGING"."FDB_MONOGRAPH_XREF"(
  "FDB_REFERENCE_ID" Integer NOT NULL,
  "LANGUAGEID" Integer,
  "VERSIONCODE" Varchar2(10 ),
  "MONOGRAPHID" Integer,
  "SEQUENCENUMBER" Integer
)
TABLESPACE "CTSTAGING_DATA"
/

-- Create indexes for table CTSTAGING.FDB_MONOGRAPH_XREF

CREATE UNIQUE INDEX "CTSTAGING"."XPK_FDB_MONO_XREF" ON "CTSTAGING"."FDB_MONOGRAPH_XREF" ("FDB_REFERENCE_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.FDB_MONOGRAPH_XREF

ALTER TABLE "CTSTAGING"."FDB_MONOGRAPH_XREF" ADD CONSTRAINT "PK_FDB_MONO_XREF" PRIMARY KEY ("FDB_REFERENCE_ID")
   USING INDEX "CTSTAGING"."XPK_FDB_MONO_XREF"
/

-- Table CTSTAGING.MONOGRAPH_COMMENT

CREATE TABLE "CTSTAGING"."MONOGRAPH_COMMENT"(
  "COMMENT_ID" Integer NOT NULL,
  "FDB_REFERENCE_ID" Integer,
  "COMMENT_TEXT" Varchar2(4000 BYTE),
  "COMMENT_DATE" Timestamp(6),
  "COMMENT_USER" Varchar2(50 BYTE) NOT NULL
)
TABLESPACE "CTSTAGING_DATA"
MAXTRANS   255
PCTFREE    10
PCTUSED    0
INITRANS   1
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING
NOCOMPRESS
/

-- Create indexes for table CTSTAGING.MONOGRAPH_COMMENT

CREATE UNIQUE INDEX "CTSTAGING"."XPKMONOCOMMENTID" ON "CTSTAGING"."MONOGRAPH_COMMENT" ("COMMENT_ID")
TABLESPACE "CTSTAGING_INDEX"
/

-- Add keys for table CTSTAGING.MONOGRAPH_COMMENT

ALTER TABLE "CTSTAGING"."MONOGRAPH_COMMENT" ADD CONSTRAINT "PKMONOCOMMENTID" PRIMARY KEY ("COMMENT_ID")
   USING INDEX "CTSTAGING"."XPKMONOCOMMENTID"
/

-- Create synonyms section -------------------------------------------------

CREATE OR REPLACE PUBLIC SYNONYM "DDIMINTERACTION_COMMENT" FOR "CTSTAGING"."DDIMINTERACTION_COMMENT"
/

CREATE OR REPLACE PUBLIC SYNONYM "DDIM_COMMENT_ID_SEQ" FOR "CTSTAGING"."DDIM_COMMENT_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DDIM_REF_ID_SEQ" FOR "CTSTAGING"."FDB_DDIM_REF_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DDIM_XREF" FOR "CTSTAGING"."FDB_DDIM_XREF"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DUPTHERAPY_XREF" FOR "CTSTAGING"."FDB_DUPTHERAPY_XREF"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DOSE_RANGE_XREF" FOR "CTSTAGING"."FDB_DOSE_RANGE_XREF"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_MONOGRAPH_XREF" FOR "CTSTAGING"."FDB_MONOGRAPH_XREF"
/

CREATE OR REPLACE PUBLIC SYNONYM "DOSERANGE_COMMENT" FOR "CTSTAGING"."DOSERANGE_COMMENT"
/

CREATE OR REPLACE PUBLIC SYNONYM "DUPLTHERAPY_COMMENT" FOR "CTSTAGING"."DUPLTHERAPY_COMMENT"
/

CREATE OR REPLACE PUBLIC SYNONYM "MONOGRAPH_COMMENT" FOR "CTSTAGING"."MONOGRAPH_COMMENT"
/

CREATE OR REPLACE PUBLIC SYNONYM "DOSEROUTE_COMMENT_ID_SEQ" FOR "CTSTAGING"."DOSEROUTE_COMMENT_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "DUPLTHERAPY_COMMENT_ID_SEQ" FOR "CTSTAGING"."DUPLTHERAPY_COMMENT_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DOSEROUTE_REF_ID_SEQ" FOR "CTSTAGING"."FDB_DOSEROUTE_REF_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_DUPLTHERAPY_REF_ID_SEQ" FOR "CTSTAGING"."FDB_DUPLTHERAPY_REF_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "FDB_MONOGRAPH_REF_ID_SEQ" FOR "CTSTAGING"."FDB_MONOGRAPH_REF_ID_SEQ"
/

CREATE OR REPLACE PUBLIC SYNONYM "MONOGRAPH_COMMENT_ID_SEQ" FOR "CTSTAGING"."MONOGRAPH_COMMENT_ID_SEQ"
/

-- Create relationships section ------------------------------------------------- 

ALTER TABLE "CTSTAGING"."DDIMINTERACTION_COMMENT" ADD CONSTRAINT "FK_XREF_DDIMCOMMENT" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DDIM_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."DOSERANGE_COMMENT" ADD CONSTRAINT "FK_XREF_DRCOMMENT" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DOSE_RANGE_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."DUPLTHERAPY_COMMENT" ADD CONSTRAINT "FK_XREF_DTCOMMENT" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DUPTHERAPY_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."MONOGRAPH_COMMENT" ADD CONSTRAINT "FK_XREF_MONOCOMMENT" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_MONOGRAPH_XREF" ("FDB_REFERENCE_ID")
/

-- Add concept table column changes section ---------------------------------------------------

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VA" ADD "FDB_REFERENCE_ID" Integer 
/
ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VA" ADD "FDB_REFERENCE_ID" Integer
/
ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VA" ADD "FDB_REFERENCE_ID" Integer
/
ALTER TABLE "CTSTAGING"."PECS_DDI_VA" ADD "FDB_REFERENCE_ID" Integer
/

-- Create concept table relationships section ------------------------------------------------- 

ALTER TABLE "CTSTAGING"."PECS_DDI_VA" ADD CONSTRAINT "FK_XREF_DDIM" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DDIM_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VA" ADD CONSTRAINT "FK_XREF_DUPLTHERAPY" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DUPTHERAPY_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VA" ADD CONSTRAINT "FK_XREF_DOSERANGE" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_DOSE_RANGE_XREF" ("FDB_REFERENCE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VA" ADD CONSTRAINT "FK_XREF_MONOGRAPH" FOREIGN KEY ("FDB_REFERENCE_ID") REFERENCES "CTSTAGING"."FDB_MONOGRAPH_XREF" ("FDB_REFERENCE_ID")
/


-- Grant permissions section -------------------------------------------------


GRANT SELECT ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DDIMINTERACTION_COMMENT" TO "FDB_DIF_READ_ONLY_ROLE"
/

GRANT SELECT ON "CTSTAGING"."DOSERANGE_COMMENT" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."DOSERANGE_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."DOSERANGE_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."DOSERANGE_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DOSERANGE_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DOSERANGE_COMMENT" TO "FDB_DIF_READ_ONLY_ROLE"
/

GRANT SELECT ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DUPLTHERAPY_COMMENT" TO "FDB_DIF_READ_ONLY_ROLE"
/

GRANT SELECT ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."MONOGRAPH_COMMENT" TO "FDB_DIF_READ_ONLY_ROLE"
/

GRANT SELECT ON "CTSTAGING"."FDB_DDIM_XREF" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."FDB_DDIM_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."FDB_DDIM_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."FDB_DDIM_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DDIM_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DDIM_XREF" TO "FDB_DIF_READ_ONLY_ROLE"
/


GRANT SELECT ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DUPTHERAPY_XREF" TO "FDB_DIF_READ_ONLY_ROLE"
/


GRANT SELECT ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DOSE_RANGE_XREF" TO "FDB_DIF_READ_ONLY_ROLE"
/

GRANT SELECT ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "CTSTAGING_READ_ONLY_ROLE"
/
GRANT DELETE ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT INSERT ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT UPDATE ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_MONOGRAPH_XREF" TO "FDB_DIF_READ_ONLY_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DOSEROUTE_REF_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE" 
/
GRANT SELECT ON "CTSTAGING"."DOSEROUTE_COMMENT_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON  "CTSTAGING"."FDB_DUPLTHERAPY_REF_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON  "CTSTAGING"."DUPLTHERAPY_COMMENT_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON  "CTSTAGING"."FDB_MONOGRAPH_REF_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."MONOGRAPH_COMMENT_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."FDB_DDIM_REF_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/
GRANT SELECT ON "CTSTAGING"."DDIM_COMMENT_ID_SEQ" TO "CTSTAGING_UPDATE_USER_ROLE"
/