-- Add PECS Contact Us data to the application User Story
-- drop existing objects
ALTER TABLE CTSTAGING.PECS_CONTACT
 DROP PRIMARY KEY CASCADE;

DROP TABLE CTSTAGING.PECS_CONTACT CASCADE CONSTRAINTS;

DROP SEQUENCE CTSTAGING.PECS_CONTACT_ID_SEQ;

-- create new database objects
CREATE SEQUENCE CTSTAGING.PECS_CONTACT_ID_SEQ
 START WITH 1
 MAXVALUE 9999999999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE TABLE CTSTAGING.PECS_CONTACT
(
  PECS_CONTACT_ID           NUMBER(11)          NOT NULL,
  CREATED_DATE              TIMESTAMP(6),
  CREATED_BY                VARCHAR2(64 BYTE),
  PECS_CONTACT_CONTENT      BLOB
)
LOB (PECS_CONTACT_CONTENT) STORE AS (
  TABLESPACE  CTSTAGING_DATA
  ENABLE      STORAGE IN ROW
  CHUNK       8192
  RETENTION
  NOCACHE
  LOGGING
      STORAGE    (
                  INITIAL          64K
                  NEXT             1M
                  MINEXTENTS       1
                  MAXEXTENTS       UNLIMITED
                  PCTINCREASE      0
                  BUFFER_POOL      DEFAULT
                  FLASH_CACHE      DEFAULT
                  CELL_FLASH_CACHE DEFAULT
                 ))
TABLESPACE CTSTAGING_DATA
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX CTSTAGING.XPK_PECS_CONTACT ON CTSTAGING.PECS_CONTACT
(PECS_CONTACT_ID)
LOGGING
TABLESPACE CTSTAGING_INDEX
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;

CREATE OR REPLACE PUBLIC SYNONYM PECS_CONTACT FOR CTSTAGING.PECS_CONTACT;
CREATE OR REPLACE PUBLIC SYNONYM PECS_CONTACT_ID_SEQ FOR CTSTAGING.PECS_CONTACT_ID_SEQ;

ALTER TABLE CTSTAGING.PECS_CONTACT ADD (
  CONSTRAINT PK_PECS_CONTACT
  PRIMARY KEY
  (PECS_CONTACT_ID)
  USING INDEX CTSTAGING.XPK_PECS_CONTACT
  ENABLE VALIDATE);

GRANT SELECT ON CTSTAGING.PECS_CONTACT TO CTSTAGING_READ_ONLY_ROLE;
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.PECS_CONTACT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.PECS_CONTACT_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
