-- PECS 5.0 PECS dp Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record 
-- for each dp.  If no Approved or Deleted records exist then the value is null.

set pagesize 1000
column version_comment format a200
set linesize 350

update ctstaging.PECS_DRUG_PAIR_VERSION_VA maindp set (export_date) = (
    select distinct maxdate
    from CTSTAGING.PECS_DRUG_PAIR_VERSION_VA dp 
    left outer join 
    (
    select subdp.VA_DRUG_PAIR_ID, max(subdp.version_date) maxdate  
    from CTSTAGING.PECS_DRUG_PAIR_VERSION_VA subdp
    where subdp.status_id in (5,7)
    group by subdp.VA_DRUG_PAIR_ID
    order by subdp.VA_DRUG_PAIR_ID) source_dp
    on
    dp.VA_DRUG_PAIR_ID = source_dp.VA_DRUG_PAIR_ID
    where version_date = maxdate and dp.VA_DRUG_PAIR_ID = maindp.VA_DRUG_PAIR_ID)
where (maindp.VA_DRUG_PAIR_ID, MAINdp.VERSION_NUM) in (
    select dp.VA_DRUG_PAIR_ID, dp.VERSION_NUM
    from CTSTAGING.PECS_DRUG_PAIR_VERSION_VA dp 
    left outer join 
    (
    select subdp.VA_DRUG_PAIR_ID, max(subdp.version_date) maxdate  
    from CTSTAGING.PECS_DRUG_PAIR_VERSION_VA subdp
    where subdp.status_id in (5,7)
    group by subdp.VA_DRUG_PAIR_ID
    order by subdp.VA_DRUG_PAIR_ID) source_dp
    on
    dp.VA_DRUG_PAIR_ID = source_dp.VA_DRUG_PAIR_ID
    where version_date = maxdate) 
;
commit;