-- PECS 5.0 PECS dt Export Date Migration Scripts
-- Desription:  Populate export date of the last Approved or Deleted record 
-- for each dt.  If no Approved or Deleted records exist then the value is null.

set pagesize 1000
column version_comment format a200
set linesize 350

update CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA maindt set (export_date) = (
    select distinct maxdate
    from CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA dt 
    left outer join 
    (
    select subdt.VA_DUPL_THERAPY_ID, max(subdt.version_date) maxdate  
    from CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA subdt
    where subdt.status_id in (5,7)
    group by subdt.VA_DUPL_THERAPY_ID
    order by subdt.VA_DUPL_THERAPY_ID) source_dt
    on
    dt.VA_DUPL_THERAPY_ID = source_dt.VA_DUPL_THERAPY_ID
    where version_date = maxdate and dt.VA_DUPL_THERAPY_ID = maindt.VA_DUPL_THERAPY_ID )
where (maindt.VA_DUPL_THERAPY_ID, MAINdt.VERSION_NUM) in (
    select dt.VA_DUPL_THERAPY_ID, dt.VERSION_NUM
    from CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA dt 
    left outer join 
    (
    select subdt.VA_DUPL_THERAPY_ID, max(subdt.version_date) maxdate  
    from CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA subdt
    where subdt.status_id in (5,7)
    group by subdt.VA_DUPL_THERAPY_ID
    order by subdt.VA_DUPL_THERAPY_ID) source_dt
    on
    dt.VA_DUPL_THERAPY_ID = source_dt.VA_DUPL_THERAPY_ID
    where version_date = maxdate) 