package gov.va.med.pharmacy.pecs.domain.impl.lookup;

import javax.annotation.Resource;

import org.junit.Test;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.Assert;

import gov.va.med.pharmacy.pecs.persistence.TerminologyDAO;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

public class ClinicalEffectTest extends AbstractUnitTest implements InitializingBean {

    @Resource
    private TerminologyDAO terminologyDao;
    
    @Test
    @Transactional
    public void testClinicalEffectHashCode() {
        ClinicalEffect ce = (ClinicalEffect) terminologyDao.getByCode(ClinicalEffect.class, "ARF");
        Assert.notNull(ce);
        Assert.isTrue( ce.hashCode() != 0 );
        System.out.println("Hash Code: " + ce.hashCode());
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        if ( terminologyDao == null ) {
            throw new Exception("TerminologyDAO has not been injected in to ClinicalEffectTest.");
        }
    }
}
