package gov.va.med.pharmacy.pecs.domain.impl.lookup;

import javax.annotation.Resource;

import org.junit.Test;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.Assert;

import gov.va.med.pharmacy.pecs.persistence.TerminologyDAO;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

public class SeverityLevelTest extends AbstractUnitTest implements InitializingBean {

    @Resource
    private TerminologyDAO terminologyDao;
    
    @Test
    @Transactional
    public void testSeverityLevelHashCode() {
        SeverityLevel sl = (SeverityLevel) terminologyDao.getByCode(SeverityLevel.class, "1");
        Assert.notNull(sl);
        Assert.isTrue( sl.hashCode() != 0 );
        System.out.println("Hash Code: " + sl.hashCode());
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        if ( terminologyDao == null ) {
            throw new Exception("TerminologyDAO has not been injected in to SeverityLevelTest.");
        }
    }
}
