package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.persistence.DoseRangeVaDAO;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

public class DoseRangeVaDAOTest extends AbstractUnitTest {

    @Resource
    private DoseRangeVaDAO doseRangeVaDAO;

    @Test
    @Transactional
    public void testFindById() {
        DoseRangeVA doseRangeVA = doseRangeVaDAO.findById(1080L, DoseRangeVA.class);
        Assert.assertNotNull(doseRangeVA);
    }

    @Test
    @Transactional
    public void testSaveDoseRange() {
        DoseRangeVA doseRangeVA = DoseRangeVA.createDoseRange();

    }

    /**
     * @return
     */
    private DoseRangeKey populateKey() {
        DoseRangeKey key = new DoseRangeKey();
        key.setAgeHighInDays(3L);
        key.setAgeLowInDays(1L);
        key.setConceptId(11L);
        key.setConceptType(6L);
        key.setDoseRouteId("999");
        key.setDoseTypeId("99");
        key.setFdbdx("999");
        key.setHitType(0L);
        return key;
    }

    /**
     * Gets the doseRangeVaDAO.
     * 
     * @return the doseRangeVaDAO
     */
    public DoseRangeVaDAO getDoseRangeVaDAO() {
        return doseRangeVaDAO;
    }

    /**
     * Sets the doseRangeVaDAO.
     * 
     * @param doseRangeVaDAO
     *            the doseRangeVaDAO to set
     */
    public void setDoseRangeVaDAO(DoseRangeVaDAO doseRangeVaDAO) {
        this.doseRangeVaDAO = doseRangeVaDAO;
    }

}
