/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.persistence.DuplicateTherapyVersionVaDAO;
import gov.va.med.pharmacy.pecs.persistence.TerminologyDAOImpl;
import gov.va.med.pharmacy.pecs.state.Status;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author VHAISACARUSR
 * 
 */
public class DuplicateTherapyDAOTest extends AbstractUnitTest {

    @Resource
    private DuplicateTherapyVersionVaDAO duplicateTherapyVersionVaDAO;
    @Resource
    private TerminologyDAOImpl terminologyDAOImpl;

    @Test
    @Transactional
    public void testFindById() {
        DuplicateTherapyVa duplicateTherapyVa = duplicateTherapyVersionVaDAO.findById(151340L, DuplicateTherapyVa.class);
        Assert.assertNotNull(duplicateTherapyVa);

    }

    @Test
    @Transactional
    public void testDuplicateTherapySave() {
        DuplicateTherapyVa duplicateTherapyVa = DuplicateTherapyVa.createDuplicateTherapy();

        createDupVA(duplicateTherapyVa);

        createVersionVA(duplicateTherapyVa);
        duplicateTherapyVersionVaDAO.save(duplicateTherapyVa);

    }

    /**
     * @param duplicateTherapyVa
     */
    private void createDupVA(DuplicateTherapyVa duplicateTherapyVa) {
        duplicateTherapyVa.getCurrentVersion().setStatus((Status) getTerminologyDAOImpl().getByCode(Status.class, "New"));
        duplicateTherapyVa.setDtcid(123L);
        duplicateTherapyVa.setCategory("test");
        duplicateTherapyVa.setCustomString("unit test");
        duplicateTherapyVa.setRequestor("UNIT_TEST");
    }

    /**
     * @param duplicateTherapyVa
     */
    private void createVersionVA(DuplicateTherapyVa duplicateTherapyVa) {
        duplicateTherapyVa.getCurrentVersion().setUser("UNIT_TEST");
        duplicateTherapyVa.getCurrentVersion().setActionBy("UNIT_TEST");
        // duplicateTherapyVa.getCurrentVersion().setCustomDupAllowance(1L);
        duplicateTherapyVa.getCurrentVersion().setCustomDupAllowanceInd(2L);
    }

    /**
     * Gets the duplicateTherapyVersionVaDAO.
     * 
     * @return the duplicateTherapyVersionVaDAO
     */
    public DuplicateTherapyVersionVaDAO getDuplicateTherapyVersionVaDAO() {
        return duplicateTherapyVersionVaDAO;
    }

    /**
     * Sets the duplicateTherapyVersionVaDAO.
     * 
     * @param duplicateTherapyVersionVaDAO
     *            the duplicateTherapyVersionVaDAO to set
     */
    public void setDuplicateTherapyVersionVaDAO(DuplicateTherapyVersionVaDAO duplicateTherapyVersionVaDAO) {
        this.duplicateTherapyVersionVaDAO = duplicateTherapyVersionVaDAO;
    }

    /**
     * Gets the terminologyDAOImpl.
     * 
     * @return the terminologyDAOImpl
     */
    public TerminologyDAOImpl getTerminologyDAOImpl() {
        return terminologyDAOImpl;
    }

    /**
     * Sets the terminologyDAOImpl.
     * 
     * @param terminologyDAOImpl
     *            the terminologyDAOImpl to set
     */
    public void setTerminologyDAOImpl(TerminologyDAOImpl terminologyDAOImpl) {
        this.terminologyDAOImpl = terminologyDAOImpl;
    }

}
