package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.DrugDrugInteractionUserComment;
import gov.va.med.pharmacy.pecs.domain.impl.va.DrugDrugInteractionVa;
import gov.va.med.pharmacy.pecs.domain.impl.va.DrugDrugInteractionXref;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import java.util.Date;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.test.annotation.Rollback;
import org.springframework.transaction.annotation.Transactional;

public class DrugDrugInteractionUserCommentDAOTest extends AbstractUnitTest {

    @Resource(name = "drugDrugInteractionVaDAO")
    private DrugDrugInteractionDAOImpl drugDrugInteractionDao;
    
    @Resource
    private ConceptXrefDAO conceptXrefDao;
    
    @Test
    @Transactional
    @Rollback(false)
    public void testSaveExistingXref() {
        ConceptXref xref = getDdiXref(941L);
        DrugDrugInteractionUserComment comment = new DrugDrugInteractionUserComment();
        xref.addUserComment(comment);
        comment.setCommentDate(new Date());
        comment.setComment("Test Comments Number 6");
        comment.setUserName("   ");
        conceptXrefDao.save(xref);
        Assert.assertNotNull(comment.getCommentId());
    }
    
    
    @Test
    @Transactional
    @Rollback(false)
    public void testNewXref() {
        DrugDrugInteractionXref xref = new DrugDrugInteractionXref();
        xref.setInteractionId(2021L);
        DrugDrugInteractionUserComment comment = new DrugDrugInteractionUserComment();
        xref.addUserComment(comment);
        comment.setCommentDate(new Date());
        comment.setComment("Test Comments Number 5");
        comment.setUserName("   ");
        conceptXrefDao.save(xref);
        Assert.assertNotNull(xref.getFdbReferenceId());
//        drugDrugInteractionUserCommentDAO.save(comment);
        Assert.assertNotNull(comment.getCommentId());
    }
    private ConceptXref getDdiXref(Long id) {
        DrugDrugInteractionVa ddi = drugDrugInteractionDao.findById(id);
        return ddi.getConceptXref();
    }
}
