/**
 * 
 */
package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.MonographKey;
import gov.va.med.pharmacy.pecs.domain.impl.va.MonographUserComment;
import gov.va.med.pharmacy.pecs.domain.impl.va.MonographXref;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import java.util.Date;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.test.annotation.Rollback;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author VHAISACARUSR
 * 
 */
public class ProfessionalMonographUserCommentDaoTest extends AbstractUnitTest {
    @Resource
    private ConceptXrefDAO conceptXrefDao;

    @Test
    @Transactional
    @Rollback(false)
    public void testSaveNewXref() {
        MonographXref xref = new MonographXref();
        MonographUserComment comment = new MonographUserComment();
        xref.addUserComment(comment);
        xref.setMonographKey(populateKey());
        comment.setCommentDate(new Date());
        comment.setComment("Test Comments Number 6");
        comment.setUserName("   ");
        conceptXrefDao.save(xref);
        Assert.assertNotNull(comment.getCommentId());
    }

    @Test
    @Transactional
    public void testFindMonographxRefByFDBId() {
        MonographKey key = populateKey();
        ConceptXref xref = conceptXrefDao.findMonographxRefByFDBId(key);
        Assert.assertNotNull(xref);
    }

    /**
     * @return
     */
    private ConceptXref getMonographXref() {
        MonographKey key = populateKey();
        ConceptXref xref = conceptXrefDao.findMonographxRefByFDBId(key);
        return xref;
    }

    /**
     * @return
     */
    private MonographKey populateKey() {
        MonographKey key = new MonographKey();
        key.setLanguageId(1L);
        key.setMonographId(329L);
        key.setSequenceNumber(1L);
        key.setVersionCode("FDB-P");
        return key;
    }
}
