/**
 * 
 */
package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseRoute;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.hibernate.stat.SecondLevelCacheStatistics;
import org.hibernate.stat.Statistics;
import org.junit.Before;
import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author VHAISACARUSR
 * 
 */
public class TerminologyDAOTest extends AbstractUnitTest {
    @Resource
    private TerminologyDAOImpl terminologyDAOImpl;

    @Before
    public void beforeClassLoad() {
        Statistics stats = getTerminologyDAOImpl().getSessionFactory().getStatistics();
        stats.setStatisticsEnabled(true);
    }

    @SuppressWarnings("unchecked")
    @Test
    @Transactional
    public void testGetLookups() {
        System.out.println(System.currentTimeMillis());
        List<DoseRoute> doseRoutes = getTerminologyDAOImpl().getLookups(DoseRoute.class);
        System.out.println(System.currentTimeMillis());
        System.out.println(System.currentTimeMillis());
        doseRoutes = getTerminologyDAOImpl().getLookups(DoseRoute.class);
        System.out.println(System.currentTimeMillis());
        Statistics stats = getTerminologyDAOImpl().getSessionFactory().getStatistics();
        SecondLevelCacheStatistics cacheStats =
                stats.getSecondLevelCacheStatistics("gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseRoute");
        System.out.println("count in memory" + cacheStats.getElementCountInMemory());
        System.out.println("element count on disk" + cacheStats.getElementCountOnDisk());

        System.out.println("hit count " + cacheStats.getHitCount());
        System.out.println(" miss count" + cacheStats.getMissCount());
        System.out.println("put count " + cacheStats.getPutCount());
        System.out.println("size in memory" + cacheStats.getSizeInMemory());
        Map entries = cacheStats.getEntries();
        Iterator iterator = entries.keySet().iterator();
        while (iterator.hasNext()) {
            Object key = iterator.next();
            System.out.println(entries.get(key));

        }
        System.out.println();
    }

    /**
     * Gets the terminologyDAOImpl.
     * 
     * @return the terminologyDAOImpl
     */
    public TerminologyDAOImpl getTerminologyDAOImpl() {
        return terminologyDAOImpl;
    }

    /**
     * Sets the terminologyDAOImpl.
     * 
     * @param terminologyDAOImpl
     *            the terminologyDAOImpl to set
     */
    public void setTerminologyDAOImpl(TerminologyDAOImpl terminologyDAOImpl) {
        this.terminologyDAOImpl = terminologyDAOImpl;
    }

}
