package gov.va.med.pharmacy.pecs.query;

import java.text.ParseException;
import java.util.Calendar;
import java.util.Date;

import junit.framework.Assert;

import gov.va.med.pharmacy.pecs.exception.CustomizationServiceException;

import org.junit.Test;

/**
 * Junit Test class for AnyTypeOperator.
 *
 */
public class AnyTypeOperatorTest {

//    @Test
//    public void testParseValue() {
//        fail("Not yet implemented");
//    }
//
//    @Test
//    public void testFormatHQLValue() {
//        fail("Not yet implemented");
//    }
//
//    @Test
//    public void testFormatXMLValue() {
//        fail("Not yet implemented");
//    }

    @Test
    public void parseBasicOrExtendedDate() throws ParseException{
        AnyTypeOperator operator = new AnyTypeOperator() {
            
            @Override
            public String getSymbol() {
                // TODO Auto-generated method stub
                return null;
            }
            
            @Override
            public String getName() {
                // TODO Auto-generated method stub
                return null;
            }
        };
        
        Date date;
        //valid
        date = operator.parseBasicOrExtendedDate("2014-01-15", "TestField1");
        Calendar cal = Calendar.getInstance();
        cal.set(2014, 0, 15, 0, 0, 0);
        cal.set(Calendar.MILLISECOND, 0);
        Date expectedDate = new Date(cal.getTimeInMillis());
        Assert.assertEquals(0, expectedDate.compareTo(date));
        //valid
        date = operator.parseBasicOrExtendedDate("20140115", "TestField2");
        Assert.assertEquals(expectedDate, date);
        try {
            //invalid
            date = operator.parseBasicOrExtendedDate("2014-99-15", "TestField3");
            Assert.fail("Should have thrown CustomizationServiceException");
        } catch (Exception e) {
            Assert.assertTrue(e instanceof CustomizationServiceException);
            Assert.assertEquals("Value for field TestField3 must be a valid date formatted as yyyy-MM-dd or yyyyMMdd", e.getMessage());
        }
        
        try {
            //invalid
            date = operator.parseBasicOrExtendedDate("2014-01-15 14:23:01", "TestField3");
            Assert.fail("Should have thrown CustomizationServiceException");
        } catch (Exception e) {
            Assert.assertTrue(e instanceof CustomizationServiceException);
            Assert.assertEquals("Value for field TestField3 must be a valid date formatted as yyyy-MM-dd or yyyyMMdd", e.getMessage());
        }        
        
    }
}
