package gov.va.med.pharmacy.pecs.service.customupdate;

import gov.va.med.pharmacy.pecs.persistence.GenericDAO;
import gov.va.med.pharmacy.pecs.service.CustomUpdateService;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import java.util.List;

import javax.annotation.Resource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.transaction.annotation.Transactional;

public class CustomUpdateServiceTest extends AbstractUnitTest implements InitializingBean {

    private static final Log LOGGER = LogFactory.getLog(CustomUpdateServiceTest.class);

    @Resource
    private CustomUpdateService customUpdateService;
    @Resource
    private GenericDAO genericDao;

    @Test
    @Transactional
    public void testGetFileUpdate() throws Exception {
        String filePath = "C:/data/FTP/pharmacy_DEV/temp";
        String userName = "Unit Test User";

        try {

            customUpdateService.generateCustomUpdateFiles(filePath, userName);

        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
            throw e;
        }
    }

    public CustomUpdateService getCustomUpdateServiceImpl() {
        return customUpdateService;
    }

    public void setCustomUpdateService(CustomUpdateService customUpdateService) {
        this.customUpdateService = customUpdateService;
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        if (customUpdateService == null) {
            throw new Exception("The property UpdateFileService in UpdateController has not been set.");
        }

    }

    @Test
    @Transactional
    public void testFindDrugPairsCustomUpdateRecords() {
        Long beginTime = System.currentTimeMillis();
        List<?> drugPairs = genericDao.findDrugPairsCustomUpdateRecords("DrugPairVa");
        Long endTime = System.currentTimeMillis();
        System.out.println("Using GenericDAO found " + drugPairs.size()
                + " while executing findDrugPairsCustomUpdateRecords run time = " + (endTime - beginTime));
    }

}
