package gov.va.med.pharmacy.pecs.criteria;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;

/**
 * Class ConceptHistoryCriteria.
 * 
 * @author DOMAINDUNLOJ
 * 
 */
public final class ConceptHistoryCriteria extends Object {

    /** The id. */
    private Long id;

    /** The version id. */
    private Long versionId;

    /** The concept xref. */
    private ConceptXref conceptXref;

    /**
     * Retrieves the id. Use for all concepts except DoseRange.
     * 
     * @return Long - dtcid for duplicate therapy
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id. Use for all concepts except DoseRange.
     * 
     * @param id
     *            - Long example dtcid for duplicate therapy
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Retrieves the Version Id. Use to retrieve the VA version history for Dose Range.
     * 
     * @return Long - the version id of the dose range va
     */
    public Long getVersionId() {
        return versionId;
    }

    /**
     * Sets the Version Id. Use to retrieve the VA version history for Dose Range.
     * 
     * @param versionId
     *            - the version id of the dose range va
     */
    public void setVersionId(Long versionId) {
        this.versionId = versionId;
    }

    /**
     * Gets the concept xref.
     * 
     * @return the concept xref
     */
    public ConceptXref getConceptXref() {
        return conceptXref;

    }

    /**
     * Sets the concept xref.
     * 
     * @param conceptXref
     *            the new concept xref
     */
    public void setConceptXref(ConceptXref conceptXref) {
        this.conceptXref = conceptXref;

    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "ConceptHistoryCriteria [getId()=" + getId() + ", getVersionId()=" + getVersionId() + "]";
    }

}
