package gov.va.med.pharmacy.pecs.customupdate;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Blob;
import java.sql.SQLException;
import java.util.Date;

import org.hibernate.Hibernate;

/**
 * CustomUpdateFileVa entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public final class CustomUpdateFileVa implements java.io.Serializable {

    /**
     * File Identifier.
     */
    private static final long serialVersionUID = -8735897840229435387L;

    /** The custom update file va id. */
    private long customUpdateFileVaId;

    /** The created date. */
    private Date createdDate;

    /** The update version. */
    private String updateVersion;

    /** The created by. */
    private String createdBy;

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "customUpdateFileVaId=" + customUpdateFileVaId + "    " + "createdDate=" + createdDate + "    updateVersion= "
                + updateVersion + "    createdBy=" + createdBy + "     zipFileName=" + zipFileName;
    }

    /** The zip file name. */
    private String zipFileName;

    /** The zip file content. */
    private byte[] zipFileContent;

    // Constructors

    /**
     * default constructor.
     */
    public CustomUpdateFileVa() {
    }

    /**
     * Instantiates a new custom update file va.
     * 
     * @param customUpdateFileVaId
     *            the custom update file va id
     * @param createdDate
     *            the created date
     * @param updateVersion
     *            the update version
     * @param createdBy
     *            the created by
     * @param zipFileName
     *            the zip file name
     * @param zipFileContentBlob
     *            the zip file content blob
     */
    public CustomUpdateFileVa(
            long customUpdateFileVaId, Date createdDate, String updateVersion, String createdBy, String zipFileName,
            byte[] zipFileContentBlob) {
        this.customUpdateFileVaId = customUpdateFileVaId;
        this.createdDate = createdDate;
        this.updateVersion = updateVersion;
        this.createdBy = createdBy;
        this.zipFileName = zipFileName;
        this.zipFileContent = zipFileContentBlob;
    }

    // Don't invoke these - used by hibernate only
    /**
     * Instantiates a new custom update file va.
     * 
     * @param customUpdateFileVaId
     *            the custom update file va id
     * @param createdDate
     *            the created date
     * @param updateVersion
     *            the update version
     * @param createdBy
     *            the created by
     * @param zipFileName
     *            the zip file name
     * @param zipFileContentBlob
     *            the zip file content blob
     */
    public CustomUpdateFileVa(
            long customUpdateFileVaId, Date createdDate, String updateVersion, String createdBy, String zipFileName,
            Blob zipFileContentBlob) {
        this.customUpdateFileVaId = customUpdateFileVaId;
        this.createdDate = createdDate;
        this.updateVersion = updateVersion;
        this.createdBy = createdBy;
        this.zipFileName = zipFileName;
        setZipFileContentBlob(zipFileContentBlob);
    }

    /**
     * Gets the custom update file va id.
     * 
     * @return the custom update file va id
     */
    public long getCustomUpdateFileVaId() {
        return this.customUpdateFileVaId;
    }

    /**
     * Sets the custom update file va id.
     * 
     * @param customUpdateFileVaId
     *            the new custom update file va id
     */
    public void setCustomUpdateFileVaId(long customUpdateFileVaId) {
        this.customUpdateFileVaId = customUpdateFileVaId;
    }

    /**
     * Gets the created date.
     * 
     * @return the created date
     */
    public Date getCreatedDate() {
        return this.createdDate;
    }

    /**
     * Sets the created date.
     * 
     * @param createdDate
     *            the new created date
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     * Gets the update version.
     * 
     * @return the update version
     */
    public String getUpdateVersion() {
        return this.updateVersion;
    }

    /**
     * Sets the update version.
     * 
     * @param updateVersion
     *            the new update version
     */
    public void setUpdateVersion(String updateVersion) {
        this.updateVersion = updateVersion;
    }

    /**
     * Gets the created by.
     * 
     * @return the created by
     */
    public String getCreatedBy() {
        return this.createdBy;
    }

    /**
     * Sets the created by.
     * 
     * @param createdBy
     *            the new created by
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the zip file name.
     * 
     * @return the zip file name
     */
    public String getZipFileName() {
        return this.zipFileName;
    }

    /**
     * Sets the zip file name.
     * 
     * @param zipFileName
     *            the new zip file name
     */
    public void setZipFileName(String zipFileName) {
        this.zipFileName = zipFileName;
    }

    /**
     * Gets the zip file content.
     * 
     * @return the zip file content
     */
    public byte[] getZipFileContent() {
        return this.zipFileContent;
    }

    /**
     * Sets the zip file content.
     * 
     * @param zipFileContent
     *            the new zip file content
     */
    public void setZipFileContent(byte[] zipFileContent) {
        this.zipFileContent = zipFileContent;
    }

    /*
     * public void setZipFileContent(byte[] zipFileContent) { BlobImpl bi = new BlobImpl(zipFileContent); this.zipFileContent =
     * bi; }
     */

    /**
     * Gets the zip file content blob.
     * 
     * @return the zip file content blob
     */
    public Blob getZipFileContentBlob() {
        return Hibernate.createBlob(zipFileContent);
    }

    /**
     * Sets the zip file content blob.
     * 
     * @param zipFileContentBlob
     *            the new zip file content blob
     */
    public void setZipFileContentBlob(Blob zipFileContentBlob) {
        this.zipFileContent = toByteArray(zipFileContentBlob);
    }

    /**
     * To byte array.
     * 
     * @param fromBlob
     *            the from blob
     * @return the byte[]
     */
    private byte[] toByteArray(Blob fromBlob) {
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        try {
            return toByteArrayImpl(fromBlob, baos);
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } catch (IOException e) {
            throw new RuntimeException(e);
        } finally {
            if (baos != null) {
                try {
                    baos.close();
                } catch (IOException ex) {
                }
            }
        }
    }

    /**
     * To byte array impl.
     * 
     * @param fromBlob
     *            the from blob
     * @param baos
     *            the baos
     * @return the byte[]
     * @throws SQLException
     *             the sQL exception
     * @throws IOException
     *             Signals that an I/O exception has occurred.
     */
    private byte[] toByteArrayImpl(Blob fromBlob, ByteArrayOutputStream baos) throws SQLException, IOException {
        byte[] buf = new byte[4000];
        InputStream is = fromBlob.getBinaryStream();
        try {
            for (;;) {
                int dataSize = is.read(buf);
                if (dataSize == -1)
                    break;
                baos.write(buf, 0, dataSize);
            }
        } finally {
            if (is != null) {
                try {
                    is.close();
                } catch (IOException ex) {
                }
            }
        }
        return baos.toByteArray();
    }
}
