package gov.va.med.pharmacy.pecs.domain;

import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseUnitType;

/**
 * The Interface DecimalMeasureableUnit.
 */
public interface DecimalMeasureableUnit {

    /**
     * Gets the measurement.
     * 
     * @return the measurement
     */
    Float getMeasurement();

    /**
     * Sets the measurement.
     * 
     * @param measurement
     *            the new measurement
     */
    void setMeasurement(Float measurement);

    /**
     * Gets the unit of measure.
     * 
     * @return the unit of measure
     */
    DoseUnitType getUnitOfMeasure();

    /**
     * Sets the unit of measure.
     * 
     * @param unitOfMeasure
     *            the new unit of measure
     */
    void setUnitOfMeasure(DoseUnitType unitOfMeasure);
}
