package gov.va.med.pharmacy.pecs.domain;

import gov.va.med.pharmacy.pecs.domain.impl.lookup.ClinicalEffect;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.SeverityLevel;
import gov.va.med.pharmacy.pecs.domain.impl.va.ReferenceTextVa;

import java.util.List;
import java.util.Set;

/**
 * The Interface DrugDrugInteraction.
 */
public interface DrugDrugInteraction {

    /**
     * Gets the id.
     * 
     * @return the id
     */
    Long getId();

    /**
     * Sets the id.
     * 
     * @param id
     *            the new id
     */
    void setId(Long id);

    /**
     * Gets the interaction id.
     * 
     * @return the interaction id
     */
    Long getInteractionId();

    /**
     * Sets the interaction id.
     * 
     * @param interactionId
     *            the new interaction id
     */
    void setInteractionId(Long interactionId);

    /**
     * Gets the description.
     * 
     * @return the description
     */
    String getDescription();

    /**
     * Sets the description.
     * 
     * @param description
     *            the new description
     */
    void setDescription(String description);

    /**
     * Gets the reverse description.
     * 
     * @return the reverse description
     */
    String getReverseDescription();

    /**
     * Gets the severity level.
     * 
     * @return the severity level
     */
    SeverityLevel getSeverityLevel();

    /**
     * Sets the severity level.
     * 
     * @param severityLevel
     *            the new severity level
     */
    void setSeverityLevel(SeverityLevel severityLevel);

    /**
     * Gets the clinical effect1.
     * 
     * @return the clinical effect1
     */
    ClinicalEffect getClinicalEffect1();

    /**
     * Sets the clinical effect1.
     * 
     * @param clinicalEffect
     *            the new clinical effect1
     */
    void setClinicalEffect1(ClinicalEffect clinicalEffect);

    /**
     * Gets the clinical effect2.
     * 
     * @return the clinical effect2
     */
    ClinicalEffect getClinicalEffect2();

    /**
     * Sets the clinical effect2.
     * 
     * @param clinicalEffect
     *            the new clinical effect2
     */
    void setClinicalEffect2(ClinicalEffect clinicalEffect);

    /**
     * Gets the monograph id.
     * 
     * @return the monograph id
     */
    Long getMonographId();

    /**
     * Sets the monograph id.
     * 
     * @param monographId
     *            the new monograph id
     */
    void setMonographId(Long monographId);

    /**
     * Gets the fdb id.
     * 
     * @return the fdb id
     */
    Long getFdbId();

    /**
     * Gets the Reverse of the FdbId 32000- fdbid.
     * 
     * @return the reverseFdbId
     */
    Long getReverseFdbId();

    /**
     * Sets the fdb id.
     * 
     * @param fdbId
     *            the new fdb id
     */
    void setFdbId(Long fdbId);

    /**
     * Gets the edi number.
     * 
     * @return the edi number
     */
    ReferenceTextVa getEdiNumber();

    /**
     * Sets the edi number.
     * 
     * @param ediNumber
     *            the new edi number
     */
    void setEdiNumber(ReferenceTextVa ediNumber);

    /**
     * Gets the edi text.
     * 
     * @return the edi text
     */
    String getEdiText();

    /**
     * Sets the edi text.
     * 
     * @param ediText
     *            the new edi text
     */
    void setEdiText(String ediText);

    /**
     * Gets the di fact number.
     * 
     * @return the di fact number
     */
    ReferenceTextVa getDiFactNumber();

    /**
     * Sets the di fact number.
     * 
     * @param diFactNumber
     *            the new di fact number
     */
    void setDiFactNumber(ReferenceTextVa diFactNumber);

    /**
     * Gets the di fact documentation.
     * 
     * @return the di fact documentation
     */
    ReferenceTextVa getDiFactDocumentation();

    /**
     * Sets the di fact documentation.
     * 
     * @param diFactDocumentation
     *            the new di fact documentation
     */
    void setDiFactDocumentation(ReferenceTextVa diFactDocumentation);

    /**
     * Gets the di fact onset.
     * 
     * @return the di fact onset
     */
    ReferenceTextVa getDiFactOnset();

    /**
     * Sets the di fact onset.
     * 
     * @param diFactOnset
     *            the new di fact onset
     */
    void setDiFactOnset(ReferenceTextVa diFactOnset);

    /**
     * Gets the di fact severity.
     * 
     * @return the di fact severity
     */
    ReferenceTextVa getDiFactSeverity();

    /**
     * Sets the di fact severity.
     * 
     * @param diFactSeverity
     *            the new di fact severity
     */
    void setDiFactSeverity(ReferenceTextVa diFactSeverity);

    /**
     * Gets the di fact text.
     * 
     * @return the di fact text
     */
    String getDiFactText();

    /**
     * Sets the di fact text.
     * 
     * @param diFactText
     *            the new di fact text
     */
    void setDiFactText(String diFactText);

    /**
     * Gets the micromedex onset.
     * 
     * @return the micromedex onset
     */
    ReferenceTextVa getMicromedexOnset();

    /**
     * Sets the micromedex onset.
     * 
     * @param micromedexOnset
     *            the new micromedex onset
     */
    void setMicromedexOnset(ReferenceTextVa micromedexOnset);

    /**
     * Gets the micromedex severity.
     * 
     * @return the micromedex severity
     */
    ReferenceTextVa getMicromedexSeverity();

    /**
     * Sets the micromedex severity.
     * 
     * @param micromedexSeverity
     *            the new micromedex severity
     */
    void setMicromedexSeverity(ReferenceTextVa micromedexSeverity);

    /**
     * Gets the micromedex substantiation.
     * 
     * @return the micromedex substantiation
     */
    ReferenceTextVa getMicromedexSubstantiation();

    /**
     * Sets the micromedex substantiation.
     * 
     * @param micromedexSubstantiation
     *            the new micromedex substantiation
     */
    void setMicromedexSubstantiation(ReferenceTextVa micromedexSubstantiation);

    /**
     * Gets the micromedex text.
     * 
     * @return the micromedex text
     */
    String getMicromedexText();

    /**
     * Sets the micromedex text.
     * 
     * @param micromedexText
     *            the new micromedex text
     */
    void setMicromedexText(String micromedexText);

    /**
     * Gets the medline hit.
     * 
     * @return the medline hit
     */
    ReferenceTextVa getMedlineHit();

    /**
     * Sets the medline hit.
     * 
     * @param medlineHit
     *            the new medline hit
     */
    void setMedlineHit(ReferenceTextVa medlineHit);

    /**
     * Gets the medline text.
     * 
     * @return the medline text
     */
    String getMedlineText();

    /**
     * Sets the medline text.
     * 
     * @param medlineText
     *            the new medline text
     */
    void setMedlineText(String medlineText);

    /**
     * Gets the package insert.
     * 
     * @return the package insert
     */
    ReferenceTextVa getPackageInsert();

    /**
     * Sets the package insert.
     * 
     * @param packageInsert
     *            the new package insert
     */
    void setPackageInsert(ReferenceTextVa packageInsert);

    /**
     * Gets the package insert text.
     * 
     * @return the package insert text
     */
    String getPackageInsertText();

    /**
     * Sets the package insert text.
     * 
     * @param packageInsertText
     *            the new package insert text
     */
    void setPackageInsertText(String packageInsertText);

    /**
     * Gets the pbm criteria.
     * 
     * @return the pbm criteria
     */
    ReferenceTextVa getPbmCriteria();

    /**
     * Sets the pbm criteria.
     * 
     * @param pbmCriteria
     *            the new pbm criteria
     */
    void setPbmCriteria(ReferenceTextVa pbmCriteria);

    /**
     * Gets the pbm criteria text.
     * 
     * @return the pbm criteria text
     */
    String getPbmCriteriaText();

    /**
     * Sets the pbm criteria text.
     * 
     * @param pbmCriteriaText
     *            the new pbm criteria text
     */
    void setPbmCriteriaText(String pbmCriteriaText);

    /**
     * Gets the aids guideline.
     * 
     * @return the aids guideline
     */
    ReferenceTextVa getAidsGuideline();

    /**
     * Sets the aids guideline.
     * 
     * @param aidsGuideline
     *            the new aids guideline
     */
    void setAidsGuideline(ReferenceTextVa aidsGuideline);

    /**
     * Gets the aids guideline text.
     * 
     * @return the aids guideline text
     */
    String getAidsGuidelineText();

    /**
     * Sets the aids guideline text.
     * 
     * @param aidsGuidelineText
     *            the new aids guideline text
     */
    void setAidsGuidelineText(String aidsGuidelineText);

    /**
     * Gets the interaction source.
     * 
     * @return the interaction source
     */
    ReferenceTextVa getInteractionSource();

    /**
     * Sets the interaction source.
     * 
     * @param interactionSource
     *            the new interaction source
     */
    void setInteractionSource(ReferenceTextVa interactionSource);

    /**
     * Gets the interaction type.
     * 
     * @return the interaction type
     */
    ReferenceTextVa getInteractionType();

    /**
     * Sets the interaction type.
     * 
     * @param interactionType
     *            the new interaction type
     */
    void setInteractionType(ReferenceTextVa interactionType);

    /**
     * Gets the level of evidence.
     * 
     * @return the level of evidence
     */
    ReferenceTextVa getLevelOfEvidence();

    /**
     * Sets the level of evidence.
     * 
     * @param levelOfEvidence
     *            the new level of evidence
     */
    void setLevelOfEvidence(ReferenceTextVa levelOfEvidence);

    /**
     * Gets the group discussion.
     * 
     * @return the group discussion
     */
    String getGroupDiscussion();

    /**
     * Sets the group discussion.
     * 
     * @param groupDiscussion
     *            the new group discussion
     */
    void setGroupDiscussion(String groupDiscussion);

    /**
     * Gets the version history.
     * 
     * @return the version history
     */
    List<Version<DrugDrugInteraction>> getVersionHistory();

    /**
     * Sets the version history.
     * 
     * @param history
     *            the new version history
     */
    void setVersionHistory(List<Version<DrugDrugInteraction>> history);

    /**
     * Sets the user comment history.
     * 
     * @param userCommentHistory
     *            the new user comment history
     */
    void setUserCommentHistory(Set<UserComment> userCommentHistory);

    /**
     * Gets the user comment history.
     * 
     * @return the user comment history
     */
    Set<UserComment> getUserCommentHistory();

}
