package gov.va.med.pharmacy.pecs.domain;

/**
 * An interface that defines the methods a Lookup/Terminology class needs to 
 * implement.
 * 
 * @author localadmin
 *
 */

import java.sql.Timestamp;

/**
 * The Interface Lookup.
 */
public interface Lookup {

    /**
     * Gets the id.
     * 
     * @return the id
     */
    Long getId();

    /**
     * Gets the code.
     * 
     * @return the code
     */
    String getCode();

    /**
     * Sets the code.
     * 
     * @param code
     *            the new code
     */
    void setCode(String code);

    /**
     * Gets the name.
     * 
     * @return the name
     */
    String getName();

    /**
     * Sets the name.
     * 
     * @param name
     *            the new name
     */
    void setName(String name);

    /**
     * Gets the description.
     * 
     * @return the description
     */
    String getDescription();

    /**
     * Sets the description.
     * 
     * @param description
     *            the new description
     */
    void setDescription(String description);

    /**
     * Gets the sort order.
     * 
     * @return the sort order
     */
    Integer getSortOrder();

    /**
     * Sets the sort order.
     * 
     * @param sortOrder
     *            the new sort order
     */
    void setSortOrder(Integer sortOrder);

    /**
     * Checks if is active.
     * 
     * @return the boolean
     */
    Boolean isActive();

    /**
     * Gets the effective date.
     * 
     * @return the effective date
     */
    Timestamp getEffectiveDate();

    /**
     * Sets the effective date.
     * 
     * @param effectiveDate
     *            the new effective date
     */
    void setEffectiveDate(Timestamp effectiveDate);

    /**
     * Gets the expiration date.
     * 
     * @return the expiration date
     */
    Timestamp getExpirationDate();

    /**
     * Sets the expiration date.
     * 
     * @param expirationDate
     *            the new expiration date
     */
    void setExpirationDate(Timestamp expirationDate);

    /**
     * Gets the created by.
     * 
     * @return the created by
     */
    String getCreatedBy();

    /**
     * Sets the created by.
     * 
     * @param createdBy
     *            the new created by
     */
    void setCreatedBy(String createdBy);

    /**
     * Gets the created.
     * 
     * @return the created
     */
    Timestamp getCreated();

    /**
     * Gets the modified by.
     * 
     * @return the modified by
     */
    String getModifiedBy();

    /**
     * Sets the modified by.
     * 
     * @param modifiedBy
     *            the new modified by
     */
    void setModifiedBy(String modifiedBy);

    /**
     * Gets the modified.
     * 
     * @return the modified
     */
    Timestamp getModified();

    /**
     * Gets the ui label.
     * 
     * @return the ui label
     */
    String getUiLabel();
}
