package gov.va.med.pharmacy.pecs.domain;

/**
 * This represents a chunk of text in a monograph section.
 */
public interface SectionLine {
    /**
     * The text.
     * 
     * @return the text
     */
    String getText();

    /**
     * The format code for this piece of text.
     * 
     * @return a code that indicates how the text should be formatted (e.g.
     *         start on a new line, new paragraph etc)
     */
    String getFormatCode();
}
