package gov.va.med.pharmacy.pecs.domain;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;

import java.util.Date;

/**
 * The Interface IUserComment.
 */
public interface UserComment {

    /**
     * Gets the comment.
     * 
     * @return the comment
     */
    public String getComment();

    /**
     * Sets the comment.
     * 
     * @param comment
     *            the comment to set
     */
    public void setComment(String comment);

    /**
     * Gets the comment id.
     * 
     * @return the comment id
     */
    public Long getCommentId();

    /**
     * Sets the comment id.
     * 
     * @param commentId
     *            the new comment id
     */
    public void setCommentId(Long commentId);

    /**
     * Gets the date the comment was created.
     * 
     * @return the comment date
     */
    public Date getCommentDate();

    /**
     * Sets the date the comment was created.
     * 
     * @param commentDate
     *            - the date of the user comment.
     */
    public void setCommentDate(Date commentDate);

    /**
     * Gets the fdb reference id. FDB id or suid for the concept.
     * 
     * @return the fdb reference id
     */
    public ConceptXref getFdbReference();

    /**
     * Sets the fdb reference id. FDB id or suid for the concept.
     * 
     * @param fdbReference
     *            the new fdb reference
     */
    void setFdbReference(ConceptXref fdbReference);

    /**
     * Gets the user name.
     * 
     * @return the userName
     */
    String getUserName();

    /**
     * Sets the user name.
     * 
     * @param userName
     *            the userName to set
     */
    void setUserName(String userName);
}
