package gov.va.med.pharmacy.pecs.domain.impl.easy;

/**
 * DoseCheck Entity.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class DoseCheck {
    private DrugIdentifier drugIdentifier;
    private double singleDoseAmount;
    private String doseUnit = "";
    private String doseRateUnit = "";
    private String frequency = "";
    private long duration;
    private String durationRate = "";
    private String doseRoute = "";
    private String doseType = "";

    private long ageInDays;
    private double weightInKg;
    private double bsaInSqM;

    /**
     * Get Drug Id.
     * 
     * @return drugIdentifier
     */
    public DrugIdentifier getDrugId() {
        return drugIdentifier;
    }

    /**
     * Set DrugId.
     * 
     * @param id
     *            - See DrugIdentifier
     */
    public void setDrugId(DrugIdentifier id) {
        drugIdentifier = id;
    }

    /**
     * Get Single Dose Amount.
     * 
     * @return singleDoseAmount
     */
    public double getSingleDoseAmount() {
        return singleDoseAmount;
    }

    /**
     * Set Single Dose Amount.
     * 
     * @param singleDoseAmount
     *            - Double
     */
    public void setSingleDoseAmount(double singleDoseAmount) {
        this.singleDoseAmount = singleDoseAmount;
    }

    /**
     * Get Dose Unit.
     * 
     * @return doseUnit
     */
    public String getDoseUnit() {
        return doseUnit;
    }

    /**
     * Set Dose Unit.
     * 
     * @param doseUnit
     *            - String
     */
    public void setDoseUnit(String doseUnit) {
        this.doseUnit = doseUnit;
    }

    /**
     * Get Dose Rate Unit.
     * 
     * @return doseRateunit
     */
    public String getDoseRateUnit() {
        return doseRateUnit;
    }

    /**
     * Set Dose Rate Unit.
     * 
     * @param doseRate
     *            - String
     */
    public void setDoseRateUnit(String doseRate) {
        this.doseRateUnit = doseRate;
    }

    /**
     * Get Frequency.
     * 
     * @return frequency
     */
    public String getFrequency() {
        return frequency;
    }

    /**
     * Set Frequency.
     * 
     * @param frequency
     *            - String
     */
    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    /**
     * Get Duration.
     * 
     * @return duration
     */
    public long getDuration() {
        return duration;
    }

    /**
     * Set Duration.
     * 
     * @param duration
     *            - Long
     */
    public void setDuration(long duration) {
        this.duration = duration;
    }

    /**
     * Get Duration Rate.
     * 
     * @return durationRate
     */
    public String getDurationRate() {
        return durationRate;
    }

    /**
     * Set Duration Rate.
     * 
     * @param durationRate
     *            - String
     */
    public void setDurationRate(String durationRate) {
        this.durationRate = durationRate;
    }

    /**
     * Get Dose Route.
     * 
     * @return douseRoute
     */
    public String getDoseRoute() {
        return doseRoute;
    }

    /**
     * Set DoseRoute.
     * 
     * @param doseRoute
     *            - String
     */
    public void setDoseRoute(String doseRoute) {
        this.doseRoute = doseRoute;
    }

    /**
     * Get Dose Type.
     * 
     * @return doseType
     */
    public String getDoseType() {
        return doseType;
    }

    /**
     * Set Dose Type.
     * 
     * @param doseType
     *            - String
     */
    public void setDoseType(String doseType) {
        this.doseType = doseType;
    }

    /**
     * Get Age in Days.
     * 
     * @return ageInDays
     */
    public long getAgeInDays() {
        return ageInDays;
    }

    /**
     * Set Age in Days.
     * 
     * @param ageInDays
     *            - Long
     */
    public void setAgeInDays(long ageInDays) {
        this.ageInDays = ageInDays;
    }

    /**
     * Get Weight in Kg.
     * 
     * @return weightInKg
     */
    public double getWeightInKg() {
        return weightInKg;
    }

    /**
     * Set Weight In Kg.
     * 
     * @param weightInKg
     *            - Double
     */
    public void setWeightInKg(double weightInKg) {
        this.weightInKg = weightInKg;
    }

    /**
     * Set BsaInSqM.
     * 
     * @param bsaInSqM
     *            - Double
     */
    public void setBsaInSqM(double bsaInSqM) {
        this.bsaInSqM = bsaInSqM;
    }

    /**
     * Get BsaInSqM.
     * 
     * @return bsaInSqM the BSA in square meters
     */
    public double getBsaInSqM() {
        return bsaInSqM;
    }

}
