package gov.va.med.pharmacy.pecs.domain.impl.easy;

import gov.va.med.pharmacy.peps.external.common.preencapsulation.vo.drug.check.response.ProfessionalMonograph;

import java.util.ArrayList;
import java.util.Collection;

/**
 * The Class DoseRangeInfo.
 */
public class DoseRangeInfo {
    
    /** The id. */
    private long id;
    
    /** The severity. */
    private String severity = "";
    
    /** The interaction description. */
    private String interactionDescription = "";
    
    /** The short text. */
    private String shortText = "";
    
    /** The custom. */
    private boolean custom;
    
    /** The professional monograph. */
    private ProfessionalMonograph professionalMonograph;
    
    /** The drugs. */
    private Collection<PecsDrugInfo> drugs = new ArrayList<PecsDrugInfo>();

    /**
     * Gets the id.
     *
     * @return the id
     */
    public long getId() {
        return id;
    }

    /**
     * Sets the id.
     *
     * @param id the new id
     */
    public void setId(long id) {
        this.id = id;
    }

    /**
     * Gets the severity.
     *
     * @return the severity
     */
    public String getSeverity() {
        return severity;
    }

    /**
     * Sets the severity.
     *
     * @param severity the new severity
     */
    public void setSeverity(String severity) {
        this.severity = severity;
    }

    /**
     * Gets the interaction description.
     *
     * @return the interaction description
     */
    public String getInteractionDescription() {
        return interactionDescription;
    }

    /**
     * Sets the interaction description.
     *
     * @param interactionDescription the new interaction description
     */
    public void setInteractionDescription(String interactionDescription) {
        this.interactionDescription = interactionDescription;
    }

    /**
     * Gets the short text.
     *
     * @return the short text
     */
    public String getShortText() {
        String shortText = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXxx XXXXXXXXXXXXXXX"; // ToDo:
                                                                                                                     // remove
                                                                                                                     // this
                                                                                                                     // line
        return shortText;
    }

    /**
     * Sets the short text.
     *
     * @param shortText the new short text
     */
    public void setShortText(String shortText) {
        this.shortText = shortText;
    }

    /**
     * Checks if is custom.
     *
     * @return true, if is custom
     */
    public boolean isCustom() {
        return custom;
    }

    /**
     * Sets the custom.
     *
     * @param custom the new custom
     */
    public void setCustom(boolean custom) {
        this.custom = custom;
    }

    /**
     * Gets the drugs.
     *
     * @return the drugs
     */
    public Collection<PecsDrugInfo> getDrugs() {
        return drugs;
    }

    /**
     * Sets the drugs.
     *
     * @param drugs the new drugs
     */
    public void setDrugs(Collection<PecsDrugInfo> drugs) {
        this.drugs = drugs;
    }

    /**
     * Adds the drug.
     *
     * @param drug the drug
     */
    public void addDrug(PecsDrugInfo drug) {
        drugs.add(drug);
    }

    /**
     * Gets the professional monograph.
     *
     * @return the professional monograph
     */
    public ProfessionalMonograph getProfessionalMonograph() {
        return professionalMonograph;
    }

    /**
     * Sets the professional monograph.
     *
     * @param professionalMonograph the new professional monograph
     */
    public void setProfessionalMonograph(ProfessionalMonograph professionalMonograph) {
        this.professionalMonograph = professionalMonograph;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public final String toString() {
        return "[DDI " + id + " - " + interactionDescription + " (" + (custom ? "VA" : "FDB") + ") -> " + drugs + "]";
    }

}
