package gov.va.med.pharmacy.pecs.domain.impl.easy;

import java.util.ArrayList;
import java.util.Collection;

/**
 * The Class DrugCheckResult.
 * 
 * @param <T>
 *            the generic type
 */
public class DrugCheckResult<T> {

    /** The checks. */
    private Collection<T> checks = new ArrayList<T>();

    /** The messages. */
    private Collection<OrderCheckMessage> messages = new ArrayList<OrderCheckMessage>();

    /**
     * Gets the checks.
     * 
     * @return the checks
     */
    public Collection<T> getChecks() {
        return checks;
    }

    /**
     * Adds the checks.
     * 
     * @param check
     *            the check
     */
    public void addChecks(T check) {
        checks.add(check);
    }

    /**
     * Gets the messages.
     * 
     * @return the messages
     */
    public Collection<OrderCheckMessage> getMessages() {
        return messages;
    }

    /**
     * Adds the message.
     * 
     * @param message
     *            the message
     */
    public void addMessage(OrderCheckMessage message) {
        messages.add(message);
    }
}
