package gov.va.med.pharmacy.pecs.domain.impl.easy;

import gov.va.med.pharmacy.pecs.domain.impl.lookup.SeverityLevel;

import java.util.ArrayList;
import java.util.Collection;


/**
 * DrugDrugInteractionInfo entity.
 * 
 * @author DOMAINOVERSD
 * @version Pecs 3.0
 */
public class DrugDrugInteractionInfo {

    /** The id. */
    private long id;

    /** The severity. */
    private SeverityLevel severity;

    /** The interaction description. */
    private String interactionDescription = "";

    /** The short text. */
    private String shortText = "";

    /** The custom. */
    private boolean custom;

    /** The professional monograph. */
    private ProfessionalMonograph professionalMonograph;

    /** The drugs. */
    private Collection<PecsDrugInfo> drugs = new ArrayList<PecsDrugInfo>();

    /**
     * Getter for Id.
     * 
     * @return id
     */
    public final long getId() {
        return id;
    }

    /**
     * Setter for Id takes one parameter type long.
     * 
     * @param id
     *            - long
     */
    public final void setId(long id) {
        this.id = id;
    }

    /**
     * Getter for Severity Level.
     * 
     * @return severity
     */
    public final SeverityLevel getSeverity() {
        return severity;
    }

    /**
     * Setter for Severity takes an object SeverityLevel.
     * 
     * @param severity
     *            - See SeverityLevel
     */
    public final void setSeverity(SeverityLevel severity) {
        this.severity = severity;
    }

    /**
     * Getter for InteractionDescription.
     * 
     * @return interactionDescription
     */
    public final String getInteractionDescription() {
        return interactionDescription;
    }

    /**
     * Setter for InteractionDescription takes 1 parameter type String.
     * 
     * @param interactionDescription
     *            - String
     */
    public final void setInteractionDescription(String interactionDescription) {
        this.interactionDescription = interactionDescription;
    }

    /**
     * Getter for ShortText.
     * 
     * @return shortText
     */
    public final String getShortText() {
        return shortText;
    }

    /**
     * Setter for ShortText takes 1 parameter type String.
     * 
     * @param shortText
     *            - String
     */
    public final void setShortText(String shortText) {
        this.shortText = shortText;
    }

    /**
     * Getter for isCustom.
     * 
     * @return custom
     */
    public final boolean isCustom() {
        return custom;
    }

    /**
     * Sets the custom.
     * 
     * @param custom
     *            the new custom
     */
    public final void setCustom(boolean custom) {
        this.custom = custom;
    }

    /**
     * Gets the drugs.
     * 
     * @return the drugs
     */
    public final Collection<PecsDrugInfo> getDrugs() {
        return drugs;
    }

    /**
     * Sets the drugs.
     * 
     * @param drugs
     *            the new drugs
     */
    public final void setDrugs(Collection<PecsDrugInfo> drugs) {
        this.drugs = drugs;
    }

    /**
     * Adds the drug.
     * 
     * @param drug
     *            the drug
     */
    public final void addDrug(PecsDrugInfo drug) {
        drugs.add(drug);
    }

    /**
     * Gets the professional monograph.
     * 
     * @return the professional monograph
     */
    public final ProfessionalMonograph getProfessionalMonograph() {
        return professionalMonograph;
    }

    /**
     * Sets the professional monograph.
     * 
     * @param professionalMonograph
     *            the new professional monograph
     */
    public final void setProfessionalMonograph(ProfessionalMonograph professionalMonograph) {
        this.professionalMonograph = professionalMonograph;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "[DDI " + id + " - " + interactionDescription + " (" + (custom ? "VA" : "FDB") + ") -> " + drugs + "]";
    }

}
