package gov.va.med.pharmacy.pecs.domain.impl.easy;

import java.util.HashMap;
import java.util.Map;

/**
 * The Enum DrugIdentifierType.
 */
public enum DrugIdentifierType {

    /** The gcn seqno. */
    GCN_SEQNO,
    /** The med id. */
    MED_ID;

    /** The Constant stringToEnum. */
    private static final Map<String, DrugIdentifierType> stringToEnum = new HashMap<String, DrugIdentifierType>();

    static {
        for (DrugIdentifierType drugIdentifierType : values()) {
            stringToEnum.put(drugIdentifierType.toString(), drugIdentifierType);
        }

    }

    /**
     * From string.
     * 
     * @param drugIdentifierType
     *            the drug identifier type
     * @return the drug identifier type
     */
    public static DrugIdentifierType fromString(String drugIdentifierType) {
        return stringToEnum.get(drugIdentifierType);
    }
}
