package gov.va.med.pharmacy.pecs.domain.impl.easy;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Class DuplicateTherapyInfo.
 * 
 * 
 */
public final class DuplicateTherapyInfo {
    // private Collection<DrugIdentifier> drugIdentifiers = new
    // ArrayList<DrugIdentifier>();
    private TherapeuticClass dtClass;
    private String shortText = "";
    private long allowance;
    private boolean custom;
    private Collection<PecsDrugInfo> drugs = new ArrayList<PecsDrugInfo>();

    /**
     * Retrieves Allowance.
     * 
     * @return long - allowance
     */
    public long getAllowance() {
        return allowance;
    }

    /**
     * Sets the Allowance.
     * 
     * @param allowance
     *            allowance property
     */
    public void setAllowance(long allowance) {
        this.allowance = allowance;
    }

    /**
     * Retrieves the Short Text.
     * 
     * @return String - shortText property
     */
    public String getShortText() {
        return shortText;
    }

    /**
     * Sets the Short Text.
     * 
     * @param shortText
     *            - shortText property
     */
    public void setShortText(String shortText) {
        this.shortText = shortText;
    }

    /**
     * Returns Custom boolean value.
     * 
     * @return boolean - custom property
     */
    public boolean isCustom() {
        return custom;
    }

    /**
     * Sets Custom property.
     * 
     * @param custom
     *            custom property
     */
    public void setCustom(boolean custom) {
        this.custom = custom;
    }

    /**
     * Sets the DtClass.
     * 
     * @param dtClass
     *            of type TherapeuticClass
     */
    public void setDtClass(TherapeuticClass dtClass) {
        this.dtClass = dtClass;
    }

    /**
     * Retrieves the DtClass.
     * 
     * @return TherapeuticClass -
     */
    public TherapeuticClass getDtClass() {
        return dtClass;
    }

    /**
     * Retrieves the Collection of Drugs.
     * 
     * @return Collection typed as PecsDrugInfo
     */
    public Collection<PecsDrugInfo> getDrugs() {
        return drugs;
    }

    /**
     * Sets the Drugs Collection.
     * 
     * @param drugs
     *            of type Collection typed as PecsDrugInfo
     */
    public void setDrugs(Collection<PecsDrugInfo> drugs) {
        this.drugs = drugs;
    }

    /**
     * Adds a Drug to the Drug Collection.
     * 
     * @param drug
     *            of type PecsDrugInfo
     */
    public void addDrug(PecsDrugInfo drug) {
        drugs.add(drug);
    }

    /**
     * Returns a textual representation of the class.
     * 
     * @return String
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "DuplicateTherapyInfo [getAllowance()=" + getAllowance() + " (" + (custom ? "VA" : "FDB") + ") -> "
                + ", getShortText()=" + getShortText() + ", isCustom()=" + isCustom() + ", getDtClass()=" + getDtClass()
                + ", getDrugs()=" + getDrugs() + ", toString()=" + super.toString() + "]";
    }

}
