package gov.va.med.pharmacy.pecs.domain.impl.fdb;

/**
 * A class to hold search results when search by Concept Description for Dose Range records.
 * This class was designed to hold values from the FDB DIF RoutedDrug, RoutedGeneric, 
 * DispensableDrug, DispensableGeneric, RoutedDoseFormDrug and RoutedDoseFormGeneric objects.
 * 
 * @author vhaisaduffg
 *
 */
public class DrugConceptSearchResult implements Comparable<DrugConceptSearchResult> {
    private Long id;
    private Long conceptType;
    private String description;
    
    /**
     * Returns the identifier of the drug or generic.
     * 
     * @return the id
     */
    public final Long getId() {
        return id;
    }
    /**
     * Sets the identifier of the drug or generic.
     * 
     * @param id the id to set
     */
    public final void setId(Long id) {
        this.id = id;
    }
    /**
     * Returns the Concept Type of the drug or generic.
     * 
     * @return the conceptType
     */
    public final Long getConceptType() {
        return conceptType;
    }
    /**
     * Sets the Concept Type of the drug or generic.
     * 
     * @param conceptType the conceptType to set
     */
    public final void setConceptType(Long conceptType) {
        this.conceptType = conceptType;
    }
    /**
     * Returns the description of the drug or generic.
     * 
     * @return the description
     */
    public final String getDescription() {
        return description;
    }
    /**
     * Sets the description of the drug or generic.
     * 
     * @param description the description to set
     */
    public final void setDescription(String description) {
        this.description = description;
    }
    @Override
    public int compareTo(DrugConceptSearchResult arg0) {
        // TODO Auto-generated method stub
        if (conceptType < arg0.conceptType ) {
            return -1;
        }
        
        if ( conceptType > arg0.conceptType ) {
            return 1;
        }
        
        if ( id < arg0.getId() ) {
            return -1;
        } else if ( id > arg0.getId() ) {
            return 1;
        }
        
        return 0;
    }
}
