package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.DrugDrugInteractionXref;

/**
 * FdbDiminteraction Class Entity.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class FdbDdiminteraction extends AbstractCommentable implements java.io.Serializable {
    private static final long serialVersionUID = 5797170514759712119L;

    /** The maximum value for a FDB forward Drug-Drug Interaction. */
    public static final Long MAX_DDI_FORWARD_INTERACTION_ID = 16000L;

    private static final Long MAX_FDB_ID = 32000L;

    private Long interactionid;
    private String description1;
    private String description2;
    private String description3;
    private String description4;
    private String description5;
    private String description6;
    private String severitylevelcode;
    private Long monographid;
    private String edipageref;
    private Long docmfgind;
    private Long dochumantrialind;
    private Long docanimalstudyind;
    private Long docmtgabstractind;
    private Long docrvwarticleind;
    private Long doccaserptind;
    private String clinicaleffectcode1;
    private String clinicaleffectcode2;
    private Long reverseFdbId;

    /**
     * Get Reverse FdbId.
     * 
     * @return the reverseFdbId
     */
    public Long getReverseFdbId() {
        if (getInteractionid() == null) {
            return null;
        }
        return reverseFdbId = MAX_FDB_ID - getInteractionid();
    }

    /**
     * Set Reverse FdbId.
     * 
     * @param reverseFdbId
     *            the reverseFdbId to set
     */
    public void setReverseFdbId(Long reverseFdbId) {
        this.reverseFdbId = reverseFdbId;
    }

    /**
     * Retrieves the Interaction id.
     * 
     * @return Long the interaction id
     */
    public Long getInteractionid() {
        return this.interactionid;
    }

    /**
     * Sets the Interaction id.
     * 
     * @param interactionid
     *            of Type Long
     */
    public void setInteractionid(Long interactionid) {
        this.interactionid = interactionid;
    }

    /**
     * Retrieves Description 1.
     * 
     * @return String - the description 1
     */
    public String getDescription1() {
        return this.description1;
    }

    /**
     * Sets the Description.
     * 
     * @param description1
     *            of Type String
     */
    public void setDescription1(String description1) {
        this.description1 = description1;
    }

    /**
     * Retrieves Description 2.
     * 
     * @return String - the description 2
     */
    public String getDescription2() {
        return this.description2;
    }

    /**
     * Sets the Description 2.
     * 
     * @param description2
     *            of Type String
     */
    public void setDescription2(String description2) {
        this.description2 = description2;
    }

    /**
     * Retrieves Description 3.
     * 
     * @return String - the description 3
     */
    public String getDescription3() {
        return this.description3;
    }

    /**
     * Sets the Description 3.
     * 
     * @param description3
     *            of Type String
     */
    public void setDescription3(String description3) {
        this.description3 = description3;
    }

    /**
     * Retrieves Description 4.
     * 
     * @return String - the description 4
     */
    public String getDescription4() {
        return this.description4;
    }

    /**
     * Sets the Description 4.
     * 
     * @param description4
     *            of Type String
     */
    public void setDescription4(String description4) {
        this.description4 = description4;
    }

    /**
     * Retrieves Description 5.
     * 
     * @return String - the description 5
     */
    public String getDescription5() {
        return this.description5;
    }

    /**
     * Sets the Description 5.
     * 
     * @param description5
     *            of Type String
     */
    public void setDescription5(String description5) {
        this.description5 = description5;
    }

    /**
     * Retrieves Description 6.
     * 
     * @return String - the description 6
     */
    public String getDescription6() {
        return this.description6;
    }

    /**
     * Sets the Description 6.
     * 
     * @param description6
     *            of Type String
     */
    public void setDescription6(String description6) {
        this.description6 = description6;
    }

    /**
     * Retrieves the Severity level code.
     * 
     * @return String - the severity level code
     */
    public String getSeveritylevelcode() {
        return this.severitylevelcode;
    }

    /**
     * Sets the Severity level code.
     * 
     * @param severitylevelcode
     *            of Type String
     */
    public void setSeveritylevelcode(String severitylevelcode) {
        this.severitylevelcode = severitylevelcode;
    }

    /**
     * Retrieves the Monograph id.
     * 
     * @return String - the monograph id
     */
    public Long getMonographid() {
        return this.monographid;
    }

    /**
     * Sets the Monograph id.
     * 
     * @param monographid
     *            of type Long
     */
    public void setMonographid(Long monographid) {
        this.monographid = monographid;
    }

    /**
     * Retrieves the Edi page reference.
     * 
     * @return String - the edi page ref
     */
    public String getEdipageref() {
        return this.edipageref;
    }

    /**
     * Sets the Edi page reference.
     * 
     * @param edipageref
     *            of type String
     */
    public void setEdipageref(String edipageref) {
        this.edipageref = edipageref;
    }

    /**
     * Retrieves the Document Manufactures ind.
     * 
     * @return String - the document manufactures ind
     */
    public Long getDocmfgind() {
        return this.docmfgind;
    }

    /**
     * Sets the Document Manufactures ind.
     * 
     * @param docmfgind
     *            - the document manufactures ind.
     */
    public void setDocmfgind(Long docmfgind) {
        this.docmfgind = docmfgind;
    }

    /**
     * Retrieves the Doc human trial ind.
     * 
     * @return String - the doc human trial ind
     */
    public Long getDochumantrialind() {
        return this.dochumantrialind;
    }

    /**
     * Sets the doc human trial ind.
     * 
     * @param dochumantrialind
     *            of Type Long
     */
    public void setDochumantrialind(Long dochumantrialind) {
        this.dochumantrialind = dochumantrialind;
    }

    /**
     * Retrieves the doc animal study ind.
     * 
     * @return String - the doc animal study ind
     */
    public Long getDocanimalstudyind() {
        return this.docanimalstudyind;
    }

    /**
     * Sets the doc animal study ind.
     * 
     * @param docanimalstudyind
     *            of Type Long
     */
    public void setDocanimalstudyind(Long docanimalstudyind) {
        this.docanimalstudyind = docanimalstudyind;
    }

    /**
     * Retrieves the doc mtg abstract ind.
     * 
     * @return String - the doc mtg abstract ind
     */
    public Long getDocmtgabstractind() {
        return this.docmtgabstractind;
    }

    /**
     * Sets the doc mtg abstract ind.
     * 
     * @param docmtgabstractind
     *            of Type Long
     */
    public void setDocmtgabstractind(Long docmtgabstractind) {
        this.docmtgabstractind = docmtgabstractind;
    }

    /**
     * Retrieves the Doc rvw article ind.
     * 
     * @return String - the doc rvw article ind
     */
    public Long getDocrvwarticleind() {
        return this.docrvwarticleind;
    }

    /**
     * Sets the Doc rvw article ind.
     * 
     * @param docrvwarticleind
     *            - the doc rvw article ind.
     */
    public void setDocrvwarticleind(Long docrvwarticleind) {
        this.docrvwarticleind = docrvwarticleind;
    }

    /**
     * Retrieves the Doc case rpt ind.
     * 
     * @return String - the doc case rpt ind
     */
    public Long getDoccaserptind() {
        return this.doccaserptind;
    }

    /**
     * Sets the Doc case rpt ind.
     * 
     * @param doccaserptind
     *            - the doc case report ind
     */
    public void setDoccaserptind(Long doccaserptind) {
        this.doccaserptind = doccaserptind;
    }

    /**
     * Retrieves the Clinical effects code 1.
     * 
     * @return String - the clinical effect code 1
     */
    public String getClinicaleffectcode1() {
        return this.clinicaleffectcode1;
    }

    /**
     * Sets the Clinical effects code 1.
     * 
     * @param clinicaleffectcode1
     *            - the clinical effects code 1
     */
    public void setClinicaleffectcode1(String clinicaleffectcode1) {
        this.clinicaleffectcode1 = clinicaleffectcode1;
    }

    /**
     * Retrieves the Clinical effects code 2.
     * 
     * @return String - the
     */
    public String getClinicaleffectcode2() {
        return this.clinicaleffectcode2;
    }

    /**
     * Sets the Clinical effects code 2.
     * 
     * @param clinicaleffectcode2
     *            - the clinical effects code 2
     */
    public void setClinicaleffectcode2(String clinicaleffectcode2) {
        this.clinicaleffectcode2 = clinicaleffectcode2;
    }

    /**
     * Creates a new DrugDrugInteractionXref object.
     * 
     * @return ConceptXref
     */
    @Override
    protected ConceptXref createConceptXref() {
        return new DrugDrugInteractionXref();
    }

}
