package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.DoseRangeXref;

/**
 * FdbDosing entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public final class FdbDosing extends AbstractCommentable implements java.io.Serializable {
    private static final long serialVersionUID = 4114571981945265246L;
    private static final String DOSE_ROUTE_DESC_DEFAULT = "No Dose Route";
    private static final String DOSE_TYPE_DESC_DEFAULT = "No Dose Type";

    private FdbDosingId id;
    private Double doselow;
    private String doselowunits;
    private Double dosehigh;
    private String dosehighunits;
    private Double doseformlow;
    private String doseformlowunits;
    private Double doseformhigh;
    private String doseformhighunits;
    private Double maxsingledose;
    private String maxsingledoseunits;
    private Double maxsingledoseform;
    private String maxsingledoseformunits;
    private Double maxdailydose;
    private String maxdailydoseunits;
    private Double maxdailydoseform;
    private String maxdailydoseformunits;
    private Double maxlifetimedose;
    private String maxlifetimedoseunits;
    private Double maxlifetimedoseform;
    private String maxlifetimedoseformunits;
    private Double loweliminationhalflife;
    private Double higheliminationhalflife;
    private String halflifeunits;
    private Double frequencylow;
    private Double frequencyhigh;
    private Long durationlow;
    private Long durationhigh;
    private Long maxduration;
    private Long hepaticimpairmentind;
    private Long renalimpairmentind;
    private Long crclthreshhold;
    private String crclthreshholdunits;
    private Long weightrequiredind;
    private Long bsarequiredind;
    private String warningcode;
    private Double doseratelow;
    private String doseratelowunits;
    private Double doseratehigh;
    private String doseratehighunits;
    private Double doseformratelow;
    private String doseformratelowunits;
    private Double doseformratehigh;
    private String doseformratehighunits;
    private Double maxsingledoserate;
    private String maxsingledoserateunits;
    private Double maxsingledoseformrate;
    private String maxsingledoseformrateunits;
    private Double maxdailydoserate;
    private String maxdailydoserateunits;
    private Double maxdailydoseformrate;
    private String maxdailydoseformrateunits;
    private String dxid;
    private String conceptDescription;

    private Double maxSingleNTEDose;
    private String maxSingleNTEDoseUnit;
    private Double maxSingleNTEDoseForm;
    private String maxSingleNTEDoseFormUnit;

    // Constructors

    /** default constructor. */
    public FdbDosing() {
    }

    /**
     * minimal constructor.
     * 
     * @param id
     *            FdbDosingId
     */
    public FdbDosing(FdbDosingId id) {
        this.id = id;
    }

    /**
     * Returns the Dose Route Description.
     * 
     * @return String
     */
    public String getDoseRouteDesc() {
        String desc = getId().getDoseroute().getDescription1();
        return desc == null ? DOSE_ROUTE_DESC_DEFAULT : desc;
    }

    /**
     * Returns the Dose Route Identifier.
     * 
     * @return String
     */
    public String getDoseRouteId() {
        return getId().getDoseroute().getDoserouteid();
    }

    /**
     * Returns the Dose Type Description.
     * 
     * @return String
     */
    public String getDoseTypeDesc() {
        String desc = getId().getDosetype().getDescription1();
        return desc == null ? DOSE_TYPE_DESC_DEFAULT : desc;
    }

    /**
     * Returns the Dose Type Identifier.
     * 
     * @return String
     */
    public String getDoseTypeId() {
        return getId().getDosetype().getDosetypeid();
    }

    /**
     * Returns the Concept Type.
     * 
     * @return Long
     */
    public Long getConceptType() {
        return getId().getConcepttype();
    }

    /**
     * Returns the Concept Identifier.
     * 
     * @return Long
     */
    public Long getConceptId() {
        return getId().getConceptid();
    }

    /**
     * Returns the Age in Days Low.
     * 
     * @return Long
     */
    public Long getAgeLowInDays() {
        return getId().getAgelowindays();
    }

    /**
     * Returns the Age in Days High.
     * 
     * @return Long
     */
    public Long getAgeHighInDays() {
        return getId().getAgehighindays();
    }

    /**
     * Returns the FDBDX.
     * 
     * @return String
     */
    public String getFDBDX() {
        return getId().getFdbdx();
    }

    /**
     * Returns the Hit Type.
     * 
     * @return Long
     */
    public Long getHitType() {
        return getId().getHittype();
    }

    /**
     * Returns the Concept Description.
     * 
     * @return the conceptDescription
     */
    public String getConceptDescription() {
        return conceptDescription;
    }

    /**
     * Sets the Concept Description.
     * 
     * @param conceptDescription
     *            the conceptDescription to set
     */
    public void setConceptDescription(String conceptDescription) {
        this.conceptDescription = conceptDescription;
    }

    /**
     * Gets the id.
     * 
     * @return the id
     */

    public FdbDosingId getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(FdbDosingId id) {
        this.id = id;
    }

    /**
     * Gets the doselow.
     * 
     * @return the doselow
     */

    public Double getDoselow() {
        return doselow;
    }

    /**
     * Sets the doselow.
     * 
     * @param doselow
     *            the doselow to set
     */
    public void setDoselow(Double doselow) {
        this.doselow = doselow;
    }

    /**
     * Gets the doselowunits.
     * 
     * @return the doselowunits
     */

    public String getDoselowunits() {
        return doselowunits;
    }

    /**
     * Sets the doselowunits.
     * 
     * @param doselowunits
     *            the doselowunits to set
     */
    public void setDoselowunits(String doselowunits) {
        this.doselowunits = doselowunits;
    }

    /**
     * Gets the dosehigh.
     * 
     * @return the dosehigh
     */

    public Double getDosehigh() {
        return dosehigh;
    }

    /**
     * Sets the dosehigh.
     * 
     * @param dosehigh
     *            the dosehigh to set
     */
    public void setDosehigh(Double dosehigh) {
        this.dosehigh = dosehigh;
    }

    /**
     * Gets the dosehighunits.
     * 
     * @return the dosehighunits
     */

    public String getDosehighunits() {
        return dosehighunits;
    }

    /**
     * Sets the dosehighunits.
     * 
     * @param dosehighunits
     *            the dosehighunits to set
     */
    public void setDosehighunits(String dosehighunits) {
        this.dosehighunits = dosehighunits;
    }

    /**
     * Gets the doseformlow.
     * 
     * @return the doseformlow
     */

    public Double getDoseformlow() {
        return doseformlow;
    }

    /**
     * Sets the doseformlow.
     * 
     * @param doseformlow
     *            the doseformlow to set
     */
    public void setDoseformlow(Double doseformlow) {
        this.doseformlow = doseformlow;
    }

    /**
     * Gets the doseformlowunits.
     * 
     * @return the doseformlowunits
     */

    public String getDoseformlowunits() {
        return doseformlowunits;
    }

    /**
     * Sets the doseformlowunits.
     * 
     * @param doseformlowunits
     *            the doseformlowunits to set
     */
    public void setDoseformlowunits(String doseformlowunits) {
        this.doseformlowunits = doseformlowunits;
    }

    /**
     * Gets the doseformhigh.
     * 
     * @return the doseformhigh
     */

    public Double getDoseformhigh() {
        return doseformhigh;
    }

    /**
     * Sets the doseformhigh.
     * 
     * @param doseformhigh
     *            the doseformhigh to set
     */
    public void setDoseformhigh(Double doseformhigh) {
        this.doseformhigh = doseformhigh;
    }

    /**
     * Gets the doseformhighunits.
     * 
     * @return the doseformhighunits
     */

    public String getDoseformhighunits() {
        return doseformhighunits;
    }

    /**
     * Sets the doseformhighunits.
     * 
     * @param doseformhighunits
     *            the doseformhighunits to set
     */
    public void setDoseformhighunits(String doseformhighunits) {
        this.doseformhighunits = doseformhighunits;
    }

    /**
     * Gets the maxsingledose.
     * 
     * @return the maxsingledose
     */

    public Double getMaxsingledose() {
        return maxsingledose;
    }

    /**
     * Sets the maxsingledose.
     * 
     * @param maxsingledose
     *            the maxsingledose to set
     */
    public void setMaxsingledose(Double maxsingledose) {
        this.maxsingledose = maxsingledose;
    }

    /**
     * Gets the maxsingledoseunits.
     * 
     * @return the maxsingledoseunits
     */

    public String getMaxsingledoseunits() {
        return maxsingledoseunits;
    }

    /**
     * Sets the maxsingledoseunits.
     * 
     * @param maxsingledoseunits
     *            the maxsingledoseunits to set
     */
    public void setMaxsingledoseunits(String maxsingledoseunits) {
        this.maxsingledoseunits = maxsingledoseunits;
    }

    /**
     * Gets the maxsingledoseform.
     * 
     * @return the maxsingledoseform
     */

    public Double getMaxsingledoseform() {
        return maxsingledoseform;
    }

    /**
     * Sets the maxsingledoseform.
     * 
     * @param maxsingledoseform
     *            the maxsingledoseform to set
     */
    public void setMaxsingledoseform(Double maxsingledoseform) {
        this.maxsingledoseform = maxsingledoseform;
    }

    /**
     * Gets the maxsingledoseformunits.
     * 
     * @return the maxsingledoseformunits
     */

    public String getMaxsingledoseformunits() {
        return maxsingledoseformunits;
    }

    /**
     * Sets the maxsingledoseformunits.
     * 
     * @param maxsingledoseformunits
     *            the maxsingledoseformunits to set
     */
    public void setMaxsingledoseformunits(String maxsingledoseformunits) {
        this.maxsingledoseformunits = maxsingledoseformunits;
    }

    /**
     * Gets the maxdailydose.
     * 
     * @return the maxdailydose
     */

    public Double getMaxdailydose() {
        return maxdailydose;
    }

    /**
     * Sets the maxdailydose.
     * 
     * @param maxdailydose
     *            the maxdailydose to set
     */
    public void setMaxdailydose(Double maxdailydose) {
        this.maxdailydose = maxdailydose;
    }

    /**
     * Gets the maxdailydoseunits.
     * 
     * @return the maxdailydoseunits
     */

    public String getMaxdailydoseunits() {
        return maxdailydoseunits;
    }

    /**
     * Sets the maxdailydoseunits.
     * 
     * @param maxdailydoseunits
     *            the maxdailydoseunits to set
     */
    public void setMaxdailydoseunits(String maxdailydoseunits) {
        this.maxdailydoseunits = maxdailydoseunits;
    }

    /**
     * Gets the maxdailydoseform.
     * 
     * @return the maxdailydoseform
     */

    public Double getMaxdailydoseform() {
        return maxdailydoseform;
    }

    /**
     * Sets the maxdailydoseform.
     * 
     * @param maxdailydoseform
     *            the maxdailydoseform to set
     */
    public void setMaxdailydoseform(Double maxdailydoseform) {
        this.maxdailydoseform = maxdailydoseform;
    }

    /**
     * Gets the maxdailydoseformunits.
     * 
     * @return the maxdailydoseformunits
     */

    public String getMaxdailydoseformunits() {
        return maxdailydoseformunits;
    }

    /**
     * Sets the maxdailydoseformunits.
     * 
     * @param maxdailydoseformunits
     *            the maxdailydoseformunits to set
     */
    public void setMaxdailydoseformunits(String maxdailydoseformunits) {
        this.maxdailydoseformunits = maxdailydoseformunits;
    }

    /**
     * Gets the maxlifetimedose.
     * 
     * @return the maxlifetimedose
     */

    public Double getMaxlifetimedose() {
        return maxlifetimedose;
    }

    /**
     * Sets the maxlifetimedose.
     * 
     * @param maxlifetimedose
     *            the maxlifetimedose to set
     */
    public void setMaxlifetimedose(Double maxlifetimedose) {
        this.maxlifetimedose = maxlifetimedose;
    }

    /**
     * Gets the maxlifetimedoseunits.
     * 
     * @return the maxlifetimedoseunits
     */

    public String getMaxlifetimedoseunits() {
        return maxlifetimedoseunits;
    }

    /**
     * Sets the maxlifetimedoseunits.
     * 
     * @param maxlifetimedoseunits
     *            the maxlifetimedoseunits to set
     */
    public void setMaxlifetimedoseunits(String maxlifetimedoseunits) {
        this.maxlifetimedoseunits = maxlifetimedoseunits;
    }

    /**
     * Gets the maxlifetimedoseform.
     * 
     * @return the maxlifetimedoseform
     */

    public Double getMaxlifetimedoseform() {
        return maxlifetimedoseform;
    }

    /**
     * Sets the maxlifetimedoseform.
     * 
     * @param maxlifetimedoseform
     *            the maxlifetimedoseform to set
     */
    public void setMaxlifetimedoseform(Double maxlifetimedoseform) {
        this.maxlifetimedoseform = maxlifetimedoseform;
    }

    /**
     * Gets the maxlifetimedoseformunits.
     * 
     * @return the maxlifetimedoseformunits
     */

    public String getMaxlifetimedoseformunits() {
        return maxlifetimedoseformunits;
    }

    /**
     * Sets the maxlifetimedoseformunits.
     * 
     * @param maxlifetimedoseformunits
     *            the maxlifetimedoseformunits to set
     */
    public void setMaxlifetimedoseformunits(String maxlifetimedoseformunits) {
        this.maxlifetimedoseformunits = maxlifetimedoseformunits;
    }

    /**
     * Gets the loweliminationhalflife.
     * 
     * @return the loweliminationhalflife
     */

    public Double getLoweliminationhalflife() {
        return loweliminationhalflife;
    }

    /**
     * Sets the loweliminationhalflife.
     * 
     * @param loweliminationhalflife
     *            the loweliminationhalflife to set
     */
    public void setLoweliminationhalflife(Double loweliminationhalflife) {
        this.loweliminationhalflife = loweliminationhalflife;
    }

    /**
     * Gets the higheliminationhalflife.
     * 
     * @return the higheliminationhalflife
     */

    public Double getHigheliminationhalflife() {
        return higheliminationhalflife;
    }

    /**
     * Sets the higheliminationhalflife.
     * 
     * @param higheliminationhalflife
     *            the higheliminationhalflife to set
     */
    public void setHigheliminationhalflife(Double higheliminationhalflife) {
        this.higheliminationhalflife = higheliminationhalflife;
    }

    /**
     * Gets the halflifeunits.
     * 
     * @return the halflifeunits
     */

    public String getHalflifeunits() {
        return halflifeunits;
    }

    /**
     * Sets the halflifeunits.
     * 
     * @param halflifeunits
     *            the halflifeunits to set
     */
    public void setHalflifeunits(String halflifeunits) {
        this.halflifeunits = halflifeunits;
    }

    /**
     * Gets the frequencylow.
     * 
     * @return the frequencylow
     */

    public Double getFrequencylow() {
        return frequencylow;
    }

    /**
     * Sets the frequencylow.
     * 
     * @param frequencylow
     *            the frequencylow to set
     */
    public void setFrequencylow(Double frequencylow) {
        this.frequencylow = frequencylow;
    }

    /**
     * Gets the frequencyhigh.
     * 
     * @return the frequencyhigh
     */

    public Double getFrequencyhigh() {
        return frequencyhigh;
    }

    /**
     * Sets the frequencyhigh.
     * 
     * @param frequencyhigh
     *            the frequencyhigh to set
     */
    public void setFrequencyhigh(Double frequencyhigh) {
        this.frequencyhigh = frequencyhigh;
    }

    /**
     * Gets the durationlow.
     * 
     * @return the durationlow
     */

    public Long getDurationlow() {
        return durationlow;
    }

    /**
     * Sets the durationlow.
     * 
     * @param durationlow
     *            the durationlow to set
     */
    public void setDurationlow(Long durationlow) {
        this.durationlow = durationlow;
    }

    /**
     * Gets the durationhigh.
     * 
     * @return the durationhigh
     */

    public Long getDurationhigh() {
        return durationhigh;
    }

    /**
     * Sets the durationhigh.
     * 
     * @param durationhigh
     *            the durationhigh to set
     */
    public void setDurationhigh(Long durationhigh) {
        this.durationhigh = durationhigh;
    }

    /**
     * Gets the maxduration.
     * 
     * @return the maxduration
     */

    public Long getMaxduration() {
        return maxduration;
    }

    /**
     * Sets the maxduration.
     * 
     * @param maxduration
     *            the maxduration to set
     */
    public void setMaxduration(Long maxduration) {
        this.maxduration = maxduration;
    }

    /**
     * Gets the hepaticimpairmentind.
     * 
     * @return the hepaticimpairmentind
     */

    public Long getHepaticimpairmentind() {
        return hepaticimpairmentind;
    }

    /**
     * Sets the hepaticimpairmentind.
     * 
     * @param hepaticimpairmentind
     *            the hepaticimpairmentind to set
     */
    public void setHepaticimpairmentind(Long hepaticimpairmentind) {
        this.hepaticimpairmentind = hepaticimpairmentind;
    }

    /**
     * Gets the renalimpairmentind.
     * 
     * @return the renalimpairmentind
     */

    public Long getRenalimpairmentind() {
        return renalimpairmentind;
    }

    /**
     * Sets the renalimpairmentind.
     * 
     * @param renalimpairmentind
     *            the renalimpairmentind to set
     */
    public void setRenalimpairmentind(Long renalimpairmentind) {
        this.renalimpairmentind = renalimpairmentind;
    }

    /**
     * Gets the crclthreshhold.
     * 
     * @return the crclthreshhold
     */

    public Long getCrclthreshhold() {
        return crclthreshhold;
    }

    /**
     * Sets the crclthreshhold.
     * 
     * @param crclthreshhold
     *            the crclthreshhold to set
     */
    public void setCrclthreshhold(Long crclthreshhold) {
        this.crclthreshhold = crclthreshhold;
    }

    /**
     * Gets the crclthreshholdunits.
     * 
     * @return the crclthreshholdunits
     */

    public String getCrclthreshholdunits() {
        return crclthreshholdunits;
    }

    /**
     * Sets the crclthreshholdunits.
     * 
     * @param crclthreshholdunits
     *            the crclthreshholdunits to set
     */
    public void setCrclthreshholdunits(String crclthreshholdunits) {
        this.crclthreshholdunits = crclthreshholdunits;
    }

    /**
     * Gets the weightrequiredind.
     * 
     * @return the weightrequiredind
     */

    public Long getWeightrequiredind() {
        return weightrequiredind;
    }

    /**
     * Sets the weightrequiredind.
     * 
     * @param weightrequiredind
     *            the weightrequiredind to set
     */
    public void setWeightrequiredind(Long weightrequiredind) {
        this.weightrequiredind = weightrequiredind;
    }

    /**
     * Gets the bsarequiredind.
     * 
     * @return the bsarequiredind
     */

    public Long getBsarequiredind() {
        return bsarequiredind;
    }

    /**
     * Sets the bsarequiredind.
     * 
     * @param bsarequiredind
     *            the bsarequiredind to set
     */
    public void setBsarequiredind(Long bsarequiredind) {
        this.bsarequiredind = bsarequiredind;
    }

    /**
     * Gets the warningcode.
     * 
     * @return the warningcode
     */

    public String getWarningcode() {
        return warningcode;
    }

    /**
     * Sets the warningcode.
     * 
     * @param warningcode
     *            the warningcode to set
     */
    public void setWarningcode(String warningcode) {
        this.warningcode = warningcode;
    }

    /**
     * Gets the doseratelow.
     * 
     * @return the doseratelow
     */

    public Double getDoseratelow() {
        return doseratelow;
    }

    /**
     * Sets the doseratelow.
     * 
     * @param doseratelow
     *            the doseratelow to set
     */
    public void setDoseratelow(Double doseratelow) {
        this.doseratelow = doseratelow;
    }

    /**
     * Gets the doseratelowunits.
     * 
     * @return the doseratelowunits
     */

    public String getDoseratelowunits() {
        return doseratelowunits;
    }

    /**
     * Sets the doseratelowunits.
     * 
     * @param doseratelowunits
     *            the doseratelowunits to set
     */
    public void setDoseratelowunits(String doseratelowunits) {
        this.doseratelowunits = doseratelowunits;
    }

    /**
     * Gets the doseratehigh.
     * 
     * @return the doseratehigh
     */

    public Double getDoseratehigh() {
        return doseratehigh;
    }

    /**
     * Sets the doseratehigh.
     * 
     * @param doseratehigh
     *            the doseratehigh to set
     */
    public void setDoseratehigh(Double doseratehigh) {
        this.doseratehigh = doseratehigh;
    }

    /**
     * Gets the doseratehighunits.
     * 
     * @return the doseratehighunits
     */

    public String getDoseratehighunits() {
        return doseratehighunits;
    }

    /**
     * Sets the doseratehighunits.
     * 
     * @param doseratehighunits
     *            the doseratehighunits to set
     */
    public void setDoseratehighunits(String doseratehighunits) {
        this.doseratehighunits = doseratehighunits;
    }

    /**
     * Gets the doseformratelow.
     * 
     * @return the doseformratelow
     */

    public Double getDoseformratelow() {
        return doseformratelow;
    }

    /**
     * Sets the doseformratelow.
     * 
     * @param doseformratelow
     *            the doseformratelow to set
     */
    public void setDoseformratelow(Double doseformratelow) {
        this.doseformratelow = doseformratelow;
    }

    /**
     * Gets the doseformratelowunits.
     * 
     * @return the doseformratelowunits
     */

    public String getDoseformratelowunits() {
        return doseformratelowunits;
    }

    /**
     * Sets the doseformratelowunits.
     * 
     * @param doseformratelowunits
     *            the doseformratelowunits to set
     */
    public void setDoseformratelowunits(String doseformratelowunits) {
        this.doseformratelowunits = doseformratelowunits;
    }

    /**
     * Gets the doseformratehigh.
     * 
     * @return the doseformratehigh
     */

    public Double getDoseformratehigh() {
        return doseformratehigh;
    }

    /**
     * Sets the doseformratehigh.
     * 
     * @param doseformratehigh
     *            the doseformratehigh to set
     */
    public void setDoseformratehigh(Double doseformratehigh) {
        this.doseformratehigh = doseformratehigh;
    }

    /**
     * Gets the doseformratehighunits.
     * 
     * @return the doseformratehighunits
     */

    public String getDoseformratehighunits() {
        return doseformratehighunits;
    }

    /**
     * Sets the doseformratehighunits.
     * 
     * @param doseformratehighunits
     *            the doseformratehighunits to set
     */
    public void setDoseformratehighunits(String doseformratehighunits) {
        this.doseformratehighunits = doseformratehighunits;
    }

    /**
     * Gets the maxsingledoserate.
     * 
     * @return the maxsingledoserate
     */

    public Double getMaxsingledoserate() {
        return maxsingledoserate;
    }

    /**
     * Sets the maxsingledoserate.
     * 
     * @param maxsingledoserate
     *            the maxsingledoserate to set
     */
    public void setMaxsingledoserate(Double maxsingledoserate) {
        this.maxsingledoserate = maxsingledoserate;
    }

    /**
     * Gets the maxsingledoserateunits.
     * 
     * @return the maxsingledoserateunits
     */

    public String getMaxsingledoserateunits() {
        return maxsingledoserateunits;
    }

    /**
     * Sets the maxsingledoserateunits.
     * 
     * @param maxsingledoserateunits
     *            the maxsingledoserateunits to set
     */
    public void setMaxsingledoserateunits(String maxsingledoserateunits) {
        this.maxsingledoserateunits = maxsingledoserateunits;
    }

    /**
     * Gets the maxsingledoseformrate.
     * 
     * @return the maxsingledoseformrate
     */

    public Double getMaxsingledoseformrate() {
        return maxsingledoseformrate;
    }

    /**
     * Sets the maxsingledoseformrate.
     * 
     * @param maxsingledoseformrate
     *            the maxsingledoseformrate to set
     */
    public void setMaxsingledoseformrate(Double maxsingledoseformrate) {
        this.maxsingledoseformrate = maxsingledoseformrate;
    }

    /**
     * Gets the maxsingledoseformrateunits.
     * 
     * @return the maxsingledoseformrateunits
     */

    public String getMaxsingledoseformrateunits() {
        return maxsingledoseformrateunits;
    }

    /**
     * Sets the maxsingledoseformrateunits.
     * 
     * @param maxsingledoseformrateunits
     *            the maxsingledoseformrateunits to set
     */
    public void setMaxsingledoseformrateunits(String maxsingledoseformrateunits) {
        this.maxsingledoseformrateunits = maxsingledoseformrateunits;
    }

    /**
     * Gets the maxdailydoserate.
     * 
     * @return the maxdailydoserate
     */

    public Double getMaxdailydoserate() {
        return maxdailydoserate;
    }

    /**
     * Sets the maxdailydoserate.
     * 
     * @param maxdailydoserate
     *            the maxdailydoserate to set
     */
    public void setMaxdailydoserate(Double maxdailydoserate) {
        this.maxdailydoserate = maxdailydoserate;
    }

    /**
     * Gets the maxdailydoserateunits.
     * 
     * @return the maxdailydoserateunits
     */

    public String getMaxdailydoserateunits() {
        return maxdailydoserateunits;
    }

    /**
     * Sets the maxdailydoserateunits.
     * 
     * @param maxdailydoserateunits
     *            the maxdailydoserateunits to set
     */
    public void setMaxdailydoserateunits(String maxdailydoserateunits) {
        this.maxdailydoserateunits = maxdailydoserateunits;
    }

    /**
     * Gets the maxdailydoseformrate.
     * 
     * @return the maxdailydoseformrate
     */

    public Double getMaxdailydoseformrate() {
        return maxdailydoseformrate;
    }

    /**
     * Sets the maxdailydoseformrate.
     * 
     * @param maxdailydoseformrate
     *            the maxdailydoseformrate to set
     */
    public void setMaxdailydoseformrate(Double maxdailydoseformrate) {
        this.maxdailydoseformrate = maxdailydoseformrate;
    }

    /**
     * Gets the maxdailydoseformrateunits.
     * 
     * @return the maxdailydoseformrateunits
     */

    public String getMaxdailydoseformrateunits() {
        return maxdailydoseformrateunits;
    }

    /**
     * Sets the maxdailydoseformrateunits.
     * 
     * @param maxdailydoseformrateunits
     *            the maxdailydoseformrateunits to set
     */
    public void setMaxdailydoseformrateunits(String maxdailydoseformrateunits) {
        this.maxdailydoseformrateunits = maxdailydoseformrateunits;
    }

    /**
     * Gets the dxid.
     * 
     * @return the dxid
     */

    public String getDxid() {
        return dxid;
    }

    /**
     * Sets the dxid.
     * 
     * @param dxid
     *            the dxid to set
     */
    public void setDxid(String dxid) {
        this.dxid = dxid;
    }

    /**
     * Gets the maxSingleNTEDose.
     * 
     * @return the maxSingleNTEDose
     */
    public Double getMaxSingleNTEDose() {
        return maxSingleNTEDose;
    }

    /**
     * Sets the maxSingleNTEDose.
     * 
     * @param maxSingleNTEDose
     *            the maxSingleNTEDose to set
     */
    public void setMaxSingleNTEDose(Double maxSingleNTEDose) {
        this.maxSingleNTEDose = maxSingleNTEDose;
    }

    /**
     * Gets the maxSingleNTEDoseUnit.
     * 
     * @return the maxSingleNTEDoseUnit
     */
    public String getMaxSingleNTEDoseUnit() {
        return maxSingleNTEDoseUnit;
    }

    /**
     * Sets the maxSingleNTEDoseUnit.
     * 
     * @param maxSingleNTEDoseUnit
     *            the maxSingleNTEDoseUnit to set
     */
    public void setMaxSingleNTEDoseUnit(String maxSingleNTEDoseUnit) {
        this.maxSingleNTEDoseUnit = maxSingleNTEDoseUnit;
    }

    /**
     * Gets the maxSingleNTEDoseForm.
     * 
     * @return the maxSingleNTEDoseForm
     */
    public Double getMaxSingleNTEDoseForm() {
        return maxSingleNTEDoseForm;
    }

    /**
     * Sets the maxSingleNTEDoseForm.
     * 
     * @param maxSingleNTEDoseForm
     *            the maxSingleNTEDoseForm to set
     */
    public void setMaxSingleNTEDoseForm(Double maxSingleNTEDoseForm) {
        this.maxSingleNTEDoseForm = maxSingleNTEDoseForm;
    }

    /**
     * Gets the maxSingleNTEDoseFormUnit.
     * 
     * @return the maxSingleNTEDoseFormUnit
     */
    public String getMaxSingleNTEDoseFormUnit() {
        return maxSingleNTEDoseFormUnit;
    }

    /**
     * Sets the maxSingleNTEDoseFormUnit.
     * 
     * @param maxSingleNTEDoseFormUnit
     *            the maxSingleNTEDoseFormUnit to set
     */
    public void setMaxSingleNTEDoseFormUnit(String maxSingleNTEDoseFormUnit) {
        this.maxSingleNTEDoseFormUnit = maxSingleNTEDoseFormUnit;
    }

    @Override
    protected ConceptXref createConceptXref() {
        return new DoseRangeXref();
    }

}
