package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.MonographXref;

/**
 * AbstractFdbMonographDdim entity provides the base persistence definition of the FdbMonographDdim entity.
 * 
 * @author MyEclipse Persistence Tools
 * @author DOMAINOVERSD
 * @version Pecs 3.0
 */

public class FdbMonographDdim extends AbstractCommentable implements java.io.Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = 293912978853297168L;
    private FdbMonographDdimId id;
    private String sectioncode;
    private String formatcode;
    private String linetext;

    /** default constructor for class. */
    public FdbMonographDdim() {
    }

    /**
     * Minimal constructor taking FDB ID Parameter.
     * 
     * @param id
     *            - See FdbMonographDbimID
     * */
    public FdbMonographDdim(FdbMonographDdimId id) {
        this.id = id;
    }

    /**
     * full constructor for class taking 4 paramaters.
     * 
     * @param id
     *            - See MonographDbimID
     * @param sectioncode
     *            - String
     * @param formatcode
     *            - String
     * @param linetext
     *            - String
     * */
    public FdbMonographDdim(FdbMonographDdimId id, String sectioncode, String formatcode, String linetext) {
        this.id = id;
        this.sectioncode = sectioncode;
        this.formatcode = formatcode;
        this.linetext = linetext;
    }

    /**
     * Getter for FdbMonographDdimID.
     * 
     * @return FdbMonographDdimId id
     */
    public FdbMonographDdimId getId() {
        return this.id;
    }

    /**
     * Setter for FdbMonographDdimId.
     * 
     * @param id
     *            - FdbMonograph id passed into the setter
     * 
     */
    public void setId(FdbMonographDdimId id) {
        this.id = id;
    }

    /**
     * Getter for Section Code.
     * 
     * @return sectioncode
     */
    public String getSectioncode() {
        return this.sectioncode;
    }

    /**
     * Setter for Sectioncode takes a String paramater.
     * 
     * @param sectioncode
     *            - String Object
     */
    public void setSectioncode(String sectioncode) {
        this.sectioncode = sectioncode;
    }

    /**
     * Getter for format code.
     * 
     * @return formatcode
     */
    public String getFormatcode() {
        return this.formatcode;
    }

    /**
     * Setter for formatcode takes string paramater.
     * 
     * @param formatcode
     *            - String Object
     */
    public void setFormatcode(String formatcode) {
        this.formatcode = formatcode;
    }

    /**
     * Getter for Linetext.
     * 
     * @return linetext
     */
    public String getLinetext() {
        return this.linetext;
    }

    /**
     * Setter for Linetext takes a paramater String.
     * 
     * @param linetext
     *            - String Object
     */
    public void setLinetext(String linetext) {
        this.linetext = linetext;
    }

    @Override
    protected ConceptXref createConceptXref() {
        return new MonographXref();
    }

}
