package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.RoutedGeneric;

import java.io.Serializable;

/**
 * The Class RoutedGenericFdb.
 */
public class RoutedGenericFdb implements RoutedGeneric, Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 4025810177934764993L;

    /** The rt gen id. */
    private Long rtGenId;

    /** The rt gen id string. */
    private String rtGenIdString;

    /** The description. */
    private String description;

    /** The description2. */
    private String description2;

    /** The description3. */
    private String description3;

    /** The description4. */
    private String description4;

    /** The description5. */
    private String description5;

    /** The description6. */
    private String description6;

    /** The rtid. */
    private Integer rtid;

    /** The hicl. */
    private Integer hicl;

    /** The gcn seq no unique. */
    private Integer gcnSeqNoUnique;

    /** The rt df gen id unique. */
    private Integer rtDfGenIdUnique;

    /** The single ingredient ind. */
    private Boolean singleIngredientInd;

    /** The medical device ind. */
    private Boolean medicalDeviceInd;

    /** The regional ind. */
    private Boolean regionalInd;

    /** The rxotc code. */
    private Character rxotcCode;

    /** The status ddcm. */
    private Integer statusDdcm;

    /** The status ddim. */
    private Integer statusDdim;

    /** The status dfim. */
    private Integer statusDfim;

    /** The status dt. */
    private Integer statusDt;

    /** The status pre cgeri. */
    private Integer statusPreCgeri;

    /** The status pre clact. */
    private Integer statusPreClact;

    /** The status pre cpedi. */
    private Integer statusPreCpedi;

    /** The status pre cpreg. */
    private Integer statusPreCpreg;

    /** The status side. */
    private Integer statusSide;

    /** The status drc. */
    private Integer statusDrc;

    /** The single dose route ind. */
    private Boolean singleDoseRouteInd;

    /** The can be dosed ind. */
    private Boolean canBeDosedInd;

    /** The has packaged drugs ind. */
    private Boolean hasPackagedDrugsInd;

    /** The neo can be dosed ind. */
    private Boolean neoCanBeDosedInd;

    /** The neo single dose route ind. */
    private Boolean neoSingleDoseRouteInd;

    /**
     * Returns the Identifier for the object.
     * 
     * @return Long
     */
    public final Long getIdentifier() {
        return getRtGenId();
    }

    /**
     * Returns the RtGenId.
     * 
     * @return the id
     */
    public final Long getRtGenId() {
        return rtGenId;
    }

    /**
     * Sets the RtGenId.
     * 
     * @param id
     *            the id to set
     */
    public final void setRtGenId(Long id) {
        this.rtGenId = id;
    }

    /**
     * Returns the description1 attribute with "(FDB Deleted)" appended.
     * 
     * @return description
     */
    public final String getDescription() {
        return description;
    }

    /**
     * Sets description.
     * 
     * @param description
     *            the description to set
     */
    public final void setDescription(String description) {
        this.description = description;
    }

    /**
     * Returns the RtGenId String.
     * 
     * @return the rtGenIdString
     */
    public final String getRtGenIdString() {
        return rtGenIdString;
    }

    /**
     * Sets the RtGenId String.
     * 
     * @param rtGenIdString
     *            the rtGenIdString to set
     */
    public final void setRtGenIdString(String rtGenIdString) {
        this.rtGenIdString = rtGenIdString;
    }

    /**
     * Returns description2.
     * 
     * @return the description2
     */
    public final String getDescription2() {
        return description2;
    }

    /**
     * Sets description2.
     * 
     * @param description2
     *            the description2 to set
     */
    public final void setDescription2(String description2) {
        this.description2 = description2;
    }

    /**
     * Returns description3.
     * 
     * @return the description3
     */
    public final String getDescription3() {
        return description3;
    }

    /**
     * Sets description3.
     * 
     * @param description3
     *            the description3 to set
     */
    public final void setDescription3(String description3) {
        this.description3 = description3;
    }

    /**
     * Returns description4.
     * 
     * @return the description4
     */
    public final String getDescription4() {
        return description4;
    }

    /**
     * Sets description4.
     * 
     * @param description4
     *            the description4 to set
     */
    public final void setDescription4(String description4) {
        this.description4 = description4;
    }

    /**
     * Returns description5.
     * 
     * @return the description5
     */
    public final String getDescription5() {
        return description5;
    }

    /**
     * Sets description5.
     * 
     * @param description5
     *            the description5 to set
     */
    public final void setDescription5(String description5) {
        this.description5 = description5;
    }

    /**
     * Returns description6.
     * 
     * @return the description6
     */
    public final String getDescription6() {
        return description6;
    }

    /**
     * Sets description6.
     * 
     * @param description6
     *            the description6 to set
     */
    public final void setDescription6(String description6) {
        this.description6 = description6;
    }

    /**
     * Returns rtid.
     * 
     * @return the rtid
     */
    public final Integer getRtid() {
        return rtid;
    }

    /**
     * Sets rtid.
     * 
     * @param rtid
     *            the rtid to set
     */
    public final void setRtid(Integer rtid) {
        this.rtid = rtid;
    }

    /**
     * Returns hicl.
     * 
     * @return the hicl
     */
    public final Integer getHicl() {
        return hicl;
    }

    /**
     * Sets hicl.
     * 
     * @param hicl
     *            the hicl to set
     */
    public final void setHicl(Integer hicl) {
        this.hicl = hicl;
    }

    /**
     * Returns the unique GcnSeqNo.
     * 
     * @return the gcnSeqNoUnique
     */
    public final Integer getGcnSeqNoUnique() {
        return gcnSeqNoUnique;
    }

    /**
     * Sets the unique GcnSeqNo.
     * 
     * @param gcnSeqNoUnique
     *            the gcnSeqNoUnique to set
     */
    public final void setGcnSeqNoUnique(Integer gcnSeqNoUnique) {
        this.gcnSeqNoUnique = gcnSeqNoUnique;
    }

    /**
     * Returns the unique RtDfGenId.
     * 
     * @return the rtDfGenIdUnique
     */
    public final Integer getRtDfGenIdUnique() {
        return rtDfGenIdUnique;
    }

    /**
     * Sets the unique RtDfGenId.
     * 
     * @param rtDfGenIdUnique
     *            the rtDfGenIdUnique to set
     */
    public final void setRtDfGenIdUnique(Integer rtDfGenIdUnique) {
        this.rtDfGenIdUnique = rtDfGenIdUnique;
    }

    /**
     * Returns the singleIngredientInd.
     * 
     * @return the singleIngredientInd
     */
    public final Boolean getSingleIngredientInd() {
        return singleIngredientInd;
    }

    /**
     * Sets the singleIngredientInd.
     * 
     * @param singleIngredientInd
     *            the singleIngredientInd to set
     */
    public final void setSingleIngredientInd(Boolean singleIngredientInd) {
        this.singleIngredientInd = singleIngredientInd;
    }

    /**
     * Returns the medicalDeviceInd.
     * 
     * @return the medicalDeviceInd
     */
    public final Boolean getMedicalDeviceInd() {
        return medicalDeviceInd;
    }

    /**
     * Sets the medicalDeviceInd.
     * 
     * @param medicalDeviceInd
     *            the medicalDeviceInd to set
     */
    public final void setMedicalDeviceInd(Boolean medicalDeviceInd) {
        this.medicalDeviceInd = medicalDeviceInd;
    }

    /**
     * Sets the regionalInd.
     * 
     * @return the regionalInd
     */
    public final Boolean getRegionalInd() {
        return regionalInd;
    }

    /**
     * Sets the regionalInd.
     * 
     * @param regionalInd
     *            the regionalInd to set
     */
    public final void setRegionalInd(Boolean regionalInd) {
        this.regionalInd = regionalInd;
    }

    /**
     * Returns the rxotccode.
     * 
     * @return the rxotcCode
     */
    public final Character getRxotcCode() {
        return rxotcCode;
    }

    /**
     * Sets the rxotccode.
     * 
     * @param rxotcCode
     *            the rxotcCode to set
     */
    public final void setRxotcCode(Character rxotcCode) {
        this.rxotcCode = rxotcCode;
    }

    /**
     * Returns the statusDdcm.
     * 
     * @return the statusDdcm
     */
    public final Integer getStatusDdcm() {
        return statusDdcm;
    }

    /**
     * Sets the statusDdcm.
     * 
     * @param statusDdcm
     *            the statusDdcm to set
     */
    public final void setStatusDdcm(Integer statusDdcm) {
        this.statusDdcm = statusDdcm;
    }

    /**
     * Returns the statusDdim.
     * 
     * @return the statusDdim
     */
    public final Integer getStatusDdim() {
        return statusDdim;
    }

    /**
     * Sets the statusDdim.
     * 
     * @param statusDdim
     *            the statusDdim to set
     */
    public final void setStatusDdim(Integer statusDdim) {
        this.statusDdim = statusDdim;
    }

    /**
     * Returns the statusDfim.
     * 
     * @return the statusDfim
     */
    public final Integer getStatusDfim() {
        return statusDfim;
    }

    /**
     * Sets the statusDfim.
     * 
     * @param statusDfim
     *            the statusDfim to set
     */
    public final void setStatusDfim(Integer statusDfim) {
        this.statusDfim = statusDfim;
    }

    /**
     * Returns the statusDt.
     * 
     * @return the statusDt
     */
    public final Integer getStatusDt() {
        return statusDt;
    }

    /**
     * Sets the statusDt.
     * 
     * @param statusDt
     *            the statusDt to set
     */
    public final void setStatusDt(Integer statusDt) {
        this.statusDt = statusDt;
    }

    /**
     * Returns the statusPreCgeri.
     * 
     * @return the statusPreCgeri
     */
    public final Integer getStatusPreCgeri() {
        return statusPreCgeri;
    }

    /**
     * Sets the statusPreCgeri.
     * 
     * @param statusPreCgeri
     *            the statusPreCgeri to set
     */
    public final void setStatusPreCgeri(Integer statusPreCgeri) {
        this.statusPreCgeri = statusPreCgeri;
    }

    /**
     * Returns the statusPreClact.
     * 
     * @return the statusPreClact
     */
    public final Integer getStatusPreClact() {
        return statusPreClact;
    }

    /**
     * Sets the statusPreClact.
     * 
     * @param statusPreClact
     *            the statusPreClact to set
     */
    public final void setStatusPreClact(Integer statusPreClact) {
        this.statusPreClact = statusPreClact;
    }

    /**
     * Returns the statusPreCpedi.
     * 
     * @return the statusPreCpedi
     */
    public final Integer getStatusPreCpedi() {
        return statusPreCpedi;
    }

    /**
     * Sets the statusPreCpedit.
     * 
     * @param statusPreCpedi
     *            the statusPreCpedi to set
     */
    public final void setStatusPreCpedi(Integer statusPreCpedi) {
        this.statusPreCpedi = statusPreCpedi;
    }

    /**
     * Returns the statusPreCpreg.
     * 
     * @return the statusPreCpreg
     */
    public final Integer getStatusPreCpreg() {
        return statusPreCpreg;
    }

    /**
     * Sets the statusPreCpreg.
     * 
     * @param statusPreCpreg
     *            the statusPreCpreg to set
     */
    public final void setStatusPreCpreg(Integer statusPreCpreg) {
        this.statusPreCpreg = statusPreCpreg;
    }

    /**
     * Returns the statusSide.
     * 
     * @return the statusSide
     */
    public final Integer getStatusSide() {
        return statusSide;
    }

    /**
     * Sets the statusSide.
     * 
     * @param statusSide
     *            the statusSide to set
     */
    public final void setStatusSide(Integer statusSide) {
        this.statusSide = statusSide;
    }

    /**
     * Returns the statusDrc.
     * 
     * @return the statusDrc
     */
    public final Integer getStatusDrc() {
        return statusDrc;
    }

    /**
     * Sets the statusDrc.
     * 
     * @param statusDrc
     *            the statusDrc to set
     */
    public final void setStatusDrc(Integer statusDrc) {
        this.statusDrc = statusDrc;
    }

    /**
     * Returns the singleDoseRouteInd.
     * 
     * @return the singleDoseRouteInd
     */
    public final Boolean getSingleDoseRouteInd() {
        return singleDoseRouteInd;
    }

    /**
     * Sets the singleDoseRouteInd.
     * 
     * @param singleDoseRouteInd
     *            the singleDoseRouteInd to set
     */
    public final void setSingleDoseRouteInd(Boolean singleDoseRouteInd) {
        this.singleDoseRouteInd = singleDoseRouteInd;
    }

    /**
     * Returns the canBeDosedInd.
     * 
     * @return the canBeDosedInd
     */
    public final Boolean getCanBeDosedInd() {
        return canBeDosedInd;
    }

    /**
     * Sets the canBeDosedInd.
     * 
     * @param canBeDosedInd
     *            the canBeDosedInd to set
     */
    public final void setCanBeDosedInd(Boolean canBeDosedInd) {
        this.canBeDosedInd = canBeDosedInd;
    }

    /**
     * Returns the hasPackagedDrugsInd.
     * 
     * @return the hasPackagedDrugsInd
     */
    public final Boolean getHasPackagedDrugsInd() {
        return hasPackagedDrugsInd;
    }

    /**
     * Sets the hasPackagedDrugsInd.
     * 
     * @param hasPackagedDrugsInd
     *            the hasPackagedDrugsInd to set
     */
    public final void setHasPackagedDrugsInd(Boolean hasPackagedDrugsInd) {
        this.hasPackagedDrugsInd = hasPackagedDrugsInd;
    }

    /**
     * Returns the neoCanBeDoseInd.
     * 
     * @return the neoCanBeDosedInd
     */
    public final Boolean getNeoCanBeDosedInd() {
        return neoCanBeDosedInd;
    }

    /**
     * Sets the neoCanBeDoseInd.
     * 
     * @param neoCanBeDosedInd
     *            the neoCanBeDosedInd to set
     */
    public final void setNeoCanBeDosedInd(Boolean neoCanBeDosedInd) {
        this.neoCanBeDosedInd = neoCanBeDosedInd;
    }

    /**
     * Returns the neoSingleDoseRouteInd.
     * 
     * @return the neoSingleDoseRouteInd
     */
    public final Boolean getNeoSingleDoseRouteInd() {
        return neoSingleDoseRouteInd;
    }

    /**
     * Sets the neoSingleDoseRouteInd.
     * 
     * @param neoSingleDoseRouteInd
     *            the neoSingleDoseRouteInd to set
     */
    public final void setNeoSingleDoseRouteInd(Boolean neoSingleDoseRouteInd) {
        this.neoSingleDoseRouteInd = neoSingleDoseRouteInd;
    }
}
