package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.RoutedGeneric;

import java.io.Serializable;

/**
 * Class representing very basic information about an FDB Routed Generic, including the id and description.
 */
public class RoutedGenericFdbLite implements RoutedGeneric, Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 9099420876472531520L;

    /** The rt gen id. */
    private Long rtGenId;

    /** The description. */
    private String description;

    /**
     * Returns the Identifier for the object.
     * 
     * @return Long
     */
    public final Long getIdentifier() {
        return getRtGenId();
    }

    /**
     * Returns the RtGenId.
     * 
     * @return the id
     */
    public final Long getRtGenId() {
        return rtGenId;
    }

    /**
     * Sets the RtGenId.
     * 
     * @param id
     *            the id to set
     */
    public final void setRtGenId(Long id) {
        this.rtGenId = id;
    }

    /**
     * Returns the description1 attribute with "(FDB Deleted)" appended.
     * 
     * @return description
     */
    public final String getDescription() {
        return description;
    }

    /**
     * Sets description.
     * 
     * @param description
     *            the description to set
     */
    public final void setDescription(String description) {
        this.description = description;
    }
}
