package gov.va.med.pharmacy.pecs.domain.impl.lookup;

import java.sql.Timestamp;

/**
 * The Class DuplicateAllowance.
 */

public final class DuplicateAllowance {

    /** The id. */
    private Long id;

    /** The code. */
    private Long code = null;

    /** The name. */
    private String name = null;

    /** The description. */
    private String description;

    /** The sort order. */
    private Integer sortOrder;

    /** The effective date. */
    private Timestamp effectiveDate;

    /** The expiration date. */
    private Timestamp expirationDate;

    /** The created by. */
    private String createdBy;

    /** The modified by. */
    private String modifiedBy;

    /** The created. */
    private Timestamp created;

    /** The modified. */
    private Timestamp modified;

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the new id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the code.
     * 
     * @return the code
     */
    public Long getCode() {
        return code;
    }

    /**
     * Sets the code.
     * 
     * @param code
     *            the new code
     */
    public void setCode(Long code) {
        this.code = code;
    }

    /**
     * Gets the name.
     * 
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name.
     * 
     * @param name
     *            the new name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Gets the description.
     * 
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the description.
     * 
     * @param description
     *            the new description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Gets the sort order.
     * 
     * @return the sort order
     */
    public Integer getSortOrder() {
        return sortOrder;
    }

    /**
     * Sets the sort order.
     * 
     * @param sortOrder
     *            the new sort order
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * Gets the effective date.
     * 
     * @return the effective date
     */
    public Timestamp getEffectiveDate() {
        return effectiveDate;
    }

    /**
     * Sets the effective date.
     * 
     * @param effectiveDate
     *            the new effective date
     */
    public void setEffectiveDate(Timestamp effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    /**
     * Gets the expiration date.
     * 
     * @return the expiration date
     */
    public Timestamp getExpirationDate() {
        return expirationDate;
    }

    /**
     * Sets the expiration date.
     * 
     * @param expirationDate
     *            the new expiration date
     */
    public void setExpirationDate(Timestamp expirationDate) {
        this.expirationDate = expirationDate;
    }

    /**
     * Gets the created by.
     * 
     * @return the created by
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the created by.
     * 
     * @param createdBy
     *            the new created by
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the modified by.
     * 
     * @return the modified by
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the modified by.
     * 
     * @param modifiedBy
     *            the new modified by
     */
    public void setModifiedBy(String modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    /**
     * Gets the created.
     * 
     * @return the created
     */
    public Timestamp getCreated() {
        return created;
    }

    /**
     * Sets the created.
     * 
     * @param created
     *            the new created
     */
    public void setCreated(Timestamp created) {
        this.created = created;
    }

    /**
     * Gets the modified.
     * 
     * @return the modified
     */
    public Timestamp getModified() {
        return modified;
    }

    /**
     * Sets the modified.
     * 
     * @param modified
     *            the new modified
     */
    public void setModified(Timestamp modified) {
        this.modified = modified;
    }

    /**
     * Returns whether this Lookup object is active or not. The effectiveDate and expirationDate are used to determine the
     * return value.
     * 
     * @return Boolean
     */
    public Boolean isActive() {
        final Timestamp today = new Timestamp(System.currentTimeMillis());

        Boolean active = getEffectiveDate().before(today);
        if (getExpirationDate() != null) {
            active = active && today.before(getExpirationDate());
        }
        return active;
    }

    /**
     * Allows the active flag to be set for this Lookup object. This method should only be executed by Hibernate.
     * 
     * @param active
     *            Boolean
     */
    @SuppressWarnings("unused")
    private void setActive(Boolean active) {
        // Do Nothing
    }

    @Override
    public String toString() {
        return "DuplicateAllowance [getId()=" + getId() + ", getCode()=" + getCode() + ", getName()=" + getName()
                + ", getDescription()=" + getDescription() + ", getSortOrder()=" + getSortOrder() + ", getEffectiveDate()="
                + getEffectiveDate() + ", getExpirationDate()=" + getExpirationDate() + ", getCreatedBy()=" + getCreatedBy()
                + ", getModifiedBy()=" + getModifiedBy() + ", getCreated()=" + getCreated() + ", getModified()="
                + getModified() + "]";
    }

}
