package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.metadata.FieldInfo;
import gov.va.med.pharmacy.pecs.util.historyofchange.DrugDrugInteractionReportOrder;

import java.util.HashSet;
import java.util.Set;

/**
 * DdiminteractionReferenceVa entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public final class DdiminteractionReferenceVa implements java.io.Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 5739914928257594543L;

    /** The Constant EDI_TEXT. */
    public static final String EDI_TEXT = "EDI_TEXT";

    /** The Constant PACKAGE_INSERT_TEXT. */
    public static final String PACKAGE_INSERT_TEXT = "PACKAGE_INSERT_TEXT";

    /** The Constant DI_FACTS_TEXT. */
    public static final String DI_FACTS_TEXT = "DI_FACTS_TEXT";

    /** The Constant MICROMEDEX_TEXT. */
    public static final String MICROMEDEX_TEXT = "MICROMEDEX_TEXT";

    /** The Constant MEDLINE_TEXT. */
    public static final String MEDLINE_TEXT = "MEDLINE_TEXT";

    /** The Constant PBM_CRITERIA_TEXT. */
    public static final String PBM_CRITERIA_TEXT = "PBM_CRITERIA_TEXT";

    /** The Constant AIDS_GUIDELINES_TEXT. */
    public static final String AIDS_GUIDELINES_TEXT = "AIDS_GUIDELINES_TEXT";

    /** The Constant GROUP_DISCUSSION. */
    public static final String GROUP_DISCUSSION = "GROUP_DISCUSSION";

    private static final int DISPLAY_LINES_4 = 4;
    private static final int DISPLAY_LINES_5 = 5;

    /** The reference text va by package insert. */
    @FieldInfo(
            name = "PACKAGE_INSERT", internal = true, customPersistentPath = "packageInsert.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.PACKAGE_INSERT_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByPackageInsert;

    /** The reference text va by micromedex substantiation. */
    @FieldInfo(
            name = "MICROMEDEX_SUBSTANTIATION", internal = true, reportHistoryCompare = true,
            customPersistentPath = "micromedexSubstantiation.referenceTextVaId", nestedFieldName = "referenceTextName",
            reportHistory = true, reportHistoryOrder = DrugDrugInteractionReportOrder.MICROMEDEX_SUBSTANTIATION_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByMicromedexSubstantiation;

    /** The reference text va by interaction source. */
    @FieldInfo(
            name = "INTERACTION_SOURCE", internal = true, customPersistentPath = "interactionSource.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.INTERACTION_SOURCE_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByInteractionSource;

    /** The reference text va by di facts onset. */
    @FieldInfo(
            name = "DI_FACTS_ONSET", internal = true, customPersistentPath = "diFactOnset.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.DI_FACTS_ONSET_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByDiFactsOnset;

    /** The reference text va by level of evidence. */
    @FieldInfo(
            name = "LEVEL_OF_EVIDENCE", internal = true, customPersistentPath = "levelOfEvidence.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.LEVEL_OF_EVIDENCE_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByLevelOfEvidence;

    /** The reference text va by pbm criteria. */
    @FieldInfo(
            name = "PBM_CRITERIA", internal = true, customPersistentPath = "pbmCriteria.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.PBM_CRITERIA_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByPbmCriteria;

    /** The reference text va by di facts number. */
    @FieldInfo(
            name = "DI_FACTS_NUMBER", internal = true, customPersistentPath = "diFactNumber.referenceTextVaId", lookup = true,
            lookupType = ReferenceTextVa.class, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryCompare = true, reportHistoryOrder = DrugDrugInteractionReportOrder.DI_FACTS_NUMBER_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByDiFactsNumber;

    /** The reference text va by edi number. */
    @FieldInfo(
            name = "EDI_NUMBER", internal = true, customPersistentPath = "ediNumber.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.EDI_NUMBER_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByEdiNumber;

    /** The reference text va by micromedex severity. */
    @FieldInfo(
            name = "MICROMEDEX_SEVERITY", internal = true, customPersistentPath = "micromedexSeverity.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.MICROMEDEX_SEVERITY_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByMicromedexSeverity;

    /** The reference text va by di facts documentation. */
    @FieldInfo(
            name = "DI_FACTS_DOCUMENTATION", internal = true, customPersistentPath = "diFactDocumentation.referenceTextVaId",
            nestedFieldName = "referenceTextName", reportHistory = true, reportHistoryCompare = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.DI_FACTS_DOCUMENTATION_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByDiFactsDocumentation;

    /** The reference text va by di facts severity. */
    @FieldInfo(
            name = "DI_FACTS_SEVERITY", internal = true, customPersistentPath = "diFactSeverity.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.DI_FACTS_SEVERITY_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByDiFactsSeverity;

    /** The reference text va by interaction type. */
    @FieldInfo(
            name = "INTERACTION_TYPE", internal = true, customPersistentPath = "interactionType.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.INTERACTION_TYPE_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByInteractionType;

    /** The reference text va by medline hits. */
    @FieldInfo(
            name = "MEDLINE_HITS", internal = true, customPersistentPath = "medlineHit.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.MEDLINE_HITS_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByMedlineHits;

    /** The reference text va by micromedex onset. */
    @FieldInfo(
            name = "MICROMEDEX_ONSET", internal = true, customPersistentPath = "micromedexOnset.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.MICROMEDEX_ONSET_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByMicromedexOnset;

    /** The reference text va by aids guidelines. */
    @FieldInfo(
            name = "AIDS_GUIDELINES", internal = true, customPersistentPath = "aidsGuideline.referenceTextVaId",
            reportHistoryCompare = true, nestedFieldName = "referenceTextName", reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.AIDS_GUIDELINES_REPORT_ORDER)
    private ReferenceTextVa referenceTextVaByAidsGuidelines;

    /** The edi text. */
    @FieldInfo(
            name = EDI_TEXT, internal = true, customPersistentPath = "ediText", displayLines = DISPLAY_LINES_4,
            reportHistoryCompare = true, reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.EDI_TEXT_REPORT_ORDER)
    private String ediText;

    /** The di facts text. */
    @FieldInfo(
            name = DI_FACTS_TEXT, internal = true, customPersistentPath = "diFactText", displayLines = DISPLAY_LINES_4,
            reportHistory = true, reportHistoryOrder = DrugDrugInteractionReportOrder.DI_FACTS_TEXT_REPORT_ORDER,
            reportHistoryCompare = true)
    private String diFactsText;

    /** The micromedex text. */
    @FieldInfo(
            name = MICROMEDEX_TEXT, internal = true, customPersistentPath = "micromedexText", displayLines = DISPLAY_LINES_4,
            reportHistory = true, reportHistoryOrder = DrugDrugInteractionReportOrder.MICROMEDEX_TEXT_REPORT_ORDER,
            reportHistoryCompare = true)
    private String micromedexText;

    /** The medline text. */
    @FieldInfo(
            name = MEDLINE_TEXT, internal = true, customPersistentPath = "medlineText", displayLines = DISPLAY_LINES_4,
            reportHistory = true, reportHistoryOrder = DrugDrugInteractionReportOrder.MEDLINE_TEXT_REPORT_ORDER,
            reportHistoryCompare = true)
    private String medlineText;

    /** The package insert text. */
    @FieldInfo(
            name = PACKAGE_INSERT_TEXT, internal = true, customPersistentPath = "packageInsertText",
            reportHistoryCompare = true, displayLines = DISPLAY_LINES_4, reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.PACKAGE_INSERT_TEXT_REPORT_ORDER)
    private String packageInsertText;

    /** The pbm criteria text. */
    @FieldInfo(
            name = PBM_CRITERIA_TEXT, internal = true, customPersistentPath = "pbmCriteriaText",
            displayLines = DISPLAY_LINES_4, reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.PBM_CRITERIA_TEXT_REPORT_ORDER, reportHistoryCompare = true)
    private String pbmCriteriaText;

    /** The aids guidelines text. */
    @FieldInfo(
            name = AIDS_GUIDELINES_TEXT, internal = true, customPersistentPath = "aidsGuidelineText",
            reportHistoryCompare = true, displayLines = DISPLAY_LINES_4, reportHistory = true,
            reportHistoryOrder = DrugDrugInteractionReportOrder.AIDS_GUIDELINES_TEXT_REPORT_ORDER)
    private String aidsGuidelinesText;

    /** The group discussion. */
    @FieldInfo(
            name = GROUP_DISCUSSION, internal = true, customPersistentPath = "groupDiscussion", displayLines = DISPLAY_LINES_5,
            reportHistory = true, reportHistoryOrder = DrugDrugInteractionReportOrder.GROUP_DISCUSSION_REPORT_ORDER,
            reportHistoryCompare = true)
    private String groupDiscussion;

    /** The fdb custom ddiminteraction vas. */
    @SuppressWarnings("rawtypes")
    private Set fdbCustomDdiminteractionVas = new HashSet(0);

    // Constructors

    /**
     * default constructor.
     */
    public DdiminteractionReferenceVa() {
    }

    /**
     * Gets the reference text va by package insert.
     * 
     * @return the reference text va by package insert
     */
    public ReferenceTextVa getReferenceTextVaByPackageInsert() {
        return this.referenceTextVaByPackageInsert;
    }

    /**
     * Sets the reference text va by package insert.
     * 
     * @param referenceTextVaByPackageInsert
     *            the new reference text va by package insert
     */
    public void setReferenceTextVaByPackageInsert(ReferenceTextVa referenceTextVaByPackageInsert) {
        this.referenceTextVaByPackageInsert = referenceTextVaByPackageInsert;
    }

    /**
     * Gets the reference text va by micromedex substantiation.
     * 
     * @return the reference text va by micromedex substantiation
     */
    public ReferenceTextVa getReferenceTextVaByMicromedexSubstantiation() {
        return this.referenceTextVaByMicromedexSubstantiation;
    }

    /**
     * Sets the reference text va by micromedex substantiation.
     * 
     * @param referenceTextVaByMicromedexSubstantiation
     *            the new reference text va by micromedex substantiation
     */
    public void setReferenceTextVaByMicromedexSubstantiation(ReferenceTextVa referenceTextVaByMicromedexSubstantiation) {
        this.referenceTextVaByMicromedexSubstantiation = referenceTextVaByMicromedexSubstantiation;
    }

    /**
     * Gets the reference text va by interaction source.
     * 
     * @return the reference text va by interaction source
     */
    public ReferenceTextVa getReferenceTextVaByInteractionSource() {
        return this.referenceTextVaByInteractionSource;
    }

    /**
     * Sets the reference text va by interaction source.
     * 
     * @param referenceTextVaByInteractionSource
     *            the new reference text va by interaction source
     */
    public void setReferenceTextVaByInteractionSource(ReferenceTextVa referenceTextVaByInteractionSource) {
        this.referenceTextVaByInteractionSource = referenceTextVaByInteractionSource;
    }

    /**
     * Gets the reference text va by di facts onset.
     * 
     * @return the reference text va by di facts onset
     */
    public ReferenceTextVa getReferenceTextVaByDiFactsOnset() {
        return this.referenceTextVaByDiFactsOnset;
    }

    /**
     * Sets the reference text va by di facts onset.
     * 
     * @param referenceTextVaByDiFactsOnset
     *            the new reference text va by di facts onset
     */
    public void setReferenceTextVaByDiFactsOnset(ReferenceTextVa referenceTextVaByDiFactsOnset) {
        this.referenceTextVaByDiFactsOnset = referenceTextVaByDiFactsOnset;
    }

    /**
     * Gets the reference text va by level of evidence.
     * 
     * @return the reference text va by level of evidence
     */
    public ReferenceTextVa getReferenceTextVaByLevelOfEvidence() {
        return this.referenceTextVaByLevelOfEvidence;
    }

    /**
     * Sets the reference text va by level of evidence.
     * 
     * @param referenceTextVaByLevelOfEvidence
     *            the new reference text va by level of evidence
     */
    public void setReferenceTextVaByLevelOfEvidence(ReferenceTextVa referenceTextVaByLevelOfEvidence) {
        this.referenceTextVaByLevelOfEvidence = referenceTextVaByLevelOfEvidence;
    }

    /**
     * Gets the reference text va by pbm criteria.
     * 
     * @return the reference text va by pbm criteria
     */
    public ReferenceTextVa getReferenceTextVaByPbmCriteria() {
        return this.referenceTextVaByPbmCriteria;
    }

    /**
     * Sets the reference text va by pbm criteria.
     * 
     * @param referenceTextVaByPbmCriteria
     *            the new reference text va by pbm criteria
     */
    public void setReferenceTextVaByPbmCriteria(ReferenceTextVa referenceTextVaByPbmCriteria) {
        this.referenceTextVaByPbmCriteria = referenceTextVaByPbmCriteria;
    }

    /**
     * Gets the reference text va by di facts number.
     * 
     * @return the reference text va by di facts number
     */
    public ReferenceTextVa getReferenceTextVaByDiFactsNumber() {
        return this.referenceTextVaByDiFactsNumber;
    }

    /**
     * Sets the reference text va by di facts number.
     * 
     * @param referenceTextVaByDiFactsNumber
     *            the new reference text va by di facts number
     */
    public void setReferenceTextVaByDiFactsNumber(ReferenceTextVa referenceTextVaByDiFactsNumber) {
        this.referenceTextVaByDiFactsNumber = referenceTextVaByDiFactsNumber;
    }

    /**
     * Gets the reference text va by edi number.
     * 
     * @return the reference text va by edi number
     */
    public ReferenceTextVa getReferenceTextVaByEdiNumber() {
        return this.referenceTextVaByEdiNumber;
    }

    /**
     * Sets the reference text va by edi number.
     * 
     * @param referenceTextVaByEdiNumber
     *            the new reference text va by edi number
     */
    public void setReferenceTextVaByEdiNumber(ReferenceTextVa referenceTextVaByEdiNumber) {
        this.referenceTextVaByEdiNumber = referenceTextVaByEdiNumber;
    }

    /**
     * Gets the reference text va by micromedex severity.
     * 
     * @return the reference text va by micromedex severity
     */
    public ReferenceTextVa getReferenceTextVaByMicromedexSeverity() {
        return this.referenceTextVaByMicromedexSeverity;
    }

    /**
     * Sets the reference text va by micromedex severity.
     * 
     * @param referenceTextVaByMicromedexSeverity
     *            the new reference text va by micromedex severity
     */
    public void setReferenceTextVaByMicromedexSeverity(ReferenceTextVa referenceTextVaByMicromedexSeverity) {
        this.referenceTextVaByMicromedexSeverity = referenceTextVaByMicromedexSeverity;
    }

    /**
     * Gets the reference text va by di facts documentation.
     * 
     * @return the reference text va by di facts documentation
     */
    public ReferenceTextVa getReferenceTextVaByDiFactsDocumentation() {
        return this.referenceTextVaByDiFactsDocumentation;
    }

    /**
     * Sets the reference text va by di facts documentation.
     * 
     * @param referenceTextVaByDiFactsDocumentation
     *            the new reference text va by di facts documentation
     */
    public void setReferenceTextVaByDiFactsDocumentation(ReferenceTextVa referenceTextVaByDiFactsDocumentation) {
        this.referenceTextVaByDiFactsDocumentation = referenceTextVaByDiFactsDocumentation;
    }

    /**
     * Gets the reference text va by di facts severity.
     * 
     * @return the reference text va by di facts severity
     */
    public ReferenceTextVa getReferenceTextVaByDiFactsSeverity() {
        return this.referenceTextVaByDiFactsSeverity;
    }

    /**
     * Sets the reference text va by di facts severity.
     * 
     * @param referenceTextVaByDiFactsSeverity
     *            the new reference text va by di facts severity
     */
    public void setReferenceTextVaByDiFactsSeverity(ReferenceTextVa referenceTextVaByDiFactsSeverity) {
        this.referenceTextVaByDiFactsSeverity = referenceTextVaByDiFactsSeverity;
    }

    /**
     * Gets the reference text va by interaction type.
     * 
     * @return the reference text va by interaction type
     */
    public ReferenceTextVa getReferenceTextVaByInteractionType() {
        return this.referenceTextVaByInteractionType;
    }

    /**
     * Sets the reference text va by interaction type.
     * 
     * @param referenceTextVaByInteractionType
     *            the new reference text va by interaction type
     */
    public void setReferenceTextVaByInteractionType(ReferenceTextVa referenceTextVaByInteractionType) {
        this.referenceTextVaByInteractionType = referenceTextVaByInteractionType;
    }

    /**
     * Gets the reference text va by medline hits.
     * 
     * @return the reference text va by medline hits
     */
    public ReferenceTextVa getReferenceTextVaByMedlineHits() {
        return this.referenceTextVaByMedlineHits;
    }

    /**
     * Sets the reference text va by medline hits.
     * 
     * @param referenceTextVaByMedlineHits
     *            the new reference text va by medline hits
     */
    public void setReferenceTextVaByMedlineHits(ReferenceTextVa referenceTextVaByMedlineHits) {
        this.referenceTextVaByMedlineHits = referenceTextVaByMedlineHits;
    }

    /**
     * Gets the reference text va by micromedex onset.
     * 
     * @return the reference text va by micromedex onset
     */
    public ReferenceTextVa getReferenceTextVaByMicromedexOnset() {
        return this.referenceTextVaByMicromedexOnset;
    }

    /**
     * Sets the reference text va by micromedex onset.
     * 
     * @param referenceTextVaByMicromedexOnset
     *            the new reference text va by micromedex onset
     */
    public void setReferenceTextVaByMicromedexOnset(ReferenceTextVa referenceTextVaByMicromedexOnset) {
        this.referenceTextVaByMicromedexOnset = referenceTextVaByMicromedexOnset;
    }

    /**
     * Gets the edi text.
     * 
     * @return the edi text
     */
    public String getEdiText() {
        return this.ediText;
    }

    /**
     * Sets the edi text.
     * 
     * @param ediText
     *            the new edi text
     */
    public void setEdiText(String ediText) {
        this.ediText = ediText;
    }

    /**
     * Gets the di facts text.
     * 
     * @return the di facts text
     */
    public String getDiFactsText() {
        return this.diFactsText;
    }

    /**
     * Sets the di facts text.
     * 
     * @param diFactsText
     *            the new di facts text
     */
    public void setDiFactsText(String diFactsText) {
        this.diFactsText = diFactsText;
    }

    /**
     * Gets the micromedex text.
     * 
     * @return the micromedex text
     */
    public String getMicromedexText() {
        return this.micromedexText;
    }

    /**
     * Sets the micromedex text.
     * 
     * @param micromedexText
     *            the new micromedex text
     */
    public void setMicromedexText(String micromedexText) {
        this.micromedexText = micromedexText;
    }

    /**
     * Gets the medline text.
     * 
     * @return the medline text
     */
    public String getMedlineText() {
        return this.medlineText;
    }

    /**
     * Sets the medline text.
     * 
     * @param medlineText
     *            the new medline text
     */
    public void setMedlineText(String medlineText) {
        this.medlineText = medlineText;
    }

    /**
     * Gets the reference text va by aids guidelines.
     * 
     * @return the reference text va by aids guidelines
     */
    public ReferenceTextVa getReferenceTextVaByAidsGuidelines() {
        return referenceTextVaByAidsGuidelines;
    }

    /**
     * Sets the reference text va by aids guidelines.
     * 
     * @param referenceTextVaByAidsGuidelines
     *            the new reference text va by aids guidelines
     */
    public void setReferenceTextVaByAidsGuidelines(ReferenceTextVa referenceTextVaByAidsGuidelines) {
        this.referenceTextVaByAidsGuidelines = referenceTextVaByAidsGuidelines;
    }

    /**
     * Gets the package insert text.
     * 
     * @return the package insert text
     */
    public String getPackageInsertText() {
        return packageInsertText;
    }

    /**
     * Sets the package insert text.
     * 
     * @param packageInsertText
     *            the new package insert text
     */
    public void setPackageInsertText(String packageInsertText) {
        this.packageInsertText = packageInsertText;
    }

    /**
     * Gets the pbm criteria text.
     * 
     * @return the pbm criteria text
     */
    public String getPbmCriteriaText() {
        return pbmCriteriaText;
    }

    /**
     * Sets the pbm criteria text.
     * 
     * @param pbmCriteriaText
     *            the new pbm criteria text
     */
    public void setPbmCriteriaText(String pbmCriteriaText) {
        this.pbmCriteriaText = pbmCriteriaText;
    }

    /**
     * Gets the aids guidelines text.
     * 
     * @return the aids guidelines text
     */
    public String getAidsGuidelinesText() {
        return aidsGuidelinesText;
    }

    /**
     * Sets the aids guidelines text.
     * 
     * @param aidsGuidelinesText
     *            the new aids guidelines text
     */
    public void setAidsGuidelinesText(String aidsGuidelinesText) {
        this.aidsGuidelinesText = aidsGuidelinesText;
    }

    /**
     * Gets the group discussion.
     * 
     * @return the group discussion
     */
    public String getGroupDiscussion() {
        return this.groupDiscussion;
    }

    /**
     * Sets the group discussion.
     * 
     * @param groupDiscussion
     *            the new group discussion
     */
    public void setGroupDiscussion(String groupDiscussion) {
        this.groupDiscussion = groupDiscussion;
    }

    /**
     * Gets the fdb custom ddiminteraction vas.
     * 
     * @return the fdb custom ddiminteraction vas
     */
    @SuppressWarnings("rawtypes")
    public Set getFdbCustomDdiminteractionVas() {
        return this.fdbCustomDdiminteractionVas;
    }

    /**
     * Sets the fdb custom ddiminteraction vas.
     * 
     * @param fdbCustomDdiminteractionVas
     *            the new fdb custom ddiminteraction vas
     */
    @SuppressWarnings("rawtypes")
    public void setFdbCustomDdiminteractionVas(Set fdbCustomDdiminteractionVas) {
        this.fdbCustomDdiminteractionVas = fdbCustomDdiminteractionVas;
    }

}
