package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.DoseRange;
import gov.va.med.pharmacy.pecs.domain.Version;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseRoute;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseType;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.HalfLifeUnit;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/*
 * sprint 2 increment 5
 * shahid sheikh - 12-6-2010
 * shahid sheikh sprint 3 PECS 3. 10-15-2012
 */
/**
 * The Class DoseRangeVA.
 */
public final class DoseRangeVA extends AbstractCustomizable<DoseRange> implements DoseRange, Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 4065537214401121007L;

    /** The export manager. */
    private DoseRangeExportManager exportManager;

    /** The version history. */
    private List<Version<DoseRange>> versionHistory;
    // non-persistent field used to indicate a roll-back was performed
    // private boolean rolledBack;
    /** The id. */
    private Long id;

    // private String requestor;

    /**
     * Creates the dose range.
     * 
     * @return the dose range va
     */
    public static DoseRangeVA createDoseRange() {
        return new DoseRangeVA(true);
    }

    // ????? dwd corresponds with AbstractMonographVa - we added
    /**
     * Instantiates a new dose range va.
     * 
     * @param initHistory
     *            the init history
     */
    public DoseRangeVA(boolean initHistory) {

        this.exportManager = new DoseRangeExportManager();
        this.exportManager.setDoseRangeVa(this);
        this.exportManager.setCurrentVersion(new DoseRangeVersionVa());
        this.exportManager.getCurrentVersion().setDate(new Date());
        this.exportManager.getCurrentVersion().setVersionedObject(this);
        versionHistory = new ArrayList<Version<DoseRange>>();
        versionHistory.add(this.exportManager.getCurrentVersion());
    }

    /**
     * Instantiates a new dose range va.
     */
    public DoseRangeVA() {
    }

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the new id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseRoute()
     */
    @Override
    public DoseRoute getDoseRoute() {
        return getCurrentVersion().getDoseRoute();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseRoute(gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseRoute)
     */
    @Override
    public void setDoseRoute(DoseRoute dr) {
        getModifiableCurrentVersion().setDoseRoute(dr);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseType()
     */
    @Override
    public DoseType getDoseType() {
        return getCurrentVersion().getDoseType();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseType(gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseType)
     */
    @Override
    public void setDoseType(DoseType dt) {
        getModifiableCurrentVersion().setDoseType(dt);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getFdbdx()
     */
    @Override
    public String getFdbdx() {
        return getCurrentVersion().getFdbdx();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setFdbdx(java.lang.String)
     */
    @Override
    public void setFdbdx(String fdbdx) {
        getModifiableCurrentVersion().setFdbdx(fdbdx);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseLow()
     */
    @Override
    public Double getDoseLow() {
        return getCurrentVersion().getDoseLow();

    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormLow()
     */
    @Override
    public Double getDoseFormLow() {
        return getCurrentVersion().getDoseFormLow();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseHigh()
     */
    @Override
    public Double getDoseHigh() {
        return getCurrentVersion().getDoseHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormHigh()
     */
    @Override
    public Double getDoseFormHigh() {
        return getCurrentVersion().getDoseFormHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDose()
     */
    @Override
    public Double getMaxSingleDose() {
        return getCurrentVersion().getMaxSingleDose();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseForm()
     */
    @Override
    public Double getMaxSingleDoseForm() {
        return getCurrentVersion().getMaxSingleDoseForm();

    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDose()
     */
    @Override
    public Double getMaxDailyDose() {
        return getCurrentVersion().getMaxDailyDose();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseForm()
     */
    @Override
    public Double getMaxDailyDoseForm() {
        return getCurrentVersion().getMaxDailyDoseForm();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxLifeTimeDose()
     */
    @Override
    public Double getMaxLifeTimeDose() {
        return getCurrentVersion().getMaxLifeTimeDose();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxLifeTimeDoseForm()
     */
    @Override
    public Double getMaxLifeTimeDoseForm() {
        return getCurrentVersion().getMaxLifeTimeDoseForm();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getLowEliminationHalfLife()
     */
    @Override
    public Double getLowEliminationHalfLife() {
        return getCurrentVersion().getLowEliminationHalfLife();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getHighEliminationHalfLife()
     */
    @Override
    public Double getHighEliminationHalfLife() {
        return getCurrentVersion().getHighEliminationHalfLife();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getHalfLifeUnits()
     */
    @Override
    public HalfLifeUnit getHalfLifeUnits() {
        return getCurrentVersion().getHalfLifeUnits();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getFrequencyLow()
     */
    @Override
    public Double getFrequencyLow() {
        return getCurrentVersion().getFrequencyLow();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getFrequencyHigh()
     */
    @Override
    public Double getFrequencyHigh() {
        return getCurrentVersion().getFrequencyHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDurationLow()
     */
    @Override
    public Long getDurationLow() {
        return getCurrentVersion().getDurationLow();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDurationHigh()
     */
    @Override
    public Long getDurationHigh() {
        return getCurrentVersion().getDurationHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDuration()
     */
    @Override
    public Long getMaxDuration() {
        return getCurrentVersion().getMaxDuration();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getHepaticImpairmentIndicator()
     */
    @Override
    public Long getHepaticImpairmentIndicator() {
        return getCurrentVersion().getHepaticImpairmentIndicator();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getRenalImpairmentIndicator()
     */
    @Override
    public Long getRenalImpairmentIndicator() {
        return getCurrentVersion().getRenalImpairmentIndicator();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getWeightImpairmentIndicator()
     */
    @Override
    public Long getWeightImpairmentIndicator() {
        return getCurrentVersion().getWeightImpairmentIndicator();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getBsaRequiredIndicator()
     */
    @Override
    public Long getBsaRequiredIndicator() {
        return getCurrentVersion().getBsaRequiredIndicator();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getWarningCode()
     */
    @Override
    public String getWarningCode() {
        return getCurrentVersion().getWarningCode();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseRateLow()
     */
    @Override
    public Double getDoseRateLow() {
        return getCurrentVersion().getDoseRateLow();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseRateHigh()
     */
    @Override
    public Double getDoseRateHigh() {
        return getCurrentVersion().getDoseRateHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormRateLow()
     */
    @Override
    public Double getDoseFormRateLow() {
        return getCurrentVersion().getDoseFormRateLow();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormRateHigh()
     */
    @Override
    public Double getDoseFormRateHigh() {
        return getCurrentVersion().getDoseFormRateHigh();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseRate()
     */
    @Override
    public Double getMaxSingleDoseRate() {
        return getCurrentVersion().getMaxSingleDoseRate();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseFormRate()
     */
    @Override
    public Double getMaxSingleDoseFormRate() {
        return getCurrentVersion().getMaxSingleDoseFormRate();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseRate()
     */
    @Override
    public Double getMaxDailyDoseRate() {
        return getCurrentVersion().getMaxDailyDoseRate();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseFormRate()
     */
    @Override
    public Double getMaxDailyDoseFormRate() {
        return getCurrentVersion().getMaxDailyDoseFormRate();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDxid()
     */
    @Override
    public String getDxid() {
        return getCurrentVersion().getDxid();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getCrclThreshold()
     */
    @Override
    public Long getCrclThreshold() {
        return getCurrentVersion().getCrclThreshold();
        // return this.crclThreshold;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getAgeLowInDays()
     */
    @Override
    public Long getAgeLowInDays() {
        return getCurrentVersion().getAgeLowInDays();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setAgeLowInDays(java.lang.Long)
     */
    @Override
    public void setAgeLowInDays(Long ageLowInDays) {
        getModifiableCurrentVersion().setAgeLowInDays(ageLowInDays);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getAgeHighInDays()
     */
    @Override
    public Long getAgeHighInDays() {
        return getCurrentVersion().getAgeHighInDays();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setAgeHighInDays(java.lang.Long)
     */
    @Override
    public void setAgeHighInDays(Long ageHighInDays) {
        getModifiableCurrentVersion().setAgeHighInDays(ageHighInDays);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getConceptType()
     */
    @Override
    public Long getConceptType() {
        return getCurrentVersion().getConceptType();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setConceptType(java.lang.Long)
     */
    @Override
    public void setConceptType(Long conceptType) {
        getModifiableCurrentVersion().setConceptType(conceptType);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getCategory()
     */
    @Override
    public String getCategory() {
        return getCurrentVersion().getCategory();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setCategory(java.lang.String)
     */
    @Override
    public void setCategory(String category) {
        // this.category = category;
        getModifiableCurrentVersion().setCategory(category);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.Customizable#getVersionHistory()
     */
    @Override
    public List<Version<DoseRange>> getVersionHistory() {
        return this.versionHistory;
    }

    /**
     * Sets the version history.
     * 
     * @param pecsDoseRangeVersions
     *            the new version history
     */
    public void setVersionHistory(List<Version<DoseRange>> pecsDoseRangeVersions) {
        this.versionHistory = pecsDoseRangeVersions;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.Customizable#getExportableVersion()
     */
    @Override
    public DoseRangeVersionVa getExportableVersion() {
        return this.getExportManager().getExportableVersion();
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * gov.va.med.pharmacy.pecs.domain.impl.va.AbstractCustomizable#setExportableVersion(gov.va.med.pharmacy.pecs.domain.Version
     * )
     */
    @Override
    public void setExportableVersion(Version<DoseRange> v) {
        getExportManager().setExportableVersion((DoseRangeVersionVa) v);
    }

    /**
     * Gets the exported version.
     * 
     * @return the exported version
     */
    public DoseRangeVersionVa getExportedVersion() {
        return this.getExportManager().getExportedVersion();
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * gov.va.med.pharmacy.pecs.domain.impl.va.AbstractCustomizable#setExportedVersion(gov.va.med.pharmacy.pecs.domain.Version)
     */
    @Override
    public void setExportedVersion(Version<DoseRange> v) {
        this.getExportManager().setExportedVersion((DoseRangeVersionVa) v);
    }

    // @Override
    // public void setExportableVersion() {
    // setExportableVersion(getCurrentVersion());
    // }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.Customizable#getCurrentVersion()
     */
    @Override
    public DoseRangeVersionVa getCurrentVersion() {
        return getExportManager().getCurrentVersion();
    }

    /**
     * Sets the current version.
     * 
     * @param v
     *            the new current version
     */
    public void setCurrentVersion(DoseRangeVersionVa v) {
        getExportManager().setCurrentVersion(v);
    }

    /**
     * Get a version that can be modified. Once a version is persisted, It can no longer be modified (for audit purposes). If
     * the current version of this monograph is persistent, this method will create a copy of it, make it the current version
     * and return it.
     * 
     * @return the current non-persistent version
     */
    @Override
    protected DoseRangeVersionVa getModifiableCurrentVersion() {
        if (!getCurrentVersion().isModifiable()) {
            DoseRangeVersionVa v = newVersion();
            v.copy(getCurrentVersion());
            setCurrentVersion(v);
            setRolledBack(false);
        }
        return getCurrentVersion();
    }

    /**
     * New version.
     * 
     * @return the dose range version va
     */
    private DoseRangeVersionVa newVersion() {
        DoseRangeVersionVa v = new DoseRangeVersionVa();
        v.setVersionedObject(this);
        versionHistory.add(v);
        return v;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.Customizable#rollBack()
     */
    @Override
    public void rollBack() {
        if (!getCurrentVersion().isModifiable()) {
            DoseRangeVersionVa v = newVersion();
            setCurrentVersion(v);
        }
        getCurrentVersion().copy(getExportableVersion());
        setExportableVersion();
        setRolledBack(true);
    }

    // @Override
    /**
     * Gets the reference text.
     * 
     * @return the reference text
     */
    public String getReferenceText() {
        return getCurrentVersion().getReferenceText();
    }

    // @Override
    /**
     * Sets the reference text.
     * 
     * @param referenceText
     *            the new reference text
     */
    public void setReferenceText(String referenceText) {
        getModifiableCurrentVersion().setReferenceText(referenceText);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setCrclThreshold(java.lang.Long)
     */
    @Override
    public void setCrclThreshold(Long threshold) {
        getModifiableCurrentVersion().setCrclThreshold(threshold);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormHigh(java.lang.Double)
     */
    @Override
    public void setDoseFormHigh(Double doseFormHigh) {
        getModifiableCurrentVersion().setDoseFormHigh(doseFormHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormLow(java.lang.Double)
     */
    @Override
    public void setDoseFormLow(Double doseFormLow) {
        getModifiableCurrentVersion().setDoseFormLow(doseFormLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormRateHigh(java.lang.Double)
     */
    @Override
    public void setDoseFormRateHigh(Double doseFormRateHigh) {
        getModifiableCurrentVersion().setDoseFormRateHigh(doseFormRateHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormRateLow(java.lang.Double)
     */
    @Override
    public void setDoseFormRateLow(Double doseFormRateLow) {
        getModifiableCurrentVersion().setDoseFormRateLow(doseFormRateLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseHigh(java.lang.Double)
     */
    @Override
    public void setDoseHigh(Double doseHigh) {
        getModifiableCurrentVersion().setDoseHigh(doseHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseLow(java.lang.Double)
     */
    @Override
    public void setDoseLow(Double doseLow) {
        getModifiableCurrentVersion().setDoseLow(doseLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseRateHigh(java.lang.Double)
     */
    @Override
    public void setDoseRateHigh(Double doseRateHigh) {
        getModifiableCurrentVersion().setDoseRateHigh(doseRateHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseRateLow(java.lang.Double)
     */
    @Override
    public void setDoseRateLow(Double doseRateLow) {
        getModifiableCurrentVersion().setDoseRateLow(doseRateLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDurationHigh(java.lang.Long)
     */
    @Override
    public void setDurationHigh(Long durationHigh) {
        getModifiableCurrentVersion().setDurationHigh(durationHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDurationLow(java.lang.Long)
     */
    @Override
    public void setDurationLow(Long durationLow) {
        getModifiableCurrentVersion().setDurationLow(durationLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setFrequencyHigh(java.lang.Double)
     */
    @Override
    public void setFrequencyHigh(Double frequencyHigh) {
        getModifiableCurrentVersion().setFrequencyHigh(frequencyHigh);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setFrequencyLow(java.lang.Double)
     */
    @Override
    public void setFrequencyLow(Double frequencyLow) {
        getModifiableCurrentVersion().setFrequencyLow(frequencyLow);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setHalfLifeUnits(gov.va.med.pharmacy.pecs.domain.impl.lookup.HalfLifeUnit)
     */
    @Override
    public void setHalfLifeUnits(HalfLifeUnit halfLifeUnits) {
        getModifiableCurrentVersion().setHalfLifeUnits(halfLifeUnits);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setHepaticImpairmentIndicator(java.lang.Long)
     */
    @Override
    public void setHepaticImpairmentIndicator(Long hepaticImpairmentIndicator) {
        getModifiableCurrentVersion().setHepaticImpairmentIndicator(hepaticImpairmentIndicator);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setHighEliminationHalfLife(java.lang.Double)
     */
    @Override
    public void setHighEliminationHalfLife(Double highEliminationHalfLife) {
        getModifiableCurrentVersion().setHighEliminationHalfLife(highEliminationHalfLife);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setLowEliminationHalfLife(java.lang.Double)
     */
    @Override
    public void setLowEliminationHalfLife(Double lowEliminationHalfLife) {
        getModifiableCurrentVersion().setLowEliminationHalfLife(lowEliminationHalfLife);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDose(java.lang.Double)
     */
    @Override
    public void setMaxDailyDose(Double maxDailyDose) {
        getModifiableCurrentVersion().setMaxDailyDose(maxDailyDose);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseForm(java.lang.Double)
     */
    @Override
    public void setMaxDailyDoseForm(Double maxDailyDoseForm) {
        getModifiableCurrentVersion().setMaxDailyDoseForm(maxDailyDoseForm);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseFormRate(java.lang.Double)
     */
    @Override
    public void setMaxDailyDoseFormRate(Double maxDailyDoseFormRate) {
        getModifiableCurrentVersion().setMaxDailyDoseFormRate(maxDailyDoseFormRate);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseRate(java.lang.Double)
     */
    @Override
    public void setMaxDailyDoseRate(Double maxDailyDoseRate) {
        getModifiableCurrentVersion().setMaxDailyDoseRate(maxDailyDoseRate);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDuration(java.lang.Long)
     */
    @Override
    public void setMaxDuration(Long maxDuration) {
        getModifiableCurrentVersion().setMaxDuration(maxDuration);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxLifeTimeDose(java.lang.Double)
     */
    @Override
    public void setMaxLifeTimeDose(Double maxLifeTimeDose) {
        getModifiableCurrentVersion().setMaxLifeTimeDose(maxLifeTimeDose);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxLifeTimeDoseForm(java.lang.Double)
     */
    @Override
    public void setMaxLifeTimeDoseForm(Double maxLifeTimeDoseForm) {
        getModifiableCurrentVersion().setMaxLifeTimeDoseForm(maxLifeTimeDoseForm);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDose(java.lang.Double)
     */
    @Override
    public void setMaxSingleDose(Double maxSingleDose) {
        getModifiableCurrentVersion().setMaxSingleDose(maxSingleDose);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseForm(java.lang.Double)
     */
    @Override
    public void setMaxSingleDoseForm(Double maxSingleDoseForm) {
        getModifiableCurrentVersion().setMaxSingleDoseForm(maxSingleDoseForm);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseFormRate(java.lang.Double)
     */
    @Override
    public void setMaxSingleDoseFormRate(Double maxSingleDoseFormRate) {
        getModifiableCurrentVersion().setMaxSingleDoseFormRate(maxSingleDoseFormRate);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseRate(java.lang.Double)
     */
    @Override
    public void setMaxSingleDoseRate(Double maxSingleDoseRate) {
        getModifiableCurrentVersion().setMaxSingleDoseRate(maxSingleDoseRate);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setRenalImpairmentIndicator(java.lang.Long)
     */
    @Override
    public void setRenalImpairmentIndicator(Long renalImpairmentIndicator) {
        getModifiableCurrentVersion().setRenalImpairmentIndicator(renalImpairmentIndicator);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setWarningCode(java.lang.String)
     */
    @Override
    public void setWarningCode(String warningCode) {
        getModifiableCurrentVersion().setWarningCode(warningCode);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setWeightImpairmentIndicator(java.lang.Long)
     */
    @Override
    public void setWeightImpairmentIndicator(Long weightImpairmentIndicator) {
        getModifiableCurrentVersion().setWeightImpairmentIndicator(weightImpairmentIndicator);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setBsaRequiredIndicator(java.lang.Long)
     */
    @Override
    public void setBsaRequiredIndicator(Long requiredIndicator) {
        getModifiableCurrentVersion().setBsaRequiredIndicator(requiredIndicator);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDxid(java.lang.String)
     */
    @Override
    public void setDxid(String dxid) {
        getModifiableCurrentVersion().setDxid(dxid);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseLowUnits()
     */
    @Override
    public String getDoseLowUnits() {
        return getCurrentVersion().getDoseLowUnits();
        // return doseLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseLowUnits(java.lang.String)
     */
    @Override
    public void setDoseLowUnits(String doseLowUnits) {
        getModifiableCurrentVersion().setDoseLowUnits(doseLowUnits);
        // this.doseLowUnits = doseLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseHighUnits()
     */
    @Override
    public String getDoseHighUnits() {
        return getCurrentVersion().getDoseHighUnits();
        // return doseHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseHighUnits(java.lang.String)
     */
    @Override
    public void setDoseHighUnits(String doseHighUnits) {
        getModifiableCurrentVersion().setDoseHighUnits(doseHighUnits);
        // this.doseHighUnits = doseHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormLowUnits()
     */
    @Override
    public String getDoseFormLowUnits() {
        return getCurrentVersion().getDoseFormLowUnits();
        // return doseFormLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormLowUnits(java.lang.String)
     */
    @Override
    public void setDoseFormLowUnits(String doseFormLowUnits) {
        getModifiableCurrentVersion().setDoseFormLowUnits(doseFormLowUnits);
        // this.doseFormLowUnits = doseFormLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormHighUnits()
     */
    @Override
    public String getDoseFormHighUnits() {
        return getCurrentVersion().getDoseFormHighUnits();
        // return doseFormHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormHighUnits(java.lang.String)
     */
    @Override
    public void setDoseFormHighUnits(String doseFormHighUnits) {
        getModifiableCurrentVersion().setDoseFormHighUnits(doseFormHighUnits);
        // this.doseFormHighUnits = doseFormHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseUnits()
     */
    @Override
    public String getMaxSingleDoseUnits() {
        return getCurrentVersion().getMaxSingleDoseUnits();
        // return maxSingleDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseUnits(java.lang.String)
     */
    @Override
    public void setMaxSingleDoseUnits(String maxSingleDoseUnits) {
        getModifiableCurrentVersion().setMaxSingleDoseUnits(maxSingleDoseUnits);
        // this.maxSingleDoseUnits = maxSingleDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseFormUnits()
     */
    @Override
    public String getMaxSingleDoseFormUnits() {
        return getCurrentVersion().getMaxSingleDoseFormUnits();
        // return maxSingleDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseFormUnits(java.lang.String)
     */
    @Override
    public void setMaxSingleDoseFormUnits(String maxSingleDoseFormUnits) {
        getModifiableCurrentVersion().setMaxSingleDoseFormUnits(maxSingleDoseFormUnits);
        // this.maxSingleDoseFormUnits = maxSingleDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseUnits()
     */
    @Override
    public String getMaxDailyDoseUnits() {
        return getCurrentVersion().getMaxDailyDoseUnits();
        // return maxDailyDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseUnits(java.lang.String)
     */
    @Override
    public void setMaxDailyDoseUnits(String maxDailyDoseUnits) {
        getModifiableCurrentVersion().setMaxDailyDoseUnits(maxDailyDoseUnits);
        // this.maxDailyDoseUnits = maxDailyDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseFormUnits()
     */
    @Override
    public String getMaxDailyDoseFormUnits() {
        return getCurrentVersion().getMaxDailyDoseFormUnits();
        // return maxDailyDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseFormUnits(java.lang.String)
     */
    @Override
    public void setMaxDailyDoseFormUnits(String maxDailyDoseFormUnits) {
        getModifiableCurrentVersion().setMaxDailyDoseFormUnits(maxDailyDoseFormUnits);
        // this.maxDailyDoseFormUnits = maxDailyDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxLifeTimeDoseUnits()
     */
    @Override
    public String getMaxLifeTimeDoseUnits() {
        return getCurrentVersion().getMaxLifeTimeDoseUnits();
        // return maxLifeTimeDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxLifeTimeDoseUnits(java.lang.String)
     */
    @Override
    public void setMaxLifeTimeDoseUnits(String maxLifeTimeDoseUnits) {
        getModifiableCurrentVersion().setMaxLifeTimeDoseUnits(maxLifeTimeDoseUnits);
        // this.maxLifeTimeDoseUnits = maxLifeTimeDoseUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxLifeTimeDoseFormUnits()
     */
    @Override
    public String getMaxLifeTimeDoseFormUnits() {
        return getCurrentVersion().getMaxLifeTimeDoseFormUnits();
        // return maxLifeTimeDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxLifeTimeDoseFormUnits(java.lang.String)
     */
    @Override
    public void setMaxLifeTimeDoseFormUnits(String maxLifeTimeDoseFormUnits) {
        getModifiableCurrentVersion().setMaxLifeTimeDoseFormUnits(maxLifeTimeDoseFormUnits);
        // this.maxLifeTimeDoseFormUnits = maxLifeTimeDoseFormUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getCrclThresholdUnits()
     */
    @Override
    public String getCrclThresholdUnits() {
        return getCurrentVersion().getCrclThresholdUnits();
        // return crclThresholdUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setCrclThresholdUnits(java.lang.String)
     */
    @Override
    public void setCrclThresholdUnits(String crclThresholdUnits) {
        getModifiableCurrentVersion().setCrclThresholdUnits(crclThresholdUnits);
        // this.crclThresholdUnits = crclThresholdUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseRateLowUnits()
     */
    @Override
    public String getDoseRateLowUnits() {
        return getCurrentVersion().getDoseRateLowUnits();
        // return doseRateLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseRateLowUnits(java.lang.String)
     */
    @Override
    public void setDoseRateLowUnits(String doseRateLowUnits) {
        getModifiableCurrentVersion().setDoseRateLowUnits(doseRateLowUnits);
        // this.doseRateLowUnits = doseRateLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseRateHighUnits()
     */
    @Override
    public String getDoseRateHighUnits() {
        return getCurrentVersion().getDoseRateHighUnits();
        // return doseRateHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseRateHighUnits(java.lang.String)
     */
    @Override
    public void setDoseRateHighUnits(String doseRateHighUnits) {
        getModifiableCurrentVersion().setDoseRateHighUnits(doseRateHighUnits);
        // this.doseRateHighUnits = doseRateHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormRateLowUnits()
     */
    @Override
    public String getDoseFormRateLowUnits() {
        return getCurrentVersion().getDoseFormRateLowUnits();
        // return doseFormRateLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormRateLowUnits(java.lang.String)
     */
    @Override
    public void setDoseFormRateLowUnits(String doseFormRateLowUnits) {
        getModifiableCurrentVersion().setDoseFormRateLowUnits(doseFormRateLowUnits);
        // this.doseFormRateLowUnits = doseFormRateLowUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getDoseFormRateHighUnits()
     */
    @Override
    public String getDoseFormRateHighUnits() {
        return getCurrentVersion().getDoseFormRateHighUnits();
        // return doseFormRateHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setDoseFormRateHighUnits(java.lang.String)
     */
    @Override
    public void setDoseFormRateHighUnits(String doseFormRateHighUnits) {
        getModifiableCurrentVersion().setDoseFormRateHighUnits(doseFormRateHighUnits);
        // this.doseFormRateHighUnits = doseFormRateHighUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseRateUnits()
     */
    @Override
    public String getMaxSingleDoseRateUnits() {
        return getCurrentVersion().getMaxSingleDoseRateUnits();
        // return maxSingleDoseRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseRateUnits(java.lang.String)
     */
    @Override
    public void setMaxSingleDoseRateUnits(String maxSingleDoseRateUnits) {
        getModifiableCurrentVersion().setMaxSingleDoseRateUnits(maxSingleDoseRateUnits);
        // this.maxSingleDoseRateUnits = maxSingleDoseRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleDoseFormRateUnits()
     */
    @Override
    public String getMaxSingleDoseFormRateUnits() {
        return getCurrentVersion().getMaxSingleDoseFormRateUnits();
        // return maxSingleDoseFormRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleDoseFormRateUnits(java.lang.String)
     */
    @Override
    public void setMaxSingleDoseFormRateUnits(String maxSingleDoseFormRateUnits) {
        getModifiableCurrentVersion().setMaxSingleDoseFormRateUnits(maxSingleDoseFormRateUnits);
        // this.maxSingleDoseFormRateUnits = maxSingleDoseFormRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseRateUnits()
     */
    @Override
    public String getMaxDailyDoseRateUnits() {
        return getCurrentVersion().getMaxDailyDoseRateUnits();
        // return maxDailyDoseRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseRateUnits(java.lang.String)
     */
    @Override
    public void setMaxDailyDoseRateUnits(String maxDailyDoseRateUnits) {
        getModifiableCurrentVersion().setMaxDailyDoseRateUnits(maxDailyDoseRateUnits);
        // this.maxDailyDoseRateUnits = maxDailyDoseRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxDailyDoseFormRateUnits()
     */
    @Override
    public String getMaxDailyDoseFormRateUnits() {
        return getCurrentVersion().getMaxDailyDoseFormRateUnits();
        // return maxDailyDoseFormRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxDailyDoseFormRateUnits(java.lang.String)
     */
    @Override
    public void setMaxDailyDoseFormRateUnits(String maxDailyDoseFormRateUnits) {
        getModifiableCurrentVersion().setMaxDailyDoseFormRateUnits(maxDailyDoseFormRateUnits);
        // this.maxDailyDoseFormRateUnits = maxDailyDoseFormRateUnits;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getConceptid()
     */
    @Override
    public Long getConceptid() {
        return getCurrentVersion().getConceptid();
        // return this.conceptid;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setConceptid(java.lang.Long)
     */
    @Override
    public void setConceptid(Long conceptid) {
        getModifiableCurrentVersion().setConceptid(conceptid);
        // this.conceptid = conceptid;
    }

    /**
     * Returns the Concept Description.
     * 
     * @return the conceptDescription
     */
    public String getConceptDescription() {
        return getCurrentVersion().getConceptDescription();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleNTEDose()
     */
    @Override
    public Double getMaxSingleNTEDose() {
        return getCurrentVersion().getMaxSingleNTEDose();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleNTEDoseUnit()
     */
    @Override
    public String getMaxSingleNTEDoseUnit() {
        return getCurrentVersion().getMaxSingleNTEDoseUnit();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleNTEDoseForm()
     */
    @Override
    public Double getMaxSingleNTEDoseForm() {
        return getCurrentVersion().getMaxSingleNTEDoseForm();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#getMaxSingleNTEDoseFormUnit()
     */
    @Override
    public String getMaxSingleNTEDoseFormUnit() {
        return getCurrentVersion().getMaxSingleNTEDoseFormUnit();
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleNTEDose(java.lang.Double)
     */
    @Override
    public void setMaxSingleNTEDose(Double maxSingleNTEDose) {
        getModifiableCurrentVersion().setMaxSingleNTEDose(maxSingleNTEDose);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleNTEDoseUnit(java.lang.String)
     */
    @Override
    public void setMaxSingleNTEDoseUnit(String maxSingleNTEDoseUnit) {
        getModifiableCurrentVersion().setMaxSingleNTEDoseUnit(maxSingleNTEDoseUnit);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleNTEDoseForm(java.lang.Double)
     */
    @Override
    public void setMaxSingleNTEDoseForm(Double maxSingleNTEDoseForm) {
        getModifiableCurrentVersion().setMaxSingleNTEDoseForm(maxSingleNTEDoseForm);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.DoseRange#setMaxSingleNTEDoseFormUnit(java.lang.String)
     */
    @Override
    public void setMaxSingleNTEDoseFormUnit(String maxSingleNTEDoseFormUnit) {
        getModifiableCurrentVersion().setMaxSingleNTEDoseFormUnit(maxSingleNTEDoseFormUnit);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.impl.va.AbstractCustomizable#createConceptXref()
     */
    @Override
    protected ConceptXref createConceptXref() {
        return new DoseRangeXref();
    }

    /**
     * Gets the exportManager.
     * 
     * @return the exportManager
     */
    public DoseRangeExportManager getExportManager() {
        return exportManager;
    }

    /**
     * Sets the exportManager.
     * 
     * @param exportManager
     *            the exportManager to set
     */
    public void setExportManager(DoseRangeExportManager exportManager) {
        this.exportManager = exportManager;
    }
}
