/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.UserComment;

import java.util.HashSet;
import java.util.Set;

/**
 * Cross reference object for dose range FDB records.
 * 
 * @author VHAISACARUSR
 * 
 */
public final class DoseRangeXref implements ConceptXref {

    private Long fdbReferenceId;
    private DoseRangeKey doseRangeKey;
    private Set<UserComment> userCommentHistory;

    @Override
    public Long getFdbReferenceId() {
        return this.fdbReferenceId;
    }

    @Override
    public void setFdbReferenceId(Long fdbReferenceId) {
        this.fdbReferenceId = fdbReferenceId;
    }

    @Override
    public Set<UserComment> getUserCommentHistory() {
        return this.userCommentHistory;
    }

    @Override
    public void setUserCommentHistory(Set<UserComment> userCommentHistory) {
        this.userCommentHistory = userCommentHistory;
    }

    @Override
    public void addUserComment(UserComment userComment) {
        if (userCommentHistory == null) {
            userCommentHistory = new HashSet<UserComment>();
        }
        getUserCommentHistory().add(userComment);
        userComment.setFdbReference(this);

    }

    /**
     * Gets the doseRangeKey.
     * 
     * @return the doseRangeKey
     */
    public DoseRangeKey getDoseRangeKey() {
        return doseRangeKey;
    }

    /**
     * Sets the doseRangeKey.
     * 
     * @param doseRangeKey
     *            the doseRangeKey to set
     */
    public void setDoseRangeKey(DoseRangeKey doseRangeKey) {
        this.doseRangeKey = doseRangeKey;
    }

}
