package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.DrugDrugInteraction;
import gov.va.med.pharmacy.pecs.domain.DrugPair;
import gov.va.med.pharmacy.pecs.domain.RoutedGeneric;
import gov.va.med.pharmacy.pecs.domain.Version;

import java.io.Serializable;



/**
 * Drug Pair Version VA Entity.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class DrugPairVersionVa extends AbstractVersion<DrugPair> implements Version<DrugPair>, DrugPair, Serializable,
        Cloneable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -778631468201713092L;

    /** The drug pair. */
    private DrugPairVa drugPair;

    /** The reference text. */
    private String referenceText;

    /**
     * Getter Interaction.
     * 
     * @return drugPair
     */
    @Override
    public DrugDrugInteraction getInteraction() {
        return drugPair.getInteraction();
    }

    /**
     * Getter for RoutedGeneric1.
     * 
     * @return Routed Generic 1
     */
    @Override
    public RoutedGeneric getRoutedGeneric1() {
        return drugPair.getRoutedGeneric1();
    }

    /**
     * Getter ReferenceText.
     * 
     * @return referenceText
     */
    public String getReferenceText() {
        return referenceText;
    }

    /**
     * Setter ReferenceText.
     * 
     * @param referenceText
     *            the new reference text
     */
    public void setReferenceText(String referenceText) {
        this.referenceText = referenceText;
    }

    /**
     * Getter RoutedGeneric 2.
     * 
     * @return RoutedGeneric 2
     */
    @Override
    public RoutedGeneric getRoutedGeneric2() {
        return drugPair.getRoutedGeneric2();
    }

    /**
     * Getter Version Object.
     * 
     * @return drugPair
     */
    @Override
    public DrugPairVa getVersionedObject() {
        return drugPair;
    }

    /**
     * Setter Version Object.
     * 
     * @param versionedObject
     *            - DrugPairVa
     */
    public void setVersionedObject(DrugPairVa versionedObject) {
        drugPair = versionedObject;
    }

    /**
     * Getter Current Version.
     * 
     * @return getCurrentVersion
     */
    public Version<DrugPair> getCurrentVersion() {
        return drugPair.getCurrentVersion();
    }

    /**
     * Copy.
     * 
     * @param other
     *            - Version<DrugPair>
     */
    @Override
    public void copy(Version<DrugPair> other) {
        super.copy(other);
        DrugPairVersionVa dpvVa = (DrugPairVersionVa) other;
        drugPair = dpvVa.getVersionedObject();
        referenceText = dpvVa.getReferenceText();
    }

}
