package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.UserComment;

import java.util.HashSet;
import java.util.Set;

/**
 * Class implementing the ConceptXref for the Drug Pair. Since Drug Pairs cannot have comments added to the FDB Drug Pair, this
 * class will basically return nothing.
 * 
 * @author vhaisaduffg
 * 
 */
public class DrugPairXref implements ConceptXref {

    /**
     * Returns the FDB Reference Identifier.
     * 
     * @return Long
     */
    @Override
    public final Long getFdbReferenceId() {
        return new Long(0l);
    }

    /**
     * Dummy method that allows the setting of the FDB Reference Identifier. Nothing is done in this method.
     * 
     * @param fdbReferenceId
     *            the FDB Reference Identifier
     */
    @Override
    public final void setFdbReferenceId(Long fdbReferenceId) {
        // Do nothing
    }

    /**
     * Method to returns the User Comments from the ConceptXref object.
     * 
     * @return empty set
     */
    @Override
    public final Set<UserComment> getUserCommentHistory() {
        return new HashSet<UserComment>(0);
    }

    /**
     * Method to set the User Comments on the ConceptXref. Nothing is done in this method.
     * 
     * @param userCommentHistory
     *            the new user comment history
     */
    @Override
    public final void setUserCommentHistory(Set<UserComment> userCommentHistory) {
        // Do nothing
    }

    /**
     * A method that allows a user to add a user comment.
     * 
     * @param userComment
     *            a user comment
     */
    @Override
    public final void addUserComment(UserComment userComment) {
        // do nothing
    }
}
