package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.UserComment;

import java.util.HashSet;
import java.util.Set;

/**
 * Domain object to hold Drug-Drug Interaction Cross Reference Information.
 * 
 * 
 */
public final class DuplicateTherapyXref implements ConceptXref {

    /** The fdb reference id. */
    private Long fdbReferenceId;

    /** The dtc id. */
    private Long dtcId;

    /** The user comment history. */
    private Set<UserComment> userCommentHistory = new HashSet<UserComment>(0);;

    /**
     * Retrieves the FDB reference Id.
     * 
     * @return Long the fdb Reference Id
     * 
     */
    public Long getFdbReferenceId() {
        return fdbReferenceId;
    }

    /**
     * Sets the FDB reference Id.
     * 
     * @param fdbReferenceId
     *            of type Long
     */
    public void setFdbReferenceId(Long fdbReferenceId) {
        this.fdbReferenceId = fdbReferenceId;
    }

    /**
     * Gets the dtc id.
     * 
     * @return the dtc id
     */
    public Long getDtcId() {
        return dtcId;
    }

    /**
     * Sets the dtc id.
     * 
     * @param dtcId
     *            the new dtc id
     */
    public void setDtcId(Long dtcId) {
        this.dtcId = dtcId;
    }

    /**
     * Retrieves the User Comment History.
     * 
     * @return Set<IUserComment> the user Comment History
     * 
     */
    public Set<UserComment> getUserCommentHistory() {
        if (userCommentHistory == null) {
            userCommentHistory = new HashSet<UserComment>();
        }
        return userCommentHistory;
    }

    /**
     * Sets the User Comment History.
     * 
     * @param userCommentHistory
     *            of type Set<IUserComment>
     */
    public void setUserCommentHistory(Set<UserComment> userCommentHistory) {
        this.userCommentHistory = userCommentHistory;
    }

    /**
     * Method add user Comment.
     * 
     * @param userComment
     *            of type IUserComment
     */
    public void addUserComment(UserComment userComment) {

        getUserCommentHistory().add(userComment);
        userComment.setFdbReference(this);
    }
}
