package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * The Class MonographPair.
 */
public class MonographPair implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 2920156991537677602L;

    /** The forward monograph. */
    private long forwardMonograph;

    /** The reverse monograph. */
    private long reverseMonograph;

    /**
     * Gets the forward monograph.
     * 
     * @return the forwardMonograph
     */
    public long getForwardMonograph() {
        return forwardMonograph;
    }

    /**
     * Sets the forward monograph.
     * 
     * @param forwardMonograph
     *            the forwardMonograph to set
     */
    public void setForwardMonograph(long forwardMonograph) {
        this.forwardMonograph = forwardMonograph;
    }

    /**
     * Gets the reverse monograph.
     * 
     * @return the reverseMonograph
     */
    public long getReverseMonograph() {
        return reverseMonograph;
    }

    /**
     * Sets the reverse monograph.
     * 
     * @param reverseMonograph
     *            the reverseMonograph to set
     */
    public void setReverseMonograph(long reverseMonograph) {
        this.reverseMonograph = reverseMonograph;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "MonographPair [forwardMonograph=" + forwardMonograph + ", reverseMonograph=" + reverseMonograph + "]";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        MonographPair other = (MonographPair) obj;
        if (forwardMonograph != other.forwardMonograph)
            return false;
        if (reverseMonograph != other.reverseMonograph)
            return false;
        return true;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + (int) (forwardMonograph ^ (forwardMonograph >>> 32));
        result = prime * result + (int) (reverseMonograph ^ (reverseMonograph >>> 32));
        return result;
    }
}
