package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.UserComment;

import java.util.HashSet;
import java.util.Set;

/**
 * Monograph Xref Class.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class MonographXref implements ConceptXref {

    private Long fdbReferenceId;
    private Set<UserComment> userCommentHistory = new HashSet<UserComment>(0);
    private MonographKey monographKey;

    /**
     * Gets the fdbReferenceId.
     * 
     * @return the fdbReferenceId
     */
    public Long getFdbReferenceId() {
        return fdbReferenceId;
    }

    /**
     * Sets the FdbReferenceId.
     * 
     * @param fdbReferenceId
     *            the fdbReferenceId to set
     */
    public void setFdbReferenceId(Long fdbReferenceId) {
        this.fdbReferenceId = fdbReferenceId;
    }

    /**
     * Get user comment history.
     * 
     * @return the userCommentHistory
     */
    public Set<UserComment> getUserCommentHistory() {
        if (userCommentHistory == null) {
            userCommentHistory = new HashSet<UserComment>();
        }
        return userCommentHistory;
    }

    /**
     * Set the user comment History.
     * 
     * @param userCommentHistory
     *            the userCommentHistory to set
     */
    public void setUserCommentHistory(Set<UserComment> userCommentHistory) {
        this.userCommentHistory = userCommentHistory;
    }

    @Override
    public void addUserComment(UserComment userComment) {

        getUserCommentHistory().add(userComment);
        userComment.setFdbReference(this);
    }

    /**
     * Get Monograph Key which contains multi data column info.
     * 
     * @return the monographKey
     */
    public MonographKey getMonographKey() {
        return monographKey;
    }

    /**
     * Set Monograph Key which contains multi data column info.
     * 
     * @param monographKey
     *            the monographKey to set
     */
    public void setMonographKey(MonographKey monographKey) {
        this.monographKey = monographKey;
    }

    @Override
    public String toString() {
        return "MonographXref [fdbReferenceId=" + fdbReferenceId + ", userCommentHistory=" + userCommentHistory
                + ", monographKey=" + monographKey + "]";
    }
}
