package gov.va.med.pharmacy.pecs.dto;

import gov.va.med.pharmacy.pecs.domain.impl.fdb.FdbDuplicatetherapy;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DuplicateAllowance;
import gov.va.med.pharmacy.pecs.domain.impl.va.DuplicateTherapyVersionVa;
import gov.va.med.pharmacy.pecs.metadata.ClassInfo;
import gov.va.med.pharmacy.pecs.metadata.FieldInfo;
import gov.va.med.pharmacy.pecs.util.LabelValue;
import gov.va.med.pharmacy.pecs.util.QueryResultLabel;
import gov.va.med.pharmacy.pecs.util.historyofchange.DuplicateTherapyReportOrder;

/**
 * DuplicateTherapyDTO entity.
 * 
 * @author MyEclipse Persistence Tools
 */
@ClassInfo(
        name = "Duplicate Therapy", description = "Duplicate Therapy", customPersistentClass = DuplicateTherapyVersionVa.class,
        fdbPersistentClass = FdbDuplicatetherapy.class)
public final class DuplicateTherapyDTO extends PecsDTO {

    private static final int DISPLAY_LINES = 5;
    private static final long serialVersionUID = 6055413449741688115L;
    private String recordId;
    private long duplicatetherapyid;
    private long fdbCustomDtcatVaId;
    private String category;
    private long fdbId;
    /**
     * Property readOnlyRecord.
     */
    private boolean readOnlyRecord;
    private boolean vaExists;

    /**
     * Static REFERENCE_TEXT set to "REFERENCE_TEXT".
     */
    public static final String REFERENCE_TEXT = "REFERENCE_TEXT";
    /**
     * Static DTCID set to "DTCID".
     */
    public static final String DTCID = "DTCID";
    /**
     * Static DESCRIPTION set to "DESCRIPTION".
     */
    public static final String DESCRIPTION = "DESCRIPTION";
    /**
     * Static CUSTOM_DUP_ALLOWANCE set to "CUSTOM_DUP_ALLOWANCE".
     */
    public static final String CUSTOM_DUP_ALLOWANCE = "CUSTOM_DUP_ALLOWANCE";
    /**
     * Static CUSTOM_DUP_ALLOWANCE_IND set to "CUSTOM_DUP_ALLOWANCE_IND".
     */
    public static final String CUSTOM_DUP_ALLOWANCE_IND = "CUSTOM_DUP_ALLOWANCE_IND";

    // BIG NOTE: internal = true means --- changes will not update the status.
    // false means --- change will update the status.

    @FieldInfo(
            name = DTCID, internal = false, required = false, editable = false, lookup = false,
            customPersistentPath = "versionedObject.dtcid", fdbPersistentPath = "dtcid", reportHistory = true,
            reportHistoryOrder = DuplicateTherapyReportOrder.DTCID_REPORT_ORDER)
    private long dtcid;

    @FieldInfo(
            name = DESCRIPTION, internal = false, required = true, editable = true, lookup = false,
            customPersistentPath = "customString", fdbPersistentPath = "description1", reportHistory = true,
            reportHistoryOrder = DuplicateTherapyReportOrder.DESCRIPTION_REPORT_ORDER, reportHistoryCompare = true)
    private String customstring;

    @FieldInfo(
            name = CUSTOM_DUP_ALLOWANCE, internal = false, required = true, editable = true, lookup = false,
            lookupType = DuplicateAllowance.class, customPersistentPath = "customDupAllowance.code",
            fdbPersistentPath = "duplicationallowance", reportHistory = true,
            reportHistoryOrder = DuplicateTherapyReportOrder.CUSTOM_DUP_ALLOWANCE_REPORT_ORDER, reportHistoryCompare = true)
    private Long customdupallowance;

    private long customdupallowind;

    @FieldInfo(
            name = REFERENCE_TEXT, displayLines = DISPLAY_LINES, internal = true, required = false, editable = true,
            lookup = false, customPersistentPath = "referenceText", reportHistory = true,
            reportHistoryOrder = DuplicateTherapyReportOrder.REFERENCE_TEXT_REPORT_ORDER, reportHistoryCompare = true)
    private String referenceText;

    /**
     * Default Constructor.
     */
    public DuplicateTherapyDTO() {
    }

    /*
     * this is the primary key for the database
     */
    /**
     * Retrieves the FDB Custom Duplicate Therapy Category Va Id.
     * 
     * @return long - id
     */
    public long getFdbCustomDtcatVaId() {
        return this.fdbCustomDtcatVaId;
    }

    /**
     * Sets the FDB Custom Duplicate Therapy Category Va Id.
     * 
     * @param fdbCustomDtcatVaId
     *            - of type long
     */
    public void setFdbCustomDtcatVaId(long fdbCustomDtcatVaId) {
        this.fdbCustomDtcatVaId = fdbCustomDtcatVaId;
    }

    /**
     * Generates a Record Id.
     * 
     * @return String - recordId
     */
    public String generateRecordId() {
        return (isCurrent() ? "C" : "H") + getFdbCustomDtcatVaId();
    }

    /**
     * Retrieves a Record Id.
     * 
     * @return String - recordId
     */
    public String getRecordId() {
        return recordId;
    }

    /**
     * Sets the Record Id.
     * 
     * @param recordId
     *            of type String
     */
    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    /**
     * Retrieves the Duplicate Thereapy Id.
     * 
     * @return long - duplicatetherapyid
     */
    public long getDuplicatetherapyid() {
        return duplicatetherapyid;
    }

    /**
     * Sets the Duplicate Therapy Id.
     * 
     * @param duplicatetherapyid
     *            of type long
     */
    public void setDuplicatetherapyid(long duplicatetherapyid) {
        this.duplicatetherapyid = duplicatetherapyid;
    }

    /**
     * Retrieves the Category. User-defined category code.
     * 
     * @return Sting - category
     */
    public String getCategory() {
        return this.category;
    }

    /**
     * Sets the Category. User-defined category code.
     * 
     * @param category
     *            of type String
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * Retrieves the Custom String. User-defined information
     * 
     * @return String - customString
     */
    public String getCustomstring() {
        return this.customstring;
    }

    /**
     * Sets the Custom String. User-defined information
     * 
     * @param customstring
     *            of type String
     */
    public void setCustomstring(String customstring) {
        this.customstring = customstring;
    }

    /**
     * Retrieves the Custom Duplicate Allowance. User-defined number of duplications allowed (defaults to 0)
     * 
     * @return long - customdupallowance
     */
    public Long getCustomdupallowance() {
        return this.customdupallowance;
    }

    /**
     * Sets the Custom Duplicate Allowance. User-defined number of duplications allowed (defaults to 0)
     * 
     * @param customdupallowance
     *            of type long
     */
    public void setCustomdupallowance(Long customdupallowance) {
        this.customdupallowance = customdupallowance;
    }

    /**
     * Retrieves the First DataBank duplicate therapy class identifier.
     * 
     * @return long - dtcId
     */
    public long getDtcid() {
        return this.dtcid;
    }

    /**
     * Sets the First DataBank duplicate therapy class identifier.
     * 
     * @param dtcid
     *            of type long
     */
    public void setDtcid(long dtcid) {
        this.dtcid = dtcid;
    }

    /**
     * Retrieves the Custom Duplicate Allowance Indicator. <BR>
     * <BR>
     * Indicates whether or not to use custom duplicate allowance.
     * 
     * @return long - customdupallowind
     */
    public long getCustomdupallowind() {
        return this.customdupallowind;
    }

    /**
     * Sets the Custom Duplicate Allowance Indicator. <BR>
     * <BR>
     * Indicates whether or not to use custom duplicate allowance.
     * 
     * @param customdupallowind
     *            of type long
     */
    public void setCustomdupallowind(long customdupallowind) {
        this.customdupallowind = customdupallowind;
    }

    /**
     * Retrieves the Reference Text.
     * 
     * @return String - referenceText
     */
    public String getReferenceText() {
        return this.referenceText;
    }

    /**
     * Sets the Reference Text.
     * 
     * @param referenceText
     *            of type String
     */
    public void setReferenceText(String referenceText) {
        this.referenceText = referenceText;
    }

    /**
     * Retrieves the FDB Id.
     * 
     * @return long - fdbId
     */
    public long getFdbId() {
        return this.fdbId;
    }

    /**
     * Sets the FDB Id.
     * 
     * @param fdbId
     *            of type long
     */
    public void setFdbId(long fdbId) {
        this.fdbId = fdbId;
    }

    /**
     * Retrieves the read Only Record boolean property.
     * 
     * @return boolean - readOnlyRecord
     */
    public boolean isReadOnlyRecord() {
        return readOnlyRecord;
    }

    /**
     * Sets the read Only Record boolean property.
     * 
     * @param readOnlyRecord
     *            of type boolean
     */
    public void setReadOnlyRecord(boolean readOnlyRecord) {
        this.readOnlyRecord = readOnlyRecord;
    }

    /**
     * Retrieves the Label Value.
     * 
     * @return LabelValue -
     * 
     * @see gov.va.med.pharmacy.pecs.dto.PecsDTO#getSelect()
     */
    @Override
    public LabelValue getSelect() {
        LabelValue lv = new LabelValue();
        StringBuffer sb = new StringBuffer();
        if (getFdbCustomDtcatVaId() > 0) {
            sb.append("/ct/pecs/duplicateTherapyCustomization/VA/").append(getFdbCustomDtcatVaId());
            if (isCurrent()) {
                lv.setLabel(QueryResultLabel.ACTIVE);
            } else {
                lv.setLabel(QueryResultLabel.HISTORICAL);
            }
        } else {
            sb.append("/ct/pecs/duplicateTherapyCustomization/FDB/").append(getDtcid());
            lv.setLabel(QueryResultLabel.OPEN);
        }
        lv.setValue(sb.toString());
        return lv;

    }

    /**
     * Retrieves the boolean value for the property VA exists.
     * 
     * @return boolean - True if VA exists.
     */
    public boolean isVaExists() {
        return vaExists;
    }

    /**
     * Sets the boolean value for VA Exists property.
     * 
     * @param vaExists
     *            of type boolean
     */
    public void setVaExists(boolean vaExists) {
        this.vaExists = vaExists;
    }

    /**
     * Returns a textual representation of the class.
     * 
     * @return String
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "DuplicateTherapyDTO [getFdbCustomDtcatVaId()=" + getFdbCustomDtcatVaId() + ", generateRecordId()="
                + generateRecordId() + ", getRecordId()=" + getRecordId() + ", getDuplicatetherapyid()="
                + getDuplicatetherapyid() + ", getCategory()=" + getCategory() + ", getCustomstring()=" + getCustomstring()
                + ", getCustomdupallowance()=" + getCustomdupallowance() + ", getDtcid()=" + getDtcid()
                + ", getCustomdupallowind()=" + getCustomdupallowind() + ", getReferenceText()=" + getReferenceText()
                + ", getFdbId()=" + getFdbId() + ", isReadOnlyRecord()=" + isReadOnlyRecord() + ", getSelect()=" + getSelect()
                + ", isVaExists()=" + isVaExists() + ", toString()=" + super.toString() + "]";
    }

}
