/**
 * 
 */
package gov.va.med.pharmacy.pecs.fdbreports;

import java.util.HashMap;
import java.util.Map;

/**
 * Represents the types for the FDB column types for reports.
 * 
 * @author VHAISACARUSR
 * 
 */
public enum FdbColumnType {

    /**
     * String value for a for FDB column types.
     */
    DOUBLE, SMALLINT, INTEGER, VARCHAR;

    private static final Map<String, FdbColumnType> STRING_TO_ENUM = new HashMap<String, FdbColumnType>();
    static {
        for (FdbColumnType type : FdbColumnType.values()) {
            STRING_TO_ENUM.put(type.toString(), type);
        }
    }

    /**
     * takes a string version of the type and returns the enum version.
     * 
     * @param type
     *            the database type
     * @return the enum type.
     */
    public static final FdbColumnType fromString(String type) {
        return STRING_TO_ENUM.get(type);
    }
}
