package gov.va.med.pharmacy.pecs.fdbreports;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * FdbTableMetadata Implements Serializable.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class FdbTableMetadata implements Serializable {

    private static final long serialVersionUID = -4042116584390813275L;
    private String tableName;
    private String fileName;
    private final List<FdbTableColumn> columns = new ArrayList<FdbTableColumn>();
    private String pkName;

    /**
     * Table Name.
     * 
     * @return tableName
     */
    public String getTableName() {
        return tableName;
    }

    /**
     * Set Table name.
     * 
     * @param tableName
     *            - String
     */
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    /**
     * Get FileName.
     * 
     * @return fileName
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Set File Name.
     * 
     * @param fileName
     *            - String
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * Get Column.
     * 
     * @return columns
     */
    public List<FdbTableColumn> getColumns() {
        return columns;
    }

    /**
     * Add Column.
     * 
     * @param column
     *            - FdbTableColumn
     */
    public void addColumn(FdbTableColumn column) {
        columns.add(column);
    }

    /**
     * FdbTableColumn.
     * 
     * @param name
     *            String
     * @return FdbTableColumn
     */
    public FdbTableColumn getColumn(String name) {
        for (FdbTableColumn col : getColumns()) {
            if (col.getName().equalsIgnoreCase(name)) {
                return col;
            }
        }
        return null;
    }

    /**
     * Get PkName.
     * 
     * @return pkName
     */
    public String getPkName() {
        return pkName;
    }

    /**
     * Set PkName.
     * 
     * @param pkName
     *            - String
     */
    public void setPkName(String pkName) {
        this.pkName = pkName;
    }
}
