/**
 * 
 */
package gov.va.med.pharmacy.pecs.lock;

import java.io.Serializable;

/**
 * ConceptRecordId.
 * 
 * @author vhaisacarusr
 * 
 */
public class ConceptRecordId implements Serializable {
    
    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;
    
    /** The concept. */
    private String concept;
    
    /** The record id. */
    private String recordId;
    
    /** The record type. */
    private String recordType;

    /**
     * ConceptRecordId Constructor.
     * 
     */
    public ConceptRecordId() {
    }

    /**
     * ConceptRecordId.
     * 
     * @param concept
     *            String
     * @param recordId
     *            String
     * @param recordType
     *            String
     */
    public ConceptRecordId(String concept, String recordId, String recordType) {
        super();
        this.concept = concept;
        this.recordId = recordId;
        this.recordType = recordType;
    }

    /**
     * Get Concept.
     * 
     * @return the concept
     */
    public String getConcept() {
        return concept;
    }

    /**
     * Set Concept.
     * 
     * @param concept
     *            the concept to set
     */
    public void setConcept(String concept) {
        this.concept = concept;
    }

    /**
     * Gets the record id.
     *
     * @return the recordId
     */
    public String getRecordId() {
        return recordId;
    }

    /**
     * Set Record Id.
     * 
     * @param recordId
     *            the recordId to set
     */
    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    /**
     * Get Record Type.
     * 
     * @return the recordType
     */
    public String getRecordType() {
        return recordType;
    }

    /**
     * Set Record Type.
     * 
     * @param recordType
     *            the recordType to set
     */
    public void setRecordType(String recordType) {
        this.recordType = recordType;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((concept == null) ? 0 : concept.hashCode());
        result = prime * result + ((recordId == null) ? 0 : recordId.hashCode());
        result = prime * result + ((recordType == null) ? 0 : recordType.hashCode());
        return result;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        ConceptRecordId other = (ConceptRecordId) obj;
        if (concept == null) {
            if (other.concept != null)
                return false;
        } else if (!concept.equals(other.concept))
            return false;
        if (recordId == null) {
            if (other.recordId != null)
                return false;
        } else if (!recordId.equals(other.recordId))
            return false;
        if (recordType == null) {
            if (other.recordType != null)
                return false;
        } else if (!recordType.equals(other.recordType))
            return false;
        return true;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "ConceptRecordId [concept=" + concept + ", recordId=" + recordId + ", recordType=" + recordType + "]";
    }

}
