package gov.va.med.pharmacy.pecs.lock;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;

/**
 * The Class Lock.
 * 
 * @author DOMAINOVERSD
 */
public class Lock implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The date locked. */
    private Date dateLocked;

    /** The user. */
    private String user;

    /** The concept record id. */
    private ConceptRecordId conceptRecordId;

    /**
     * Instantiates a new lock.
     */
    public Lock() {
    };

    /**
     * Gets the date locked.
     * 
     * @return the dateLocked
     */
    public Date getDateLocked() {
        return dateLocked;
    }

    /**
     * Sets the date locked.
     * 
     * @param dateLocked
     *            the dateLocked to set
     */
    public void setDateLocked(Date dateLocked) {
        this.dateLocked = dateLocked;
    }

    /**
     * Sets the date locked.
     */
    public void setDateLocked() {
        this.dateLocked = Calendar.getInstance().getTime();
    }

    /**
     * Gets the user.
     * 
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * Sets the user.
     * 
     * @param user
     *            the user to set
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     * Gets the concept record id.
     * 
     * @return the coceptRecordId
     */
    public ConceptRecordId getConceptRecordId() {
        return conceptRecordId;
    }

    /**
     * Sets the concept record id.
     * 
     * @param conceptRecordId
     *            the new concept record id
     */
    public void setConceptRecordId(ConceptRecordId conceptRecordId) {
        this.conceptRecordId = conceptRecordId;
    }

}
