package gov.va.med.pharmacy.pecs.metadata;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Information about a concept.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface ClassInfo {
    /**
     * A descriptive name of the concept.
     */
    String name();

    /**
     * A more elaborate description of this concept.
     */
    String description();

    /**
     * The custom persistent class.
     */
    Class<?> customPersistentClass();

    /**
     * The FDB persistent class.
     */
    Class<?> fdbPersistentClass();
}
