package gov.va.med.pharmacy.pecs.metadata;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Information about how a concept is persisted.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface ClassPersistenceInfo {
    /**
     * The custom persistent class.
     */
    Class<?> custom();

    /**
     * The FDB persistent class.
     */
    Class<?> fdb();
}
