package gov.va.med.pharmacy.pecs.metadata;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Information about how to access in the custom persistent class.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface FieldPersistenceInfo {
    /**
     * The path to access the value for this field in the custom persistent
     * class.
     */
    String custom();

    /**
     * The path to access the value for this field in the FDB persistent class.
     */
    String fdb() default "";
}
