package gov.va.med.pharmacy.pecs.metadata;

import gov.va.med.pharmacy.pecs.persistence.HibernateDAO;
import gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl;

import java.util.List;

import org.springframework.stereotype.Repository;

/**
 * User Modifiable MetaDataDAO extends Hibernate DAO.
 * 
 * @author DOMAINOVERSD
 * 
 */
@Repository
public class UserModifiableFieldMetadataDAO extends HibernateDAOImpl<UserModifiableFieldMetadata> implements
        HibernateDAO<UserModifiableFieldMetadata> {

    private static final String DISTINCT_CONCEPT_QUERY = "findDistinctConcepts";

    @Override
    protected Class<UserModifiableFieldMetadata> getPersistentClass() {
        return UserModifiableFieldMetadata.class;
    }

    /**
     * List objects find Concept.
     * 
     * @return List of Found Concepts.
     */
    @SuppressWarnings("unchecked")
    public List<String> findConcepts() {
        return getSession().getNamedQuery(DISTINCT_CONCEPT_QUERY).list();
    }

    /**
     * Find By Concept.
     * 
     * @param conceptName
     *            Query
     * @return found Query.
     */
    public List<UserModifiableFieldMetadata> findByConcept(String conceptName) {
        String query = "from UserModifiableFieldMetadata where conceptName = '" + conceptName + "'";
        return findByQuery(query, UserModifiableFieldMetadata.class);
    }
}
