package gov.va.med.pharmacy.pecs.metadata;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;
import org.hibernate.validator.constraints.Range;

/**
 * UserModifiableFieldMetadataDTO implements Comparable.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class UserModifiableFieldMetadataDTO implements Comparable<UserModifiableFieldMetadataDTO> {

    private long fieldId;
    private String conceptName;
    private String fieldName;
    private boolean includeInQueryResults;
    private boolean includeInReports;
    private boolean includeInDetailDisplay;
    @Range(min = 0, max = 999999999)
    private String displayOrder;
    private boolean required;
    @NotEmpty
    @Length(max = 50)
    private String displayName;
    private boolean canIncludeInQueryResults;
    private boolean canIncludeInReports;

    /**
     * Get Field Id.
     * 
     * @return fieldID
     */
    public long getFieldId() {
        return fieldId;
    }

    /**
     * Set Field Id.
     * 
     * @param id
     *            - Long
     */
    public void setFieldId(long id) {
        this.fieldId = id;
    }

    /**
     * Get Field Name.
     * 
     * @return fieldName
     */
    public String getFieldName() {
        return fieldName;
    }

    /**
     * Set Field Name.
     * 
     * @param name
     *            string
     */
    public void setFieldName(String name) {
        this.fieldName = name;
    }

    /**
     * Included In query Results.
     * 
     * @return includedInQueryResults
     */
    public boolean isIncludeInQueryResults() {
        return includeInQueryResults;
    }

    /**
     * Set InlcudedInQueryResluts.
     * 
     * @param includeInQueryResults
     *            - boolean
     */
    public void setIncludeInQueryResults(boolean includeInQueryResults) {
        this.includeInQueryResults = includeInQueryResults;
    }

    /**
     * isIncludedInReports.
     * 
     * @return includedInReports
     */
    public boolean isIncludeInReports() {
        return includeInReports;
    }

    /**
     * Set IncludedInReports.
     * 
     * @param includeInReports
     *            - boolean
     */
    public void setIncludeInReports(boolean includeInReports) {
        this.includeInReports = includeInReports;
    }

    /**
     * isIncludedinDetailDisplay.
     * 
     * @return includedInDetailDisplay
     */
    public boolean isIncludeInDetailDisplay() {
        return includeInDetailDisplay;
    }

    /**
     * Set IncludeInDetailDisplay.
     * 
     * @param includeInDetailDisplay
     *            - boolean
     */
    public void setIncludeInDetailDisplay(boolean includeInDetailDisplay) {
        this.includeInDetailDisplay = includeInDetailDisplay;
    }

    /**
     * Get Display Order.
     * 
     * @return displayOrder
     */
    public String getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Set DisplayOrder.
     * 
     * @param displayOrder
     *            - String
     */
    public void setDisplayOrder(String displayOrder) {
        this.displayOrder = displayOrder;
    }

    /**
     * Set ConceptName.
     * 
     * @param conceptName
     *            - String
     */
    public void setConceptName(String conceptName) {
        this.conceptName = conceptName;
    }

    /**
     * Get ConceptName.
     * 
     * @return conceptName String
     */
    public String getConceptName() {
        return conceptName;
    }

    /**
     * is Required.
     * 
     * @return boolean required.
     */
    public boolean isRequired() {
        return required;
    }

    /**
     * Set Required.
     * 
     * @param required
     *            boolean
     */
    public void setRequired(boolean required) {
        this.required = required;
    }

    /**
     * Get DisplayName.
     * 
     * @return displayName
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * setDisplayName.
     * 
     * @param displayName
     *            - String
     */
    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public int compareTo(UserModifiableFieldMetadataDTO arg0) {
        Integer order = Integer.valueOf(arg0.getDisplayOrder());
        return Integer.valueOf(getDisplayOrder()) - order;
    }

    /**
     * isCanInncludeInQueryResults.
     * 
     * @return Query Results.
     */
    public boolean isCanIncludeInQueryResults() {
        return canIncludeInQueryResults;
    }

    /**
     * Set Can Include in Query Results.
     * 
     * @param canIncludeInQueryResults
     *            - boolean
     */
    public void setCanIncludeInQueryResults(boolean canIncludeInQueryResults) {
        this.canIncludeInQueryResults = canIncludeInQueryResults;
    }

    /**
     * Can Include Reports.
     * 
     * @return canInclude Reports
     */
    public boolean isCanIncludeInReports() {
        return canIncludeInReports;
    }

    /**
     * Set Can Include in Reports.
     * 
     * @param canIncludeInReports
     *            - boolean
     */
    public void setCanIncludeInReports(boolean canIncludeInReports) {
        this.canIncludeInReports = canIncludeInReports;
    }
}
