package gov.va.med.pharmacy.pecs.net;

import org.springframework.stereotype.Service;

/**
 * A FileTrasferFactory implementation that returns instances of file transfer objects.
 * 
 * @author vhaisaduffg
 *
 */
@Service
public final class FileTransferFactoryImpl implements FileTransferFactory {

    /**
     * Creates an implementation of the FtpCommands interfaces and returns it for
     * FTP file transfers.
     * 
     * @return FtpCommands
     */
    @Override
    public FileTransferCommands createFtp() {
        return new FtpClient();
    }

}
