package gov.va.med.pharmacy.pecs.persistence;

import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.springframework.orm.hibernate3.HibernateTemplate;

/**
 * An abstract implementation of the HibernateDAOImpl that sets the SessionFactory to fdbSessionFactory.
 * 
 * @param <T>
 *            the generic type
 * @author vhaisaduffg
 */
public abstract class FdbHibernateDAOImpl<T> extends HibernateDAOImpl<T> {

    /**
     * Set SessionFactory.
     * 
     * @param sessionFactory
     *            the new session factory
     */
    @Resource(name = "fdbDifSessionFactory")
    public void setSessionFactory(SessionFactory sessionFactory) {
        hibernateTemplate = new HibernateTemplate(sessionFactory);
    }

}
