package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.va.SavedQueryVa;

import java.util.List;

import org.springframework.stereotype.Repository;

/**
 * Saved Query DAO extends HibernateDAOImpl.
 * 
 * @author DOMAINOVERSD
 * 
 */
@Repository
public class SavedQueryDAO extends HibernateDAOImpl<SavedQueryVa> {

    /** The find saved by name. */
    private final String FIND_SAVED_BY_NAME = "findSavedByName";

    /** The find saved by sql and user. */
    private final String FIND_SAVED_BY_SQL_AND_USER = "findSavedBySqlAndUser";

    /** The find saved by sql and table name. */
    private final String FIND_SAVED_BY_SQL_AND_TABLE_NAME = "findSavedBySqlAndTable";

    /** The find saved by sql table user. */
    private final String FIND_SAVED_BY_SQL_TABLE_USER = "findSavedBySqlTableUser";

    /** The find saved by table. */
    private final String FIND_SAVED_BY_TABLE = "findSavedByTable";

    /** The find saved for others by table. */
    private final String FIND_SAVED_FOR_OTHERS_BY_TABLE = "findSavedForOthersByTable";

    /** The find saved by table user. */
    private final String FIND_SAVED_BY_TABLE_USER = "findSavedByTableUser";

    /** The find saved by user. */
    private final String FIND_SAVED_BY_USER = "findSavedByUser";

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl#getPersistentClass()
     */
    @Override
    protected Class<SavedQueryVa> getPersistentClass() {
        return SavedQueryVa.class;
    }

    /**
     * List findByName.
     * 
     * @param name
     *            - String
     * @param userName
     *            - String
     * @return hibernateTemplate
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findByName(String name, String userName) {
        final String[] namedParams = new String[] { "name", "userName" };
        final Object[] values = new Object[] { name, userName };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_NAME, namedParams, values);
    }

    /**
     * List findBySqlAndUser.
     * 
     * @param sql
     *            - String
     * @param user
     *            - String
     * @return - hibernateTemplate
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findBySqlAndUser(String sql, String user) {
        final String[] namedParams = new String[] { "sql", "user" };
        final Object[] values = new Object[] { sql, user };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_SQL_AND_USER, namedParams, values);
    }

    /**
     * List findbySqlAndTable.
     * 
     * @param sql
     *            - String
     * @param tableName
     *            - String
     * @return hibernateTemplate
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findBySqlAndTable(String sql, String tableName) {
        final String[] namedParams = new String[] { "sql", "tableName" };
        final Object[] values = new Object[] { sql, tableName };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_SQL_AND_TABLE_NAME, namedParams, values);
    }

    /**
     * List findBySqlTableUser.
     * 
     * @param sql
     *            - String
     * @param tableName
     *            - String
     * @param user
     *            - String
     * @return hibernateTemplate
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findBySqlTableUser(String sql, String tableName, String user) {
        final String[] namedParams = new String[] { "sql", "tableName", "user" };
        final Object[] values = new Object[] { sql, tableName, user };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_SQL_TABLE_USER, namedParams, values);
    }

    /**
     * List findByTable.
     * 
     * @param tableName
     *            the table name
     * @return hibernateTemplate
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findByTable(String tableName) {
        final String[] namedParams = new String[] { "tableName" };
        final Object[] values = new Object[] { tableName };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_TABLE, namedParams, values);
    }

    /**
     * List<SavedQueryVa> findForOthersByTable.
     * 
     * @param tableName
     *            - String
     * @param user
     *            - String
     * @return the list
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findForOthersByTable(String tableName, String user) {
        final String[] namedParams = new String[] { "tableName", "user" };
        final Object[] values = new Object[] { tableName, user };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_FOR_OTHERS_BY_TABLE, namedParams, values);
    }

    /**
     * List<SavedQueryVa> findByTableUser.
     * 
     * @param tableName
     *            -String
     * @param user
     *            - String
     * @return the list
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findByTableUser(String tableName, String user) {
        final String[] namedParams = new String[] { "tableName", "user" };
        final Object[] values = new Object[] { tableName, user };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_TABLE_USER, namedParams, values);
    }

    /**
     * List<SavedQueryVa> findByUser.
     * 
     * @param user
     *            String
     * @return the list
     */
    @SuppressWarnings("unchecked")
    public List<SavedQueryVa> findByUser(String user) {
        final String[] namedParams = new String[] { "user" };
        final Object[] values = new Object[] { user };
        return hibernateTemplate.findByNamedQueryAndNamedParam(FIND_SAVED_BY_USER, namedParams, values);
    }
}
