package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.va.ReferenceTextVa;
import gov.va.med.pharmacy.pecs.exception.CustomizationServiceException;

import java.util.List;

/**
 * Terminology DAO.
 * 
 * @author DOMAINOVERSD
 * 
 */
public interface TerminologyDAO {

    /**
     * Get By ID Hibernate/Spring.
     * 
     * @param clazz
     *            - Class
     * @param id
     *            - Long
     * @return - DB Data
     * @throws CustomizationServiceException
     */
    Object getById(@SuppressWarnings("rawtypes") Class clazz, Long id);

    /**
     * Get By Code Hibernate/Spring.
     * 
     * @param clazz
     *            Class
     * @param code
     *            String
     * @return DB Data
     * @throws CustomizationServiceException
     */
    Object getByCode(@SuppressWarnings("rawtypes") Class clazz, String code);

    /**
     * Get By Code Hibernate/Spring.
     * 
     * @param clazz
     *            Class
     * @param code
     *            Long
     * @return DB Data
     * @throws CustomizationServiceException
     */
    Object getByCode(@SuppressWarnings("rawtypes") Class clazz, Long code);

    /**
     * Get Look Ups.
     * 
     * @param clazz
     *            Class
     * @return DBDATA
     */
    @SuppressWarnings("rawtypes")
    List getLookups(Class clazz);

    /**
     * Get Sorted Lookups.
     * 
     * @param clazz
     *            - Class
     * @return DB Data
     */
    @SuppressWarnings("rawtypes")
    List getSortedLookups(Class clazz);

    /**
     * Get Active Sorted LookUps.
     * 
     * @param clazz
     *            - Class
     * @return DBDATA
     */
    @SuppressWarnings("rawtypes")
    List getActiveSortedLookups(Class clazz);

    /**
     * Reference Data.
     * 
     * @param type
     *            - String
     * @return Data for DB
     */
    @SuppressWarnings("rawtypes")
    List getReferenceData(String type);

    /**
     * Reverence by Name Va.
     * 
     * @param type
     *            - String
     * @param name
     *            - String
     * @return Data from DB
     * @throws CustomizationServiceException
     */
    ReferenceTextVa getReferenceByName(String type, String name);

    /**
     * Reference ID.
     * 
     * @param type
     *            - Sting
     * @param id
     *            - Long
     * @return Data from DB.
     * @throws CustomizationServiceException
     */
    ReferenceTextVa getReferenceById(String type, Long id);
}
