package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.domain.impl.va.CtUsersVa;

import java.util.List;

import org.springframework.stereotype.Repository;

/**
 * UserDAO extends HibernateDAOImpl.
 * 
 * @author DOMAINOVERSD
 * 
 */
@Repository
public class UserDAO extends HibernateDAOImpl<CtUsersVa> {

    /** The Constant FIND_BY_USERNAME. */
    private final static String FIND_BY_USERNAME = "findByUserName";

    /** The Constant FIND_BY_ROLE. */
    private final static String FIND_BY_ROLE = "findByRole";

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl#getPersistentClass()
     */
    @Override
    protected Class<CtUsersVa> getPersistentClass() {
        return CtUsersVa.class;
    }

    /**
     * CtUsersVa findByUserName.
     * 
     * @param userName
     *            - String
     * @return the ct users va
     */
    public CtUsersVa findByUserName(String userName) {
        @SuppressWarnings("unchecked")
        List<CtUsersVa> users = hibernateTemplate.findByNamedQuery(FIND_BY_USERNAME, userName);
        if (users.size() == 1) {
            return users.get(0);
        }

        return null;
    }

    /**
     * Find by role.
     * 
     * @param role
     *            the role
     * @param enabled
     *            the enabled
     * @return the list
     */
    @SuppressWarnings("unchecked")
    public List<CtUsersVa> findByRole(String role, Boolean enabled) {
        return hibernateTemplate.findByNamedQuery(FIND_BY_ROLE, enabled);
    }
}
