/**
 * 
 */
package gov.va.med.pharmacy.pecs.persistence.contact;

import gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl;

import org.hibernate.Query;
import org.springframework.stereotype.Repository;

/**
 * Data access object for the Contact Us Content.
 * 
 * @author VHAISACARUSR
 * 
 */
@Repository
public final class ContactUsDAOImpl extends HibernateDAOImpl<ContactUs> {

    /** The Constant FIND_LATEST_CONTACT_US. */
    private static final String FIND_LATEST_CONTACT_US = "findLatestContactUs";

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl#getPersistentClass()
     */
    @Override
    protected Class<ContactUs> getPersistentClass() {

        return ContactUs.class;
    }

    /**
     * Find latest contact us.
     *
     * @return the contact us
     */
    public ContactUs findLatestContactUs() {
        Query query = getSession().getNamedQuery(FIND_LATEST_CONTACT_US);
        if (query.list().isEmpty()) {
            return null;
        }
        return (ContactUs) query.list().get(0);
    }
}
