package gov.va.med.pharmacy.pecs.persistence.event.hibernate;

import gov.va.med.pharmacy.pecs.domain.impl.va.ModifiableEntity;

/**
 * An abstract class to hold functionality used in more than one custom
 * Hibernate event listener.
 * 
 * @author vhaisaduffg
 *
 */
public abstract class AbstractEventListener {

    /**
     * Checks to see if the object is an instance of ModifiableEntity.
     * If so, it sets the Modifiable property to false.
     * 
     * @param entity Object
     */
    protected void processEntity(Object entity) {
        if (entity instanceof ModifiableEntity) {
            ModifiableEntity me = (ModifiableEntity) entity;
            if (me.isModifiable()) {
                me.setModifiable(false);
            }
        }
    }
}
