package gov.va.med.pharmacy.pecs.persistence.event.hibernate;

import org.hibernate.event.PostUpdateEvent;

/**
 * A Hibernate event listener to listen to post update events.
 * 
 * @author vhaisaduffg
 *
 */
public class PostUpdateEventListener extends AbstractEventListener implements org.hibernate.event.PostUpdateEventListener {

    private static final long serialVersionUID = -9191882002711786471L;

    /**
     * Called by Hibernate after an entity has been updated.
     * 
     * @param event PostUpdateEvent
     */
    @Override
    public final void onPostUpdate(PostUpdateEvent event) {
        processEntity(event.getEntity());
    }

}
