package gov.va.med.pharmacy.pecs.query;

import java.util.ArrayList;
import java.util.List;

/**
 * And Conjunction Condition extends ConjunctionCondition.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class AndConjunctionCondition extends ConjunctionCondition {
    /**
     * AndConjunctionCondtion.
     * 
     * @param c1
     *            QueryCondtion
     * @param c2
     *            QueryCondtion
     */
    public AndConjunctionCondition(QueryCondition c1, QueryCondition c2) {
        super(Conjunction.AND, c1, c2);
    }

    /**
     * AndConjunctionCondtion.
     * 
     * @param conds
     *            the conds
     */
    public AndConjunctionCondition(List<QueryCondition> conds) {
        super(Conjunction.AND, conds);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.ConjunctionCondition#combine(gov.va.med.pharmacy.pecs.query.QueryCondition,
     * gov.va.med.pharmacy.pecs.query.Conjunction)
     */
    @Override
    public ConjunctionCondition combine(QueryCondition cond, Conjunction conj) {
        if (conj == Conjunction.AND) {
            return super.combine(cond, conj);
        } else { // i.e. OR
            return new OrConjunctionCondition(this, cond);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#copy()
     */
    @Override
    public QueryCondition copy() {
        ArrayList<QueryCondition> copies = new ArrayList<QueryCondition>();
        for (QueryCondition c : getConditions()) {
            copies.add(c.copy());
        }
        return new AndConjunctionCondition(copies);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#accept(gov.va.med.pharmacy.pecs.query.QueryConditionVisitor)
     */
    @Override
    public List<QueryCondition> accept(QueryConditionVisitor visitor) {
        return visitor.visitAndConjunctionCondition(this);
    }
}
