package gov.va.med.pharmacy.pecs.query;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;

/**
 * Condition Operator interface.
 * 
 * @author DOMAINOVERSD
 * 
 */
public interface ConditionOperator {
    /**
     * Static Final String EQ = "EQ".
     * 
     */
    public static final String EQ = "EQ";
    /**
     * Static Final String NEQ = NEQ.
     * 
     */
    public static final String NEQ = "NEQ";
    /**
     * Public Static Final String GT = "GT".
     * 
     */
    public static final String GT = "GT";
    /**
     * Public Static Final String GE = "GE".
     * 
     */
    public static final String GE = "GE";
    /**
     * Static Final String LT = "LT".
     * 
     */
    public static final String LT = "LT";
    /**
     * Static Final String LE = "LE".
     */
    public static final String LE = "LE";
    /**
     * Public Static Final String CONTAINS = "CONTAINS".
     * 
     */
    public static final String CONTAINS = "CONTAINS";
    /**
     * Public Static Final String BW = "BW".
     * 
     */
    public static final String BW = "BW";
    /**
     * Public Static Final String EW = "EW".
     * 
     */
    public static final String EW = "EW";
    /**
     * Public Static Final String IN = "IN".
     * 
     */
    public static final String IN = "IN";

    /**
     * ParseValue Object.
     * 
     * @param val
     *            String
     * @param field
     *            ConceptField
     * @return n\a
     */
    Object parseValue(String val, ConceptField field);

    /**
     * String Format HQLVALUE.
     * 
     * @param val
     *            Object
     * @param field
     *            ConceptField
     * @return n/a
     */
    String formatHQLValue(Object val, ConceptField field);

    /**
     * Format HQLValue.
     * 
     * @param val
     *            - Object
     * @param field
     *            - ConceptField
     * @return n/a
     */
    String formatXMLValue(Object val, ConceptField field);

    /**
     * String Get Name.
     * 
     * @return name
     */
    String getName();

    /**
     * String Get Symbol.
     * 
     * @return symbol
     */
    String getSymbol();
}
