package gov.va.med.pharmacy.pecs.query;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;

/**
 * The Class EndsWithOperator.
 */
public final class EndsWithOperator extends StringOperator {

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.ConditionOperator#formatHQLValue(java.lang.Object,
     * gov.va.med.pharmacy.pecs.metadata.ConceptField)
     */
    @Override
    public String formatHQLValue(Object val, ConceptField field) {
        return "'%" + String.valueOf(val).trim().toLowerCase() + "'";
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.ConditionOperator#formatXMLValue(java.lang.Object,
     * gov.va.med.pharmacy.pecs.metadata.ConceptField)
     */
    @Override
    public String formatXMLValue(Object val, ConceptField field) {
        return String.valueOf(val);
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.ConditionOperator#getName()
     */
    @Override
    public String getName() {
        return EW;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.query.ConditionOperator#getSymbol()
     */
    @Override
    public String getSymbol() {
        return "like";
    }
}
