package gov.va.med.pharmacy.pecs.query;

import java.util.List;

/**
 * HibernateCondion entity implements QueryCondition.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class HibernateCondition implements QueryCondition {
    
    /** The hql. */
    private final String hql;

    /**
     * HibernateCondition.
     * 
     * @param text
     *            - String
     */
    public HibernateCondition(String text) {
        hql = text;
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#accept(gov.va.med.pharmacy.pecs.query.QueryConditionVisitor)
     */
    @Override
    public List<QueryCondition> accept(QueryConditionVisitor visitor) {
        return visitor.visitHibernateCondition(this);
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#combine
     * (gov.va.med.pharmacy.pecs.query.QueryCondition, gov.va.med.pharmacy.pecs.query.Conjunction)
     */
    @Override
    public QueryCondition combine(QueryCondition cond, Conjunction conj) {
        return ConjunctionCondition.createConjunctionCondition(conj, this, cond);
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#copy()
     */
    @Override
    public QueryCondition copy() {
        return new HibernateCondition(hql);
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#toHQL(boolean)
     */
    @Override
    public StringBuffer toHQL(boolean custom) {
        return new StringBuffer(hql);
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#toText()
     */
    @Override
    public StringBuffer toText() {
        return new StringBuffer();
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.query.QueryCondition#toXML()
     */
    @Override
    public StringBuffer toXML() {
        return new StringBuffer();
    }

    /**
     * Gets the hql.
     *
     * @return the hql
     */
    public String getHql() {
        return hql;
    }

}
