package gov.va.med.pharmacy.pecs.query;

import java.util.ArrayList;
import java.util.List;

/**
 * OrCunjunctionCondition Entity extends ConjunctionCondition.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class OrConjunctionCondition extends ConjunctionCondition {

    /**
     * OrConjunctionCondition Constructor.
     * 
     * @param c1
     *            -QueryCondition
     * @param c2
     *            -QueryCondition
     */
    public OrConjunctionCondition(QueryCondition c1, QueryCondition c2) {
        super(Conjunction.OR, c1, c2);
    }

    /**
     * OrConjunctionCondition.
     * 
     * @param conds
     *            -List<QueryCondtion>
     */
    public OrConjunctionCondition(List<QueryCondition> conds) {
        super(Conjunction.OR, conds);
    }

    @Override
    public ConjunctionCondition combine(QueryCondition cond, Conjunction conj) {
        if (conj == Conjunction.OR) {
            return super.combine(cond, conj);
        } else { // i.e. AND
            QueryCondition last = getConditions().get(getConditions().size() - 1);
            last = last.combine(cond, Conjunction.AND);
            getConditions().set(getConditions().size() - 1, last);
            return this;
        }
    }

    @Override
    public QueryCondition copy() {
        ArrayList<QueryCondition> copies = new ArrayList<QueryCondition>();
        for (QueryCondition c : getConditions()) {
            copies.add(c.copy());
        }
        return new OrConjunctionCondition(copies);
    }

    @Override
    public List<QueryCondition> accept(QueryConditionVisitor visitor) {
        return visitor.visitOrConjunctionCondition(this);
    }
}
