package gov.va.med.pharmacy.pecs.query;

import java.util.List;

/**
 * A condition is a way to restrict (filter) the results of a query.
 * 
 * @author vhaisaalbua.
 */
public interface QueryCondition {
    /**
     * Static Final CONDITION = "condition".
     * 
     */
    static final String CONDITION = "condition";
    /**
     * Static Final String FIELD = "field".
     * 
     */
    static final String FIELD = "field";
    /**
     * Static Final String VALUE = "value".
     * 
     */
    static final String VALUE = "value";
    /**
     * Static Final String OPERATOR = "operator".
     * 
     */
    static final String OPERATOR = "operator";

    /**
     * QueryCondition Copy.
     * 
     * @return n/a
     */
    QueryCondition copy();

    /**
     * String Buffer toHQL.
     * 
     * @param custom
     *            - boolean
     * @return n/a
     */
    StringBuffer toHQL(boolean custom);

    /**
     * String Buffer to XML.
     * 
     * @return data to HQL.
     */
    StringBuffer toXML();

    /**
     * To Text.
     * 
     * @return data to text.
     */
    StringBuffer toText();

    /**
     * Combine Query and Conjunction.
     * 
     * @param cond
     *            - QueryCondition.
     * @param conj
     *            - QueryConditionVisitor
     * @return combined Condition and Conjunction
     */
    QueryCondition combine(QueryCondition cond, Conjunction conj);

    /**
     * Accepted Query Condition.
     * 
     * @param visitor
     *            -QueryConditionVisitor
     * @return n/a
     */
    List<QueryCondition> accept(QueryConditionVisitor visitor);
}
