package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**Abstract Business Rule Impl - implements Business Rule.
 * 
 * @author DOMAINOVERSD
 *
 */
public abstract class AbstractBusinessRuleImpl implements BusinessRule {
    private ConceptMetadata meta;
    private String defaultMessage;

    /**Set MetaData.
     * @param meta - ConceptMetadata
     */
    @Override
    public void setMetadata(ConceptMetadata meta) {
        this.meta = meta;
    }

    /**Get Meta Data. 
     * 
     * @return meta
     */
    protected ConceptMetadata getMeta() {
        return meta;
    }

    /**Set Default Message.
     * 
     * @param defaultMessage - String
     */
    public void setDefaultMessage(String defaultMessage) {
        this.defaultMessage = defaultMessage;
    }

    /**Get Default Message.
     * 
     * @return defaultMessage
     */
    public String getDefaultMessage() {
        return defaultMessage;
    }

    /**No Value boolean Check.
     * 
     * @param obj - Object
     * @return boolean
     */
    protected boolean noValue(Object obj) {
        if (obj == null) {
            return true;
        }
        if (obj instanceof String && ((String) obj).trim().length() == 0) {
            return true;
        }
        return false;
    }

    /**Equals Method.
     * 
     * @param obj1 - Object
     * @param obj2 - Object
     * @return - novalue
     */
    protected boolean equal(Object obj1, Object obj2) {
        return noValue(obj1) ? noValue(obj2) : obj1.equals(obj2);
    }

}
