package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;
import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

import org.apache.log4j.Logger;

/**
 * All RequiredFields Rule entity Extended by AbstractBusiness Rule Impl.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class AllRequiredFieldsRule extends AbstractBusinessRuleImpl {
    private static final Logger LOGGER = Logger.getLogger(AllRequiredFieldsRule.class);

    @Override
    public ValidationResult validate(Object crt, Object prev) {
        ValidationResult res = new ValidationResult(this);
        ConceptMetadata meta = getMeta();
        for (ConceptField f : meta.getRequiredFields()) {
            if (noValue(f.getValue(crt))) {
                LOGGER.info("Field " + f.getName() + " was null for object " + crt);
                res.addMessage(f.getDisplayName() + " field is required");
            }
        }

        return res;
    }
}
