package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * AndTrigger implements BusinessRuleTrigger.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class AndTrigger implements BusinessRuleTrigger {
    private final BusinessRuleTrigger left;
    private final BusinessRuleTrigger right;

    /**
     * AndTrigger Constructor.
     * 
     * @param l
     *            - BusinessRule
     * @param r
     *            - BusinessRule
     */
    public AndTrigger(BusinessRuleTrigger l, BusinessRuleTrigger r) {
        left = l;
        right = r;
    }

    @Override
    public void setMetadata(ConceptMetadata meta) {
        left.setMetadata(meta);
        right.setMetadata(meta);
    }

    @Override
    public boolean shouldFire(Object crt, Object prev, String action) {
        return left.shouldFire(crt, prev, action) && right.shouldFire(crt, prev, action);
    }

}
