package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;
import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * FieldValueTrigger implements BusinessRuleTrigger.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class FieldValueTrigger implements BusinessRuleTrigger {
    private final String name;
    private final Object value;
    private ConceptField field;

    /**
     * FieldValueTrigger Constructor.
     * 
     * @param fieldName
     *            - String
     * @param fieldValue
     *            - Object
     */
    public FieldValueTrigger(String fieldName, Object fieldValue) {
        name = fieldName;
        value = fieldValue;
    }

    @Override
    public void setMetadata(ConceptMetadata meta) {
        field = meta.getField(name);
    }

    @Override
    public boolean shouldFire(Object crt, Object prev, String action) {
        Object v = field.getValue(crt);
        return value == null ? v == null : value.equals(v);
    }

}
