package gov.va.med.pharmacy.pecs.rules;

/**
 * A business rules validation class that validates text fields that are 4000 bytes in length.
 * 
 * @author vhaisaduffg
 *
 */
public class LargeTextFieldRule extends RegexRule {

    private static String VALIDATOR_REGEX = "(?s).{0,4000}";

    /**
     * Constructor.
     * 
     * @param fieldName the name of the field to validate
     * @param errorMessage the error message to return if validation is not successful
     */
    public LargeTextFieldRule(String fieldName, String errorMessage) {
        super(fieldName, VALIDATOR_REGEX, errorMessage);
    }
}
