package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * Not Trigger Class Implementing Business Rule Trigger.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class NotTrigger implements BusinessRuleTrigger {
    private final BusinessRuleTrigger trigger;

    /**
     * Not Trigger Constructor.
     * 
     * @param trigger
     *            - BusinessRuleTrigger
     */
    public NotTrigger(BusinessRuleTrigger trigger) {
        this.trigger = trigger;
    }

    @Override
    public void setMetadata(ConceptMetadata meta) {
        trigger.setMetadata(meta);
    }

    @Override
    public boolean shouldFire(Object crt, Object prev, String action) {
        return !trigger.shouldFire(crt, prev, action);
    }

}
