package gov.va.med.pharmacy.pecs.rules;

/**
 * A business rules validation class that validates Reference Text fields that are 1024 bytes in length.
 * 
 * @author vhaisaduffg
 * 
 */
public class ReferenceTextFieldRule extends RegexRule {

    private static String VALIDATOR_REGEX = "(?s).{0,1024}";
    private static final String ERROR_MESSAGE = "it can have at most 1024 characters";

    /**
     * Constructor.
     * 
     * @param fieldName
     *            the name of the field to validate
     */
    public ReferenceTextFieldRule(String fieldName) {
        super(fieldName, VALIDATOR_REGEX, ERROR_MESSAGE);
    }

}
