package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;

import org.apache.log4j.Logger;

/**
 * RequiredFieldRule.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class RequiredFieldRule extends AbstractBusinessRuleImpl {
    private static final Logger LOGGER = Logger.getLogger(RequiredFieldRule.class);
    private final String fieldName;

    /**
     * RequiredFieldRule.
     * 
     * @param name
     *            - String
     */
    public RequiredFieldRule(String name) {
        fieldName = name;
    }

    @Override
    public ValidationResult validate(Object crt, Object prev) {
        ValidationResult res = new ValidationResult(this);
        ConceptField f = getMeta().getField(fieldName);
        if (noValue(f.getValue(crt))) {
            LOGGER.info("Field " + fieldName + " was null for object " + crt);
            res.addMessage(f.getDisplayName() + " field is required");
        }

        return res;
    }

}
