package gov.va.med.pharmacy.pecs.service;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;
import gov.va.med.pharmacy.pecs.metadata.UserModifiableFieldMetadataDTO;

import java.util.ArrayList;
import java.util.List;

/**Metadata Service.
 * 
 * @author DOMAINOVERSD
 *
 */
public interface MetadataService {
    /**Get Metadata.
     * 
     * @param conceptClass - Class<?>
     * @return Metadata
     */
    ConceptMetadata getMetadata(Class<?> conceptClass);

    /**List of String object.
     * 
     * @return findConcepts
     */
    List<String> findConcepts();

    /**Array List with UserModifiable Field MetadataDTO.
     * 
     * @param conceptName - String
     * @return conceptName
     */
    ArrayList<UserModifiableFieldMetadataDTO> findByConcept(String conceptName);

    // UserModifiableFieldMetadata findById(long id);
    /**Modify Configuration.
     * 
     * @param metadata - List<UserModifiableFieldMetadataDTO>
     */
    void modifyConfiguration(List<UserModifiableFieldMetadataDTO> metadata);
}
