package gov.va.med.pharmacy.pecs.state;

/**
 * The class Status.
 * 
 * @author DOMAINDUNLOJ
 * 
 */
public final class Status {
    /**
     * The static STATUS_NEW stores String value of "New".
     */
    public static final String STATUS_NEW = "New";
    /**
     * The static STATUS_APPROVED stores String value of "Approved".
     */
    public static final String STATUS_APPROVED = "Approved";
    /**
     * The static STATUS_REVIEWED stores String value of "Reviewed".
     */
    public static final String STATUS_REVIEWED = "Reviewed";
    /**
     * The static STATUS_REJECTED stores String value of "Rejected".
     */
    public static final String STATUS_REJECTED = "Rejected";
    /**
     * The static STATUS_DELETED stores String value of "Deleted".
     */
    public static final String STATUS_DELETED = "Deleted";
    /**
     * The static STATUS_MODIFIED stores String value of "Modified".
     */
    public static final String STATUS_MODIFIED = "Modified";
    /**
     * The static STATUS_DELETE_REVIEWED stores String value of "Delete Reviewed".
     */
    public static final String STATUS_DELETE_REVIEWED = "Delete Reviewed";

    private int statusId;
    private String code;
    private String name;
    private String description;

    /**
     * Retrieves the Status Id.
     * 
     * @return int - the status id
     */
    public int getStatusId() {
        return statusId;
    }

    /**
     * Sets the Status Id.
     * 
     * @param id
     *            - the status id
     */
    public void setStatusId(int id) {
        this.statusId = id;
    }

    /**
     * Retrieves the code.
     * 
     * @return String - the code
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the code.
     * 
     * @param code
     *            of type String
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * Retrieves the Name of the Status.
     * 
     * @return String - the name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the Name of the Status.
     * 
     * @param name
     *            of Type string
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Retrieves the Description of the Status.
     * 
     * @return String - the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the Description of the Status.
     * 
     * @param description
     *            of Type String
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Returns a String representation of the object.
     * 
     * @return String -
     * 
     */
    @Override
    public String toString() {
        return "Status [getStatusId()=" + getStatusId() + ", getCode()=" + getCode() + ", getName()=" + getName()
                + ", getDescription()=" + getDescription() + "]";
    }

}
