package gov.va.med.pharmacy.pecs.state;

/**
 * Status Translator.
 * 
 * @author DOMAINOVERSD
 * 
 */
public interface StatusTranslator {
    /**
     * Translate String.
     * 
     * @param statusId
     *            - int
     * @return Interface StatusId
     */
    String translate(int statusId);

    /**
     * Translate String stateId.
     * 
     * @param stateId
     *            - String
     * @return translate
     * */
    int translate(String stateId);

    /**
     * Get Status By Code.
     * 
     * @param code
     *            - String
     * @return StatusByCode
     */
    Status getStatusByCode(String code);

    /**
     * Status By Id.
     * 
     * @param statusId
     *            - int
     * @return StatusById
     */
    Status getStatusById(int statusId);
}
