package gov.va.med.pharmacy.pecs.util;

/**
 * A class to hold UI information about a Label and Value pair. Can be used to build Select items or Anchors on the UI side.
 * 
 * @author vhaisaduffg
 * 
 */
public class LabelValue {
    private String label;
    private String value;

    /**
     * Basic Constructor for Label Value.
     * 
     */
    public LabelValue() {
    }

    /**
     * Advanced Constructor.
     * 
     * @param label
     *            - String
     * @param value
     *            - String
     */
    public LabelValue(String label, String value) {
        this.label = label;
        this.value = value;
    }

    /**
     * Getter for Label.
     * 
     * @return label
     */
    public final String getLabel() {
        return label;
    }

    /**
     * Setter for Label takes on parameter type String.
     * 
     * @param label
     *            - String
     */
    public final void setLabel(String label) {
        this.label = label;
    }

    /**
     * Getter for Value.
     * 
     * @return value
     */
    public final String getValue() {
        return value;
    }

    /**
     * Setter for Value takes one parameter type string.
     * 
     * @param value
     *            - String
     */
    public final void setValue(String value) {
        this.value = value;
    }

}
