package gov.va.med.pharmacy.pecs.util.config;

import java.util.Properties;

/**
 * A class used to build and hold Version information. The version is returned in the format: Major.Minor.Release.Build
 * 
 * @author localadmin
 * 
 */
public final class VersionInfo {

    private Properties versionProperties;

    /**
     * Get Version of Version Information.
     * 
     * @return version.toString()
     */
    public String getVersion() {
        StringBuilder version = new StringBuilder();
        if (versionProperties != null) {
            version.append(versionProperties.getProperty("major.rel.num"));
            version.append(".");
            version.append(versionProperties.getProperty("minor.rel.num"));
            version.append(".");
            version.append(versionProperties.getProperty("patch.rel.num"));
            version.append(".");
            version.append(versionProperties.getProperty("build.num"));
        }
        return version.toString();
    }

    /**
     * Get Version Properties.
     * 
     * @return versionProperties
     */
    public Properties getVersionProperties() {
        return versionProperties;
    }

    /**
     * Set VersionProperties.
     * 
     * @param versionProperties
     *            - Properties
     */
    public void setVersionProperties(Properties versionProperties) {
        this.versionProperties = versionProperties;
    }
}
