package gov.va.med.pharmacy.pecs.util.historyofchange;

/**
 * The Class DoseRangeReportOrder.
 */
public final class DoseRangeReportOrder {

    /**
     * Instantiates a new dose range report order.
     */
    private DoseRangeReportOrder() {
    }

    // If the order is changed please rearrange as needed.
    // 1 is located in PECS DTO
    /** The Constant CONCEPT_ID. */
    public static final int CONCEPT_ID = 2;

    /** The Constant CONCEPT_DESCRIPTION. */
    public static final int CONCEPT_DESCRIPTION = 3;

    /** The Constant CONCEPT_TYPE. */
    public static final int CONCEPT_TYPE = 4;

    /** The Constant AGE_LOW_IN_DAYS. */
    public static final int AGE_LOW_IN_DAYS = 5;

    /** The Constant AGE_HIGH_IN_DAYS. */
    public static final int AGE_HIGH_IN_DAYS = 6;

    /** The Constant DOSE_ROUTE_ID. */
    public static final int DOSE_ROUTE_ID = 7;

    /** The Constant DOSE_ROUTE_DESC. */
    public static final int DOSE_ROUTE_DESC = 8;

    /** The Constant DOSE_TYPE_ID. */
    public static final int DOSE_TYPE_ID = 9;

    /** The Constant DOSE_TYPE_DESC. */
    public static final int DOSE_TYPE_DESC = 10;

    /** The Constant FDBDX. */
    public static final int FDBDX = 11;

    /** The Constant DXID. */
    public static final int DXID = 12;

    /** The Constant DOSE_LOW. */
    public static final int DOSE_LOW = 13;

    /** The Constant DOSE_LOW_UNITS. */
    public static final int DOSE_LOW_UNITS = 14;

    /** The Constant DOSE_HIGH. */
    public static final int DOSE_HIGH = 15;

    /** The Constant DOSE_HIGH_UNITS. */
    public static final int DOSE_HIGH_UNITS = 16;

    /** The Constant DOSE_FORM_LOW. */
    public static final int DOSE_FORM_LOW = 17;

    /** The Constant DOSE_FORM_LOW_UNITS. */
    public static final int DOSE_FORM_LOW_UNITS = 18;

    /** The Constant DOSE_FORM_HIGH. */
    public static final int DOSE_FORM_HIGH = 19;

    /** The Constant DOSE_FORM_HIGH_UNITS. */
    public static final int DOSE_FORM_HIGH_UNITS = 20;

    /** The Constant FREQUENCY_LOW. */
    public static final int FREQUENCY_LOW = 21;

    /** The Constant FREQUENCY_HIGH. */
    public static final int FREQUENCY_HIGH = 22;

    /** The Constant DURATION_LOW. */
    public static final int DURATION_LOW = 23;

    /** The Constant DURATION_HIGH. */
    public static final int DURATION_HIGH = 24;

    /** The Constant MAX_DURATION. */
    public static final int MAX_DURATION = 25;

    /** The Constant MAX_SINGLE_DOSE. */
    public static final int MAX_SINGLE_DOSE = 26;

    /** The Constant MAX_SINGLE_DOSE_UNITS. */
    public static final int MAX_SINGLE_DOSE_UNITS = 27;

    /** The Constant MAX_SINGLE_DOSE_FORM. */
    public static final int MAX_SINGLE_DOSE_FORM = 28;

    /** The Constant MAX_SINGLE_DOSE_FORM_UNITS. */
    public static final int MAX_SINGLE_DOSE_FORM_UNITS = 29;

    /** The Constant MAX_SINGLE_NTE_DOSE. */
    public static final int MAX_SINGLE_NTE_DOSE = 30;

    /** The Constant MAX_SINGLE_NTE_DOSE_UNIT. */
    public static final int MAX_SINGLE_NTE_DOSE_UNIT = 31;

    /** The Constant MAX_SINGLE_NTE_DOSE_FORM. */
    public static final int MAX_SINGLE_NTE_DOSE_FORM = 32;

    /** The Constant MAX_SINGLE_NTE_DOSE_FORM_UNIT. */
    public static final int MAX_SINGLE_NTE_DOSE_FORM_UNIT = 33;

    /** The Constant MAX_DAILY_DOSE. */
    public static final int MAX_DAILY_DOSE = 34;

    /** The Constant MAX_DAILY_DOSE_UNITS. */
    public static final int MAX_DAILY_DOSE_UNITS = 35;

    /** The Constant MAX_DAILY_DOSE_FORM. */
    public static final int MAX_DAILY_DOSE_FORM = 36;

    /** The Constant MAX_DAILY_DOSE_FORM_UNITS. */
    public static final int MAX_DAILY_DOSE_FORM_UNITS = 37;

    /** The Constant MAX_LIFETIME_DOSE. */
    public static final int MAX_LIFETIME_DOSE = 38;

    /** The Constant MAX_LIFETIME_DOSE_UNITS. */
    public static final int MAX_LIFETIME_DOSE_UNITS = 39;

    /** The Constant MAX_LIFETIME_DOSE_FORM. */
    public static final int MAX_LIFETIME_DOSE_FORM = 40;

    /** The Constant MAX_LIFETIME_DOSE_FORM_UNITS. */
    public static final int MAX_LIFETIME_DOSE_FORM_UNITS = 41;

    /** The Constant DOSE_RATE_LOW. */
    public static final int DOSE_RATE_LOW = 42;

    /** The Constant DOSE_RATE_LOW_UNITS. */
    public static final int DOSE_RATE_LOW_UNITS = 43;

    /** The Constant DOSE_RATE_HIGH. */
    public static final int DOSE_RATE_HIGH = 44;

    /** The Constant DOSE_RATE_HIGH_UNITS. */
    public static final int DOSE_RATE_HIGH_UNITS = 45;

    /** The Constant DOSE_FORM_RATE_LOW. */
    public static final int DOSE_FORM_RATE_LOW = 46;

    /** The Constant DOSE_FORM_RATE_LOW_UNITS. */
    public static final int DOSE_FORM_RATE_LOW_UNITS = 47;

    /** The Constant DOSE_FORM_RATE_HIGH. */
    public static final int DOSE_FORM_RATE_HIGH = 48;

    /** The Constant DOSE_FORM_RATE_HIGH_UNITS. */
    public static final int DOSE_FORM_RATE_HIGH_UNITS = 49;

    /** The Constant MAX_SINGLE_DOSE_RATE. */
    public static final int MAX_SINGLE_DOSE_RATE = 50;

    /** The Constant MAX_SINGLE_DOSE_RATE_UNITS. */
    public static final int MAX_SINGLE_DOSE_RATE_UNITS = 51;

    /** The Constant MAX_SINGLE_DOSE_FORM_RATE. */
    public static final int MAX_SINGLE_DOSE_FORM_RATE = 52;

    /** The Constant MAX_SINGLE_DOSE_FORM_RATE_UNITS. */
    public static final int MAX_SINGLE_DOSE_FORM_RATE_UNITS = 53;

    /** The Constant MAX_DAILY_DOSE_RATE. */
    public static final int MAX_DAILY_DOSE_RATE = 54;

    /** The Constant MAX_DAILY_DOSE_RATE_UNITS. */
    public static final int MAX_DAILY_DOSE_RATE_UNITS = 55;

    /** The Constant MAX_DAILY_DOSE_FORM_RATE. */
    public static final int MAX_DAILY_DOSE_FORM_RATE = 56;

    /** The Constant MAX_DAILY_DOSE_FORM_RATE_UNITS. */
    public static final int MAX_DAILY_DOSE_FORM_RATE_UNITS = 57;

    /** The Constant HEPATIC_IMPAIRMENT_IND. */
    public static final int HEPATIC_IMPAIRMENT_IND = 58;

    /** The Constant RENAL_IMPAIRMENT_IND. */
    public static final int RENAL_IMPAIRMENT_IND = 59;

    /** The Constant CRCL_THRESHHOLD. */
    public static final int CRCL_THRESHHOLD = 60;

    /** The Constant CRCL_THRESHHOLD_UNITS. */
    public static final int CRCL_THRESHHOLD_UNITS = 61;

    /** The Constant LOW_ELIMINATION_HALF_LIFE. */
    public static final int LOW_ELIMINATION_HALF_LIFE = 62;

    /** The Constant HIGH_ELIMINATION_HALF_LIFE. */
    public static final int HIGH_ELIMINATION_HALF_LIFE = 63;

    /** The Constant HALF_LIFE_UNITS. */
    public static final int HALF_LIFE_UNITS = 64;

    /** The Constant WEIGHT_REQUIRED_IND. */
    public static final int WEIGHT_REQUIRED_IND = 65;

    /** The Constant BSA_REQUIRED_IND. */
    public static final int BSA_REQUIRED_IND = 66;

    /** The Constant REFERENCE_TEXT_REPORT_ORDER. */
    public static final int REFERENCE_TEXT_REPORT_ORDER = 67;

}
