package gov.va.med.pharmacy.pecs.service;

import gov.va.med.pharmacy.pecs.domain.impl.va.UserProfile;

/**
 * An Interface to define the methods needed to process Routed Generics that have
 * been deleted.  The implementation should look for Drug Pairs that are associated
 * to these Routed Generics and Delete those Drug Pairs.
 * 
 * @author vhaisaduffg
 *
 */
public interface DeletedRoutedGenericService {
    /**
     * The method to control the processing.
     * 
     * @param userProfile the profile of the logged in user
     */
    void process(UserProfile userProfile);
}
