package gov.va.med.pharmacy.pecs.service;

import gov.va.med.pharmacy.pecs.exception.CustomizationReportException;

import java.util.List;

/**
 * The Interface ReportService.
 */
public interface ReportService {

    /**
     * Find data.
     * 
     * @param reportName
     *            the report name
     * @return the list
     * @throws CustomizationReportException
     *             the customization report exception
     */
    public List<List<Object>> findData(String reportName) throws CustomizationReportException;

    /**
     * Find file name.
     * 
     * @param reportName
     *            the report name
     * @return the string
     * @throws CustomizationReportException
     *             the customization report exception
     */
    public String findFileName(String reportName) throws CustomizationReportException;
}
