package gov.va.med.pharmacy.pecs.service;

import java.util.List;

/**
 * The Interface RequestCountSupport.
 */
public interface RequestCountSupport {

    /**
     * Gets the counts by requestor and status.
     * 
     * @param userName
     *            the user name
     * @param status
     *            the status
     * @return the counts by requestor and status
     */
    public abstract int getCountsByRequestorAndStatus(String userName, String status);

    /**
     * Gets the counts by requestor and statuses.
     * 
     * @param userName
     *            the user name
     * @param status
     *            the status
     * @return the counts by requestor and statuses
     */
    public abstract int getCountsByRequestorAndStatuses(String userName, List<String> status);

    /**
     * Gets the counts by assigned and status.
     * 
     * @param userName
     *            the user name
     * @param status
     *            the status
     * @return the counts by assigned and status
     */
    public abstract int getCountsByAssignedAndStatus(String userName, String status);

    /**
     * Gets the counts by assigned and statuses.
     * 
     * @param userName
     *            the user name
     * @param status
     *            the status
     * @return the counts by assigned and statuses
     */
    public abstract int getCountsByAssignedAndStatuses(String userName, List<String> status);

    /**
     * Gets the counts by assigned and status.
     * 
     * @param userName
     *            the user name
     * @param status
     *            the status
     * @param actionUser
     *            the action user
     * @return the counts by assigned and status
     */
    public abstract int getCountsByAssignedAndStatus(String userName, String status, String actionUser);

    /**
     * Gets the counts by status.
     * 
     * @param status
     *            the status
     * @return the counts by status
     */
    public abstract int getCountsByStatus(String status);

}
