package gov.va.med.pharmacy.pecs.service.fdbreports;

import javax.annotation.Resource;

import org.springframework.scheduling.support.MethodInvokingRunnable;

/**
 * A class to hold configuration information for execution of the FdbUpdateReportService.
 * 
 * @author vhaisaduffg
 *
 */
public final class FdbReportsMethodInvokingRunnable extends MethodInvokingRunnable {

    private static final String TARGET_METHOD = "processUpdateFile";
    
    /**
     * Allows the target object to be set.
     * 
     * @param targetObject the target object on which to call the target method.
     */
    @Override
    @Resource(name="fdbUpdateReportServiceImpl")
    public void setTargetObject(Object targetObject) {
        super.setTargetObject(targetObject);
    }
    
    /**
     * Returns the target method to execute.
     * 
     * @return String
     */
    @Override
    public String getTargetMethod() {
        return TARGET_METHOD;
    }
}
