package gov.va.med.pharmacy.pecs.service.fdbreports;

import gov.va.med.pharmacy.pecs.domain.impl.va.FdbUpdateReport;

import java.util.List;

/**
 * The Interface FdbUpdateReportService.
 */
public interface FdbUpdateReportService {
    /**
     * Process the give FDB update file.
     */
    void processUpdateFile();

    /**
     * Gets the report.
     * 
     * @param reportId
     *            the report id
     * @return the report
     */
    public FdbUpdateReport getReport(Long reportId);

    /**
     * Gets the reports.
     * 
     * @return the reports
     */
    public List<FdbUpdateReport> getReports();

    /**
     * Delete report.
     * 
     * @param rpt
     *            the rpt
     */
    public void deleteReport(FdbUpdateReport rpt);

}
