package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.dto.DrugDrugInteractionDTO;
import gov.va.med.pharmacy.pecs.fdbreports.FdbUpdateRecord;
import gov.va.med.pharmacy.pecs.service.DrugDrugInteractionService;

import java.util.List;

/**
 * The Class DDIFdbUpdateDataAugmentation.
 */
public final class DDIFdbUpdateDataAugmentation extends FdbUpdateDataAugmentation {

    /** The Constant LOGGER. */
    // private static final Log LOGGER = LogFactory.getLog(DDIFdbUpdateDataAugmentation.class);

    /** The Constant INTERACTIONID. */
    private static final String INTERACTIONID = "interactionid";

    /** The service. */
    private final DrugDrugInteractionService service;

    /**
     * Instantiates a new dDI fdb update data augmentation.
     * 
     * @param service
     *            the service
     */
    public DDIFdbUpdateDataAugmentation(DrugDrugInteractionService service) {
        super(service.getDao(false));
        this.service = service;
    }

    @Override
    public List<DrugDrugInteractionDTO> findCorrespondingVaObjects(FdbUpdateRecord rec) {
        Long interactionid = (Long) rec.getValue(INTERACTIONID).getCurrentValueAsObject();

        return service.getStagingByFdbId(interactionid);

    }

}
