package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.dto.DrugPairDTO;
import gov.va.med.pharmacy.pecs.fdbreports.FdbUpdateRecord;
import gov.va.med.pharmacy.pecs.service.DrugPairService;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * The Class DPFdbUpdateDataAugmentation.
 */
public final class DPFdbUpdateDataAugmentation extends FdbUpdateDataAugmentation {

    /** The logger. */
    private final Log LOGGER = LogFactory.getLog(DPFdbUpdateDataAugmentation.class);

    /** The Constant INTERACTIONID. */
    private static final String INTERACTIONID = "interactionid";

    /** The service. */
    private final DrugPairService service;

    /**
     * Instantiates a new dP fdb update data augmentation.
     * 
     * @param service
     *            the service
     */
    public DPFdbUpdateDataAugmentation(DrugPairService service) {
        super(service.getDao(false));
        this.service = service;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * gov.va.med.pharmacy.pecs.service.fdbreports.impl.FdbUpdateDataAugmentation#findCorrespondingVaObjects(gov.va.med.pharmacy
     * .pecs.fdbreports.FdbUpdateRecord)
     */
    @Override
    public List<DrugPairDTO> findCorrespondingVaObjects(FdbUpdateRecord rec) {
        LOGGER.debug(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>I AM INSIDE findCorrespondingVaObjects ");
        Long interactionid = (Long) rec.getValue(INTERACTIONID).getCurrentValueAsObject();

        List<DrugPairDTO> dtos = service.getFdbData(interactionid);
        if (dtos.size() > 0) {
            LOGGER.debug(">>>>>>>>>>>>>>>>>>>>>>>>>>>>Records back from CTSTAING:" + dtos.size());

            for (Iterator<DrugPairDTO> iter = dtos.iterator(); iter.hasNext();) {
                DrugPairDTO dto = iter.next();

                if (!dto.isCurrent()) {
                    iter.remove();
                }
            }
        } else {
            dtos = new ArrayList<DrugPairDTO>();
        }
        return dtos;
    }

}
