package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import java.util.ArrayList;

/**
 * The Enum DRReportColumn.
 */
public enum DRReportColumn {

    /** The action status. */
    ACTION_STATUS("Action Status", "", 1),

    /** The action date. */
    ACTION_DATE("Action Date", "", 2),

    /** The datup will delete. */
    DATUP_WILL_DELETE("DATUP Will Delete", "", 3),

    /** The concept id number. */
    CONCEPT_ID_NUMBER("Concept ID Number", "conceptid", 4),

    /** The concept id description. */
    CONCEPT_ID_DESCRIPTION("Concept ID Description", "", 5),

    /** The concept type. */
    CONCEPT_TYPE("Concept Type", "concepttype", 6),

    /** The age low in days. */
    AGE_LOW_IN_DAYS("Age Low in Days", "agelowindays", 7),

    /** The age high in days. */
    AGE_HIGH_IN_DAYS("Age High in Days", "agehighindays", 8),

    /** The dose route id. */
    DOSE_ROUTE_ID("Dose Route", "doserouteid", 9),

    /** The dose type id. */
    DOSE_TYPE_ID(" Dose Type", "dosetypeid", 10),

    /** The fdbdx. */
    FDBDX("FDBDX", "fdbdx", 11),

    /** The hittype. */
    HITTYPE("HIT TYPE", "hittype", 12),

    /** The dxid. */
    DXID("DXID", "dxid", 13),

    /** The dose low. */
    DOSE_LOW("Dose Low", "doselow", 14),

    /** The dose low units. */
    DOSE_LOW_UNITS("Dose Low Units", "doselowunits", 15),

    /** The dose high. */
    DOSE_HIGH("Dose High", "dosehigh", 16),

    /** The dose high units. */
    DOSE_HIGH_UNITS("Dose High Units", "dosehighunits", 17),

    /** The dose form low. */
    DOSE_FORM_LOW("Dose Form Low", "doseformlow", 18),

    /** The dose form low units. */
    DOSE_FORM_LOW_UNITS("Dose Form Low Units", "doseformlowunits", 19),

    /** The dose form high. */
    DOSE_FORM_HIGH("Dose Form High", "doseformhigh", 20),

    /** The dose form high units. */
    DOSE_FORM_HIGH_UNITS("Dose Form High Units", "doseformhighunits", 21),

    /** The frequency low. */
    FREQUENCY_LOW("Frequency Low", "frequencylow", 22),

    /** The frequency high. */
    FREQUENCY_HIGH("Frequency High", "frequencyhigh", 23),

    /** The duration low. */
    DURATION_LOW("Duration Low", "durationlow", 24),

    /** The duration high. */
    DURATION_HIGH("Duration High", "durationhigh", 25),

    /** The maximum duration. */
    MAXIMUM_DURATION("Maximum Duration", "maxduration", 26),

    /** The maximum single dose. */
    MAXIMUM_SINGLE_DOSE("Maximum Single Dose", "maxsingledose", 27),

    /** The maximum single dose units. */
    MAXIMUM_SINGLE_DOSE_UNITS("Maximum Single Dose Units", "maxsingledoseunits", 28),

    /** The maximum single dose form. */
    MAXIMUM_SINGLE_DOSE_FORM("Maximum Single Dose Form", "maxsingledoseform", 29),

    /** The maximum single dose form units. */
    MAXIMUM_SINGLE_DOSE_FORM_UNITS("Maximum Single Dose Form Units", "maxsingledoseformunits", 30),

    /** The max single nte dose. */
    MAX_SINGLE_NTE_DOSE("Max Single NTE Dose", "ntesingledose", 31),

    /** The max single nte dose unit. */
    MAX_SINGLE_NTE_DOSE_UNIT("Max Single NTE Dose Unit", "ntesingledoseunits", 32),

    /** The max single nte dose form. */
    MAX_SINGLE_NTE_DOSE_FORM("Max Single NTE Dose Form", "ntesingledoseform", 33),

    /** The max single nte dose form unit. */
    MAX_SINGLE_NTE_DOSE_FORM_UNIT("Max Single NTE Dose Form Unit", "ntesingledoseformunits", 34),
    
    /** The maximum daily dose. */
    MAXIMUM_DAILY_DOSE("Maximum Daily Dose", "maxdailydose", 35),

    /** The maximum daily dose units. */
    MAXIMUM_DAILY_DOSE_UNITS("Maximum Daily Dose Units", "maxdailydoseunits", 36),

    /** The maximum daily dose form. */
    MAXIMUM_DAILY_DOSE_FORM("Maximum Daily Dose Form", "maxdailydoseform", 37),

    /** The maximum daily dose form units. */
    MAXIMUM_DAILY_DOSE_FORM_UNITS("Maximum Daily Dose Form Units", "maxdailydoseformunits", 38),

    /** The maximum lifetime dose. */
    MAXIMUM_LIFETIME_DOSE("Maximum Lifetime Dose", "maxlifetimedose", 39),

    /** The maximum lifetime dose units. */
    MAXIMUM_LIFETIME_DOSE_UNITS("Maximum Lifetime Dose Units", "maxlifetimedoseunits", 40),

    /** The maximum lifetime dose form. */
    MAXIMUM_LIFETIME_DOSE_FORM("Maximum Lifetime Dose Form", "maxlifetimedoseform", 41),

    /** The maximum lifetime dose form units. */
    MAXIMUM_LIFETIME_DOSE_FORM_UNITS("Maximum Lifetime Dose Form Units", "maxlifetimedoseformunits", 42),

    /** The dose rate low. */
    DOSE_RATE_LOW("Dose Rate Low", "doseratelow", 43),

    /** The dose rate low units. */
    DOSE_RATE_LOW_UNITS("Dose Rate Low Units", "doseratelowunits", 44),

    /** The dose rate high. */
    DOSE_RATE_HIGH("Dose Rate High", "doseratehigh", 45),

    /** The dose rate high units. */
    DOSE_RATE_HIGH_UNITS("Dose Rate High Units", "doseratehighunits", 46),

    /** The dose form rate low. */
    DOSE_FORM_RATE_LOW("Dose Form Rate Low", "doseformratelow", 47),

    /** The dose form rate low units. */
    DOSE_FORM_RATE_LOW_UNITS("Dose Form Rate Low Units", "doseformratelowunits", 48),

    /** The dose form rate high. */
    DOSE_FORM_RATE_HIGH("Dose Form Rate High", "doseformratehigh", 49),

    /** The dose form rate high units. */
    DOSE_FORM_RATE_HIGH_UNITS("Dose Form Rate High Units", "doseformratehighunits", 50),

    /** The maximum single dose rate. */
    MAXIMUM_SINGLE_DOSE_RATE("Maximum Single Dose Rate", "maxsingledoserate", 51),

    /** The maximum single dose rate units. */
    MAXIMUM_SINGLE_DOSE_RATE_UNITS("Maximum Single Dose Rate Units", "maxsingledoserateunits", 52),

    /** The maximum single dose form rate. */
    MAXIMUM_SINGLE_DOSE_FORM_RATE("Maximum Single Dose Form Rate", "maxsingledoseformrate", 53),

    /** The maximum single dose form rate units. */
    MAXIMUM_SINGLE_DOSE_FORM_RATE_UNITS("Maximum Single Dose Form Rate Units", "maxsingledoseformrateunits", 54),

    /** The maximum daily dose form rate. */
    MAXIMUM_DAILY_DOSE_FORM_RATE("Maximum Daily Dose Form Rate", "maxdailydoseformrate", 55),

    /** The maximum daily dose rate. */
    MAXIMUM_DAILY_DOSE_RATE("Maximum Daily Dose Rate", "maxdailydoserate", 56),

    /** The maximum daily dose form rate units. */
    MAXIMUM_DAILY_DOSE_FORM_RATE_UNITS("Maximum Daily Dose Form Rate Units", "", 57),

    /** The maximum daily dose rate units. */
    MAXIMUM_DAILY_DOSE_RATE_UNITS("Maximum Daily Dose Rate Units", "maxdailydoserateunits", 58),

    /** The hepatic impairment indicator. */
    HEPATIC_IMPAIRMENT_INDICATOR("Hepatic Impairment Indicator", "hepaticimpairmentind", 59),

    /** The renal impairment indicator. */
    RENAL_IMPAIRMENT_INDICATOR("Renal Impairment Indicator", "renalimpairmentind", 60),

    /** The crcl threshold. */
    CRCL_THRESHOLD("CRCL Threshold", "crclthreshhold", 61),

    /** The crcl threshold units. */
    CRCL_THRESHOLD_UNITS("CRCL Threshold Units", "crclthreshholdunits", 62),

    /** The low elimination half life. */
    LOW_ELIMINATION_HALF_LIFE("Low Elimination Half Life", "loweliminationhalflife", 63),

    /** The high elimination half life. */
    HIGH_ELIMINATION_HALF_LIFE("High Elimination Half Life", "higheliminationhalflife", 64),

    /** The half life units. */
    HALF_LIFE_UNITS("Half Life Units", "halflifeunits", 65),

    /** The weight required indicator. */
    WEIGHT_REQUIRED_INDICATOR("Weight Required Indicator", "weightrequiredind", 66),

    /** The bsa required indicator. */
    BSA_REQUIRED_INDICATOR("BSA Required Indicator", "bsarequiredind", 67);

    /** The headers. */
    public static ArrayList<String> headers = new ArrayList<String>();

    /** The label. */
    private final String label;

    /** The index. */
    private final int index;

    /** The update key. */
    private final String updateKey;

    /**
     * Instantiates a new dR report column.
     * 
     * @param label
     *            the column label
     * @param updateKey
     *            the update key
     * @param index
     *            the column index
     */
    private DRReportColumn(String label, String updateKey, int index) {
        this.label = label;
        this.index = index;
        this.updateKey = updateKey;

    }

    /**
     * Returns the label for the column.
     * 
     * @return the label
     */
    public String label() {
        return label;
    }

    /**
     * Returns the index for the column.
     * 
     * @return the index
     */
    public int index() {
        return index;
    }

    /**
     * Return the key to the update record.
     * 
     * @return an key to the update record if it is an FDB field. empty string if it is custom.
     */
    public String updateKey() {
        return updateKey;
    }

    static {
        for (DRReportColumn column : values()) {
            headers.add(column.label);
        }
    }

}
