package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.dto.DuplicateTherapyDTO;
import gov.va.med.pharmacy.pecs.fdbreports.FdbUpdateRecord;
import gov.va.med.pharmacy.pecs.service.DuplicateTherapyService;

import java.util.Iterator;
import java.util.List;

/**
 * The Class DTFdbUpdateDataAugmentation.
 */
public final class DTFdbUpdateDataAugmentation extends FdbUpdateDataAugmentation {

    /** The Constant DTCID. */
    private static final String DTCID = "dtcid";
    // private static final String CUSTOMSTRING = "customstring";
    // private static final String CUSTOMDUPALLOWANCE = "customdupallowance";

    /** The service. */
    private final DuplicateTherapyService service;

    /**
     * Instantiates a new dT fdb update data augmentation.
     * 
     * @param service
     *            the service
     */
    public DTFdbUpdateDataAugmentation(DuplicateTherapyService service) {
        super(service.getDao(false));
        this.service = service;
    }

    @Override
    public List<DuplicateTherapyDTO> findCorrespondingVaObjects(FdbUpdateRecord rec) {
        Long dtcid = (Long) rec.getValue(DTCID).getCurrentValueAsObject();

        List<DuplicateTherapyDTO> dtos = service.getStagingData(dtcid);

        for (Iterator<DuplicateTherapyDTO> iter = dtos.iterator(); iter.hasNext();) {
            DuplicateTherapyDTO dto = iter.next();

            if (!dto.isCurrent()) {
                iter.remove();
            }
        }
        return dtos;
    }

}
