package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import java.util.ArrayList;

/**
 * Represents a column in the excel report.
 * 
 * @author VHAISACARUSR
 * 
 */
public enum DTReportColumn {
    /**
     * the action status.
     */
    ACTION_STATUS("Action Status", "", 1),

    /** The aciton date. */
    ACITON_DATE("Action Date", "", 2),

    /** The datup delete. */
    DATUP_DELETE("DATUP Will Delete", "", 3),

    /** The dtcid. */
    DTCID("DTCID", "dtcid", 4),

    /** The dup allowance. */
    DUP_ALLOWANCE("Dup Allowance", "duplicationallowance", 5),

    /** The description. */
    DESCRIPTION("Description", "description1", 6);

    /** The headers. */
    public static ArrayList<String> headers = new ArrayList<String>();

    /** The label. */
    private final String label;

    /** The index. */
    private final int index;

    /** The update key. */
    private final String updateKey;

    /**
     * Instantiates a new dT report column.
     * 
     * @param label
     *            the column label
     * @param updateKey
     *            the update key
     * @param index
     *            the column index
     */
    private DTReportColumn(String label, String updateKey, int index) {
        this.label = label;
        this.index = index;
        this.updateKey = updateKey;

    }

    /**
     * Returns the label for the column.
     * 
     * @return the label
     */
    public String label() {
        return label;
    }

    /**
     * Returns the index for the column.
     * 
     * @return the index
     */
    public int index() {
        return index;
    }

    /**
     * Return the key to the update record.
     * 
     * @return an key to the update record if it is an FDB field. empty string if it is custom.
     */
    public String updateKey() {
        return updateKey;
    }

    static {
        for (DTReportColumn column : values()) {
            headers.add(column.label);
        }
    }

}
