/**
 * 
 */
package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.fdbreports.ExcelUpdateReportHelper;
import gov.va.med.pharmacy.pecs.fdbreports.FdbUpdateParser;
import gov.va.med.pharmacy.pecs.service.DoseRangeService;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

/**
 * Processes the Dose Range Comparison Report.
 * 
 * @author VHAISACARUSR
 * 
 */
@Component
public final class DoseRangeComparisonReportProcessor extends AbstractComparisonReportProcessor {
    private static final String UPDATE_FILE = "FDBDOSING.UPD";
    private static final String DR_CONCEPT_KEY = "DR";
    @Resource
    private DoseRangeService doseRangeService;
    @Resource
    private DoseRangeReportGenerator doseRangeReportGenerator;
    @Resource
    private DRFdbUpdateDataAgumentaion drFdbUpdateDataAgumentaion;

    @Override
    public void processComparisonReport(FdbUpdateParser parser) {
        File file = null;
        ObjectInputStream input = null;
        try {
            file = parser.parseConcept(UPDATE_FILE);
        } catch (IOException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        try {
            input = new ObjectInputStream(new FileInputStream(file));
        } catch (FileNotFoundException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } catch (IOException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }

        drFdbUpdateDataAgumentaion.setInput(input);

        ExcelUpdateReportHelper helper = null;
        try {
            helper = doseRangeReportGenerator.generateReport(parser.getFdbIssueDate());
        } catch (Exception e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        String fileNameToSave = "DRReport.xlsx";
        saveReport(helper, fileNameToSave, DR_CONCEPT_KEY);
        getComparisonReportUtility().cleanup();
    }

    /**
     * Gets the doseRangeService.
     * 
     * @return the doseRangeService
     */
    public DoseRangeService getDoseRangeService() {
        return doseRangeService;
    }

    /**
     * Sets the doseRangeService.
     * 
     * @param doseRangeService
     *            the doseRangeService to set
     */
    public void setDoseRangeService(DoseRangeService doseRangeService) {
        this.doseRangeService = doseRangeService;
    }

    /**
     * Gets the doseRangeReportGenerator.
     * 
     * @return the doseRangeReportGenerator
     */
    public DoseRangeReportGenerator getDoseRangeReportGenerator() {
        return doseRangeReportGenerator;
    }

    /**
     * Sets the doseRangeReportGenerator.
     * 
     * @param doseRangeReportGenerator
     *            the doseRangeReportGenerator to set
     */
    public void setDoseRangeReportGenerator(DoseRangeReportGenerator doseRangeReportGenerator) {
        this.doseRangeReportGenerator = doseRangeReportGenerator;
    }

    /**
     * Gets the drFdbUpdateDataAgumentaion.
     * 
     * @return the drFdbUpdateDataAgumentaion
     */
    public DRFdbUpdateDataAgumentaion getDrFdbUpdateDataAgumentaion() {
        return drFdbUpdateDataAgumentaion;
    }

    /**
     * Sets the drFdbUpdateDataAgumentaion.
     * 
     * @param drFdbUpdateDataAgumentaion
     *            the drFdbUpdateDataAgumentaion to set
     */
    public void setDrFdbUpdateDataAgumentaion(DRFdbUpdateDataAgumentaion drFdbUpdateDataAgumentaion) {
        this.drFdbUpdateDataAgumentaion = drFdbUpdateDataAgumentaion;
    }

}
