package gov.va.med.pharmacy.pecs.service.reports;

import java.util.List;

/**
 * The Interface IReport.
 * 
 * @author rick.bloyer
 */
public interface IReport {
    /**
     * Default report names for the Total Customization Reports, used by the ReportFactory.
     */
    public static String TOTAL_CUSTOMIZATION_DTCAT = "Duplicate_Therapy_Total_Customization_Report";

    /** The total customization dosing. */
    public static String TOTAL_CUSTOMIZATION_DOSING = "Dosing_Total_Customization_Report";
    // public static String TOTAL_CUSTOMIZATION_DDIM = "Ddim_Total_Customization_Report";
    /** The total customization ddiminteraction. */
    public static String TOTAL_CUSTOMIZATION_DDIMINTERACTION = "Ddiminteraction_Total_Customization_Report";

    /** The total customization monograph. */
    public static String TOTAL_CUSTOMIZATION_MONOGRAPH = "Monograph_Total_Customization_Report";

    /** The deleted monograph customization report. */
    public static String DELETED_MONOGRAPH_CUSTOMIZATION_REPORT = "Deleted_Monograph_Customization_Report";

    /** The null drug drug pairs customization report. */
    public static String NULL_DRUG_DRUG_PAIRS_CUSTOMIZATION_REPORT = "Null_Drug_Drug_Pairs_Customization_Report";

    /**
     * Find data.
     * 
     * @return the list
     */
    public List<List<Object>> findData();

    /**
     * Gets the file name.
     * 
     * @return the file name
     */
    public String getFileName();

}
