<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tags" prefix="pecs"%>

<h1 class="titleBar">
	<span class="headerText"> <spring:message
			code="dosing.wizard.titlebar.modify.customize" /> <c:if
			test="${not doseRangeDTO.current}">
		(read-only)
	</c:if>
	</span>
	<pecs:pageHelp topic="<%=HelpTopics.DOSE_RANGE%>" />
</h1>


<pecs:userMessages modelAttribute="doseRangeDTO" errorType="all" />

<c:if test="${not doseRangeDTO.readOnlyRecord}">
	<div id="editInfo" class="noneditable">
		<ul>
			<li><spring:message code="detail.message.edit" /></li>
		</ul>
	</div>
	<tiles:insertAttribute name="cancelEditTopButtons" />
</c:if>


<c:set var="isFdb" value="false" />
<c:if test="${empty doseRangeDTO.status}">
	<c:set var="isFdb" value="true" />
</c:if>
<div id="userCommentButtonContainer1" class="buttons">
	<c:if test="${showCommentButton}">
		<c:if test="${sessionUser.approver}">
			<button type="button" class="buttons noneditable"
				id="userCommentButton">
				<spring:message code="wizard.button.usercustomcomment" />
			</button>
		</c:if>
	</c:if>
</div>
<div class="button-container">
	<c:if test="${not isFdb }">
		<c:if test="${doseRangeDTO.current }">
			<pecs:history />
		</c:if>
	</c:if>
	<pecs:print />
</div>



<form:form action="" commandName="doseRangeDTO" method="POST">
	<input type="hidden" name="concept" id="concept" value="DOSE_RANGE" />

	<div></div>

	<div id="list" style="clear: both"></div>
	<form:hidden path="doseRangeId" id="interaction" />
	<form:hidden path="fdbCustomDosingVaId" />
	<c:if test="%{current}">
		<div class="buttons">
			<button type="submit" value="DoseRange" name="wizardButton">
				<spring:message code="wizard.button.doseRange" />
			</button>
		</div>
	</c:if>
	<c:if test="${not doseRangeDTO.readOnlyRecord}">
		<tiles:insertAttribute name="cancelEditBottomButtons" />
	</c:if>
	<div id="userCommentButtonContainer2" class="buttons">
		<c:if test="${showCommentButton}">
			<c:if test="${sessionUser.approver}">
				<button type="button" class="buttons noneditable"
					id="userCommentButton2">
					<spring:message code="wizard.button.usercustomcomment" />
				</button>
			</c:if>
		</c:if>
	</div>
	<div class="button-container">
		<c:if test="${not isFdb }">
			<c:if test="${doseRangeDTO.current }">
				<pecs:history />
			</c:if>
		</c:if>
		<pecs:print />
	</div>

	<tiles:insertAttribute name="buttons" />

	<br>
	<br>
	<br>


	<!--  total number of fields to display is 12 -->
	<pecs:textareaRequired name="CURRENT_ACTION_REASON"
		fieldInfo="${ fieldMap['CURRENT_ACTION_REASON']}"
		property="currentActionReason" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.currentActionReason }" />
	<pecs:text name="CONCEPTTYPE" fieldInfo="${ fieldMap['CONCEPTTYPE']}"
		property="concepttype" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.concepttype }" />
	<pecs:text name="CONCEPTID" len="10"
		fieldInfo="${ fieldMap['CONCEPTID']}" property="conceptid"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.conceptid }" />
	<pecs:textarea name="CONCEPTDESCRIPTION"
		fieldInfo="${ fieldMap['CONCEPTDESCRIPTION']}"
		property="conceptDescription" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.conceptDescription }" />
	<pecs:text name="AGELOWINDAYS" len="10"
		fieldInfo="${ fieldMap['AGELOWINDAYS']}" property="agelowindays"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.agelowindays }" />
	<pecs:text name="AGEHIGHINDAYS" len="10"
		fieldInfo="${ fieldMap['AGEHIGHINDAYS']}" property="agehighindays"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.agehighindays }" />
	<pecs:selectGeneric name="DOSEROUTEID"
		fieldInfo="${ fieldMap['DOSEROUTEID']}" list="${routes }"
		label="uiLabel" value="code" property="doserouteid"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doserouteid}" />
	<pecs:selectGeneric name="DOSETYPEID"
		fieldInfo="${ fieldMap['DOSETYPEID']}" list="${types }"
		label="uiLabel" value="code" property="dosetypeid"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.dosetypeid}" />

	<pecs:text name="FDBDX" fieldInfo="${ fieldMap['FDBDX']}"
		property="fdbdx" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.fdbdx }" />

	<pecs:text name="DOSELOW" len="10" fieldInfo="${ fieldMap['DOSELOW']}"
		property="doselow" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doselow }" />
	<pecs:selectGeneric name="DOSELOWUNITS"
		fieldInfo="${ fieldMap['DOSELOWUNITS']}" list="${units }" label="name"
		value="name" property="doselowunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doselowunits}" />

	<pecs:text name="DOSEHIGH" len="10"
		fieldInfo="${ fieldMap['DOSEHIGH']}" property="dosehigh"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.dosehigh}" />
	<pecs:selectGeneric name="DOSEHIGHUNITS"
		fieldInfo="${ fieldMap['DOSEHIGHUNITS']}" list="${units }"
		label="name" value="name" property="dosehighunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.current}" />

	<pecs:text name="DOSEFORMLOW" len="10"
		fieldInfo="${ fieldMap['DOSEFORMLOW']}" property="doseformlow"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseformlow}" />
	<pecs:selectGeneric name="DOSEFORMLOWUNITS"
		fieldInfo="${ fieldMap['DOSEFORMLOWUNITS']}" list="${units }"
		label="name" value="name" property="doseformlowunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseformlowunits}" />

	<pecs:text name="DOSEFORMHIGH" len="10"
		fieldInfo="${ fieldMap['DOSEFORMHIGH']}" property="doseformhigh"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseformhigh}" />
	<pecs:selectGeneric name="DOSEFORMHIGHUNITS"
		fieldInfo="${ fieldMap['DOSEFORMHIGHUNITS']}" list="${units }"
		label="name" value="name" property="doseformhighunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseformhighunits}" />

	<pecs:text name="MAXSINGLEDOSE" len="10"
		fieldInfo="${ fieldMap['MAXSINGLEDOSE']}" property="maxsingledose"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxsingledose}" />
	<pecs:selectGeneric name="MAXSINGLEDOSEUNITS"
		fieldInfo="${ fieldMap['MAXSINGLEDOSEUNITS']}" list="${units }"
		label="name" value="name" property="maxsingledoseunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxsingledoseunits}" />

	<pecs:text name="MAXSINGLEDOSEFORM" len="10"
		fieldInfo="${ fieldMap['MAXSINGLEDOSEFORM']}"
		property="maxsingledoseform" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxsingledoseform}" />
	<pecs:selectGeneric name="MAXSINGLEDOSEFORMUNITS"
		fieldInfo="${ fieldMap['MAXSINGLEDOSEFORMUNITS']}" list="${units }"
		label="name" value="name" property="maxsingledoseformunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxsingledoseformunits}" />

	<pecs:text name="MAXDAILYDOSE" len="10"
		fieldInfo="${ fieldMap['MAXDAILYDOSE']}" property="maxdailydose"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxdailydose}" />
	<pecs:selectGeneric name="MAXDAILYDOSEUNITS"
		fieldInfo="${ fieldMap['MAXDAILYDOSEUNITS']}" list="${units }"
		label="name" value="name" property="maxdailydoseunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxdailydoseunits}" />

	<pecs:text name="MAXDAILYDOSEFORM" len="10"
		fieldInfo="${ fieldMap['MAXDAILYDOSEFORM']}"
		property="maxdailydoseform" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxdailydoseform}" />
	<pecs:selectGeneric name="MAXDAILYDOSEFORMUNITS"
		fieldInfo="${ fieldMap['MAXDAILYDOSEFORMUNITS']}" list="${units }"
		label="name" value="name" property="maxdailydoseformunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxdailydoseformunits}" />

	<pecs:text name="MAXLIFETIMEDOSE" len="10"
		fieldInfo="${ fieldMap['MAXLIFETIMEDOSE']}" property="maxlifetimedose"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxlifetimedose }" />
	<pecs:selectGeneric name="MAXLIFETIMEDOSEUNITS"
		fieldInfo="${ fieldMap['MAXLIFETIMEDOSEUNITS']}" list="${units }"
		label="name" value="name" property="maxlifetimedoseunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxlifetimedoseunits }" />

	<pecs:text name="MAXLIFETIMEDOSEFORM" len="10"
		fieldInfo="${ fieldMap['MAXLIFETIMEDOSEFORM']}"
		property="maxlifetimedoseform" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxlifetimedoseform}" />
	<pecs:selectGeneric name="MAXLIFETIMEDOSEFORMUNITS"
		fieldInfo="${ fieldMap['MAXLIFETIMEDOSEFORMUNITS']}" list="${units }"
		label="name" value="name" property="maxlifetimedoseformunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxlifetimedoseformunits}" />

	<pecs:text name="LOWELIMINATIONHALFLIFE" len="10"
		fieldInfo="${ fieldMap['LOWELIMINATIONHALFLIFE']}"
		property="loweliminationhalflife"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.loweliminationhalflife}" />
	<pecs:text name="HIGHELIMINATIONHALFLIFE" len="10"
		fieldInfo="${ fieldMap['HIGHELIMINATIONHALFLIFE']}"
		property="higheliminationhalflife"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.higheliminationhalflife}" />

	<pecs:selectGeneric name="HALFLIFEUNITS"
		fieldInfo="${ fieldMap['HALFLIFEUNITS']}" list="${halfLifeUnits }"
		label="name" value="name" property="halflifeunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.halflifeunits}" />

	<pecs:text name="FREQUENCYLOW" len="10"
		fieldInfo="${ fieldMap['FREQUENCYLOW']}" property="frequencylow"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.frequencylow}" />
	<pecs:text name="FREQUENCYHIGH" len="10"
		fieldInfo="${ fieldMap['FREQUENCYHIGH']}" property="frequencyhigh"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.frequencyhigh}" />
	<pecs:text name="DURATIONLOW" len="10"
		fieldInfo="${ fieldMap['DURATIONLOW']}" property="durationlow"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.durationlow}" />
	<pecs:text name="DURATIONHIGH" len="10"
		fieldInfo="${ fieldMap['DURATIONHIGH']}" property="durationhigh"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.durationhigh}" />
	<pecs:text name="MAXDURATION" len="10"
		fieldInfo="${ fieldMap['MAXDURATION']}" property="maxduration"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxduration}" />
	<pecs:text name="HEPATICIMPAIRMENTIND" len="6"
		fieldInfo="${ fieldMap['HEPATICIMPAIRMENTIND']}"
		property="hepaticimpairmentind" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.hepaticimpairmentind}" />
	<pecs:text name="RENALIMPAIRMENTIND" len="6"
		fieldInfo="${ fieldMap['RENALIMPAIRMENTIND']}"
		property="renalimpairmentind" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.renalimpairmentind}" />

	<pecs:text name="CRCLTHRESHHOLD" len="6"
		fieldInfo="${ fieldMap['CRCLTHRESHHOLD']}" property="crclthreshhold"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.crclthreshhold }" />
	<pecs:selectGeneric name="CRCLTHRESHHOLDUNITS"
		fieldInfo="${ fieldMap['CRCLTHRESHHOLDUNITS']}" list="${units }"
		label="name" value="name" property="crclthreshholdunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.crclthreshholdunits}" />

	<pecs:text name="WEIGHTREQUIREDIND" len="6"
		fieldInfo="${ fieldMap['WEIGHTREQUIREDIND']}"
		property="weightrequiredind" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.weightrequiredind }" />
	<pecs:text name="BSAREQUIREDIND" len="6"
		fieldInfo="${ fieldMap['BSAREQUIREDIND']}" property="bsarequiredind"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.bsarequiredind }" />

	<pecs:text name="DOSERATELOW" len="10"
		fieldInfo="${ fieldMap['DOSERATELOW']}" property="doseratelow"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseratelow}" />
	<pecs:selectGeneric name="DOSERATELOWUNITS"
		fieldInfo="${ fieldMap['DOSERATELOWUNITS']}" list="${units }"
		label="name" value="name" property="doseratelowunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseratelowunits }" />

	<pecs:text name="DOSERATEHIGH" len="10"
		fieldInfo="${ fieldMap['DOSERATEHIGH']}" property="doseratehigh"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseratehigh}" />
	<pecs:selectGeneric name="DOSERATEHIGHUNITS"
		fieldInfo="${ fieldMap['DOSERATEHIGHUNITS']}" list="${units }"
		label="name" value="name" property="doseratehighunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseratehighunits}" />

	<pecs:text name="DOSEFORMRATELOW" len="10"
		fieldInfo="${ fieldMap['DOSEFORMRATELOW']}" property="doseformratelow"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseformratelow}" />
	<pecs:selectGeneric name="DOSEFORMRATELOWUNITS"
		fieldInfo="${ fieldMap['DOSEFORMRATELOWUNITS']}" list="${units }"
		label="name" value="name" property="doseformratelowunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseformratelowunits}" />

	<pecs:text name="DOSEFORMRATEHIGH" len="10"
		fieldInfo="${ fieldMap['DOSEFORMRATEHIGH']}"
		property="doseformratehigh" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.doseformratehigh}" />
	<pecs:selectGeneric name="DOSEFORMRATEHIGHUNITS"
		fieldInfo="${ fieldMap['DOSEFORMRATEHIGHUNITS']}" list="${units }"
		label="name" value="name" property="doseformratehighunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.doseformratehighunits}" />

	<pecs:text name="MAXSINGLEDOSERATE" len="10"
		fieldInfo="${ fieldMap['MAXSINGLEDOSERATE']}"
		property="maxsingledoserate" isCurrentRec="${doseRangeDTO.current}"
		value="${ doseRangeDTO.maxsingledoserate}" />
	<pecs:selectGeneric name="MAXSINGLEDOSERATEUNITS"
		fieldInfo="${ fieldMap['MAXSINGLEDOSERATEUNITS']}" list="${units }"
		label="name" value="name" property="maxsingledoserateunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxsingledoserateunits}" />

	<pecs:text name="MAXSINGLEDOSEFORMRATE" len="10"
		fieldInfo="${ fieldMap['MAXSINGLEDOSEFORMRATE']}"
		property="maxsingledoseformrate"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxsingledoseformrate}" />
	<pecs:selectGeneric name="MAXSINGLEDOSEFORMRATEUNITS"
		fieldInfo="${ fieldMap['MAXSINGLEDOSEFORMRATEUNITS']}"
		list="${units }" label="name" value="name"
		property="maxsingledoseformrateunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxsingledoseformrateunits}" />

	<pecs:text name="MAXDAILYDOSERATE" len="10"
		fieldInfo="${ fieldMap['MAXDAILYDOSERATE']}"
		property="maxdailydoserate" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxdailydoserate}" />
	<pecs:selectGeneric name="MAXDAILYDOSERATEUNITS"
		fieldInfo="${ fieldMap['MAXDAILYDOSERATEUNITS']}" list="${units }"
		label="name" value="name" property="maxdailydoserateunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxdailydoserateunits}" />

	<pecs:text name="MAXDAILYDOSEFORMRATE" len="10"
		fieldInfo="${ fieldMap['MAXDAILYDOSEFORMRATE']}"
		property="maxdailydoseformrate" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxdailydoseformrate}" />
	<pecs:selectGeneric name="MAXDAILYDOSEFORMRATEUNITS"
		fieldInfo="${ fieldMap['MAXDAILYDOSEFORMRATEUNITS']}" list="${units }"
		label="name" value="name" property="maxdailydoseformrateunits"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxdailydoseformrateunits}" />
	<pecs:text name="DXID" fieldInfo="${ fieldMap['DXID']}" property="dxid"
		isCurrentRec="${doseRangeDTO.current}" value="${doseRangeDTO.dxid}" />
	<pecs:text name="ACTION_DATE_DISPLAY_STRING" fieldInfo="${ fieldMap['ACTION_DATE_DISPLAY_STRING']}"
		property="actionDateDisplayString" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.actionDateDisplayString}" isFdb="${isFdb }" />
	<pecs:text name="EXPORT_DATE_DISPLAY_STRING" fieldInfo="${fieldMap['EXPORT_DATE_DISPLAY_STRING'] }"
		property="exportDateDisplayString" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.exportDateDisplayString}" isFdb="${isFdb }" />
	<pecs:textarea name="ACTION_REASON"
		fieldInfo="${ fieldMap['ACTION_REASON']}" property="actionReason"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.actionReason}" isFdb="${isFdb }" />
	<pecs:text name="ACTION_BY" fieldInfo="${ fieldMap['ACTION_BY']}"
		property="actionBy" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.actionBy}" isFdb="${isFdb }" />
	<pecs:text name="ACTION_STATUS"
		fieldInfo="${ fieldMap['ACTION_STATUS']}" property="status"
		isCurrentRec="${doseRangeDTO.current}" value="${doseRangeDTO.status}"
		isFdb="${isFdb }" />
	<pecs:text name="REQUESTOR" fieldInfo="${ fieldMap['REQUESTOR']}"
		property="requestor" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.requestor}" isFdb="${isFdb }" />
	<pecs:textarea name="REFERENCE_TEXT"
		fieldInfo="${ fieldMap['REFERENCE_TEXT']}" property="referenceText"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.referenceText}" />
	<pecs:select name="ASSIGNED_TO" fieldInfo="${ fieldMap['ASSIGNED_TO']}"
		list="${userList }" property="assignedTo"
		isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.assignedTo}" />

	<pecs:text name="MAXSINGLENTEDOSE"
		fieldInfo="${ fieldMap['MAXSINGLENTEDOSE']}"
		property="maxSingleNTEDose" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxSingleNTEDose}" isFdb="${isFdb }" />
	<pecs:selectGeneric name="MAXSINGLENTEDOSEUNIT"
		fieldInfo="${ fieldMap['MAXSINGLENTEDOSEUNIT']}" list="${units }"
		label="name" value="name" property="maxSingleNTEDoseUnit"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxSingleNTEDoseUnit}" />


	<pecs:text name="MAXSINGLENTEDOSEFORM"
		fieldInfo="${ fieldMap['MAXSINGLENTEDOSEFORM']}"
		property="maxSingleNTEDoseForm" isCurrentRec="${doseRangeDTO.current}"
		value="${doseRangeDTO.maxSingleNTEDoseForm}" isFdb="${isFdb }" />
	<pecs:selectGeneric name="MAXSINGLENTEDOSEFORMUNIT"
		fieldInfo="${ fieldMap['MAXSINGLENTEDOSEFORMUNIT']}" list="${units }"
		label="name" value="name" property="maxSingleNTEDoseFormUnit"
		isCurrentRec="${doseRangeDTO.current}"
		selectedValue="${doseRangeDTO.maxSingleNTEDoseFormUnit}" />
	<pecs:userComment fieldInfo="${ fieldMap['USER_COMMENT_HISTORY'] }"
		commentHistory="${doseRangeDTO.listOfComments }"
		property="listOfComments"></pecs:userComment>



</form:form>
<br />
