<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<c:set var="isFdb" value="false" />
<c:if test="${empty drugPairDTO.status}">
	<c:set var="isFdb" value="true" />
</c:if>
<h1 class="titleBar">
	<span class="headerText"> <c:choose>
			<c:when test="${useOpenButtons}">
            Drug-Drug Interaction 
        </c:when>
			<c:otherwise>
				<spring:message code="ddim.wizard.titlebar.create.customize" />
			</c:otherwise>
		</c:choose> <c:if test="${not drugPairDTO.current}">
        (read-only)
    </c:if> <c:if test="${drugPairDTO.current}">
        (Active read-only)
    </c:if>
	</span>
	<c:set var="readOnly" value="true" />
	<c:set var="grayTextReadOnly" value="true" />
	<c:set var="grayTextReadOnly" value="true" />
	<c:set var="readonlyColor" value="true" />
	<pecs:pageHelp topic="<%=HelpTopics.SINGLE_DRUG_DRUG_PAIR_DETAIL%>" />
</h1>

<br>
<div class="inputbuttons">
	<input type="button" style="float: right; width: auto;" name="print"
		value="Print Page" onClick="javascript:window.print()" />
</div>

<pecs:userMessages modelAttribute="drugPairDTO" />

<form:form
	action="/ct/pecs/drugPairDetail/VA/${drugPairDTO.fdbCustomDdimVaId}"
	commandName="drugPairDTO" method="POST">

	<br>
	<div id="list" style="clear: both"></div>
	<form:hidden path="interactionid" id="interactionid" />
	<form:hidden path="interactionidDesc" id="interactionidDesc" />
	<form:hidden path="severitylevelcode" id="severitylevelcode" />
	<form:hidden path="rtgenid1" id="rtgenid1" />
	<form:hidden path="rtgenid1Desc" id="rtgenid1Desc" />
	<form:hidden path="rtgenid2" id="rtgenid2" />
	<form:hidden path="rtgenid2Desc" id="rtgenid2Desc" />
	<c:if test="%{current}">
		<div class="buttons">
			<button type="submit" value="DrugPair" name="wizardButton">
				<spring:message code="wizard.button.drugpair" />
			</button>
		</div>
	</c:if>

	<br>
	<br>
    <pecs:text name="INTERACTIONID_DESC"
            fieldInfo="${ fieldMap['INTERACTIONID_DESC']}"
            property="interactionidDesc" isCurrentRec="${drugPairDTO.current}"
            value="${drugPairDTO.interactionidDesc }" />
	<div id="INTERACTIONID" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="interactionid">
			<a
				href="/ct/pecs/drugdrug/interaction/FDB/${drugPairDTO.interactionid}">
				Interaction ID &nbsp; <spring:message code="message.required" />
			</a>
		</form:label>
		<span class="read-only"><c:out
				value="${drugPairDTO.interactionid }"></c:out></span>
	</div>

	<pecs:text name="SEVERITYLEVELCODE"
		fieldInfo="${ fieldMap['SEVERITYLEVELCODE']}"
		property="severitylevelcode" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.severitylevelcode }" />

	<pecs:text name="SEVERITYLEVELCODE_DESC"
		fieldInfo="${ fieldMap['SEVERITYLEVELCODE_DESC']}"
		property="severitylevelcodeDesc" isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.severitylevelcodeDesc }" />


	<div id="RTGENID1" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="rtgenid1">Routed Generic #1 &nbsp; <spring:message
				code="message.required" />
		</form:label>
		<span class="read-only"><c:out value="${drugPairDTO.rtgenid1 }"></c:out></span>
	</div>

	<pecs:text name="RTGENID1_DESC"
		fieldInfo="${ fieldMap['RTGENID1_DESC']}" property="rtgenid1Desc"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.rtgenid1Desc }" />

	<div id="RTGENID2" class="displayable" style="display: none">
		<form:label cssClass="requiredField" path="rtgenid2">Routed Generic #2 &nbsp; <spring:message
				code="message.required" />
		</form:label>

		<span class="read-only"><c:out value="${drugPairDTO.rtgenid2 }"></c:out></span>
	</div>
	<pecs:text name="RTGENID2_DESC"
		fieldInfo="${ fieldMap['RTGENID2_DESC']}" property="rtgenid2Desc"
		isCurrentRec="${drugPairDTO.current}"
		value="${drugPairDTO.rtgenid2Desc }" />

</form:form>

<input type="hidden" id="showDetail" value="${showDetail}" />
<c:if test="${useOpenButtons}">
	<tiles:insertAttribute name="openButtons" />
</c:if>
<div class="inputbuttons">
	<input type="button" style="float: right; width: auto;" name="print"
		value="Print Page" onClick="javascript:window.print()" />
</div>