<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tags" prefix="pecs"%>


<h1 class="titleBar">
	<span class="headerText"> <spring:message
			code="ddiminteraction.wizard.titlebar.create.customize" /> <c:if
			test="${not fdb.current}">
			<span class="readOnly"> &nbsp;&nbsp;&nbsp;(read-only) </span>
		</c:if>
	</span>
	<pecs:pageHelp topic="<%=HelpTopics.DRUG_DRUG_INTERACTION%>" />
</h1>

<pecs:userMessages modelAttribute="fdb" />


<c:if test="${fdb.current}">
	<div id="editInfo" class="noneditable">
		<ul>
			<li><spring:message code="detail.message.edit" /></li>
		</ul>
	</div>
</c:if>
<div class="buttons">

	<c:if test="${fdb.current}">
        <tiles:insertAttribute name="cancelEditTopButtons" />
		
	</c:if>

	<div id="userCommentButtonContainer1" class="buttons">

		<c:if test="${showCommentButton}">
			<c:if test="${sessionUser.approver}">
				<button type="button" class="buttons noneditable"
					id="userCommentButton">
					<spring:message code="wizard.button.usercustomcomment" />
				</button>
			</c:if>
		</c:if>

	</div>

	<c:if test="${fdb.current && fdb.ddiminteractionVaId !=0 }">
		<c:if test="${sessionUser.approver || sessionUser.requestor}">
			<button type="button" class="drugPairs noneditable"
				value="${fdb.interactionid }" name="wizardButton" class="button"
				id="drugPairs1">
				<spring:message code="wizard.button.drugpairs" />
			</button>
		</c:if>
	</c:if>

</div>

<c:set var="isFdbTF" value="false" />
<c:if test="${empty fdb.status}">
	<c:set var="isFdbTF" value="true" />
</c:if>
<div class="button-container">
	<c:if test="${not isFdbTF }">
		<c:if test="${fdb.current}">
			<pecs:history />
		</c:if>
	</c:if>
	<pecs:print />
</div>



<form:form action="" commandName="fdb" method="POST" name="mainBody">
	<input type="hidden" name="interaction" id="dpInteractionId"
		value="${fdb.interactionid }" />
	<input type="hidden" name="concept" id="concept"
		value="DRUG_DRUG_INTERACTION" />


	<div id="list">
		<form:hidden path="interactionid" id="interaction" />
		<form:hidden path="ddiminteractionVaId" id="recordId" />

		<c:if test="${not empty customizationList}">
			<!-- Other Record(s) Related to FDB -->
			<table id="interactionTable" style="clear: both;">
				<thead>
					<tr>
						<th id="i1" headers="i">Interaction Type</th>
						<th id="i2" headers="i">Interaction ID</th>
						<th id="i3" headers="i">Interaction Description</th>
						<th id="i4" headers="i">Interaction Severity</th>
						<th id="i5" headers="i">Interaction Action Status</th>
					</tr>
				</thead>
				<tbody class="scrollContent">
					<c:forEach items="${customizationList}" var="custInteraction">
						<c:if
							test="${custInteraction.value.interactionid!=fdb.interactionid}">
							<c:if
								test="${custInteraction.value.interactionid!=custInteraction.value.fdbId}">
								<tr align="left" valign="top">
									<td headers="i"><c:out value="VA Interaction" /></td>
									<td headers="i"><a
										href="/ct/pecs/drugdrug/interactionid/${custInteraction.key}">
											${custInteraction.value.interactionid} </a></td>
									<td headers="i">${custInteraction.value.description1}</td>
									<td headers="i">${custInteraction.value.severitylevelcode}</td>
									<td headers="i">${custInteraction.value.status}</td>
								</tr>
							</c:if>
							<c:if
								test="${custInteraction.value.interactionid==custInteraction.value.fdbId}">
								<tr align="left" valign="top">
									<td headers="i"><c:out value="FDB Interaction" /></td>
									<td headers="i"><a
										href="/ct/pecs/drugdrug/interaction/FDB/${custInteraction.key}">
											${custInteraction.value.interactionid} </a></td>
									<td headers="i">${custInteraction.value.description1}</td>
									<td headers="i">${custInteraction.value.severitylevelcode}</td>
									<td headers="i">N/A</td>
								</tr>
							</c:if>
						</c:if>
					</c:forEach>
				</tbody>
			</table>
		</c:if>
		<br> <br>

	</div>


	<c:if test="${fdb.current}">
		 <tiles:insertAttribute name="cancelEditBottomButtons" />

		<div id="userCommentButtonContainer2" class="buttons">
			<c:if test="${showCommentButton}">
				<c:if test="${sessionUser.approver}">
					<button type="button" class="buttons noneditable"
						id="userCommentButton2">
						<spring:message code="wizard.button.usercustomcomment" />
					</button>
				</c:if>
			</c:if>


		</div>


	</c:if>
	<c:if test="${fdb.current && fdb.ddiminteractionVaId !=0}">
		<div class="buttons">
			<c:if test="${sessionUser.approver || sessionUser.requestor}">
				<button type="button" class="drugPairs noneditable"
					value="${fdb.interactionid }" name="wizardButton" class="button"
					id="drugPairs2">
					<spring:message code="wizard.button.drugpairs" />
				</button>
			</c:if>
		</div>
	</c:if>
	<div class="button-container">
		<c:if test="${not isFdbTF }">
			<c:if test="${fdb.current}">
				<pecs:history />
			</c:if>
		</c:if>
		<pecs:print />
	</div>
	<tiles:insertAttribute name="buttons" />
	<c:set var="isFdb" value="false" />
	<c:if test="${empty fdb.status}">
		<c:set var="isFdb" value="true" />
	</c:if>

	<pecs:descriptionSelect name="DESCRIPTION1"
		fieldInfo="${ fieldMap['DESCRIPTION1']}" list="${descriptions}"
		property="description1" isCurrentRec="${fdb.current}"
		value="${fdb.description1 }" />
	<pecs:text name="INTERACTIONID"
		fieldInfo="${ fieldMap['INTERACTIONID']}" property="interactionid"
		isCurrentRec="${fdb.current}" value="${fdb.interactionid }"
		isFdb="${isFdb }" />
	<pecs:textarea name="EDI_TEXT" fieldInfo="${ fieldMap['EDI_TEXT']}"
		property="ddiminteractionReferenceVa.ediText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.ediText }" />
	<pecs:textarea name="DI_FACTS_TEXT"
		fieldInfo="${ fieldMap['DI_FACTS_TEXT']}"
		property="ddiminteractionReferenceVa.diFactsText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.diFactsText }" />
	<pecs:textarea name="MICROMEDEX_TEXT"
		fieldInfo="${ fieldMap['MICROMEDEX_TEXT']}"
		property="ddiminteractionReferenceVa.micromedexText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.micromedexText }" />
	<pecs:textarea name="MEDLINE_TEXT"
		fieldInfo="${ fieldMap['MEDLINE_TEXT']}"
		property="ddiminteractionReferenceVa.medlineText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.medlineText }" />
	<pecs:textarea name="PACKAGE_INSERT_TEXT"
		fieldInfo="${ fieldMap['PACKAGE_INSERT_TEXT']}"
		property="ddiminteractionReferenceVa.packageInsertText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.packageInsertText }" />
	<pecs:textarea name="PBM_CRITERIA_TEXT"
		fieldInfo="${ fieldMap['PBM_CRITERIA_TEXT']}"
		property="ddiminteractionReferenceVa.pbmCriteriaText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.pbmCriteriaText }" />
	<pecs:textarea name="AIDS_GUIDELINES_TEXT"
		fieldInfo="${ fieldMap['AIDS_GUIDELINES_TEXT']}"
		property="ddiminteractionReferenceVa.aidsGuidelinesText"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.aidsGuidelinesText }" />
	<pecs:textarea name="GROUP_DISCUSSION"
		fieldInfo="${ fieldMap['GROUP_DISCUSSION']}"
		property="ddiminteractionReferenceVa.groupDiscussion"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.groupDiscussion }"
		isFdb="${isFdb }" />
	<c:set var="fdbLink" value="" />
	<c:if test="${ fdb.fdbId != 0 }">
		<c:set var="fdbLink"
			value="/ct/pecs/drugdrug/interaction/FDB/${fdb.fdbId }" />
	</c:if>
	<c:if test="${ fdb.fdbId == fdb.interactionid }">
		<c:set var="fdbLink" value="" />
	</c:if>
	<pecs:text name="FDB_ID" fieldInfo="${ fieldMap['FDB_ID']}"
		property="fdbId" isCurrentRec="${fdb.current}" link="${fdbLink }"
		value="${fdb.fdbId }" />
	<pecs:text name="REVERSE_FDB_ID" fieldInfo="${ fieldMap['REVERSE_FDB_ID']}"
		property="reverseFdbId" isCurrentRec="${fdb.current}"
		value="${fdb.reverseFdbId }" isFdb="${isFdb }" />
	<pecs:text name="ACTION_DATE_DISPLAY_STRING" fieldInfo="${ fieldMap['ACTION_DATE_DISPLAY_STRING']}"
		property="actionDateDisplayString" isCurrentRec="${fdb.current}"
		value="${fdb.actionDateDisplayString }" isFdb="${isFdb }" />
	<pecs:textarea name="ACTION_REASON"
		fieldInfo="${ fieldMap['ACTION_REASON']}" property="actionReason"
		isCurrentRec="${fdb.current}" value="${fdb.actionReason }"
		isFdb="${isFdb }" />
	<pecs:text name="ACTION_BY" fieldInfo="${ fieldMap['ACTION_BY']}"
		property="actionBy" isCurrentRec="${fdb.current}"
		value="${fdb.actionBy }" isFdb="${isFdb }" />
	<pecs:select name="ASSIGNED_TO" fieldInfo="${ fieldMap['ASSIGNED_TO']}"
		list="${users }" property="assignedTo" isCurrentRec="${fdb.current}"
		value="${fdb.assignedTo }" />
	<pecs:textareaRequired name="CURRENT_ACTION_REASON"
		fieldInfo="${ fieldMap['CURRENT_ACTION_REASON']}"
		property="currentActionReason" isCurrentRec="${fdb.current}"
		value="${fdb.currentActionReason }" />
	<pecs:text name="ACTION_STATUS"
		fieldInfo="${ fieldMap['ACTION_STATUS']}" property="status"
		isCurrentRec="${fdb.current}" value="${fdb.status }" isFdb="${isFdb }" />
	<pecs:text name="REQUESTOR" fieldInfo="${ fieldMap['REQUESTOR']}"
		property="requestor" isCurrentRec="${fdb.current}"
		value="${fdb.requestor }" isFdb="${isFdb }" />

	<pecs:text name="EXPORT_DATE_DISPLAY_STRING" fieldInfo="${fieldMap['EXPORT_DATE_DISPLAY_STRING'] }"
		property="exportDateDisplayString" isCurrentRec="${fdb.current}"
		value="${fdb.exportDateDisplayString }" isFdb="${isFdb }"></pecs:text>

	<pecs:selectGeneric name="SEVERITYLEVELCODE"
		fieldInfo="${ fieldMap['SEVERITYLEVELCODE']}"
		list="${severityLevels }" label="uiLabel" value="code"
		property="severitylevelcode" isCurrentRec="${fdb.current}"
		selectedValue="${fdb.severitylevelcode }" />
	<c:set var="monographLink" value="" />
	<c:if test="${ fdb.monographid != 0 }">
		<c:set var="monographLink"
			value="/ct/pecs/monograph/professional/monographid/${fdb.monographid }" />
	</c:if>
	<pecs:selectGeneric name="MONOGRAPHID"
		fieldInfo="${ fieldMap['MONOGRAPHID']}" list="${monographs }"
		label="monographDisplayTitle" value="monographid"
		property="monographid" isCurrentRec="${fdb.current}"
		link="${monographLink }" selectedValue="${fdb.monographid }" />
	<pecs:selectReference name="EDI_NUMBER"
		fieldInfo="${ fieldMap['EDI_NUMBER']}" list="${interactions }"
		property="ddiminteractionReferenceVa.referenceTextVaByEdiNumber.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByEdiNumber.referenceTextVaId }" />
	<pecs:selectReference name="DI_FACTS_ONSET"
		fieldInfo="${ fieldMap['DI_FACTS_ONSET']}" list="${onsets }"
		property="ddiminteractionReferenceVa.referenceTextVaByDiFactsOnset.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByDiFactsOnset.referenceTextVaId }" />
	<pecs:selectReference name="DI_FACTS_SEVERITY"
		fieldInfo="${ fieldMap['DI_FACTS_SEVERITY']}"
		list="${factSeverities }"
		property="ddiminteractionReferenceVa.referenceTextVaByDiFactsSeverity.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByDiFactsSeverity.referenceTextVaId }" />
	<pecs:selectReference name="DI_FACTS_DOCUMENTATION"
		fieldInfo="${ fieldMap['DI_FACTS_DOCUMENTATION']}"
		list="${factDocumentation }"
		property="ddiminteractionReferenceVa.referenceTextVaByDiFactsDocumentation.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByDiFactsDocumentation.referenceTextVaId }" />
	<pecs:selectReference name="MICROMEDEX_SEVERITY"
		fieldInfo="${ fieldMap['MICROMEDEX_SEVERITY']}"
		list="${microSeverities }"
		property="ddiminteractionReferenceVa.referenceTextVaByMicromedexSeverity.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByMicromedexSeverity.referenceTextVaId }" />
	<pecs:selectReference name="MICROMEDEX_ONSET"
		fieldInfo="${ fieldMap['MICROMEDEX_ONSET']}" list="${microOnsets }"
		property="ddiminteractionReferenceVa.referenceTextVaByMicromedexOnset.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByMicromedexOnset.referenceTextVaId }" />
	<pecs:selectReference name="MICROMEDEX_SUBSTANTIATION"
		fieldInfo="${ fieldMap['MICROMEDEX_SUBSTANTIATION']}"
		list="${microSubstantions }"
		property="ddiminteractionReferenceVa.referenceTextVaByMicromedexSubstantiation.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByMicromedexSubstantiation.referenceTextVaId }" />
	<pecs:selectReference name="MEDLINE_HITS"
		fieldInfo="${ fieldMap['MEDLINE_HITS']}" list="${medilineHits }"
		property="ddiminteractionReferenceVa.referenceTextVaByMedlineHits.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByMedlineHits.referenceTextVaId }" />
	<pecs:selectReference name="PACKAGE_INSERT"
		fieldInfo="${ fieldMap['PACKAGE_INSERT']}" list="${packageInserts }"
		property="ddiminteractionReferenceVa.referenceTextVaByPackageInsert.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByPackageInsert.referenceTextVaId }" />
	<pecs:selectReference name="PBM_CRITERIA"
		fieldInfo="${ fieldMap['PBM_CRITERIA']}" list="${pbmCriteria }"
		property="ddiminteractionReferenceVa.referenceTextVaByPbmCriteria.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByPbmCriteria.referenceTextVaId }" />
	<pecs:selectReference name="INTERACTION_SOURCE"
		fieldInfo="${ fieldMap['INTERACTION_SOURCE']}"
		list="${interactionSources }"
		property="ddiminteractionReferenceVa.referenceTextVaByInteractionSource.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByInteractionSource.referenceTextVaId }" />
	<pecs:selectReference name="INTERACTION_TYPE"
		fieldInfo="${ fieldMap['INTERACTION_TYPE']}"
		list="${interactionTypes }"
		property="ddiminteractionReferenceVa.referenceTextVaByInteractionType.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByInteractionType.referenceTextVaId }" />
	<pecs:selectReference name="DI_FACTS_NUMBER"
		fieldInfo="${ fieldMap['DI_FACTS_NUMBER']}"
		list="${interactionFacts }"
		property="ddiminteractionReferenceVa.referenceTextVaByDiFactsNumber.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByDiFactsNumber.referenceTextVaId }" />
	<pecs:selectReference name="AIDS_GUIDELINES"
		fieldInfo="${ fieldMap['AIDS_GUIDELINES']}" list="${aidsGuidelines }"
		property="ddiminteractionReferenceVa.referenceTextVaByAidsGuidelines.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByAidsGuidelines.referenceTextVaId }" />
	<pecs:selectReference name="LEVEL_OF_EVIDENCE"
		fieldInfo="${ fieldMap['LEVEL_OF_EVIDENCE']}"
		list="${levelOfEvidence }"
		property="ddiminteractionReferenceVa.referenceTextVaByLevelOfEvidence.referenceTextVaId"
		isCurrentRec="${fdb.current}"
		value="${fdb.ddiminteractionReferenceVa.referenceTextVaByLevelOfEvidence.referenceTextVaId }" />
	<pecs:selectIdName name="CLINICALEFFECTCODE1"
		fieldInfo="${ fieldMap['CLINICALEFFECTCODE1']}"
		list="${clinicalEffects }" property="clinicaleffectcode1"
		isCurrentRec="${fdb.current}" value="${fdb.clinicaleffectcode1 }" />
	<pecs:selectIdName name="CLINICALEFFECTCODE2"
		fieldInfo="${ fieldMap['CLINICALEFFECTCODE2']}"
		list="${clinicalEffects }" property="clinicaleffectcode2"
		isCurrentRec="${fdb.current}" value="${fdb.clinicaleffectcode2 }" />
	<pecs:userComment fieldInfo="${ fieldMap['USER_COMMENT_HISTORY']}"
		commentHistory="${ fdb.listOfComments}" property="listOfComments"></pecs:userComment>
</form:form>


<br />


