<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tags" prefix="pecs"%>

<h1 class="titleBar">
	<span class="headerText"> <spring:message
			code="dtcat.wizard.titlebar.modify.customize" /> <c:if
			test="${not duplicateTherapyDTO.current}">
			<c:if test="${not duplicateTherapyDTO.vaExists}">
            (read-only)
        </c:if>
		</c:if>
	</span>
	<pecs:pageHelp topic="<%=HelpTopics.DUPLICATE_THERAPY%>" />
</h1>

<pecs:userMessages modelAttribute="duplicateTherapyDTO" />

<c:if test="${duplicateTherapyDTO.current}">
	<div id="editInfo" class="noneditable">
		<ul>
			<li><spring:message code="detail.message.edit" /></li>
		</ul>
	</div>

	<c:set var="isFdb" value="false" />
	<c:if test="${empty duplicateTherapyDTO.status}">
		<c:set var="isFdb" value="true" />
	</c:if>

	<tiles:insertAttribute name="cancelEditTopButtons" />

</c:if>

<div id="userCommentButtonContainer1" class="buttons">

	<c:if test="${showCommentButton}">
		<c:if test="${sessionUser.approver}">
			<button type="button" class="buttons noneditable"
				id="userCommentButton">
				<spring:message code="wizard.button.usercustomcomment" />
			</button>
		</c:if>
	</c:if>

</div>
<div class="button-container">
	<c:if test="${not isFdb }">
		<c:if test="${duplicateTherapyDTO.current}">
			<pecs:history />
		</c:if>
	</c:if>
	<pecs:print />
</div>




<form:form action="" commandName="duplicateTherapyDTO" method="post">

	<input type="hidden" name="concept" id="concept"
		value="DUPLICATE_THERAPY" />

	<div id="list" style="clear: both"></div>
	<form:hidden path="duplicatetherapyid" id="interaction" />
	<form:hidden path="fdbCustomDtcatVaId" />
	<c:if test="%{current}">
		<div class="buttons">
			<button type="submit" value="DuplicateTherapy" name="wizardButton">
				<spring:message code="wizard.button.duplicatetherapy" />
			</button>
		</div>
	</c:if>

	<c:if test="${duplicateTherapyDTO.current}">
		<tiles:insertAttribute name="cancelEditBottomButtons" />
	</c:if>

	<div id="userCommentButtonContainer2" class="buttons">

		<c:if test="${showCommentButton}">
			<c:if test="${sessionUser.approver}">
				<button type="button" class="buttons noneditable"
					id="userCommentButton2">
					<spring:message code="wizard.button.usercustomcomment" />
				</button>
			</c:if>
		</c:if>

	</div>

	<div class="button-container">
		<c:if test="${not isFdb }">
			<c:if test="${duplicateTherapyDTO.current }">
				<pecs:history />
			</c:if>
		</c:if>
		<pecs:print />
	</div>

	<tiles:insertAttribute name="buttons" />
	<br />
	<br />
	<br />
	<br />

	<!--  total number of fields to display is 12 -->
	<c:set var="isFdb" value="false" />
	<c:if test="${empty duplicateTherapyDTO.status}">
		<c:set var="isFdb" value="true" />
	</c:if>
	<pecs:text name="DTCID" fieldInfo="${ fieldMap['DTCID']}"
		property="dtcid" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.dtcid }" />
	<pecs:text name="DESCRIPTION" fieldInfo="${ fieldMap['DESCRIPTION']}"
		property="customstring" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.customstring }" />
	<pecs:text name="ACTION_DATE_DISPLAY_STRING" fieldInfo="${ fieldMap['ACTION_DATE_DISPLAY_STRING']}"
		property="actionDateDisplayString" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.actionDateDisplayString }" isFdb="${isFdb }" />
	<pecs:text name="EXPORT_DATE_DISPLAY_STRING" fieldInfo="${fieldMap['EXPORT_DATE_DISPLAY_STRING'] }"
		property="exportDateDisplayString" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.exportDateDisplayString }" isFdb="${isFdb }" />
	<pecs:textarea name="ACTION_REASON"
		fieldInfo="${ fieldMap['ACTION_REASON']}" property="actionReason"
		isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.actionReason }" isFdb="${isFdb }" />
	<pecs:text name="ACTION_BY" fieldInfo="${ fieldMap['ACTION_BY']}"
		property="actionBy" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.actionBy }" isFdb="${isFdb }" />
	<pecs:textareaRequired name="CURRENT_ACTION_REASON"
		fieldInfo="${ fieldMap['CURRENT_ACTION_REASON']}"
		property="currentActionReason"
		isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.currentActionReason }" />
	<pecs:text name="ACTION_STATUS"
		fieldInfo="${ fieldMap['ACTION_STATUS']}" property="status"
		isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.status } " isFdb="${isFdb }" />
	<pecs:text name="REQUESTOR" fieldInfo="${ fieldMap['REQUESTOR']}"
		property="requestor" isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.requestor }" isFdb="${isFdb }" />
	<pecs:textarea name="REFERENCE_TEXT"
		fieldInfo="${ fieldMap['REFERENCE_TEXT']}" property="referenceText"
		isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.referenceText }" />
	<pecs:selectGeneric name="CUSTOM_DUP_ALLOWANCE"
		fieldInfo="${ fieldMap['CUSTOM_DUP_ALLOWANCE']}"
		list="${customDuplicateAllowanceList }" property="customdupallowance"
		isCurrentRec="${duplicateTherapyDTO.current}" value="code"
		label="code"
		selectedValue="${duplicateTherapyDTO.customdupallowance }" />
	<pecs:select name="ASSIGNED_TO" fieldInfo="${ fieldMap['ASSIGNED_TO']}"
		list="${userList }" property="assignedTo"
		isCurrentRec="${duplicateTherapyDTO.current}"
		value="${duplicateTherapyDTO.assignedTo }" />
	<pecs:userComment fieldInfo="${ fieldMap['USER_COMMENT_HISTORY']}"
		commentHistory="${duplicateTherapyDTO.listOfComments}"
		property="listOfComments"></pecs:userComment>
</form:form>
<br />









