<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<h1 class="titleBar">
	<span class="headerText"> <spring:message
			code="monograph.wizard.titlebar.create.customize" /> <c:if
			test="${not monographDTO.current}">
        (read-only)
    </c:if>
	</span>
	<pecs:pageHelp topic="<%=HelpTopics.PROFESSIONAL_MONOGRAPH%>" />
</h1>
<br>


<pecs:userMessages modelAttribute="monographDTO" />

<c:set var="isFdb" value="false" />
<c:if test="${empty monographDTO.status}">
	<c:set var="isFdb" value="true" />
</c:if>

<c:if test="${ monographDTO.current}">
	<div id="editInfo" class="noneditable">
		<p>
			<spring:message code="detail.message.edit" />
		</p>
	</div>

	<tiles:insertAttribute name="cancelEditTopButtons" />

</c:if>

<div id="userCommentButtonContainer1" class="buttons">
	<c:if test="${showCommentButton}">
		<c:if test="${sessionUser.approver}">
			<button type="button" class="buttons noneditable"
				id="userCommentButton">
				<spring:message code="wizard.button.usercustomcomment" />
			</button>
		</c:if>
	</c:if>

</div>

<div class="button-container">
	<c:if test="${not isFdb }">
		<c:if test="${monographDTO.current }">
			<pecs:history />
		</c:if>
	</c:if>
	<pecs:print />
</div>



<form:form action="" commandName="monographDTO" method="POST">
	<input type="hidden" name="concept" id="concept"
		value="PROFESSIONAL_MONOGRAPH" />


	<div id="list" style="clear: both"></div>

	<c:if test="${ monographDTO.current}">
		<tiles:insertAttribute name="cancelEditBottomButtons" />
	</c:if>

	<div id="userCommentButtonContainer2" class="buttons">
		<c:if test="${showCommentButton}">
			<c:if test="${sessionUser.approver}">
				<button type="button" class="buttons noneditable"
					id="userCommentButton2">
					<spring:message code="wizard.button.usercustomcomment" />
				</button>
			</c:if>
		</c:if>

	</div>

	<div class="button-container">
		<c:if test="${not isFdb }">
			<c:if test="${monographDTO.current }">
				<pecs:history />
			</c:if>
		</c:if>
		<pecs:print />
	</div>

	<tiles:insertAttribute name="buttons" />
	<br>
	<form:hidden path="fdbCustomMonographVaId" id="fdbCustomMonographVaId" />
	<form:hidden path="actionBy" id="actionBy" />
	<form:hidden path="fdbId" id="fdbId" />
	<form:hidden path="requestor" id="requestor" />
	<form:hidden path="languageid" id="languageid" />

	<pecs:text name="TITLE" fieldInfo="${ fieldMap['TITLE']}"
		property="monographTitle" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.monographTitle}" />
	<c:if test="${showVaFields}">
		<pecs:text name="VA_MONOGRAPH_ID"
			fieldInfo="${ fieldMap['VA_MONOGRAPH_ID']}" property="monographid"
			isCurrentRec="${monographDTO.current}"
			value="${monographDTO.monographid}" />
		<pecs:text name="ACTION_STATUS"
			fieldInfo="${ fieldMap['ACTION_STATUS']}" property="status"
			isCurrentRec="${monographDTO.current}" value="${monographDTO.status}" />

		<pecs:text name="ACTION_DATE_DISPLAY_STRING" fieldInfo="${ fieldMap['ACTION_DATE_DISPLAY_STRING']}"
			property="actionDateDisplayString" isCurrentRec="${monographDTO.current}"
			value="${monographDTO.actionDateDisplayString}" />
		<pecs:text name="ACTION_BY" fieldInfo="${ fieldMap['ACTION_BY']}"
			property="actionBy" isCurrentRec="${monographDTO.current}"
			value="${monographDTO.actionBy}" />

		<pecs:text name="FDB_ID" fieldInfo="${ fieldMap['FDB_ID']}"
			property="fdbId" isCurrentRec="${monographDTO.current}"
			value="${monographDTO.fdbId}" />
	</c:if>
	<pecs:select name="ASSIGNED_TO" fieldInfo="${ fieldMap['ASSIGNED_TO']}"
		list="${users }" property="assignedTo"
		isCurrentRec="${monographDTO.current}" />
	<c:if test="${showVaFields}">
		<pecs:text name="REQUESTOR" fieldInfo="${ fieldMap['REQUESTOR']}"
			property="requestor" isCurrentRec="${monographDTO.current}"
			value="${monographDTO.requestor}" />
	</c:if>
	<pecs:text name="EXPORT_DATE_DISPLAY_STRING" fieldInfo="${fieldMap['EXPORT_DATE_DISPLAY_STRING'] }"
		property="exportDateDisplayString" isCurrentRec="${fdb.current}"
		value="${monographDTO.exportDateDisplayString}" isFdb="${isFdb }"></pecs:text>

	<pecs:textarea name="SEVERITY_LEVEL"
		fieldInfo="${ fieldMap['SEVERITY_LEVEL']}" property="severityLevel"
		isCurrentRec="${monographDTO.current}"
		value="${monographDTO.severityLevel}" />
	<pecs:textarea name="MECHANISM_OF_ACTION"
		fieldInfo="${ fieldMap['MECHANISM_OF_ACTION']}"
		property="mechanismOfAction" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.mechanismOfAction}" />
	<pecs:textarea name="CLINICAL_EFFECTS"
		fieldInfo="${ fieldMap['CLINICAL_EFFECTS']}"
		property="clinicalEffects" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.clinicalEffects}" />
	<pecs:textarea name="PREDISPOSING_FACTORS"
		fieldInfo="${ fieldMap['PREDISPOSING_FACTORS']}"
		property="predisposingFactors" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.predisposingFactors}" />
	<pecs:textarea name="PATIENT_MANAGEMENT"
		fieldInfo="${ fieldMap['PATIENT_MANAGEMENT']}"
		property="patientManagement" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.patientManagement}" />
	<pecs:textarea name="DISCUSSION" fieldInfo="${ fieldMap['DISCUSSION']}"
		property="discussion" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.discussion}" />
	<pecs:textarea name="REFERENCE" fieldInfo="${ fieldMap['REFERENCE']}"
		property="reference" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.reference}" />
	<c:if test="${showVaFields}">
		<pecs:textarea name="DISCLAIMER"
			fieldInfo="${ fieldMap['DISCLAIMER']}" property="disclaimer"
			isCurrentRec="${monographDTO.current}"
			value="${monographDTO.disclaimer}" />
	</c:if>
	<pecs:textarea name="REFERENCE_TEXT"
		fieldInfo="${ fieldMap['REFERENCE_TEXT']}" property="referenceText"
		isCurrentRec="${monographDTO.current}"
		value="${monographDTO.referenceText}" />
	<c:if test="${showVaFields}">
		<pecs:textarea name="ACTION_REASON"
			fieldInfo="${ fieldMap['ACTION_REASON']}" property="actionReason"
			isCurrentRec="${monographDTO.current}"
			value="${monographDTO.actionReason}" />
	</c:if>
	<pecs:textareaRequired name="CURRENT_ACTION_REASON"
		fieldInfo="${ fieldMap['CURRENT_ACTION_REASON']}"
		property="currentActionReason" isCurrentRec="${monographDTO.current}"
		value="${monographDTO.currentActionReason}" />

	<pecs:userComment fieldInfo="${ fieldMap['USER_COMMENT_HISTORY']}"
		commentHistory="${ monographDTO.listOfComments}"
		property="listOfComments"></pecs:userComment>

</form:form>

