<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div>
	<h2 id="ddidtSelectInformation" class="h2title">
		<spring:message code="es.header.select.information.type" />
	</h2>
	<form:form modelAttribute="multipleConceptForm"
		action="${pageContext.request.contextPath}/pecs/search/multipleconcept">
		<form:checkbox id="drugdruginteraction" path="ddiSelected"
			value="drugdruginteraction" />
		<label for="drugdruginteraction">Drug-Drug Interaction with
			Professional Monograph</label>
		<br /> &nbsp;
        <ul id="ddiSeverityLevelList" class="tablesList"
			style="display: none;">
			<li><form:radiobutton id="Display_Severity_Levels_severe"
					path="ddiSeverityLevel" name="tableName"
					value="Display_Severity_Levels_severe" checked="checked" /> <label
				for="Display_Severity_Levels_severe"><spring:message
						code="es.label.ddiseveritylevel.severe" /></label></li>
			<li class="alt"><form:radiobutton
					id="Display_Severity_Levels_all" path="ddiSeverityLevel"
					name="tableName" value="Display_Severity_Levels_all" /> <label
				for="Display_Severity_Levels_all"><spring:message
						code="es.label.ddiseveritylevel.all" /></label></li>
		</ul>
		<br />
		<form:checkbox id="duplicatetherapy" path="dtSelected" />
		<label for="duplicatetherapy">Duplicate Therapy</label>

		<h2 class="h2title">
			<spring:message code="es.header.search.select.drugs" />
		</h2>
		<div>
			<div>
				<div>
					<label for="drug"> <spring:message
							code="es.label.drug.search" />
					</label> <input type="text" id="drug" name="drug" /> <input type="text"
						name="bogusField" style="display: none;" />
					<div class="buttons">
						<button id="submit" type="submit">
							<spring:message code="es.label.button.search" />
						</button>
					</div>
				</div>

			</div>
			<div>
				<h2 class="h2title">
					<spring:message code="es.header.search.results" />
				</h2>
				<div>
					<p>
						<div class="hiddenSearchResultsLabel">
						<label for="drugs">Search Results</label>
                        </div>
						<select id="drugs" name="drugs" size="10" multiple="true"></select>
					</p>
					
				</div>
			</div>
		</div>

		<div id="drugSelection" class="show">
			<div class="show">
				<div class="buttons">
					<button id="addButton" disabled="disabled">
						<spring:message code="es.button.add" />
					</button>
					<button id="removeButton" disabled="disabled">
						<spring:message code="es.button.remove" />
					</button>
				</div>
			</div>
			<h2 id="drugsToCheckHdr" class="h2title">
				<spring:message code="es.header.drugs.to.check" />
			</h2>
			<div id="drugsToCheck">
            <div class="hiddenSearchResultsLabel">
                <label for="selectedDrugsList">Drugs To Check</label>
            </div>
				<form:select id="selectedDrugsList" path="prospectiveDrugList"
					multiple="true" items="${drugsSearched}"
					itemValue="id.valueAsString" itemLabel="uiLabel">
				</form:select>
			</div>
			<div class="show">
				<div class="buttons">
					<button id="easySearchSubmit" type="submit" disabled="disabled">
						<spring:message code="wizard.button.submit" />
					</button>
					<button id="removeAll" disabled="disabled">
						<spring:message code="es.button.removeall" />
					</button>
				</div>
			</div>
		</div>
	</form:form>
</div>
