<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<div id="queryBuilder">
<p id="queryBuilderMessage" style="clear: both">Enter a value to build a query</p>
	<form:form action="query" commandName="queryCriteria">
		<div id="queryControls">
			<div id="controls-0" class="control">

				<div class="columns">
					<label for="columnSelection">Fields&nbsp;&nbsp;</label>
					<form:select id="columnSelection-0" path="columnSelection" class="formControl">
						<form:options items="${columns}" itemValue="name" itemLabel="displayName" />
					</form:select>
				</div>
				<div class="constraints">
					<label for="constraintSelection">Filter&nbsp;&nbsp;</label>
					<form:select id="constraintSelection-0" path="constraintSelection" class="formControl">
						<form:option value="CONTAINS" label="Contains" />
						<form:option value="EQ" label="Equal to" />
						<form:option value="LE" label="Less than or Equal to" />
						<form:option value="GE" label="Greater than or Equal to" />
						<form:option value="BW" label="Begins with" />
						<form:option value="EW" label="Ends with" />
						<form:option value="GT" label="Greater than" />
						<form:option value="LT" label="Less than" />
						<form:option value="NEQ" label="Not Equal to" />
					</form:select>
				</div>
				<div class="values">
					<label for="columnValue">Value&nbsp;&nbsp;</label>
					<form:input id="columnValue-0" path="columnValue" size="30" class="formControl" />
				</div>


				<div class="andor">
					<label for="conjunction">And/Or</label>
					<form:select id="conjunction-0" path="conjunction" class="formControl">
						<form:option value="" label="" />
						<form:option value="AND" label="AND" />
						<form:option value="OR" label="OR" />
					</form:select>
				</div>

				<div class="buttons" id="butCtnr">
					<button type="submit" id="query" value="query" name="queryAction" >Query</button>
					<c:if test='${queryCriteria.conceptSelection == "DOSE_RANGE"}'>
						<button type="button" id="addDefaultDRCQuery" value="addDefaultDRCQuery" name="addDefaultDRCQuery"
							class="positive">Add Default DRC Query</button>
					</c:if>
				</div>
			</div>
		</div>

		
	</form:form>
	
		<div id="queryParams"></div>
		<div class="buttons" style="clear:both">
			<c:if test='${queryCriteria.recordSelection == "VA" or queryCriteria.recordSelection == "BOTH"}'>
				
				<label for="history"><input type="checkbox" value="history" id="history" />Include Historical Records</label>
			</c:if>
		</div>
		<div class="clearfix" style="width: 100%">
			<div class="saveQueryName">
				<label for="customQueryName">Query Name:</label>
				<input id="customQueryName" name="customQueryName" size="40" maxlength="63" onkeypress="enableSaveQueryButton();"/>
				<br/>
				<label id="customQueryNameError" class="error"></label>
			</div>
			<div id="saveQueryBtnCtnr" class="buttons clearfix">
				<button type="button" id="saveQueryBtn" value="save" name="saveQuery" disabled="disabled" onclick="saveQuery(); return false;">Save Query</button>
				<button type="button" id="clearAction" value="clear" name="clearAction">Clear Query</button>
			</div>
		</div>

</div>
