<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="drugsDRSearchedDiv" class="conceptcontainer">
	<pecs:easySearchAttribute labelCode="es.header.drugchecked"
		value="${easySearchModel.drDoseRangeSelection}" />
	<br />
	<div class="concepthdr">
		<spring:message code="es.label.dr.dosinginformationsubmitted" />
	</div>
	<br />
	<pecs:easySearchAttribute labelCode="es.label.dr.singledoseamount"
		value="${easySearchModel.singleDose}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.doseunit"
		value="${easySearchModel.doseUnitSelected.name}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.doserateunit"
		value="${easySearchModel.doseRateUnitSelection}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.frequency"
		value="${easySearchModel.frequency}" />
</div>

<div>
	<h2 id="drResultsHdr" class="h2title">
		<spring:message code="es.drresults.header" />
	</h2>

	<br />


	<c:choose>
		<c:when
			test="${fn:length(easySearchModel.doseRangeCheckResults.checks) == 0}">
			<spring:message code="es.no.results.found" />
		</c:when>
		<c:otherwise>
			<c:forEach var="item"
				items="${easySearchModel.doseRangeCheckResults.checks}">
				<pecs:drEasySearchResult drInfo="${item}" />
			</c:forEach>
		</c:otherwise>
	</c:choose>

</div>

