<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags" %>

<div id="reports">
	<form:form modelAttribute="reportModel" name="customizationForm" method="POST">
    	<h1 class="titleBar">
    		<span class="headerText">
      			<spring:message code="rpt.header"/>
      		</span>
   			<pecs:pageHelp topic="<%= HelpTopics.REPORTS %>"/>
     	</h1>
     	<pecs:userMessages modelAttribute="reportModel"/>
   		<div id="reportcontent">
			<div id="customReports" class="customizationreport clearfix">
	  			<h2 class="h2title"><spring:message code="rpt.label.active.customizations"/></h2>
	  			<br/>
	  			<ul>
	  				<li>
       					<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Dosing_Total_Customization_Report"><spring:message code="table.name.fdb_custom_dosing" /></a>
       				</li>
       				<li>
        				<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Ddiminteraction_Total_Customization_Report"><spring:message code="table.name.fdb_custom_ddiminteraction" /></a>
        			</li>
        			<li>
        				<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Duplicate_Therapy_Total_Customization_Report"><spring:message code="table.name.fdb_custom_dtcat" /></a>
        			</li>
        			<li>
        				<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Monograph_Total_Customization_Report"><spring:message code="table.name.fdb_custom_monograph" /></a>
        			</li>
        			<li>
        				<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Deleted_Monograph_Customization_Report"><spring:message code="report.name.deleted_monograph_customization_report" /></a>
        			</li>
        			<li>
        				<a href="${pageContext.request.contextPath}/pecs/reports/customreport/Null_Drug_Drug_Pairs_Customization_Report"><spring:message code="report.name.null_drug_pairs_customization_report" /></a>
        			</li>
        		</ul>
			</div>     
			<div id="comparisonReports" class="comparisonreport clearfix">
	  			<h2 class="h2title"><spring:message code="rpt.label.fdb.comparison"/></h2>
      			<c:forEach var="comparisonReportConcept" items="${comparisonReportConcepts}" varStatus="rowCounter">
      				<br/>
        			<h4>${comparisonReportConcept.name}</h4>
        			<div id="comparisonreportslist" class="comparisonreportslist clearfix">
      					<c:set var="conceptReports" value="${comparisonReportConcept.sortedReports}"/>
      					<c:choose>
			    			<c:when test="${fn:length(conceptReports) > 0}">
				   				<c:forEach var="fdbUpdateReport" items="${conceptReports}" varStatus="rowCounter">
				   					<a href="${pageContext.request.contextPath}/pecs/reports/reportdisplay/${fdbUpdateReport.id}">${fdbUpdateReport.fdbUpdateDate}</a>&nbsp;&nbsp;&nbsp;&nbsp;
					   				<c:if test="${(rowCounter.count % 4) == 0}">
					       				<br/>
					    			</c:if>
			        			</c:forEach>
			    			</c:when>
			    			<c:otherwise>
			    				<spring:message code="rpt.message.no.comparison.reports"/>
			    			</c:otherwise>
		    			</c:choose>
					</div>
					<br/>
	  			</c:forEach>
      		</div>
		</div>
	</form:form>
</div>
