<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<c:set var="user" value="${sessionScope.sessionUser}" />
<form:form id="modifyDrugPairsForm" commandName="drugPairCustomization" method="POST"
		action="${pageContext.request.contextPath}/pecs/drugPairCustomization/performAction">
	<h2 id="hdr_modifyDrugPairs" class="h2title">
		<label style="display:none;">Click to expand</label>
		<a href="" class="opened" id="modifyDrugPairsLink">
			&nbsp;<spring:message code="ddim.wizard.titlebar.modify.customize"/>
		</a>
	</h2>
	<br />
	<div id="modifyDrugPairs" style="">
		<c:choose>
			<c:when test="${not empty drugPairCustomization.ddimRowMap}">
				<input type="hidden" name="selectionMode" value="multiple"/>
				<form:hidden path="interactionId"/>
				<table id="statusTypeSelectTable" style="border:0;">
					<tr>
						<td width="4%">
							<input type="checkbox" id="new" onclick="showHideRows(this,'NEW')" checked="checked" />
						</td>
						<td>NEW</td>
						<td width="4%">
							<input type="checkbox" id="modified" onclick="showHideRows(this,'MODIFIED')" checked="checked" />
						</td>
						<td>MODIFIED</td>
						<td width="4%">
							<input type="checkbox" id="reviewed" onclick="showHideRows(this,'REVIEWED')" checked="checked" />
						</td>
						<td>REVIEWED</td>
						<td width="4%">
							<input type="checkbox" id="approved" onclick="showHideRows(this,'APPROVED')" checked="checked" />
						</td>
						<td>APPROVED</td>
						<td width="4%">
							<input type="checkbox" id="deleteReviewed" onclick="showHideRows(this,'DELETE REVIEWED')" checked="checked" />
						</td>
						<td>DELETE REVIEWED</td>
					</tr>
					<tr>
						<td colspan="2"></td>
						<td colspan="2"></td>
						<td colspan="2"></td>
						<td colspan="2"></td>
					</tr>
				</table>
				<br>
				<div class="tableBodyContainer" id="drugPairsBodyContainer">
					<div class="tableContainer" id="drugPairsContainer">
						<table id="drugPairsTable" class="sortable" cellspacing="0">
							<thead>
								<tr>
									<th class="unsortable">
										<%-- Creating a place holder header for radio button column --%>
										Select
									</th>
									<%-- Display column names --%>
									<c:forEach var="column" items="${drugPairCustomization.columnList}">
											<th>
												<c:out value="${column.displayName}" />
											</th>
									</c:forEach>
								</tr>
							</thead>
							<tbody class="scrollContent">
								<%-- Display fields for each row --%>
								<c:forEach var="ddim" items="${drugPairCustomization.ddimRowMap}" varStatus="rowCounter">
									<tr align="left" valign="top">
										<td style="border: solid 1px #d8d8d8;">
						    				<form:checkbox path="selectedList" class="pairListCheckbox" value="${ddim.key}"  />
										</td>
										<c:forEach var="column" items="${ddim.value}" varStatus="rowCounterInner">
												<td style="border: solid 1px #d8d8d8;">
													<c:out value="${column}" />
												</td>
										</c:forEach>
									</tr>
								</c:forEach>
							</tbody>
							<tfoot>
								<tr></tr>
							</tfoot>
						</table>
					</div>
					<table>
						<tr align="left" valign="top">
							<td width="7%">
		    					<input id="selectAllPairs" type="checkbox" name="list" value="SelectDeselectAll"  />
							</td>
							<td>
								<B>Select/Deselect Drug Pairs Displayed from VA Custom Interaction</B>
							</td>
							
							<td width="4%">
			  					<form:radiobutton path="maxRecs" value="500"/>
							</td>
							<td>
								<B>500 Max</B>
							</td>
							<td width="4%">
			  					<form:radiobutton path="maxRecs" value="1000"/>
							</td>
							<td>
                                <b>1000 Max</b>
							</td>
							<td width="4%">
			  					<form:radiobutton path="maxRecs" value="-1"/>
							</td>
							<td>
								<B>All</B>
							</td>
							<td>&nbsp;</td>
                            <td>
                                <input type="button" id="counts" value=" Get Record Counts "/>
                            </td>
						</tr>
                        <tr>
                            <td colspan="10">
                            <P>
                                <em><strong><c:out value="Assigned To"/><span class="required">(Required)</span></strong></em><br />
                                <form:select path="assignedTo">
                                       <form:options  items="${users}"  />
                                </form:select>
                            </P> 
                            </td>
                        </tr>
					</table>
				</div>
                
				<div class="buttons" id="wtButtons">
					
					<c:if test="${user.approver or user.admin or user.releaseManager}">
						<button type="submit" id="wtSubmit_as_Reviewed" value="Submit_as_Reviewed" class="submitButton" name="wizardButton">
							<spring:message code="wizard.button.submitreview"/>
						</button>
						<button type="submit" id="wtApprove" value="Approve" class="submitButton" name="wizardButton">
							<spring:message code="wizard.button.approve"/>
						</button>
					</c:if>
					<button type="submit" id="wtReject"  value="Reject" name="wizardButton" class="submitButton" class="negative">
						<spring:message code="wizard.button.reject"/>
					</button>
					<c:if test="${user.approver or user.admin or user.releaseManager}">
						<button type="submit" id="wtSubmit_for_Delete" value="Submit_for_Delete"  class="submitButton"
							name="wizardButton" onclick="return confirm('Are you sure you would like to submit for delete?');">
							<spring:message code="wizard.button.submitdelete"/>
						</button>
						<button type="submit" id="wtDelete" value="Delete" name="wizardButton" class="submitButton"
							class="negative" onclick="return confirm('Are you sure you would like to delete?');">
							<spring:message code="wizard.button.delete"/>
						</button>
					</c:if>
				</div>		
			</c:when>
			<c:otherwise>
				<p>
					No drug pairs exist for this custom interaction. Create new custom drug pair(s) for this interaction by clicking on 'Select Drug Pairs to add to the above VA Custom Interaction'.
				</p>
			</c:otherwise>
		</c:choose>
	</div>
</form:form>
<div class="buttons">
 <button type="button" id="editButton2" class="edit noneditable">
  <spring:message code="wizard.button.edit" />
 </button>
 <button type="button" id="cancelButton2" class="cancel editable" style="display: none;">
  <spring:message code="wizard.button.canceledit" />
 </button>
</div>
