<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:choose>
<c:when test="${not empty customDrugPairs }">
<form:form action="../save/modifyDrugPairs" commandName="drugPairModificationForm">
<div id="modifyDrugPairs" style="">

 
 <table id="statusTypeSelectTable" style="border: 0;">
   <tr>
    <td width="4%"><input type="checkbox" id="new" onclick="showHideRows(this,'NEW')" checked="checked" /></td>
    <td>NEW</td>
    <td width="4%"><input type="checkbox" id="modified" onclick="showHideRows(this,'MODIFIED')" checked="checked" /></td>
    <td>MODIFIED</td>
    <td width="4%"><input type="checkbox" id="reviewed" onclick="showHideRows(this,'REVIEWED')" checked="checked" /></td>
    <td>REVIEWED</td>
    <td width="4%"><input type="checkbox" id="approved" onclick="showHideRows(this,'APPROVED')" checked="checked" /></td>
    <td>APPROVED</td>
    <td width="4%"><input type="checkbox" id="deleteReviewed" onclick="showHideRows(this,'DELETE REVIEWED')"
     checked="checked" /></td>
    <td>DELETE REVIEWED</td>
   </tr>
   <tr>
    <td colspan="2"></td>
    <td colspan="2"></td>
    <td colspan="2"></td>
    <td colspan="2"></td>
   </tr>
  </table>
 <div class="tableContainer">

 <form:hidden path="interactionId" value="${vaInteraction.interactionid}" />
 
  <table id="drugPairsTable" class="sortable">
   <thead>
    <tr>
     <th class="unsortable">Select</th>
     <th>Interaction Description</th>
     <th>Routed Generic #1 Description</th>
     <th>Routed Generic #2 Description</th>
     <th>Action Status</th>
     <th>Request Submitted By</th>
     <th>Action Date</th>
     <th>Action Performed By</th>
     <th>Request Assigned To</th>
     <th>Interaction ID</th>
     <th>Severity Level Description</th>
     <th>Reference Text</th>
     <th>Severity Level Code</th>
     <th>Routed Generic #1 ID</th>
     <th>Routed Generic #2 ID</th>
    </tr>
   </thead>
   <tbody>

    <c:forEach var="drugPair" items="${customDrugPairs}" varStatus="rowCounter">
     <c:set var="key" value='${fn:replace(drugPair.allowableActions, ", ", "~")}' />
     <c:set var="key" value='${fn:substringAfter(key, "[")}' />
     <c:set var="key" value='${fn:substringBefore(key, "]")}' />

     <tr class="vaDrugPairRow">
      <td><form:checkbox path="selectedList" cssClass="pairListCheckbox"
        value='${key}|${drugPair.rtgenid1}|${drugPair.rtgenid2}' /></td>

      <td>${drugPair.interactionidDesc}</td>
      <td>${drugPair.rtgenid1Desc }</td>
      <td>${drugPair.rtgenid2Desc }</td>
      <td>${drugPair.status }</td>
      <td>${drugPair.requestor }</td>
      <td>${drugPair.actionDate }</td>
      <td>${drugPair.actionBy}</td>
      <td>${drugPair.assignedTo }</td>
      <td>${drugPair.interactionid }</td>
      <td>${drugPair.severitylevelcodeDesc }</td>
      <td>${drugPair.referenceText }</td>
      <td>${drugPair.severitylevelcode }</td>
      <td>${drugPair.rtgenid1 }</td>
      <td>${drugPair.rtgenid2 }</td>
     </tr>
    </c:forEach>
   </tbody>
  </table>

 </div>
 <table>
  <tr align="left" valign="top">
   <td width="7%"><input id="selectAllPairs" type="checkbox" name="list" value="SelectDeselectAll" /></td>
   <td>Select/Deselect Drug Pairs Displayed from VA Custom Interaction</td>

   <td width="4%"><input type="radio" name="maxRecs" value="500" /></td>
   <td>500 Max</td>
   <td width="4%"><input type="radio" name="maxRecs" value="1000" /></td>
   <td>1000 Max</td>
   <td width="4%"><input type="radio" name="maxRecs" value="-1" /></td>
   <td>All</td>
   <td>&nbsp;</td>
   <td><input type="button" id="counts" value=" Get Record Counts " /></td>
  </tr>
  <tr>
   <td colspan="10">
    <p>
     <strong><c:out value="Assigned To" /><span class="required">&nbsp;(Required)</span></strong><br />
     <form:select path="assignedTo">
      <form:options items="${users}" />
     </form:select>
    </p>
   </td>
  </tr>
 </table>

 <div class="buttons" id="wtButtons">
  <c:if test="${user.approver or user.admin or user.releaseManager}">
   <button type="submit" id="wtSubmit_as_Reviewed" value="Submit_as_Reviewed" class="submitButton" name="wizardButton">
    <spring:message code="wizard.button.submitreview" />
   </button>
   <button type="submit" id="wtApprove" value="Approve" class="submitButton" name="wizardButton">
    <spring:message code="wizard.button.approve" />
   </button>
  </c:if>
  <button type="submit" id="wtReject" value="Reject" name="wizardButton" class="submitButton" class="negative">
   <spring:message code="wizard.button.reject" />
  </button>
  <c:if test="${user.approver or user.admin or user.releaseManager}">
   <button type="submit" id="wtSubmit_for_Delete" value="Submit_for_Delete" class="submitButton" name="wizardButton"
    onclick="return confirm('Are you sure you would like to submit for delete?');">
    <spring:message code="wizard.button.submitdelete" />
   </button>
   <button type="submit" id="wtDelete" value="Delete" name="wizardButton" class="submitButton" class="negative"
    onclick="return confirm('Are you sure you would like to delete?');">
    <spring:message code="wizard.button.delete" />
   </button>
  </c:if>
 </div>
</div>
</form:form>
</c:when>
            <c:otherwise>
                <p>
                    No drug pairs exist for this custom interaction. Create new custom drug pair(s) for this interaction by clicking on 'Select Drug Pairs to add to the above VA Custom Interaction'.
                </p>
            </c:otherwise>
        </c:choose>