<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<div id="modifyDrugPairs" style="">
	<div>
		<div class="filter-checkbox">
			<input type="checkbox" class="filter" id="new" checked="checked"
				value="New" /> <label for="new">NEW</label>
		</div>
		<div class="filter-checkbox">
			<input type="checkbox" class="filter" id="modified" checked="checked"
				value="Modified" /> <label for="modify">MODIFIED</label>
		</div>
		<div class="filter-checkbox">
			<input type="checkbox" class="filter" id="reviewed" checked="checked"
				value="Reviewed" /> <label for="reviewed">REVIEWED</label>
		</div>
		<div class="filter-checkbox">
			<input type="checkbox" class="filter" id="approved" checked="checked"
				value="Approved" /> <label for="approved">APPROVED</label>
		</div>
		<div class="filter-checkbox">
			<input type="checkbox" class="filter" id="deleteReviewed"
				checked="checked" value="Delete Reviewed" /> <label
				for="deleteReviewed">DELETE REVIEWED</label>
		</div>
	</div>
	<!--  <div dojoType="dojox.data.AndOrReadStore" data="vaDrugPairsGrid" jsId="vaDrugPairsStore" class="show " 
            style="width: 100%; clear: both; height: 350px">  -->
	<div id="vaDrugPairsGrid" class="show "
		style="width: 100%; clear: both; height: 350px"></div>

	<form:form action="../save/modifyDrugPairs"
		commandName="drugPairModificationForm">
		<form:hidden path="interactionId"
			value="${vaInteraction.interactionid}" />
		<div>
			<div>
				<div>
					<div class="filter-qty">
						<input id="selectAllPairs" type="checkbox" name="list"
							value="SelectDeselectAll" /> <label for="selectAllPairs">Select/Deselect
							Drug Pairs Displayed from VA Custom Interaction</label>
					</div>
					<div class="filter-qty">
						<input id="maxRecs500" type="radio" class="maxRecs"
							name="maxRecsVa" value="500" /> <label for="maxRecs500">500
							Max</label>
					</div>
					<div class="filter-qty">
						<input id="maxRecs1000" type="radio" class="maxRecs"
							name="maxRecsVa" value="1000" /> <label for="maxRecs1000">1000
							Max</label>
					</div>
					<div class="filter-qty">
						<input id="allRecs" type="radio" class="maxRecs" name="maxRecsVa"
							checked="checked" value="-1" /> <label for="allRecs">All</label>
					</div>
					<div class="filter-qty">
						<input type="button" id="vaCounts" value=" Get Record Counts " />
					</div>
				</div>
			</div>
			<br>
			<div>
				<div>
					<br> <strong><c:out value="Assigned To" /> <span
						class="required">(Required) </span> </strong> <br />
					<form:select path="assignedTo">
						<form:options items="${users}" />
					</form:select>
				</div>
			</div>
		</div>
		<div class="buttons" id="wtButtons">
			<c:if test="${user.approver or user.admin or user.releaseManager}">
				<button type="submit" id="wtSubmit_as_Reviewed"
					value="Submit_as_Reviewed" class="submitButton" name="wizardButton">
					<spring:message code="wizard.button.submitreview" />
				</button>
				<button type="submit" id="wtApprove" value="Approve"
					class="submitButton" name="wizardButton">
					<spring:message code="wizard.button.approve" />
				</button>
			</c:if>
			<button type="submit" id="wtReject" value="Reject"
				name="wizardButton" class="submitButton" class="negative">
				<spring:message code="wizard.button.reject" />
			</button>
			<c:if test="${user.approver or user.admin or user.releaseManager}">
				<button type="submit" id="wtSubmit_for_Delete"
					value="Submit_for_Delete" class="submitButton" name="wizardButton">
					<spring:message code="wizard.button.submitdelete" />
				</button>
				<button type="submit" id="wtDelete" value="Delete"
					name="wizardButton" class="submitButton" class="negative">
					<spring:message code="wizard.button.delete" />
				</button>
			</c:if>
		</div>
	</form:form>
</div>
