<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ attribute name="name" required="true"%>
<%@ attribute name="isCurrentRec" required="true" rtexprvalue="true"%>
<%@ attribute name="fieldInfo"
	type="gov.va.med.pharmacy.pecs.metadata.ConceptField" required="true"
	rtexprvalue="true"%>
<%@ attribute name="property" required="true"%>
<%@ attribute name="value" required="false" rtexprvalue="true"%>

<%@ attribute name="list" required="true" type="java.util.Collection"
	rtexprvalue="true"%>

<c:if test="${fieldInfo.required }">
	<c:set var="required">
		<span class="requiredField"><spring:message
				code="message.required" /> <a id="${name }_tip" class="history"
			accesskey="y" style="display: none;" tabindex="0"><img
				alt="History Table ${fieldInfo.displayName} Press t to enter Table and Press Alt + y to Exit Table"
				src="/ct/images/icons/clock-history.png"></a> </span>
	</c:set>
	<c:set var="requiredField" value="requiredField" />
</c:if>
<c:if test="${not fieldInfo.editable }">
	<c:set var="grayTextReadOnly" value="wizardReadonly">
	</c:set>
	<c:set var="readonlyColor" value="readonly">
	</c:set>
</c:if>

<c:set var="readOnly" value="${not fieldInfo.editable}"></c:set>

<c:if test="${not isCurrentRec}">
	<c:set var="readOnly" value="true"></c:set>
	<c:set var="grayTextReadOnly" value="wizardReadonly"></c:set>
</c:if>


<div id="${name }" class="displayable" style="display: none">
	<form:label cssClass="${requiredField}" path="${property}"> ${fieldInfo.displayName}&nbsp; ${required } </form:label>
	<form:input style="display: none;" readonly="${readOnly}"
		cssClass="editable ${grayTextReadOnly}" path="${property }" />
	<span class="read-only  noneditable"><c:out value="${value }"></c:out></span>
	<div>
		<form:label id="description1SelectLabel" style="display: none;"
			cssClass="editable" for="description1Select" path=""> Description Combo Box </form:label>

		<form:select style="display: none;" id="description1Select"
			cssClass="editable input" path="" disabled="${readOnly}">
			<option label="" value="" />
			<c:forEach items="${list }" var="item">
				<form:option value="${ item.label}" disabled="${readOnly }">${item.label }</form:option>
			</c:forEach>

		</form:select>

	</div>
</div>
