<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ attribute name="name" required="true"%>
<%@ attribute name="property" required="true"%>
<%@ attribute name="len" required="false"%>
<%@ attribute name="isCurrentRec" required="true" rtexprvalue="true"%>
<%@ attribute name="fieldInfo"
	type="gov.va.med.pharmacy.pecs.metadata.ConceptField" required="true"
	rtexprvalue="true"%>
<%@ attribute name="link" required="false" rtexprvalue="true"%>
<%@ attribute name="value" required="false" rtexprvalue="true"%>
<%@ attribute name="isFdb" required="false" rtexprvalue="true"%>



<c:if test="${fieldInfo.required }">
	<c:set var="required">
		<span class="requiredField"><spring:message
				code="message.required" /> <a id="${name }_tip" class="history"
			accesskey="y" style="display: none;" tabindex="0"><img
				alt="History Table ${fieldInfo.displayName} Press t to enter Table and Press Alt + y to Exit Table"
				src="/ct/images/icons/clock-history.png"></a> </span>
	</c:set>
	<c:set var="requiredField" value="requiredField" />

</c:if>
<c:if test="${not fieldInfo.editable }">
	<c:set var="grayTextReadOnly" value="wizardReadonly">
	</c:set>
	<c:set var="readonlyColor" value="readonly">
	</c:set>
</c:if>

<c:set var="readOnly" value="${not fieldInfo.editable}" />

<c:if test="${not isCurrentRec}">
	<c:set var="readOnly" value="true" />
	<c:set var="grayTextReadOnly" value="wizardReadonly" />
</c:if>
<c:choose>
	<c:when test="${isFdb && not fieldInfo.editable }">
		<form:hidden path="${property }" />
	</c:when>
	<c:otherwise>
		<div id="${name }" class="displayable" style="display: none">
			<c:choose>
				<c:when test="${not empty link }">

					<form:label cssClass="${requiredField}" path="${property}">
						<a href="${link }">${fieldInfo.displayName}&nbsp; ${required }</a>
					</form:label>

				</c:when>
				<c:otherwise>
					<form:label cssClass="${requiredField}" path="${property}">${fieldInfo.displayName}&nbsp; ${required }</form:label>
				</c:otherwise>
			</c:choose>
			<form:input style="display: none" maxlength="${len}"
				readonly="${readOnly}" cssClass="editable ${grayTextReadOnly}"
				path="${property }" />
			<span class="read-only noneditable"><c:out value="${value }" /></span>
		</div>
	</c:otherwise>
</c:choose>


