/** 
 * Create the pre namespace variable
 * 
 * All objects/functions will be children of this 
 * namespace object.
 * 
 */
var pre = {};

pre.Common = {
	isANumber: function(string) {
		var intCharCode;   
        
        for (var i = 0; i < string.length; i++) {
   
        	intCharCode = string.charCodeAt(i);      
   
            if (!((intCharCode >= 48 && intCharCode <= 57))) {
            	return false;
            }   
        }
        
        return true;
	},
	
	elementExist: function(id) {
		if (document.getElementById(id) == null) {
			return false;
		} else {
			return true;
		}
	}
}

var XML = {
		
	newDocument: function(rootTagName, namespaceURL)
	{
		if (!rootTagName) rootTagName = "";
		if (!namespaceURL) namespaceURL = "";
		
		if (document.implementation && document.implementation.createDocument)
		{
			// this is the W3C standard way
			return document.implementation.createDocument(namespaceURL, rootTagName, null);
		}
		else
		{
			// The IE way
			var doc = new ActiveXObject("MSXML2.DOMDocument");
			
			// assumes no namespace and no namespace prefix
			// Create the root element as a string of text
			var text = "<" + tagname + "/>";
			
			// And parse that text into the empty document
			doc.loadXML(text);
			
			return doc;
		}
	},
	
	serialize: function(node) {
		if (typeof XMLSerializer != "undefined") {
			return (new XMLSerializer()).serializeToString(node);
		}
		else if (node.xml) {
			return node.xml;
		} else {
			throw "XML.serialize is not supported " + node;
		}		
	}
}
// style handles all the initial styles give to each page
pre.style = {};

pre.style.init = function() {
	function stripeTables() {
		var tables = $$("table");
		
		for (var i = 0; i < tables.length; i++) {
			pre.stripeTable(tables[i]);
		}
	}
	
	function toggleHeaders() {
		function toggleHeader() {
			// Toggle + and - images
			var linkEl = $(this.id).firstDescendant();
			
			if (linkEl.className == "opened") {
				linkEl.className = "closed";
			} else {
				linkEl.className = "opened";
			}
			
			// Show or Hide section
			
			// remove the hdr_ prefix
			var toggleID = this.id.substring("hdr_".length, this.id.length);
			
			if ($(toggleID).className == "show") {
				// hide it
				$(toggleID).className = "hide";
			} else {
				// show it
				$(toggleID).className = "show";
			}
		}
		
		// make all the h2 headers inside forms toggalable
		var h2List = $$("#content form h2");
		
		for (var i = 0; i < h2List.length; i++) {
			h2List[i].onclick = toggleHeader;
		}
	}
	
	function initToggleBehavior() {
		// Open all be default
		$("hdr_queryManager").onclick();
		
		if (pre.Common.elementExist("hdr_queryBuilder")) {
			$("hdr_queryBuilder").onclick();
		}
		
		$("hdr_queryResults").onclick();
		
		return;
		
		if (pre.Common.elementExist("queryManagerTable")) {
			// if query manager has queries, open the query manager
			if ($("queryManagerTable").rows.length > 0) {
				$("hdr_queryManager").onclick();
			}
			
			// if query manager has no queries, open the query builder
			if ($("queryManagerTable").rows.length == 0 ) {
				$("hdr_queryBuilder").onclick();
			}
		} else {
			$("hdr_queryBuilder").onclick();
		}		
		
		// if query results has data open the query results
		if (pre.Common.elementExist("queryResultsTable")) {
			if ($("queryResultsTable").rows.length > 0)
			{
				$("hdr_queryResults").onclick();
				
			}	
		}
	}
	
	stripeTables();
	
	// add toggle behavior to headers
	//toggleHeaders();
	
	// run the initial open/close behavior for the toggalable headers
	// TODO this behavior is TBD
	//initToggleBehavior();
}

// stripes a table with alternating row colors and adds a onmouse over effect
// to highlight the row the user hovers over
pre.stripeTable = function (tableEl) {
	function highlightRow() {
		this.className = "highlightedRow";
	}
	
	function resetRow() {
		this.className = this.originalClassName;
	}

	function addRollOverToRow(row, rowClassName) {
		rows[j].className = rowClassName;
		rows[j].originalClassName = rowClassName;
		rows[j].onmouseover = highlightRow;
		rows[j].onmouseout = resetRow;
	}
	
	var rows = tableEl.rows;
			
	for (var j = 0; j < rows.length; j++) {
		if (j % 2 == 0) {			
			addRollOverToRow(rows[j], "alternateRow");
		} else {
			addRollOverToRow(rows[j], "normalRow");
		}				
	}
}

// Start Query Manager related functions
function saveOriginalClassNames()
{
  var buttons = $$("#queryManager button");
  for (var i = 0; i < buttons.length; i++)
  {
    buttons[i].originalClassName = buttons[i].className;
  }
}
  
function isSavedQuerySelected()
{
  var table = $("queryManagerTable");
    
  for (var i = 0; i < table.rows.length; i++)
  {
    var cell = table.rows[i].cells[0];
    Element.extend(cell);
    
    // add onclick event to radio button
    if (cell.firstDescendant().checked)
    {
      return true;
    }
  }
  
  return false;
}
  
function toggleButtons()
{
  var buttons = $$("#queryManager button");
  var enabled = isSavedQuerySelected();
  
  for (var i = 0; i < buttons.length; i++)
  {
    if (enabled)
    {
      buttons[i].className = buttons[i].originalClassName;
      buttons[i].disabled = false;
    }
    else
    {
      // disable all buttons
      buttons[i].className = "disabled";
      buttons[i].disabled = true;
    }
    
    // toggel named query text field
    toggleNamedQuery(enabled);
  }
}

function toggleNamedQuery(enabled)
{
  var customQueryName = $("customQueryName");
  
  if( enabled )
  {
    customQueryName.className = "loadingShow";
  }
  else
  {
    customQueryName.className = "loadingHide";
  }
   
}

  
/*
function saveQuery()
{
  function saveToDb(obj)
  {
    //if (obj.getAttribute("saved") == "true")
    //{
      // don't save queries that are already saved
      //return;
    //}
    
    var customQueryField = $("customQueryNameField");
    var queryNameValue = obj.getAttribute("savedQueryName").value;
    if( customQueryField.value != null )
      queryNameValue = customQueryField.value;
    
    url = $("appContext").value + "/tables/SaveQuery.html";
    new Ajax.Request(url,
    { 
        method:'post',
        parameters:{
        tableName: obj.getAttribute("tableName"), sql: obj.getAttribute("sql"), savedQueryName: queryNameValue},
        onSuccess: function(transport) {
          var jsonObj = transport.responseText.evalJSON();
          
          obj.value = jsonObj.savedQuery.savedQueryVaId;
          obj.setAttribute("saved", "true");
          
          var objHTML = obj.parentNode.innerHTML;
          var newHTML = objHTML.replace("(Unsaved)", "Saved query name '"+queryNameValue+"' for query: ");
          
          obj.parentNode.innerHTML = newHTML;
        },
        onFailure: function() { alert("Unable to save query."); }
      });
     
    // Update GUI
    obj.setAttribute("savedQueryName", queryNameValue);
    customQueryField.value = "";
    toggleNamedQuery(false);
  }
  
  // Get all input elements with a type of radio and name of selectedQueryID    
  var buttons = $('queryManagerForm').getInputs('radio', 'selectedQueryID');
  if (buttons.length < 10)
  {
    for (var i = 0; i < buttons.length; i++)
    {
      if (buttons[i].checked)
      {
        saveToDb(buttons[i]);
      }
    }
  }
  else
  {
    // need to indicate that too many queries exist
    alert("You have reached your query limit. You must delete a query before saving another.");
  }   
  
  return false;
}
*/

/* 
function deleteQuery()
{
  function updateButtonsStatus()
  {
    // Get all input elements with a type of radio and name of selectedQueryID    
    var radioButtons = $('queryManagerForm').getInputs('radio', 'selectedQueryID');
    
    if (radioButtons.length == 0)
    { 
      var buttons = $$("#queryManager button"); 
      for (var i = 0; i < buttons.length; i++)
      {
        // disable all buttons
        buttons[i].className = "disabled";
        buttons[i].disabled = true;         
      }
    }
  }
  
  function deleteInDb(obj)
  {
    url = $("appContext").value + "/tables/DeleteQuery.html";
    new Ajax.Request(url, { 
        method:'post',
        parameters:{
        savedQueryID: obj.value } ,
        onSuccess: function(transport) {
          deleteElFromTable(obj);
        },
        onFailure: function() { alert("Unable to delete query."); }         
      });
    
    var customQueryField = $("customQueryField");
    customQueryField.value = "";
    toggleNamedQuery(false);
  }
  
  function deleteElFromTable(el)
  {
    var rowEl = el.parentNode.parentNode;
    Element.extend(rowEl);
    rowEl.remove();
    updateButtonsStatus();
  }
  
  // Get all input elements with a type of radio and name of selectedQueryID    
  var radioButtons = $('queryManagerForm').getInputs('radio', 'selectedQueryID');
  for (var i = 0; i < radioButtons.length; i++)
  {
    if (radioButtons[i].checked)
    {
      if (radioButtons[i].getAttribute("saved") == "false")
      {
        deleteElFromTable(radioButtons[i]);
      }
      else
      {
        deleteInDb(radioButtons[i]);
      }
    }
  }
  
  return false;
}
*/

/*
// The user can only execute a saved query!
function ensureQuerySaved()
{
  // Get all input elements with a type of radio and name of selectedQueryID    
  var radioButtons = $('queryManagerForm').getInputs('radio', 'selectedQueryID');
  for (var i = 0; i < radioButtons.length; i++)
  {
    if (radioButtons[i].checked)
    {
      if (radioButtons[i].getAttribute("saved") == "true")
      {
        return true;
      }
      else
      {
        alert("You can only execute saved queries.");     
      }
    }
  }
  
  return false; 
}
*/
// End Query Manager related functions

// Start Query Builder related functions
function clearTable()
{
  $("columnValue").value = "";
  $("queryAsXML").value = "";
  var queryTable = $("queryBuilderTable");

  while (queryTable.hasChildNodes())
  {
    queryTable.removeChild(queryTable.firstChild);
  }
  
  updateActionsState();
  return false;
}

function printPage()
{
	window.print();
	return false;
}
  
function updateActionsState()
{
  var btnQueryAction = $("queryAction");
//  var btnHistoryQueryAction = $("historyQueryAction");
  var queryTable = $("queryBuilderTable");
  
  if (queryTable.rows.length == 0)
  {
    btnQueryAction.className = "disabled";
    btnQueryAction.disabled = true;     
//    btnHistoryQueryAction.className = "disabled";
//    btnHistoryQueryAction.disabled = true;     
  }
  else
  {
    btnQueryAction.className = "";
    btnQueryAction.disabled = false;
//    btnHistoryQueryAction.className = "";
//    btnHistoryQueryAction.disabled = false;     
  }   
}

function setHistory() {
	$("includeHistorySavedQuery").value = "true";
}

function setNoHistory() {
	$("includeHistorySavedQuery").value = "false";
}

function storeXMLQueryAndHistory() {
	$("includeHistory").value = "true";
	storeXMLQuery();
}

function storeXMLQueryNoHistory() {
	$("includeHistory").value = "false";
	storeXMLQuery();
}

function storeXMLQuery() { 
	var queryText = $("queryAsXML").value;
	
    var part = $("queryAsXML").value;
	var conditionObj = new Object();
	conditionObj = getCondition("");
	var condition = "<condition><field>" + conditionObj.column + "</field>" + 
					"<operator>" + conditionObj.operator + "</operator>" +
					"<value>" + conditionObj.operand + "</value>" + 
					"</condition>";
	$("queryAsXML").value = "<query>" + part + condition + "</query>";
	
	var loadingDiv = $("loadingImage");
	loadingDiv.style.display = "block";
	loadingDiv.style.textAlign= "center";
	loadingDiv.style.fontWeight= "bold";
	
	return true;
}

function getCurrentDataType()
{
  var selected = $("columnSelection").options[$("columnSelection").selectedIndex];
  return selected.getAttribute("dataType");
}

function isValueTextBlank()
{
  return $F("columnValue").blank();
}
  
function isValidValue()
{
  var isValid = false;
  
  // ensure value is not blank before calling
  if (isValueTextBlank())
  {
    return isValid;
  }
  
  var dataType = getCurrentDataType();
  if (dataType == "NUMBER")
  {
    var isANumberResult = pre.Common.isANumber($F("columnValue"));
    if (isANumberResult)
    {
      isValid = true;
    }
  }
  else
  {
    isValid = true; 
  }
  
  return isValid;   
}

function appendTextToTableAsNewRow(text)
{
  var queryTable = $("queryBuilderTable");
  var newRow = queryTable.insertRow(queryTable.rows.length);
  var newCell = newRow.insertCell(0);
  newCell.innerHTML = text;
}

function addANDOrOR(andOr)
{
  var queryTable = $("queryBuilderTable");
  if (queryTable.rows.length > 0)
  {
    appendTextToTableAsNewRow(andOr);
  }
  
}

function getCondition(andOr)
{
  var colsSelEl = $("columnsSelect");
  var consSelEl = $("constraintsSelect");
  var condition = new Object();
  
  condition.column = colsSelEl.options[colsSelEl.selectedIndex].value;
  condition.columnText = colsSelEl.options[colsSelEl.selectedIndex].text;
  condition.operatorText = consSelEl.options[consSelEl.selectedIndex].text;
  condition.operator = consSelEl.options[consSelEl.selectedIndex].value;
  condition.operand = $("valueText").value;
  condition.andOr = andOr;
  
  return condition;
}

function getMessage(condition)
{
  return condition.columnText + " " + condition.operatorText + " '" + condition.operand + "'";
}

function updateMessage(isValid)
{   
  function setMessage(messageType)
  {
    var queryBuilderMessage = $("queryBuilderMessage");
  
    if (messageType == "DB_DATA_TYPE_Number")
    {
      queryBuilderMessage.innerHTML = "Please enter a number as a value";
      queryBuilderMessage.className = "error";
    }
    else if (messageType == "DB_DATA_TYPE_String")
    {
      queryBuilderMessage.innerHTML = "Please enter text as a value";
      queryBuilderMessage.className = "error";
    }
    else if (messageType == "DB_DATA_TYPE_Date")
    {
      queryBuilderMessage.innerHTML = "Please enter a date as a value";
      queryBuilderMessage.className = "error";
    }
    else
    {
      queryBuilderMessage.innerHTML = "Enter a value to build a query";
      queryBuilderMessage.className = "";
    }
  } 

  if (isValid)
  {
    setMessage("Use Default Message!");
  }
  else
  {
    setMessage(getCurrentDataType());
  }
}

function addAndConstraintToTable() {
	var queryTable = $("queryBuilderTable");
	var isValid = isValidValue();
	if (isValid) {
		// add the logic gate to table if previous text
		addANDOrOR("AND");
		var conditionObj = new Object();
		conditionObj = getCondition("AND");
		var part = $("queryAsXML").value;
		var condition = "<condition><field>" + conditionObj.column + "</field>" + 
						"<operator>" + conditionObj.operator + "</operator>" +
						"<value>" + conditionObj.operand + "</value>" + 
						"</condition>" + 
						"<conjunction>AND</conjunction>";
		$("queryAsXML").value = part + condition;
		appendTextToTableAsNewRow(getMessage(conditionObj));
	    
		// restripe just the query table
		pre.stripeTable(queryTable);
		updateActionsState();
		updateMessage(isValid);
	}
	else {
		updateActionsState();
		// no value don't add to table as query
		updateMessage(isValid);
	}
  
	$("columnValue").value = "";
	// return false to stop link from navigating
	return false;
}

function addOrConstraintToTable() {
	var queryTable = $("queryBuilderTable");
	var isValid = isValidValue();
	if (isValid) {
		// add the logic gate to table if previous text
		addANDOrOR("OR");
		var conditionObj = new Object();
		conditionObj = getCondition("OR");
		var part = $("queryAsXML").value;
		var condition = "<condition><field>" + conditionObj.column + "</field>" + 
						"<operator>" + conditionObj.operator + "</operator>" +
						"<value>" + conditionObj.operand + "</value>" + 
						"</condition>" + 
						"<conjunction>OR</conjunction>";
		$("queryAsXML").value = part + condition;
		appendTextToTableAsNewRow(getMessage(conditionObj));
	    
		// restripe just the query table
		pre.stripeTable(queryTable);
		updateActionsState();
		updateMessage(isValid);
	}
	else {
		updateActionsState();
		// no value don't add to table as query
		updateMessage(isValid);
	}
	
	$("columnValue").value = "";
	// return false to stop link from navigating
	return false;
}

/**
 * Checks to see if the action being performed by forms[1] contains "MyFDB".
 * This indicates that only the FDB is being queried.  This function is
 * used by the addDefaultDRC() function to determine which attribute should
 * be utilized by the default DRC query.
 * 
 * @return
 */
function isFDBOnly()
{
	// Look at forms[1] since this should be the queryBuilderForm.
	if (document.forms[1].action.indexOf("MyFDB",0) > -1 ) {
		return true;
	}
	return false;
}

// Finds and returns the option using the key value.  The keys are
// compared in lower case to prevent case mismatch.
function findOptionByKey(dropDownList, key) {
	var options = dropDownList.options;
	for(i=0; i < options.length; i++ ) {
		if (options[i].value.toLowerCase().indexOf(key.toLowerCase(),0) > -1 ) {
			return options[i];
		}
	}
}

function addDefaultDRC()
{
  
  var queryTable = $("queryBuilderTable");
  var CONCEPT_TYPE_METHOD_NAME = "concepttype";
  var AGE_HIGH_METHOD_NAME = "agehighindays";

  var conceptTypeOption = findOptionByKey($("columnSelection"), CONCEPT_TYPE_METHOD_NAME);
  var ageHighOption = findOptionByKey($("columnSelection"), AGE_HIGH_METHOD_NAME);
  
  // Don't add if Concept Type is already part of the query.
  var part = $("queryAsXML").value;
  if (part.indexOf(conceptTypeOption.value, 0) == -1 ) {
	  addANDOrOR("AND");

	  // add the Concept Type
	  var conditionObj = new Object();
	  conditionObj.column = conceptTypeOption.value;
	  conditionObj.columnText = conceptTypeOption.text;
	  conditionObj.operatorText = "Equal To";
	  conditionObj.operator = "eq";
	  conditionObj.operand = 6;
	  conditionObj.andOr = "AND";

	  var condition = "<Condition><Column>" + conditionObj.column + "</Column>" + 
	  	"<Operator>" + conditionObj.operator + "</Operator>" +
	  	"<Operand>" + conditionObj.operand + "</Operand>" + 
	  	"<Predicate>" + conditionObj.andOr + "</Predicate>" +
	  	"</Condition>"
	  $("queryAsXML").value = part + condition;
	  appendTextToTableAsNewRow(getMessage(conditionObj));
	  updateMessage(true);
  }
    

  // Don't add if Age High In Days is already part of the query.
  part = $("queryAsXML").value;
  if (part.indexOf(ageHighOption.value, 0) == -1 ) {
	  addANDOrOR("AND");

	  // add the Age High In Days
	  var conditionObj = new Object();
	  conditionObj.column = ageHighOption.value;
	  conditionObj.columnText = ageHighOption.text;
	  conditionObj.operatorText = "Greater Than or Equal To";
	  conditionObj.operator = "gteq";
	  conditionObj.operand = 6570;
	  conditionObj.andOr = "AND";

	  var condition = "<Condition><Column>" + conditionObj.column + "</Column>" + 
	  	"<Operator>" + conditionObj.operator + "</Operator>" +
	  	"<Operand>" + conditionObj.operand + "</Operand>" + 
	  	"<Predicate>" + conditionObj.andOr + "</Predicate>" +
	  	"</Condition>"
	  $("queryAsXML").value = part + condition;
	  appendTextToTableAsNewRow(getMessage(conditionObj));
	  updateMessage(true);
  }
  
  // restripe just the query table
  pre.stripeTable(queryTable);
  updateActionsState();

  // return false to stop link from navigating
  return false;
}
// End Query Builder related functions


pre.queryResults = {};
pre.queryResults.init = function () {
	var queryResultsTable = $("queryResultsTable");
	
	function getSelectedRecordStatus() {
		var selectedRecordStatus = "NONE";
		
		var rows = queryResultsTable.rows;
		
		// start after the header, will need a better check TODO
		for (var i = 1; i < rows.length; i++) {
			// Step 1. get radio button
			var cell = rows[i].cells[0];
			// extend cell via prototype dom
			Element.extend(cell);
			
			// get the selected radio button value
			if (cell.firstDescendant().checked) {
				// Step 2. Get Status if row is checked
				var selectedRecordStatus = rows[i].cells[1].innerHTML.strip();
				break;
			}
		}
		
		return selectedRecordStatus;
	}
	
	function toggleActionButtons() {
		var newBtn = $("newAction");
		var modBtn = $("modifyAction");
		var delBtn = $("deleteAction");
		var preBtn = $("previewAction");
		
		function standardDisable() {
			newBtn.disabled = false;
			modBtn.disabled = false;
			modBtn.className = "positive";
			delBtn.disabled = false;
			delBtn.className = "negative";
			preBtn.disabled = false;
			preBtn.className = "";
		}
		
		function altDisable() {
			newBtn.disabled = false;
			modBtn.disabled = true;
			modBtn.className = "disabled";
			delBtn.disabled = true;
			delBtn.className = "disabled";
			preBtn.disabled = true;
			preBtn.className = "";
		}
		
		if (getSelectedRecordStatus() == "NONE") {
			// status is NONE
			Try.these(altDisable);
		} else {
			Try.these(standardDisable);
		}
	}
	
	function addToggleBehaviorToQueryResultsTable() {
		var rows = queryResultsTable.rows;
		
		for (var i = 1; i < rows.length; i++) {
			// Step 1. get radio button
			var cell = rows[i].cells[0];
			// extend cell via prototype dom
			Element.extend(cell);
			
			// add onclick event to radio button
			cell.firstDescendant().onclick = toggleActionButtons;
		}
	}
	
	function addSelectionModeBehavior() {
		var selectedEl = $("selectionMode");
		
		function createCheckBoxFromRadio(rdoEl) {
			var chkBoxEl = document.createElement("input");
			
			chkBoxEl.setAttribute("type", "checkbox");
			
			return chkBoxEl;
		}
		
		function storeRadioAndCheckBoxOnCellElement() {
			var rows = queryResultsTable.rows;
		
			for (var i = 1; i < rows.length; i++) {
				var cell = rows[i].cells[0];
				
				// ensure the cell is defined in the row
				if (typeof cell != "undefined") {					
					// extend cell via prototype dom
					Element.extend(cell);
					
					cell.radioButtonEl = cell.firstDescendant();
					cell.checkBoxEl = createCheckBoxFromRadio(cell.radioButtonEl);		
				}			
			}
		}
		
		function toggleRadioButtonsToCheckBoxes() {
			var rows = queryResultsTable.rows;
		
			for (var i = 1; i < rows.length; i++) {
				var cell = rows[i].cells[0];
				
				// ensure the cell is defined in the row
				if (typeof cell != "undefined") {					
					// extend cell via prototype dom
					Element.extend(cell);
					
					var type = cell.firstDescendant().getAttribute("type");

					// remove children
					while (cell.hasChildNodes()) {
						cell.removeChild(cell.firstChild);
					}
					
					if (type == "radio" ) {
						cell.appendChild(cell.checkBoxEl);
					} else {
						cell.appendChild(cell.radioButtonEl);
					}	
				}			
			}
		}
		
		storeRadioAndCheckBoxOnCellElement();
		
		selectedEl.selectedIndex = 0;
		selectedEl.onchange = toggleRadioButtonsToCheckBoxes;
	}
	
	// uses the tablekit api
  function makeTableSortable()
	{
	  // set Table kit options
	  TableKit.options.resizable = false;
		TableKit.options.stripe = true;
			
		if (pre.Common.elementExist("queryResultsTable"))
		{
		  TableKit.Sortable.init($("queryResultsTable"), {});
		}		
	}
		
	makeTableSortable();
	
	// the above methods throw errors, secure them
	Try.these(addToggleBehaviorToQueryResultsTable, addSelectionModeBehavior, toggleActionButtons);
} // end query results init()

pre.elementExist = function(id) {
	if (document.getElementById(id) == null) {
		return false;
	} else {
		if (document.getElementById(id).name == 'undefined') {
			return false;	
		} else {
			return true;
		}		
	}
}

pre.multiButtonSetValue = function() {	
	// need id of hidden field
	$(this.hiddenFieldID).value = this.getAttribute("buttonValue");
}

pre.exportMultiButtonSetValue = function() {  
  // need id of hidden field
  $(this.hiddenFieldID).value = this.getAttribute("buttonValue");
	alert('The file you are downloading may contain more than 64,000 rows and may not import into Microsoft Excel.');
}

pre.exportButtonHandler = function () {
	// get all buttons on for a all forms
	var buttons = $('exportToCSVAction', 'exportToExcelAction');
	
	for (var i = 0; i < buttons.length; i++) {
		var form = buttons[i].form;
		
		var hiddenFieldID = form.id + form.name + "hiddenFieldButtonValue";

		// only add the hidden field once!
		if (!pre.elementExist(hiddenFieldID)) {
			var hiddenField = document.createElement("input");
			hiddenField.type = "hidden";
			hiddenField.name = "buttonValue";
			hiddenField.id = hiddenFieldID;
			
			form.appendChild(hiddenField);	
		}
		
		buttons[i].hiddenFieldID = hiddenFieldID;
		buttons[i].onclick = pre.exportMultiButtonSetValue;
	}
}

pre.queryManager = {};
pre.queryManager.init = function ()
{
  var buttons = $$("#queryManager button");
  if (buttons.length > 0) {
    if (typeof buttons[0].originalClassName == "undefined") {
      saveOriginalClassNames();
        
      var table = $("queryManagerTable");
      
      for (var i = 0; i < table.rows.length; i++) {
        var cell = table.rows[i].cells[0];
        
        Element.extend(cell);
          
        // add onclick event to radio button
        cell.firstDescendant().onclick = toggleButtons; 
      }
    }
    
    toggleButtons();
  }
}// end query manager init

pre.queryBuilder = {};
pre.queryBuilder.init = function ()
{
  // ensure the customQueryBuilder Exist before configuring
  if (pre.Common.elementExist("queryBuilder"))
  {
    // update the actual constraints based on values in drop downs
    // TODO this will be set once the actions define the data types
    // updateConstraints();
    updateActionsState();
  }
} // end query builder init()

pre.init = function init()
{
	pre.style.init();
	pre.queryManager.init();
	pre.queryBuilder.init();
	pre.queryResults.init();
	pre.exportButtonHandler();
} //end pre init

function openWin(url)
{
  window.open(url, 'window', 'top=50,left=250,width=750,height=620,scrollbars=1');
}

// Initialize window environment
Event.observe(window, "load", pre.init);

// Query Manager button events
//Event.observe($('executeSavedQueryAction'), "click", ensureQuerySaved);
//Event.observe($('saveSavedQueryAction'), "click", saveQuery);
//Event.observe($('deleteSavedQueryAction'), "click", deleteQuery);

// Query Builder button events
//Event.observe($('queryAction'), "click", storeXMLQueryNoHistory);
//Event.observe($('historyQueryAction'), "click", storeXMLQueryAndHistory);
//Event.observe($('executeSavedQueryAction'), "click", setNoHistory);
//Event.observe($('executeSavedQueryActionWithHistory'), "click", setHistory);
Event.observe($('queryAction'), "click", storeXMLQuery);
Event.observe($('addAsAndAction'), "click", addAndConstraintToTable);
Event.observe($('addAsORAction'), "click", addOrConstraintToTable);
Event.observe($('clearAction'), "click", clearTable);
Event.observe($('addDefaultDRCQuery'), "click", addDefaultDRC);

