var allowExit = false;
var time = null;
var load = null;
var maxTime = 60 * 19 * 1000; // maximum time allowed for an edit session - 1
var reloadPage = 60 * 20 * 1000;
var ran = 0;
var order = null;

/**
 * This function will make an call to the serve to retrieve the order field to
 * display on the page. It will then call each one in order and move it to the
 * bottom position. We need to display the read only text on the page for the
 * select boxes. To do that we will use javascript to take the value of the
 * select and create the read only text
 */
function orderFields(concept) {
	// Look up the node we'll stick the text under.
	var targetNode = dojo.byId("list");

	// The parameters to pass to xhrGet, the url, how to handle it, and the
	// callbacks.
	var xhrArgs = {
	    url : "/ct/pecs/details/order/" + concept,
	    handleAs : "json",
	    load : function(data) {
		    order = data;
		    dojo.forEach(data, function(entry, i) {
			    var entryNode = dojo.byId(entry);
			    if (entryNode != null) {
				    var basicNode = dojo.place(entry, targetNode, "last");

				    dojo.style(basicNode, "opacity", "0");
				    dojo.style(basicNode, "display", "block");
				    var fadeArgs = {
					    node : basicNode
				    };
				    dojo.fadeIn(fadeArgs).play();
				    selectBox = dojo.query("#" + entry + " select");
				    if (selectBox.length > 0 && entry != "DESCRIPTION1") {

					    dojo.query("#" + entry + " span.read-only").forEach(function(node) {
						    select = selectBox[0];
						    node.innerHTML = select[select.selectedIndex].text;
					    });

				    }
			    }
		    });
	    },
	    error : function(error) {
		    targetNode.innerHTML = "An unexpected error occurred: " + error;
	    }
	};

	// Call the asynchronous xhrGet
	dojo.xhrGet(xhrArgs);
	if (dojo.style("errorMessages", "display") == "block" || location.pathname.indexOf("blank", 0) != -1) {
		readOnlyToEdit();
		var urlArray = location.pathname.split("/");
		;
		var xhrArgs = {
		    url : "../extend/" + urlArray[urlArray.length - 2] + "/" + urlArray[urlArray.length - 1],
		    handleAs : "json",
		    load : function(data) {
			    if (data == null) {
				    reload();
			    } else {
				    window.clearTimeout(load);
				    load = window.setTimeout(reload, reloadPage);
				    time = window.setTimeout(timeOut, maxTime);
			    }
		    }
		};
		dojo.xhrGet(xhrArgs);
		dojo.addClass("errorMessages", "editable");
		if (location.pathname.indexOf("blank", 0) != -1) {
			dojo.query(".cancel").style("display", "none");
		}
	}
}

function edit() {

	var urlArray = location.pathname.split("/");
	var message = "";
	var xhrArgs = {
	    url : "../edit/" + urlArray[urlArray.length - 2] + "/" + urlArray[urlArray.length - 1],
	    handleAs : "json",
	    load : function(data) {

		    if (!data.current) {
			    alert(data.message);
			    window.location.pathname = data.url;
			    return;
		    }
		    if (data.locked) {
			    alert(data.message);
			    return;
		    }

		    readOnlyToEdit();
		    time = window.setTimeout(timeOut, maxTime);
		    load = window.setTimeout(reload, reloadPage);

	    },
	    error : function(error, ioargs) {
		    if (ioargs.xhr.responseText.indexOf("LoginForm") > -1) {
			    window.location = "/ct/login/login.jsp";
			    return;
		    }
		    console.log(error);
		    alert("An Error Occurred ");
	    }
	};
	dojo.xhrGet(xhrArgs);
	if (message.indexOf("LoginForm") > -1) {
		parent.location = "/ct/login/login.jsp";
	}
}

function readOnlyToEdit() {
	var fade = {
		duration : 500
	};

	var readOnly = dojo.query(".noneditable");
	var editable = dojo.query(".editable");
	var read = readOnly.fadeOut({
	    duration : 500,
	    onEnd : function() {
		    readOnly.style("display", "none");
	    }
	});

	var edit = editable.style("opacity", 0).style("display", "block").fadeIn(fade);
	dojo.fx.chain([ read, edit ]).play();
}
function cancel() {

	var cont = confirm("This action will cause you to lose any edits you have made.\n Click OK to proceed or click Cancel to continue editing this record.");
	if (!cont) {
		return;
	}

	var urlArray = location.pathname.split("/");

	var xhrArgs = {
	    url : "../cancel/" + urlArray[urlArray.length - 2] + "/" + urlArray[urlArray.length - 1],
	    handleAs : "text",
	    load : function(data) {
		    var fade = {
			    duration : 500
		    };
		    if (data.indexOf("LoginForm") > -1) {
			    allowExit = true;
			    window.location = "/ct/login/login.jsp";
			    return;
		    }
		    var readOnly = dojo.query(".noneditable");
		    var editable = dojo.query(".editable");

		    var read = readOnly.style("opacity", 0).style("display", "inline").fadeIn(fade);

		    var edit = editable.fadeOut({
		        duration : 500,
		        onEnd : function() {
			        editable.style("display", "none");
		        }
		    });

		    if (pageHasErrors()) {
			    reload();
		    } else {
			    document.forms[0].reset();
		    }

		    dojo.fx.chain([ edit, read ]).play();
		    window.clearTimeout(time);
		    window.clearTimeout(load);

		    dojo.removeClass("errorMessages", "editable");
	    },
	    error : function(error, ioargs) {
		    if (ioargs.xhr.responseText.indexOf("LoginForm") > -1) {
			    window.location = "/ct/login/login.jsp";
			    return;
		    }
		    console.log(error);
		    alert("An Error Occurred ");
	    }
	};

	dojo.xhrGet(xhrArgs);

}

dojo.addOnWindowUnload(window, function() {
	var urlArray = location.pathname.split("/");
	var cancelButton = dojo.byId("cancelButton");
	if (cancelButton == null) {
		return;
	}
	var xhrArgs = {
	    url : "../cancel/" + urlArray[urlArray.length - 2] + "/" + urlArray[urlArray.length - 1],
	    handleAs : "text",
	    sync : true,
	    load : function(data) {
		    console.debug(data);
	    }
	};

	if (dojo.style(cancelButton, "display") != "none" && !allowExit) {
		dojo.xhrGet(xhrArgs);
	}
});

dojo.ready(function() {
	dojo.require("dojo.NodeList-fx");
	dojo.require("dojo.fx");
	dojo.connect(window, "onbeforeunload", this, function(e) {
		var cancelButton = dojo.byId("cancelButton");
		if (cancelButton == null) {
			return;
		}
		if (dojo.byId("action")) {
			allowExit = true;
		}

		if ((dojo.style(cancelButton, "display") != "none") && !allowExit) {

			e.preventDefault();
			e.returnValue = "";
			return "";
		}
	});
});

function timeOut() {
	var timeOutStart = new Date().getTime();
	alert("Your editing session on this page will end in one minute.\n To avoid losing your changes click OK to extend your editing session");
	var urlArray = location.pathname.split("/");
	var xhrArgs = {
	    url : "../extend/" + urlArray[urlArray.length - 2] + "/" + urlArray[urlArray.length - 1],
	    handleAs : "json",
	    load : function(data) {
		    var elapsedTime = new Date().getTime() - timeOutStart;
		    if (maxTime + elapsedTime > reloadPage) {
			    if (!data.current) {
				    allowExit = true;
				    window.location.pathname = data.url;
				    return;
			    } else {
				    reload();
			    }
		    } else {
			    window.clearTimeout(load);
			    load = window.setTimeout(reload, reloadPage);
			    time = window.setTimeout(timeOut, maxTime);
		    }
	    }
	};
	dojo.xhrGet(xhrArgs);
}

function reload() {
	allowExit = true;
	window.location = window.location;
}

// move all of this to a sepreate file.
var headers = [ "Old Value", "New Value" ];

function createTable(data) {

	var table = dojo.create("table", {
		'class' : "history-table"
	}, null, null);
	var tableBody = dojo.create("tbody", null, table, "first");
	// to be displayed on the page as the old value
	var oldValue = "";
	// to be displayed on the page as the new value
	var newValue = "";
	// the rows here are in the order of newest to oldest. So we need to work
	// backwards the first item out of the array is the newest value which means
	// it goes on top

	for ( var int = (data.length - 1); int >= 0; int--) {
		if (oldValue == "") {
			oldValue = data[int].value;
			continue;
		}

		dojo.forEach(headers, function(entry, i) {
			dojo.create("tr", {
				innerHTML : entry
			}, tr, "last");
		});

		newValue = data[int].value;

		rowAdded = dojo.create("tr", null, tableBody, "first");
		dojo.create("td", {
		    innerHTML : oldValue,
		    title : "old Value"
		}, rowAdded, "last");

		dojo.create("td", {
			innerHTML : newValue
		}, rowAdded, "last");
		oldValue = newValue;
	}

	var tableHeader = dojo.create("thead", null, table, "first");
	dojo.create("tfoot", null, table, "last");

	var tr = dojo.create("tr", null, tableHeader, "first");

	dojo.forEach(headers, function(entry, i) {
		dojo.create("th", {
			innerHTML : entry
		}, tr, "last");
	});

	//console.log(table);
	return table;

}

function showHistoryTip(name, html) {
	// set the content of the dialog:
	new dijit.Tooltip({
	    connectId : [ name + "_tip" ],
	    label : html.outerHTML
	});
	window.focus();
}

function callReqHistory(concept, id) {

	// The parameters to pass to xhrGet, the url, how to handle it, and the
	// callbacks.
	var xhrArgs = {
	    url : "/ct/pecs/history/" + concept + "/" + id,
	    handleAs : "json",

	    load : function(data) {

		    dojo.forEach(order, function(field, i) {
			    if (data[field]) {
				    var html = createTable(data[field]);
				    dojo.addClass(field + "_tip", "noneditable");
				    dojo.style(field + "_tip", "display", "inline");
				    showHistoryTip(field, html);

			    }

		    });

	    },
	    error : function(error) {
		    targetNode.innerHTML = "An unexpected error occurred: " + error;
	    }
	};

	// Call the asynchronous xhrGet
	if (dojo.byId("edit")) {

		var deferred = dojo.xhrGet(xhrArgs);
	}
}
function pageHasErrors() {

	var errors = false;

	dojo.query(".error").forEach(function(entry, i) {

		if (dojo.style(entry, "display") == "block") {

			errors = true;

		}

	});

	return errors;

}

function hasVAInURL() {
	var searchIndex = window.location.href.search("/VA/");
	if (searchIndex > -1) {
		return true;

	}
	return false;
}

function connectUserCommentButton(button) {
	dojo.connect(dojo.byId(button), "onclick", this, "createDialog");
}

function createConceptDialog(concept, fdbId) {
	dojo.require("dijit.Dialog");
	
	var dialogObj = dijit.byId("commentDialog");
	
	if (dialogObj === undefined) {
		
		dialogObj = new dijit.Dialog({
		    id : 'commentDialog',
		    title : 'Enter Comment',
		    href : "/ct/pecs/comment/" + concept + "/" + fdbId,
		    style : "width: 500px"
		});
		dialogObj.closeButtonNode.style.display = 'none';
	}

	return dialogObj;
	
}

function hideDialog(){
	
	var dialogObj = dijit.byId("commentDialog");
	dialogObj.hide();
}

function connectToDialogButtons(){
	
	connectToDialogOnSubmit();
	
	connectToDialogOnCancel();
}

function connectToDialogOnCancel(){
	
		dojo.connect(dojo.byId("commentCancel"), "onclick", null, function(event) {					
			dijit.byId('commentDialog').hide();	
			dojo.byId("commentText").value="";					
			});	
}


function connectToDialogOnSubmit() {

	var userCommentForm = dojo.byId("userCommentForm");

	var handle = dojo.connect(userCommentForm, "onsubmit", null, function(event) {
		event.preventDefault();
		
		dojo.attr(dojo.byId("commentSubmit"), "disabled", true);
		
		var xhrArgs = {
		    form : dojo.byId("userCommentForm"),
		    handleAs : "json",
		    load : function(data) {
			    if (data.successMessage != "") {
				    window.reload();
			    } else {
				    dojo.byId("errors");
				    dojo.place("<font class='errorHeader'>Error Messages: " + data.errorMessages + "</font>", dojo
				            .byId("commentErrors"), "last")
			    }

		    }

		}
		if (dojo.trim(dojo.byId("commentText").value) == "") {
			alert("You must enter a comment");
			dojo.attr(dojo.byId("commentSubmit"), "disabled", false);
			var promise = dijit.byId('commentDialog').hide();
			promise.then(function(){
				console.log("hide was successful")
				});
			return;
		}

		var deferred = dojo.xhrPost(xhrArgs);
	});

	return false;
}
