dojo.require("dojo.hash");
dojo.require("dojo.NodeList-fx");
dojo.require("dojo.NodeList-manipulate");
dojo.require("dojo.fx");
dojo.require("dojox.grid.Selection");
dojo.require("dijit.form.MultiSelect");
dojo.require("dojo.cookie");
// Global variables
var numChecks;
var wtStep;
var enabledButtons = [];
var dpCheckboxes;

var SERVLET = "pecs";
var createVisible = true;
var modifyVisible = true;
var totalCount = 0;

dojo.ready(function() {

    /* Get the interaction id to process */
    var interactionId = dojo.byId("interactionId");

    /* Initialize the FDB Grid */
    fdbDrugPairDataGridInit(SERVLET, "fdbDrugPairsGrid", "drugPairCustomization/FDB/drugpairs/" + interactionId.value
            + "?json=");

    /* Initialize the selectable grid for VA Grid */
    selectableDataGrid(SERVLET, "vaDrugPairsGrid", "VA", "DRUG_PAIR", "multiple", "drugPairCustomization/VA/drugpairs/"
            + interactionId.value + "?json=", true, null);

    /* Get the VA Grid to addional processing */
    var vaDrugPairsGrid = dijit.byId("vaDrugPairsGridGrid");

    /* Connect to Status Filter check boxes. An onchange event handler */
    connectToStatusFilterCheckboxes(vaDrugPairsGrid);

    /*
     * Connect to the Selected Grid Rows. An onselected event handler related to
     * VA grid row selections
     */
    connectToSelectedGridRow(vaDrugPairsGrid);

    /*
     * Connect to the Selected Grid Rows. An deselected event handler related to
     * VA grid row selections
     */
    connectToDeselectedGridRow(vaDrugPairsGrid);

    /* Connects to the button to get the VA counts */
    connectToGetCountsButtonVa(vaDrugPairsGrid);
    /* sets up the routed generic select/search boxes */
    setupRoutedGenerics();

    /* */
    saveOriginalButtonClassNames();

    /**/
    connectToCreateDrugPairs();

    /**/
    connectToModifyDrugPairs();

    /**/
    connectToDrugPairsSource();

    /**/
    connectToFdbDrugPairForm();

    /**/
    // connectToGenericDrugPairs();
    // Comment this out eventually
    connectToModifyDrugPairsForm();

    /**/
    dojo.query(".pairListCheckbox").connect("onclick", null, function(event) {
        showButtons(this, null);
    });
    /**/
    var vaDrugPairCounts = dojo.byId("counts");

    /**/
    if (vaDrugPairCounts) {
        dojo.connect(vaDrugPairCounts, "onclick", null, "getRowCount");
    }

    /**/
    // connectToSelectAllPairsVA();
    /**/
    var grid = dijit.byId("fdbDrugPairsGridGrid");

    /**/
    connectToAllSelectAll(grid, dojo.byId("selectAllFdbList"), document.getElementsByName('maxRecsFdb'));

    /**/
    connectToAllSelectAll(vaDrugPairsGrid, dojo.byId("selectAllPairs"), document.getElementsByName('maxRecsVa'));

    /**/
    connectToGetCountsButtonFdb(grid);

    /**/
    connectToEditCancel();

    /**/
    showCorrectDrugPairs();

    if (pageHasErrors()) {
        setupOnError();
    } else {
        setupPageForReadOnly();

        connectToReadOnlyGridFDB(grid);

        connectToReadOnlyGrid(vaDrugPairsGrid, true);

    }
    getErrorMessagesFromCookies();
    dojo.connect(dojo.byId("routedGenericsForm"), "onsubmit", null, "connectToGenericDrugPairs");

});// end of dojo.ready

/**/
function connectToReadOnlyGrid(grid, boolean) {
    grid.store.fetch({
        onComplete : function(items) {
            for ( var i = 0; i < grid.rowCount; i++) {
                grid.rowSelectCell.setDisabled(i, boolean);
            }
            if (!boolean) {
                scrollTo(0, 0);
            }
            if (grid.id == "vaDrugPairsGridGrid" && totalCount == 0) {
                totalCount = grid.rowCount;
            }
        }
    });
};

/**/
function connectToReadOnlyGridFDB(grid) {
    grid.store.fetch({
        onComplete : function(items) {
            var hash = dojo.hash();

            if (items == null || items.length == 0 || hash == "generic") {

                dojo.byId("genericPairs").click();
            }
            for ( var i = 0; i < grid.rowCount; i++) {
                grid.rowSelectCell.setDisabled(i, true);
            }
            scrollTo(0, 0);
        }
    });
};

/**/
function connectToSelectedGridRow(grid) {
    dojo.connect(grid, "onSelected", grid, function(idx) {
        var selected = this.selection.getSelected();
        if (selected.length == 0) {
            enabledButtons = selected;
            disableDrugPairButtons();
            return;
        }
        firstItem = this.selection.getFirstSelected();
        enabledButtons = this.store.getValues(firstItem, "allowableActions");
        for ( var int = 0; int < selected.length; int++) {

            lowestCommonButtons(this.store.getValues(selected[int], "allowableActions"));
        }
        disableDrugPairButtons();
        enableDrugPairButtons();
    });
}

/**/
function connectToDeselectedGridRow(grid) {
    dojo.connect(grid, "onDeselected", grid, function(idx) {

        var selected = this.selection.getSelected();
        if (selected.length == 0) {
            enabledButtons = selected;
            disableDrugPairButtons();
            return;
        }
        firstItem = this.selection.getFirstSelected();
        enabledButtons = this.store.getValues(firstItem, "allowableActions");
        for ( var int = 0; int < selected.length; int++) {

            lowestCommonButtons(this.store.getValues(selected[int], "allowableActions"));
        }
        disableDrugPairButtons();
        enableDrugPairButtons();
    });

}

/*
 * Process to determine which action buttons should be active when multiple VA
 * grid selections have been made
 */
function lowestCommonButtons(buttons) {

    var newButtons = new Array();

    for ( var int = 0; int < enabledButtons.length; int++) {

        var individualButton = enabledButtons[int];

        if (dojo.indexOf(buttons, individualButton) != -1) {
            newButtons[newButtons.length] = individualButton;
        }
    }
    enabledButtons = newButtons;
}

/* Process to control the Status filters */
function connectToStatusFilterCheckboxes(grid) {

    // Gets the filter check boxes.
    var filterCheckboxes = dojo.query(".filter");
    filterCheckboxes.connect("onclick", function(event) {
        /* Clears the grid of any selected items that may get filtered out */
        // clearGridSelections(grid);
        var checkedQuery = "[?";
        filterCheckboxes.forEach(function(node, index, array) {

            if (node.checked) {
                if (checkedQuery != "[?") {
                    checkedQuery = checkedQuery + "|";
                }
                checkedQuery = checkedQuery + "status =" + "\"" + node.value + "\"";
            }
            ;
        });

        checkedQuery = checkedQuery + "]";
        grid.filter(checkedQuery);

    });

};

function showCorrectDrugPairs() {
    var url = location;

    var index = url.toString().indexOf("genericDrugPairs");
    if (index != -1) {
        dojo.byId("genericPairs").click();
    }
}

function connectToCreateDrugPairs() {
    dojo.connect(dojo.byId("createDrugPairsLink"), "onclick", function(event) {
        var node = dojo.byId("createDrugPairs");
        event.preventDefault();
        var toggler = new dojo.fx.Toggler({
            node : node,
            showFunc : dojo.fx.wipeIn,
            hideFunc : dojo.fx.wipeOut
        });
        if (!createVisible) {

            toggler.show();
            dojo.removeClass("createDrugPairsLink", "closed");
            dojo.addClass("createDrugPairsLink", "opened");
        } else {
            toggler.hide();
            dojo.removeClass("createDrugPairsLink", "opened");
            dojo.addClass("createDrugPairsLink", "closed");
        }
        createVisible = !createVisible;
    });
}
function connectToModifyDrugPairs() {
    dojo.connect(dojo.byId("modifyDrugPairsLink"), "onclick", function(event) {
        var node = dojo.byId("modifyDrugPairs");
        event.preventDefault();
        var toggler = new dojo.fx.Toggler({
            node : node,
            showFunc : dojo.fx.wipeIn,
            hideFunc : dojo.fx.wipeOut
        });

        if (!modifyVisible) {
            toggler.show();
            dojo.removeClass("modifyDrugPairsLink", "closed");
            dojo.addClass("modifyDrugPairsLink", "opened");
        } else {
            toggler.hide();
            dojo.removeClass("modifyDrugPairsLink", "opened");
            dojo.addClass("modifyDrugPairsLink", "closed");
        }
        modifyVisible = !modifyVisible;
    });
}
/**
 * show the fdb drugs if they exist. not working right now because of the new
 * grid
 */
function connectToDrugPairsSource() {
    dojo.query("input[name=\"drugPairSource\"]").connect("onclick", null, function(event) {
        var fdbId = "fdbDrugs";
        var genId = "genericDrugs";
        if (this.value == "fdb") {
            dojo.addClass(fdbId, "show");
            dojo.removeClass(genId, "show");
            dojo.removeClass(fdbId, "hide");
            dojo.addClass(genId, "hide");
        } else {
            dojo.addClass(genId, "show");
            dojo.removeClass(fdbId, "show");
            dojo.removeClass(genId, "hide");
            dojo.addClass(fdbId, "hide");
        }
        var grid = dijit.byId("fdbDrugPairsGridGrid");
        grid.resize();
    });

}
function connectToFdbDrugPairForm() {
    var fdbDrugPairsForm = dojo.byId("fdbDrugPairsForm");
    dojo.connect(fdbDrugPairsForm, "onsubmit", function(e) {
        showLoader();
        e.preventDefault();
        // FDB Drug Pairs Grid
        var fdbDPGrid = dijit.byId("fdbDrugPairsGridGrid");
        var selections = null;
        if (fdbDPGrid != null) {
            selections = fdbDPGrid.selection.getSelected();
            if (selections == null || selections.length == 0) {
                alert("At least one drug pair must be chosen \n before clicking the Customize button.");
                e.preventDefault();
                hideLoader();
                return;
            }
            if (dojo.trim(dojo.byId("currentActionReasonFdb").value) == "") {
                alert("Current Action Reason is Required");
                e.preventDefault();
                hideLoader();
                return;
            }

            dojo.query(".donotdisplay").remove();
            document.forms["fdbDrugPairsForm"]["fdbDrugPairs"] = [];
            var drugPairs = new Array();
            dojo.forEach(selections, function(item) {

                var checkValue = fdbDPGrid.store.getValue(item, "key");
                drugPairs.push(checkValue);
            });
            fdbdpform = dojo.formToObject("fdbDrugPairsForm");
            fdbdpform.fdbDrugPairs = drugPairs;
        }
        var xhrArgs = {
            url : fdbDrugPairsForm.action,
            content : fdbdpform,
            handleAs : "json",
            load : function(data) {

                if (data.successMessage != null && data.successMessage != "") {
                    scrollTo(0, 0);
                    showLoader();
                    allowExit = true;
                    dojo.hash("", true);
                    window.location.reload();
                    return;
                }
                dojo.byId("errorMessageText").innerHTML = "";
                dojo.style("errorMessages", "display", "block");

                dojo.forEach(data.errorMessages, function(entry, i) {
                    dojo.create("li", {
                        innerHTML : entry
                    }, "errorMessageText", "last");
                });

                scrollTo(0, 0);
                hideLoader();
                
            },
            error : function(error) {

                alert(error);
            }
        };
        // Call the asynchronous xhrPost

        dojo.xhrPost(xhrArgs);

    });
}

function connectToModifyDrugPairsForm() {

    dojo.query(".submitButton").connect(
            "onclick",
            function(e) {

                this.value;

                if (this.id == "wtSubmit_for_Delete") {
                    var conf = confirm("Are you sure you would like to submit the request for delete?");
                    if (conf == false) {
                        e.preventDefault();
                        return;
                    }
                }
                if (this.id == "wtDelete") {
                    var conf = confirm("Are you sure you would like to delete?");
                    if (conf == false) {
                        e.preventDefault();
                        return;
                    }
                }

                var vaDPForm = dojo.byId("drugPairModificationForm");
                e.preventDefault();

                var vaDrugPairsGrid = dijit.byId("vaDrugPairsGridGrid");
                var selected = vaDrugPairsGrid.selection.getSelected();

                dojo.query(".donotdisplay").remove();
                var drugPairs = new Array();
                dojo.forEach(selected, function(item) {

                    var checkValue = vaDrugPairsGrid.store.getValue(item, "rtgenid1") + "|"
                            + vaDrugPairsGrid.store.getValue(item, "rtgenid2");
                    drugPairs.push(checkValue);

                });

                var button = e.currentTarget;
                var action = dojo.create("input", {
                    type : "text",
                    name : "wizardButton",
                    value : button.value
                }, vaDPForm, "last");

                dojo.addClass(action, "donotdisplay");
                vaDPFormObj = dojo.formToObject("drugPairModificationForm");
                vaDPFormObj.selectedList = drugPairs;

                var xhrArgs = {
                    url : "/ct/pecs/drugPairCustomization/save/modifyDrugPairs",
                    handleAs : "json",
                    content : vaDPFormObj,
                    load : function(data) {
                        if (data.errorMessages == null) {
                            scrollTo(0, 0);
                            showLoader();
                            allowExit = true;
                            window.location.reload();
                            return;

                        } else {
                            alert(data.errorMessages);

                        }
                        scrollTo(0, 0);
                        displayReadOnly();

                    }
                };
                dojo.xhrPost(xhrArgs);

                return true;
            });
}

function reloadGrid(inputGrid) {

    clearGridSelections(inputGrid);

    inputGrid.store.clearCache();

    inputGrid.store.fetch({
        onComplete : function() {
            inputGrid.setQuery({
                id : "*"
            });
        },
        syncMode : false,

        clientFetch : false

    });

}

function clearGridSelections(grid) {
    grid.selection.clear();
}

function connectToGenericDrugPairs(e) {
    var rtgenid1Obj = document.getElementById('routedGeneric1');
    var rtgen1Selected = getArrayForMultiSelect(rtgenid1Obj);
    var rtgenid2Obj = document.getElementById('routedGeneric2');
    var rtgen2Selected = getArrayForMultiSelect(rtgenid2Obj);
    e.preventDefault();
    if (rtgen1Selected.length == 0 || rtgen2Selected.length == 0) {
        alert("Routed Generic 1 and Routed Generic 2 are Required");
        return;
    }
    if (dojo.trim(dojo.byId("currentActionReasonGeneric").value) == "") {
        alert("Current Action Reason is Required");
        e.preventDefault();
        hideLoader();
        return;
    }
    var allText = "";
    var isSame = false;
    for ( var i = 0; rtgen1Selected.length > i; i++) {
        for ( var j = 0; rtgen2Selected.length > j; j++) {
            if (rtgen1Selected[i] == rtgen2Selected[j]) {
                var text = getDispalyForValue(rtgenid1Obj, rtgen1Selected[i]);
                allText += '\n' + text;
                isSame = true;

            }
        }
    }

    if (isSame == true) {
        alert(" Routed Generic #1 and Routed Generic #2 cannot be the same value. " + allText);
        return;
    }

    if (dojo.trim(dojo.byId("currentActionReasonGeneric").value) == "") {
        alert("Current Action Reason is Required");
        return;
    }

    var xhrArgs = {
        form : dojo.byId("routedGenericsForm"),
        handleAs : "json",
        load : function(data) {
            if (data.errorMessages != null && data.errorMessages != "") {
                addErrorMessageCookies(data.errorMessages);
                createErrorMessages(data.errorMessages);
                extendLockAndResetTimers();
            }
            if (data.successMessage != null && data.successMessage != "") {
                scrollTo(0, 0);
                showLoader();
                allowExit = true;

                dojo.hash("generic", true);
                window.location.reload();
                return;
            }else{
                clearErrorMessageCookies();
            }

            scrollTo(0, 0);
            hideLoader();
        },
        error : function(error) {

        }
    };
    var deferred = dojo.xhrPost(xhrArgs);
}

function getErrorMessagesFromCookies() {
    var expires = {
        expires : -1
    };
    var messages = new Array();
    var count = dojo.cookie("messageCount");
    if (count != null && count != "") {
        dojo.cookie("messageCount", null, expires);
        for ( var i = 0; i < count; i++) {
            messages.push(dojo.cookie("message" + i));
            dojo.cookie("message" + count, null, expires);
        }
        createErrorMessages(messages);
    }

}

function clearErrorMessageCookies(){
    var expires = {
            expires : -1
        };
    
        var count = dojo.cookie("messageCount");
        if (count != null && count != "") {
            dojo.cookie("messageCount", null, expires);
            for ( var i = 0; i < count; i++) {
                dojo.cookie("message" + count, null, expires);
            }
        }
}
function addErrorMessageCookies(messages) {
    var expires = {
        expires : 1
    };
    dojo.cookie("messageCount", messages.length, expires);
    dojo.forEach(messages, function(entry, i) {
        dojo.cookie("message" + i, entry, expires);
    });
}
function createErrorMessages(messages) {
    dojo.byId("errorMessageText").innerHTML = "";
    dojo.style("errorMessages", "display", "block");
    dojo.style("errorMessages", "opacity", "1");

    dojo.forEach(messages, function(entry, i) {
        dojo.create("li", {
            innerHTML : entry
        }, "errorMessageText", "last");
    });
}
function getDispalyForValue(selectObject, value) {
    for ( var i = 0; selectObject.options.length > i; i++) {
        if (selectObject.options[i].value == value) {
            return selectObject.options[i].text;
        }
    }
}
function getArrayForMultiSelect(selectObject) {
    var selectedArray = new Array();
    var count = 0;
    for ( var i = 0; i < selectObject.options.length; i++) {
        if (selectObject.options[i].selected) {
            selectedArray[count] = selectObject.options[i].value;
            count++;
        }
    }
    return selectedArray;
}

function connectToAllSelectAll(grid, selectAllButton, radioButtons) {
    dojo.connect(selectAllButton, "onclick", grid, function(event) {
        var maxValue = -1;
        var checked = event.target.checked;

        for ( var i = 0; i < radioButtons.length; i++) {
            if (radioButtons[i].checked) {
                if (radioButtons[i].value != "-1") {
                    maxValue = radioButtons[i].value - 1;
                }

            }
        }
        if (maxValue == -1 || maxValue > grid.rowCount) {
            maxValue = grid.rowCount - 1;
        }
        if (checked) {
            grid.selection.selectRange(0, maxValue);
        } else {
            grid.rowSelectCell.toggleAllSelection(false);

        }

    });
}
/* */
function connectToGetCountsButtonFdb(grid) {

    dojo.connect(dojo.byId("fdbCounts"), "onclick", grid, function(e) {
        alert("Now showing " + grid.rowCount + " total records.");
    });

}
/*  */
function connectToGetCountsButtonVa(grid) {

    dojo.connect(dojo.byId("vaCounts"), "onclick", grid, function(e) {
        alert("Now showing " + grid.rowCount + "  of  " + totalCount + " total records.");
    });

}

function setupPageForReadOnly() {
    setDisabled(true);
}

/*
 * Get all checked drug pairs.
 */
function getCheckedBoxes() {
    var res = [];
    if (!dpCheckboxes) {
        var container = document.getElementById("drugPairsContainer");
        dpCheckboxes = container.getElementsByTagName("input");
    }
    for ( var i = 0; i < dpCheckboxes.length; i++) {
        if (dpCheckboxes[i].checked) {
            res.push(dpCheckboxes[i]);
        }
    }
    return res;
}

function setupRoutedGenerics() {

    var stateStore = new dojo.data.ItemFileReadStore({
        url : "/ct/pecs/drugPairCustomization/routedGenerics"
    });
    stateStore.fetch();
    // dataSource.fetch({onComplete: dataSourceOnComplete});

    dojo.connect(dojo.byId("rtg1Input"), "onkeyup", dojo.byId("rtg1Input"), function(event) {
        dojo.empty("routedGeneric1");

        if (this.value.length >= 3 || this.value == '*') {

            stateStore.fetch({
                query : {
                    description : "*" + this.value + "*"
                },
                queryOptions : {
                    ignoreCase : true
                },
                onComplete : gotItems1
            });
        }
    });
    dojo.connect(dojo.byId("rtg2Input"), "onkeyup", dojo.byId("rtg2Input"), function(event) {
        dojo.empty("routedGeneric2");
        if (this.value.length >= 3 || this.value == '*') {
            stateStore.fetch({
                query : {
                    description : "*" + this.value + "*"
                },
                queryOptions : {
                    ignoreCase : true
                },
                onComplete : gotItems2
            });
        }
    });
}
function gotItems1(items, request) {
    var list = dojo.byId("routedGeneric1");
    if (list) {
        for ( var i = 0; i < items.length; i++) {
            var c = dojo.doc.createElement('option');
            c.innerHTML = items[i].description;
            c.value = items[i].identifier;
            list.appendChild(c);
        }
    }
}
function gotItems2(items, request) {
    var list = dojo.byId("routedGeneric2");
    if (list) {
        for ( var i = 0; i < items.length; i++) {
            var c = dojo.doc.createElement('option');
            c.innerHTML = items[i].description;
            c.value = items[i].identifier;
            list.appendChild(c);
        }
    }
}

function edit(e) {
    e.preventDefault();
    var id = dojo.byId("interactionId").value;
    var message = "";
    var xhrArgs = {
        url : "/ct/pecs/drugPairCustomization/edit/VA/" + id,
        handleAs : "json",
        load : function(data) {
            message = data;
            if (!data.current) {
                alert(data.message);
                window.location.pathname = data.url;
                return;
            }
            if (data.locked) {
                alert(data.message);
                return;
            }
            setDisabled(false);

            var cancel = dojo.query(".editable");
            var edit = dojo.query(".noneditable");

            cancel.style("opacity", 0).style("display", "block");

            var editFade = edit.fadeOut({
                duration : 500,
                onEnd : function() {
                    edit.style("display", "none");
                }
            });
            var cancelFade = cancel.fadeIn({
                duration : 500
            });

            dojo.fx.chain([ editFade, cancelFade ]).play();

            getButtonsForChecked();
            var grid = dijit.byId("fdbDrugPairsGridGrid");
            var vaDrugPairsGrid = dijit.byId("vaDrugPairsGridGrid");

            connectToReadOnlyGrid(grid, false);
            connectToReadOnlyGrid(vaDrugPairsGrid, false);

            setTimers();
        },

        error : function(error, ioargs) {
            if (ioargs.xhr.responseText.indexOf("LoginForm") > -1) {

                window.location = "/ct/login/login.jsp";
                return;
            }
            alert(ioargs.xhr.responseText);
            alert("An Error Occurred ");
        }
    };
    dojo.xhrGet(xhrArgs);
    if (message.indexOf("LoginForm") > -1) {
        parent.location = "/ct/login/login.jsp";
    }
}

function setDisabled(boolean) {
    dojo.query(".fdbListCheckbox").attr("disabled", boolean);
    dojo.query("#selectAllFdbList").attr("disabled", boolean);
    dojo.query("textarea").attr("disabled", boolean);
    dojo.query("select").attr("disabled", boolean);
    dojo.query(".textbox").attr("disabled", boolean);

    if (boolean) {
        dojo.query("button[type=submit]").attr("disabled", boolean).addClass("disabled");
    } else {
        dojo.query("button[type=submit]").attr("disabled", boolean).removeClass("disabled");
    }

    dojo.attr("selectAllPairs", "disabled", boolean);

    if (dojo.byId("selectAllPairs")) {
        dojo.query(".pairListCheckbox").attr("disabled", boolean);
        dojo.attr("selectAllPairs", "disabled", boolean);
    }
}

function cancel(e) {

    e.preventDefault();
    var id = dojo.byId("interactionId").value;
    var cont = confirm("This action will cause you to lose any edits you have made.\n Click OK to proceed or click Cancel to continue editing this record.");
    var xhrArgs = {
        url : "/ct/pecs/drugPairCustomization/cancel/VA/" + id,
        handleAs : "text",
        load : function(data) {
            if (data != "") {
                alert(data);
                return;
            }

            displayReadOnly();

        },
        error : function(error) {
            alert("An unexpected error occurred: " + error);
        }
    };
    if (cont) {
        dojo.xhrGet(xhrArgs);
    }
}

function displayReadOnly() {
    setDisabled(true);

    var cancel = dojo.query(".editable");
    var edit = dojo.query(".noneditable").style("opacity", 0).style("display", "block");
    var error = dojo.query(".error");
    var cancelFade = cancel.fadeOut({
        duration : 500,
        onEnd : function() {
            cancel.style("display", "none");
        }
    });
    var errorFade = error.fadeOut({
        duration : 500,
        onEnd : function() {
            cancel.style("display", "none");
        }
    });
    var editFade = edit.fadeIn({
        duration : 500
    });
    var fadeout = dojo.fx.combine([ cancelFade, errorFade ]);
    dojo.fx.chain([ fadeout, editFade ]).play();

    document.forms[0].reset();
    dojo.removeClass("errorMessages", "editable");
    var grid = dijit.byId("fdbDrugPairsGridGrid");
    var vaDrugPairsGrid = dijit.byId("vaDrugPairsGridGrid");
    grid.rowSelectCell.toggleAllSelection(false);
    vaDrugPairsGrid.rowSelectCell.toggleAllSelection(false);

    connectToReadOnlyGrid(grid, true);
    connectToReadOnlyGrid(vaDrugPairsGrid, true);

    clearTimers();
}
function pageHasErrors() {
    var errors = false;
    dojo.query(".error").forEach(function(entry, i) {

        if (dojo.style(entry, "display") == "block") {
            errors = true;
        }

    });
    return errors;
}
function setupOnError() {

    dojo.addClass("errorMessages", "editable");
    setDisabled(false);

    var cancel = dojo.query(".cancel");
    var edit = dojo.query(".edit");
    var noneditable = dojo.query(".noneditable").style("display", "none");
    cancel.style("opacity", 0);
    cancel.style("display", "block");
    var editFade = edit.fadeOut({
        duration : 500,
        onEnd : function() {
            edit.style("display", "none");
        }
    });

    var cancelFade = cancel.fadeIn({

        duration : 500
    });
    editFade.play();
    cancelFade.play();

    extendLockAndResetTimers();
    
    var grid = dijit.byId("fdbDrugPairsGridGrid");
    grid.selection.setMode("extended");
    disableDrugPairButtons();

}

function showLoader() {
    dojo.byId("preloader");
    dojo.style(dojo.byId("preloader"), "opacity", ".7");
    dojo.style(dojo.byId("preloader"), "display", "block");

}

function reload() {
	allowExit = true;
	window.location = window.location;
}


