dojo.ready(function() {
	dojo.require("dojo.NodeList-fx");
	dojo.require("dojo.NodeList-manipulate");
	dojo.require("dojo.fx");

	disableDrugPairButtons();
	dojo.query(".pairListCheckbox").connect("onclick", null, function(event) {
		showButtons(this, null);
	});
	saveOriginalButtonClassNames();
	if (dojo.byId("counts")) {
		dojo.connect(dojo.byId("counts"), "onclick", null, "getRowCount");
	}
	connectToSelectAllPairsVA();
	if (dojo.byId("fdbCounts")) {
		dojo
				.connect(dojo.byId("fdbCounts"), "onclick", null,
						"getRecordCounts");
	}
	dojo.connect(dojo.byId("selectAllFdbList"), "onclick", null,
			"selectAllFdbDrugPairs");

	dojo.connect(dojo.byId("drugPairModificationForm"), "onsubmit", null,
			function() {
				allowExit = true;
			});

	makeReadOnly();
	connectToEditCancel();
	setupOnError();
});

function getRecordCounts() {
	var rows = dojo.query(".fdbDrugPair");
	alert("Now showing " + rows.length + " total records.");
}

function selectAllFdbDrugPairs() {
	var checkboxes = dojo.query(".fdbDrugPairs");

	if (checkboxes.length == 0) {
		return;
	}
	var maxValue = 0;

	if (dojo.byId("selectAllFdbList").checked) {
		dojo.query("input[name=maxRecsFdb]").forEach(function(entry, i) {
			if (entry.checked) {
				maxValue = entry.value;
			}
		});

		if (maxValue == -1) {
			maxValue = checkboxes.length;
		}

		for ( var j = 0; j < maxValue; j++) {
			checkboxes[j].checked = true;
		}
	} else {
		for ( var j = 0; j < checkboxes.length; j++) {
			checkboxes[j].checked = false;
		}
	}

}

function submitGenericDrugPairsForm(event) {
	var routedGenericId1 = dojo.byId("routedGenericId1");
	var routedGenericId2 = dojo.byId("routedGenericId2");
	if (routedGenericId1.value == routedGenericId2.value) {
		alert("Routed Generic #1 and Routed Generic #2 fields cannot be the same value.");
		event.preventDefault();
		return false;
	}

	if (dojo.byId("currentActionReasonGeneric").value == null
			|| dojo.byId("currentActionReasonGeneric").value == "") {
		alert("Current Action Reason is Required");
		event.preventDefault();
		return false;

	}
	allowExit = true;
	return true;
}

function submitFdbDrugPairsForm(event) {
	var checked = 0;
	dojo.query(".fdbDrugPairs").forEach(function(entry, i) {
		if (entry.checked) {
			checked++;
		}

	});
	if (checked == 0) {
		alert("At least one drug pair must be chosen \n before clicking the Customize button.");
		event.preventDefault();
		return false;
	}
	if (dojo.byId("currentActionReasonFdb").value == null
			|| dojo.byId("currentActionReasonFdb").value == "") {
		alert("Current Action Reason is Required");
		event.preventDefault();

		return false;
	}
	allowExit = true;
	return true;

}

function edit() {
	var id = dojo.byId("interactionId").value;
	var message = "";
	var xhrArgs = {
		url : "/ct/pecs/drugPairCustomization/edit/VA/" + id,
		handleAs : "json",
		load : function(data) {
			message = data;
			if (!data.current) {
				alert(data.message);
				window.location.pathname = data.url;
				return;
			}
			if (data.locked) {
				alert(data.message);
				return;
			}
			makeEditable();
			setTimers();
		},
		error : function(error, ioargs) {
			if (ioargs.xhr.responseText.indexOf("LoginForm") > -1) {

				window.location = "/ct/login/login.jsp";
				return;
			}
			alert(ioargs.xhr.responseText);
			alert("An Error Occurred ");
		}
	};
	dojo.xhrGet(xhrArgs);
	if (message.indexOf("LoginForm") > -1) {
		parent.location = "/ct/login/login.jsp";
	}

}
function cancel() {
	var id = dojo.byId("interactionId").value;
	var cont = confirm("This action will cause you to lose any edits you have made.\n Click OK to proceed or click Cancel to continue editing this record.");
	var xhrArgs = {
		url : "/ct/pecs/drugPairCustomization/cancel/VA/" + id,
		handleAs : "text",
		load : function(data) {
			if (data != "") {
				alert(data);
				return;
			}
			var cancel = dojo.query(".editable");
			var edit = dojo.query(".noneditable").style("opacity", 0).style(
					"display", "block");
			var error = dojo.query(".error");
			var cancelFade = cancel.fadeOut({
				duration : 500,
				onEnd : function() {
					cancel.style("display", "none");
				}
			});
			var errorFade = error.fadeOut({
				duration : 500,
				onEnd : function() {
					cancel.style("display", "none");
				}
			});
			var editFade = edit.fadeIn({
				duration : 500
			});
			var fadeout = dojo.fx.combine([ cancelFade, errorFade ]);
			dojo.fx.chain([ fadeout, editFade ]).play();
			dojo.removeClass("errorMessages", "editable");
			makeReadOnly();
			clearTimers();
		},
		error : function(error) {
			alert("An unexpected error occurred: " + error);
		}
	};
	if (cont) {
		dojo.xhrGet(xhrArgs);
	}

}

function makeEditable() {
	var cancel = dojo.query(".editable");
	var edit = dojo.query(".noneditable");

	cancel.style("opacity", 0).style("display", "block");
	var editFade = edit.fadeOut({
		duration : 500,
		onEnd : function() {
			edit.style("display", "none");
		}
	});
	var cancelFade = cancel.fadeIn({
		duration : 500
	});

	dojo.fx.chain([ editFade, cancelFade ]).play();
	dojo.query("select").removeAttr("disabled", "disabled");
	dojo.query(".fdbDrugPairs").removeAttr("disabled", "disabled");
	dojo.query("textarea").removeAttr("disabled", "disabled");
	dojo.query(".pairListCheckbox").removeAttr("disabled", "disabled");
	dojo.query("#selectAllPairs").removeAttr("disabled", "disabled");
	dojo.query("#selectAllFdbList").removeAttr("disabled", "disabled");
	dojo.query(".customize").removeClass("disabled").removeAttr("disabled",
			"disabled");

}

function makeReadOnly() {

	dojo.query("select").attr("disabled", "disabled");
	dojo.query(".fdbDrugPairs").attr("disabled", "disabled");
	dojo.query("textarea").attr("disabled", "disabled");
	dojo.query(".pairListCheckbox").attr("disabled", "disabled");
	dojo.query("#selectAllPairs").attr("disabled", "disabled");
	dojo.query("#selectAllFdbList").attr("disabled", "disabled");
	dojo.query(".customize").addClass("disabled").attr("disabled", "disabled");

}

function setupOnError() {
	var id = dojo.byId("interactionId").value;
	var errors = false;
	dojo.query(".error").forEach(function(entry, i) {

		if (dojo.style(entry, "display") == "block") {
			errors = true;
		}

	});
	if (errors) {
		dojo.addClass("errorMessages", "editable");
		makeEditable();
		extendLockAndResetTimers();
	}

}

function reload() {
	allowExit = true;
	var id = dojo.byId("interactionId").value;
	window.location = "/ct/pecs/drugPairCustomization508/interaction/" + id;
}
