 /*
 * This file contains methods used on the Easy Search Results page.  For methods that should be used
 * while entering criteria, refer to the easysearch.js file.
 */
/**
 * Toggles the image +/- for the header anchor. Also, hides ir unhides the
 * associated DIV element (that has the same id as the header, only without
 * the hdr_ prefix).
 * 
 * @param elem
 *            the H2 element
 */
function toggleHeader(elem)
{
  	// Toggle + and - images
  	var linkEl = elem.children.item(0);
  	
  	if (linkEl.className == "opened") {
  		linkEl.className = "closed";
  	} else {
  		linkEl.className = "opened";
  	}
  	
  	// Show or Hide section
  	
  	// remove the hdr_ prefix
  	var toggleID = elem.id.substring("hdr_".length, elem.id.length);
    var theDiv = document.getElementById(toggleID);
  	
  	if (theDiv.style.display == "block") {
  		// hide it
  		theDiv.style.display = "none";
  	} else {
  		// show it
  		theDiv.style.display = "block";
  	}
}
