package gov.va.med.pharmacy.pecs.web;

import java.util.HashMap;
import java.util.Map;

/**
 * The Enum RecordType.
 */
public enum RecordType {

    /** The fdb. */
    FDB,
    /** The va. */
    VA,
    /** The both. */
    BOTH;

    /** The Constant stringToEnum. */
    private static final Map<String, RecordType> stringToEnum = new HashMap<String, RecordType>();
    static {
        for (RecordType recordType : values()) {
            stringToEnum.put(recordType.toString(), recordType);
        }

    }

    /**
     * From string.
     * 
     * @param recordType
     *            the record type
     * @return the record type
     */
    public static RecordType fromString(String recordType) {
        return stringToEnum.get(recordType);
    }
}
