package gov.va.med.pharmacy.pecs.web.customization;

import gov.va.med.pharmacy.pecs.domain.impl.va.SavedQueryVa;

/**
 * The Class ViewQuery.
 */
public class ViewQuery {

    /** The saved query va. */
    private final SavedQueryVa savedQueryVa;

    /** The pretty hql. */
    private final String prettyHql;

    /** The query hql. */
    private final String queryHql;

    /** The saved. */
    private final boolean saved;

    /**
     * Instantiates a new view query.
     * 
     * @param savedQueryVa
     *            the saved query va
     * @param prettyHql
     *            the pretty hql
     * @param saved
     *            the saved
     */
    public ViewQuery(final SavedQueryVa savedQueryVa, final String prettyHql, final boolean saved) {
        this.savedQueryVa = savedQueryVa;
        this.prettyHql = prettyHql;
        this.queryHql = savedQueryVa.getQuerySql();
        this.saved = saved;
    }

    /**
     * Gets the saved query va.
     * 
     * @return the saved query va
     */
    public SavedQueryVa getSavedQueryVa() {
        return savedQueryVa;
    }

    /**
     * Gets the pretty hql.
     * 
     * @return the pretty hql
     */
    public String getPrettyHql() {
        return prettyHql;
    }

    /**
     * Gets the query hql.
     * 
     * @return the query hql
     */
    public String getQueryHql() {
        return queryHql;
    }

    /**
     * Checks if is saved.
     * 
     * @return true, if is saved
     */
    public boolean isSaved() {
        return saved;
    }

}
