/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

import gov.va.med.pharmacy.pecs.web.util.BaseRecordKeyHelper;

/**
 * Helper class to parse the Drug Pair Key passed in as a String.
 * 
 * @author vhaisacarusr
 * 
 */
public class DrugPairKeyHelper {
    private static final int ARGS = 3;
    private Long interactionId;
    private Long routedGenericId1;
    private Long routedGenericId2;

    /**
     * Constructor that parses the key and sets the fields.
     * 
     * @param key
     *            the drug pair key
     */
    public DrugPairKeyHelper(String key) {
        String[] record = new String[ARGS];
        if (key != null && !key.equals("")) {
            record = key.split("\\" + BaseRecordKeyHelper.WIZARD_RECORDID_DELIMITER);
            if (record.length < ARGS) {
                throw new IllegalArgumentException("illegal key " + key);
            }
        }
        this.interactionId = Long.valueOf(record[0]);
        this.routedGenericId1 = Long.valueOf(record[1]);
        this.routedGenericId2 = Long.valueOf(record[2]);
    }

    /**
     * Gets the interactionId.
     * 
     * @return the interactionId
     */
    public final Long getInteractionId() {
        return interactionId;
    }

    /**
     * Sets the interactionId.
     * 
     * @param interactionId
     *            the interactionId to set
     */
    public final void setInteractionId(Long interactionId) {
        this.interactionId = interactionId;
    }

    /**
     * Gets the routedGenericId1.
     * 
     * @return the routedGenericId1
     */
    public final Long getRoutedGenericId1() {
        return routedGenericId1;
    }

    /**
     * Sets the routedGenericId1.
     * 
     * @param routedGenericId1
     *            the routedGenericId1 to set
     */
    public final void setRoutedGenericId1(Long routedGenericId1) {
        this.routedGenericId1 = routedGenericId1;
    }

    /**
     * Gets the routedGenericId2.
     * 
     * @return the routedGenericId2
     */
    public final Long getRoutedGenericId2() {
        return routedGenericId2;
    }

    /**
     * Sets the routedGenericId2.
     * 
     * @param routedGenericId2
     *            the routedGenericId2 to set
     */
    public final void setRoutedGenericId2(Long routedGenericId2) {
        this.routedGenericId2 = routedGenericId2;
    }

}
