/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

/**
 * Controls whether a user sees the fdb or generic drug pairs.
 * 
 * @author vhaisacarusr
 * 
 */
public class DrugPairSourceForm {
    /**
     * String constant for fdb.
     */
    protected static final String FDB = "fdb";
    /**
     * String constant for generic.
     */
    protected static final String GENERIC = "generic";
    private String drugPairSource = null;

    /**
     * default constructor makes sure a radio is selected.
     */
    public DrugPairSourceForm() {
        drugPairSource = FDB;
    }

    /**
     * Convenience constructor.
     * 
     * @param drugPairSource
     *            one of the string constants
     */
    public DrugPairSourceForm(String drugPairSource) {
        if (!FDB.equals(drugPairSource) && !GENERIC.equals(drugPairSource)) {
            throw new IllegalArgumentException(drugPairSource);
        }
        this.drugPairSource = drugPairSource;
    }

    /**
     * Gets the drugPairSource.
     * 
     * @return the drugPairSource
     */
    public final String getDrugPairSource() {
        return drugPairSource;
    }

    /**
     * Sets the drugPairSource.
     * 
     * @param drugPairSource
     *            the drugPairSource to set
     */
    public final void setDrugPairSource(String drugPairSource) {
        this.drugPairSource = drugPairSource;
    }
}
