package gov.va.med.pharmacy.pecs.web.easy;

import gov.va.med.pharmacy.pecs.domain.impl.easy.PecsDrugInfo;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseRoute;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseType;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseUnitType;

import java.util.List;

/**
 * Form for the dose range easy search.
 * 
 * 
 */
public final class DoseRangeForm {

    //
    /** The drugs dr searched. */
    private List<PecsDrugInfo> drugsDRSearched;

    /** The dose range selected drug. */
    private String doseRangeSelectedDrug;

    /** The dose type selection. */
    private String doseTypeSelection;

    /** The drug dose type list. */
    private List<DoseType> drugDoseTypeList;

    /** The dose route selection. */
    private String doseRouteSelection;

    /** The drug dose route list. */
    private List<DoseRoute> drugDoseRouteList;

    /** The dose age days. */
    private String doseAgeDays;

    /** The dose weight. */
    private String doseWeight;

    /** The demographic weight selection. */
    private String demographicWeightSelection;

    /** The demographic height selection. */
    private String demographicHeightSelection;

    /** The dose height. */
    private String doseHeight;

    /** The dose bsa. */
    private String doseBSA;

    /** The single dose. */
    private String singleDose;

    /** The dose unit selected. */
    private DoseUnitType doseUnitSelected;

    /** The dose unit selection. */
    private String doseUnitSelection;

    /** The drug dose unit list. */
    private List<DoseUnitType> drugDoseUnitList;

    /** The dose rate unit selection. */
    private String doseRateUnitSelection;

    /** The frequency. */
    private String frequency;

    /** The drug identifier value. */
    private String drugIdentifierValue;

    /** The drug identifier type. */
    private String drugIdentifierType;

    /**
     * Gets the doseTypeSelection.
     * 
     * @return the doseTypeSelection
     */
    public final String getDoseTypeSelection() {
        return doseTypeSelection;
    }

    /**
     * Sets the doseTypeSelection.
     * 
     * @param doseTypeSelection
     *            the doseTypeSelection to set
     */
    public final void setDoseTypeSelection(String doseTypeSelection) {
        this.doseTypeSelection = doseTypeSelection;
    }

    /**
     * Gets the doseRouteSelection.
     * 
     * @return the doseRouteSelection
     */
    public final String getDoseRouteSelection() {
        return doseRouteSelection;
    }

    /**
     * Sets the doseRouteSelection.
     * 
     * @param doseRouteSelection
     *            the doseRouteSelection to set
     */
    public final void setDoseRouteSelection(String doseRouteSelection) {
        this.doseRouteSelection = doseRouteSelection;
    }

    /**
     * Gets the demographicWeightSelection.
     * 
     * @return the demographicWeightSelection
     */
    public final String getDemographicWeightSelection() {
        return demographicWeightSelection;
    }

    /**
     * Sets the demographicWeightSelection.
     * 
     * @param demographicWeightSelection
     *            the demographicWeightSelection to set
     */
    public final void setDemographicWeightSelection(String demographicWeightSelection) {
        this.demographicWeightSelection = demographicWeightSelection;
    }

    /**
     * Gets the demographicHeightSelection.
     * 
     * @return the demographicHeightSelection
     */
    public final String getDemographicHeightSelection() {
        return demographicHeightSelection;
    }

    /**
     * Sets the demographicHeightSelection.
     * 
     * @param demographicHeightSelection
     *            the demographicHeightSelection to set
     */
    public final void setDemographicHeightSelection(String demographicHeightSelection) {
        this.demographicHeightSelection = demographicHeightSelection;
    }

    /**
     * Gets the doseUnitSelection.
     * 
     * @return the doseUnitSelection
     */
    public final String getDoseUnitSelection() {
        return doseUnitSelection;
    }

    /**
     * Sets the doseUnitSelection.
     * 
     * @param doseUnitSelection
     *            the doseUnitSelection to set
     */
    public final void setDoseUnitSelection(String doseUnitSelection) {
        this.doseUnitSelection = doseUnitSelection;
    }

    /**
     * Gets the doseUnitSelected.
     * 
     * @return the doseUnitSelected
     */
    public final DoseUnitType getDoseUnitSelected() {
        return doseUnitSelected;
    }

    /**
     * Sets the doseUnitSelected.
     * 
     * @param doseUnitSelected
     *            the doseUnitSelected to set
     */
    public final void setDoseUnitSelected(DoseUnitType doseUnitSelected) {
        this.doseUnitSelected = doseUnitSelected;
    }

    /**
     * Gets the doseRateUnitSelection.
     * 
     * @return the doseRateUnitSelection
     */
    public final String getDoseRateUnitSelection() {
        return doseRateUnitSelection;
    }

    /**
     * Sets the doseRateUnitSelection.
     * 
     * @param doseRateUnitSelection
     *            the doseRateUnitSelection to set
     */
    public final void setDoseRateUnitSelection(String doseRateUnitSelection) {
        this.doseRateUnitSelection = doseRateUnitSelection;
    }

    /**
     * Gets the frequency.
     * 
     * @return the frequency
     */
    public final String getFrequency() {
        return frequency;
    }

    /**
     * Sets the frequency.
     * 
     * @param frequency
     *            the frequency to set
     */
    public final void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    /**
     * Gets the singleDose.
     * 
     * @return the singleDose
     */
    public final String getSingleDose() {
        return singleDose;
    }

    /**
     * Sets the singleDose.
     * 
     * @param singleDose
     *            the singleDose to set
     */
    public final void setSingleDose(String singleDose) {
        this.singleDose = singleDose;
    }

    /**
     * Gets the doseRangeSelectedDrug.
     * 
     * @return the doseRangeSelectedDrug
     */
    public final String getDoseRangeSelectedDrug() {
        return doseRangeSelectedDrug;
    }

    /**
     * Sets the doseRangeSelectedDrug.
     * 
     * @param doseRangeSelectedDrug
     *            the doseRangeSelectedDrug to set
     */
    public final void setDoseRangeSelectedDrug(String doseRangeSelectedDrug) {
        this.doseRangeSelectedDrug = doseRangeSelectedDrug;
    }

    /**
     * Gets the doseBSA.
     * 
     * @return the doseBSA
     */
    public final String getDoseBSA() {
        return doseBSA;
    }

    /**
     * Sets the doseBSA.
     * 
     * @param doseBSA
     *            the doseBSA to set
     */
    public final void setDoseBSA(String doseBSA) {
        this.doseBSA = doseBSA;
    }

    /**
     * Gets the doseWeight.
     * 
     * @return the doseWeight
     */
    public final String getDoseWeight() {
        return doseWeight;
    }

    /**
     * Sets the doseWeight.
     * 
     * @param doseWeight
     *            the doseWeight to set
     */
    public final void setDoseWeight(String doseWeight) {
        this.doseWeight = doseWeight;
    }

    /**
     * Gets the doseAgeDays.
     * 
     * @return the doseAgeDays
     */
    public final String getDoseAgeDays() {
        return doseAgeDays;
    }

    /**
     * Sets the doseAgeDays.
     * 
     * @param doseAgeDays
     *            the doseAgeDays to set
     */
    public final void setDoseAgeDays(String doseAgeDays) {
        this.doseAgeDays = doseAgeDays;
    }

    /**
     * Gets the doseHeight.
     * 
     * @return the doseHeight
     */
    public final String getDoseHeight() {
        return doseHeight;
    }

    /**
     * Sets the doseHeight.
     * 
     * @param doseHeight
     *            the doseHeight to set
     */
    public final void setDoseHeight(String doseHeight) {
        this.doseHeight = doseHeight;
    }

    /**
     * Gets the drugIdentifierValue.
     * 
     * @return the drugIdentifierValue
     */
    public final String getDrugIdentifierValue() {
        return drugIdentifierValue;
    }

    /**
     * Sets the drugIdentifierValue.
     * 
     * @param drugIdentifierValue
     *            the drugIdentifierValue to set
     */
    public final void setDrugIdentifierValue(String drugIdentifierValue) {
        this.drugIdentifierValue = drugIdentifierValue;
    }

    /**
     * Gets the drugIdentifierType.
     * 
     * @return the drugIdentifierType
     */
    public final String getDrugIdentifierType() {
        return drugIdentifierType;
    }

    /**
     * Sets the drugIdentifierType.
     * 
     * @param drugIdentifierType
     *            the drugIdentifierType to set
     */
    public final void setDrugIdentifierType(String drugIdentifierType) {
        this.drugIdentifierType = drugIdentifierType;
    }

    /**
     * Gets the drugs dr searched.
     * 
     * @return the drugs dr searched
     */
    public List<PecsDrugInfo> getDrugsDRSearched() {
        return drugsDRSearched;
    }

    /**
     * Sets the drugs dr searched.
     * 
     * @param drugsDRSearched
     *            the new drugs dr searched
     */
    public void setDrugsDRSearched(List<PecsDrugInfo> drugsDRSearched) {
        this.drugsDRSearched = drugsDRSearched;
    }

    /**
     * Gets the drug dose type list.
     * 
     * @return the drug dose type list
     */
    public List<DoseType> getDrugDoseTypeList() {
        return drugDoseTypeList;
    }

    /**
     * Sets the drug dose type list.
     * 
     * @param drugDoseTypeList
     *            the new drug dose type list
     */
    public void setDrugDoseTypeList(List<DoseType> drugDoseTypeList) {
        this.drugDoseTypeList = drugDoseTypeList;
    }

    /**
     * Gets the drug dose route list.
     * 
     * @return the drug dose route list
     */
    public List<DoseRoute> getDrugDoseRouteList() {
        return drugDoseRouteList;
    }

    /**
     * Sets the drug dose route list.
     * 
     * @param drugDoseRouteList
     *            the new drug dose route list
     */
    public void setDrugDoseRouteList(List<DoseRoute> drugDoseRouteList) {
        this.drugDoseRouteList = drugDoseRouteList;
    }

    /**
     * Gets the drug dose unit list.
     * 
     * @return the drug dose unit list
     */
    public List<DoseUnitType> getDrugDoseUnitList() {
        return drugDoseUnitList;
    }

    /**
     * Sets the drug dose unit list.
     * 
     * @param drugDoseUnitList
     *            the new drug dose unit list
     */
    public void setDrugDoseUnitList(List<DoseUnitType> drugDoseUnitList) {
        this.drugDoseUnitList = drugDoseUnitList;
    }

    @Override
    public String toString() {
        return "DoseRangeForm [getDoseTypeSelection()=" + getDoseTypeSelection() + ", getDoseRouteSelection()="
                + getDoseRouteSelection() + ", getDemographicWeightSelection()=" + getDemographicWeightSelection()
                + ", getDemographicHeightSelection()=" + getDemographicHeightSelection() + ", getDoseUnitSelection()="
                + getDoseUnitSelection() + ", getDoseUnitSelected()=" + getDoseUnitSelected() + ", getDoseRateUnitSelection()="
                + getDoseRateUnitSelection() + ", getFrequency()=" + getFrequency() + ", getSingleDose()=" + getSingleDose()
                + ", getDoseRangeSelectedDrug()=" + getDoseRangeSelectedDrug() + ", getDoseBSA()=" + getDoseBSA()
                + ", getDoseWeight()=" + getDoseWeight() + ", getDoseAgeDays()=" + getDoseAgeDays() + ", getDoseHeight()="
                + getDoseHeight() + ", getDrugIdentifierValue()=" + getDrugIdentifierValue() + ", getDrugIdentifierType()="
                + getDrugIdentifierType() + ", getDrugsDRSearched()=" + getDrugsDRSearched() + ", getDrugDoseTypeList()="
                + getDrugDoseTypeList() + ", getDrugDoseRouteList()=" + getDrugDoseRouteList() + ", getDrugDoseUnitList()="
                + getDrugDoseUnitList() + "]";
    }

}
