/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.easy;

import gov.va.med.pharmacy.pecs.domain.impl.easy.DosingInfo;
import gov.va.med.pharmacy.pecs.domain.impl.easy.DrugCheckResult;

import org.codehaus.jackson.annotate.JsonIgnore;

/**
 * 
 * An model object to hold the results of the dose range search. Since the contents of the form are displayed on the results
 * page we have included the form.
 * 
 * @author vhaisacarusr
 * 
 */
public final class DoseRangeResults {

    /** The dose range form. */
    private DoseRangeForm doseRangeForm;

    /** The is custom. */
    private boolean isCustom;

    /** The dose range selection. */
    private String doseRangeSelection;

    /** The dose range check result. */
    @JsonIgnore
    private DrugCheckResult<DosingInfo> doseRangeCheckResult;

    /**
     * Gets the doseRangeCheckResult.
     * 
     * @return the doseRangeCheckResult
     */
    public DrugCheckResult<DosingInfo> getDoseRangeCheckResult() {
        return doseRangeCheckResult;
    }

    /**
     * Sets the doseRange check result.
     * 
     * @param doseRangeCheckResult
     *            the new dr check result
     */
    public void setDrCheckResult(DrugCheckResult<DosingInfo> doseRangeCheckResult) {
        this.doseRangeCheckResult = doseRangeCheckResult;
    }

    /**
     * Gets the dose range selection.
     * 
     * @return the dose range selection
     */
    public String getDoseRangeSelection() {
        return doseRangeSelection;
    }

    /**
     * Sets the dose range selection.
     * 
     * @param doseRangeSelection
     *            the new dose range selection
     */
    public void setDoseRangeSelection(String doseRangeSelection) {
        this.doseRangeSelection = doseRangeSelection;
    }

    /**
     * Gets the doseRangeForm.
     * 
     * @return the doseRangeForm
     */
    public DoseRangeForm getDoseRangeForm() {
        return doseRangeForm;
    }

    /**
     * Sets the doseRangeForm.
     * 
     * @param doseRangeForm
     *            the doseRangeForm to set
     */
    public void setDoseRangeForm(DoseRangeForm doseRangeForm) {
        this.doseRangeForm = doseRangeForm;
    }

    /**
     * Gets the isCustom.
     * 
     * @return the isCustom
     */
    public boolean isCustom() {
        return isCustom;
    }

    /**
     * Sets the isCustom.
     * 
     * @param isCustom
     *            the isCustom to set
     */
    public void setCustom(boolean isCustom) {
        this.isCustom = isCustom;
    }

    @Override
    public String toString() {
        return "DoseRangeResults [getDoseRangeCheckResult()=" + getDoseRangeCheckResult() + ", getDoseRangeSelection()="
                + getDoseRangeSelection() + ", getDoseRangeForm()=" + getDoseRangeForm() + ", isCustom()=" + isCustom() + "]";
    }
}
