/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.easy;

import gov.va.med.pharmacy.pecs.domain.impl.easy.DrugIdentifier;
import gov.va.med.pharmacy.pecs.domain.impl.easy.DrugIdentifierType;

/**
 * Takes a key of GCN_SEQNO|8330 and turns it into a DrugIdentifier object.
 * 
 * @author vhaisacarusr
 * 
 */
public final class DrugIdentifierKeyHelper {
    /**
     * 
     */
    private DrugIdentifierKeyHelper() {
    }

    /**
     * Takes a key and parses it and populates a drug Identifier object.
     * 
     * @param key
     *            the key to parse i.e. GCN_SEQNO|8330
     * @return a <code>DrugIdentifier</code>
     */
    public static DrugIdentifier createDrugIdentifier(String key) {
        String[] tokens = key.split("\\|");
        return new DrugIdentifier(tokens[1], DrugIdentifierType.fromString(tokens[0]));

    }
}
