package gov.va.med.pharmacy.pecs.web.easy;

import java.util.ArrayList;

/**
 * The Class MultipleConceptForm.
 */
public final class MultipleConceptForm {

    /** The prospective drug list. */
    private ArrayList<String> prospectiveDrugList;

    /** The ddi severity level. */
    private String ddiSeverityLevel;

    /** The ddi selected. */
    private boolean ddiSelected;

    /** The dt selected. */
    private boolean dtSelected;

    private String drug;

    /**
     * Checks if is drug drug interaction selected.
     * 
     * @return true, if is drug drug Interaction is selected
     */
    public boolean isDdiSelected() {
        return ddiSelected;
    }

    /**
     * Checks if is duplicate therapy selected.
     * 
     * @return true, if duplicate therapy is selected
     */
    public boolean isDtSelected() {
        return dtSelected;
    }

    /**
     * Sets the drug drug interaction selected.
     * 
     * @param ddiSelected
     *            the new drug drug interaction selected
     */
    public void setDdiSelected(boolean ddiSelected) {
        this.ddiSelected = ddiSelected;
    }

    /**
     * Sets the dt selected.
     * 
     * @param dtSelected
     *            the new duplicate therapy selected
     */
    public void setDtSelected(boolean dtSelected) {
        this.dtSelected = dtSelected;
    }

    /**
     * Gets the prospective drug list.
     * 
     * @return the prospective drug list
     */
    public ArrayList<String> getProspectiveDrugList() {
        return prospectiveDrugList;
    }

    /**
     * Sets the prospective drug list.
     * 
     * @param prospectiveDrugList
     *            the new prospective drug list
     */
    public void setProspectiveDrugList(ArrayList<String> prospectiveDrugList) {
        this.prospectiveDrugList = prospectiveDrugList;
    }

    /**
     * Gets the drug drug interaction severity level.
     * 
     * @return the drug drug interaction severity level
     */
    public String getDdiSeverityLevel() {
        return ddiSeverityLevel;
    }

    /**
     * Sets the drug drug interaction severity level.
     * 
     * @param ddiSeverityLevel
     *            the new drug drug interaction severity level
     */
    public void setDdiSeverityLevel(String ddiSeverityLevel) {
        this.ddiSeverityLevel = ddiSeverityLevel;
    }

    /**
     * Gets the drug.
     * 
     * @return the drug
     */
    public String getDrug() {
        return drug;
    }

    /**
     * Sets the drug.
     * 
     * @param drug
     *            the new drug
     */
    public void setDrug(String drug) {
        this.drug = drug;
    }

    @Override
    public String toString() {
        return "MultipleConceptForm [isDdiSelected()=" + isDdiSelected() + ", isDtSelected()=" + isDtSelected()
                + ", getProspectiveDrugList()=" + getProspectiveDrugList() + ", getDdiSeverityLevel()=" + getDdiSeverityLevel()
                + ", getDrug()=" + getDrug() + "]";
    }

}
