package gov.va.med.pharmacy.pecs.web.easy;

import gov.va.med.pharmacy.pecs.domain.impl.easy.DrugCheckResult;
import gov.va.med.pharmacy.pecs.domain.impl.easy.DrugDrugInteractionInfo;
import gov.va.med.pharmacy.pecs.domain.impl.easy.DuplicateTherapyInfo;
import gov.va.med.pharmacy.pecs.domain.impl.easy.PecsDrugInfo;

import java.util.List;

/**
 * The Class MultipleConceptResults.
 */
public final class MultipleConceptResults {

    /** The drugs searched. */
    private List<PecsDrugInfo> drugsSearched;

    /** The duplicate therapy check result. */
    private DrugCheckResult<DuplicateTherapyInfo> duplicateTherapyCheckResult;

    /** The drug drug check results. */
    private DrugCheckResult<DrugDrugInteractionInfo> drugDrugCheckResults;

    /** The ddi selected. */
    private boolean ddiSelected;

    /** The dt selected. */
    private boolean dtSelected;

    /**
     * Gets the duplicate therapy check result.
     * 
     * @return the duplicate therapy check result
     */
    public DrugCheckResult<DuplicateTherapyInfo> getDuplicateTherapyCheckResult() {
        return duplicateTherapyCheckResult;
    }

    /**
     * Sets the duplicate therapy check result.
     * 
     * @param duplicateTherapyCheckResult
     *            the new duplicate therapy check result
     */
    public void setDuplicateTherapyCheckResult(DrugCheckResult<DuplicateTherapyInfo> duplicateTherapyCheckResult) {
        this.duplicateTherapyCheckResult = duplicateTherapyCheckResult;
    }

    /**
     * Gets the drugs searched.
     * 
     * @return the drugs searched
     */
    public List<PecsDrugInfo> getDrugsSearched() {
        return drugsSearched;
    }

    /**
     * Sets the drugs searched.
     * 
     * @param drugsSearched
     *            the new drugs searched
     */
    public void setDrugsSearched(List<PecsDrugInfo> drugsSearched) {
        this.drugsSearched = drugsSearched;
    }

    /**
     * Gets the drug drug check results.
     * 
     * @return the drug drug check results
     */
    public DrugCheckResult<DrugDrugInteractionInfo> getDrugDrugCheckResults() {
        return drugDrugCheckResults;
    }

    /**
     * Sets the drug drug check results.
     * 
     * @param drugDrugCheckResults
     *            the new drug drug check results
     */
    public void setDrugDrugCheckResults(DrugCheckResult<DrugDrugInteractionInfo> drugDrugCheckResults) {
        this.drugDrugCheckResults = drugDrugCheckResults;
    }

    /**
     * Checks if is ddi selected.
     * 
     * @return true, if is ddi selected
     */
    public boolean isDdiSelected() {
        return ddiSelected;
    }

    /**
     * Checks if is dt selected.
     * 
     * @return true, if is dt selected
     */
    public boolean isDtSelected() {
        return dtSelected;
    }

    /**
     * Sets the ddi selected.
     * 
     * @param ddiSelected
     *            the new ddi selected
     */
    public void setDdiSelected(boolean ddiSelected) {
        this.ddiSelected = ddiSelected;
    }

    /**
     * Sets the dt selected.
     * 
     * @param dtSelected
     *            the new dt selected
     */
    public void setDtSelected(boolean dtSelected) {
        this.dtSelected = dtSelected;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "MultipleConceptResults [getDuplicateTherapyCheckResult()=" + getDuplicateTherapyCheckResult()
                + ", getDrugsSearched()=" + getDrugsSearched() + ", getDrugDrugCheckResults()=" + getDrugDrugCheckResults()
                + "]";
    }
}
