package gov.va.med.pharmacy.pecs.web.help;

/**
 * Defines the RoboHelp Map Identifiers used in PECS. The "numeric" values here are obtained from the technical writers as they
 * enter the Map Ids in RoboHelp. The C/C++ header file (*.h) should be obtained from RoboHelp and used in updating/adding new
 * entries to this file.
 */
public interface HelpTopics {
    /**
     * Map Id for the Advanced Query/Customization page.
     */
    public static final String ADVANCED_QUERY_CUSTOMIZATION = "1027";

    /**
     * Map Id for the "Build a Query" section of the Advanced Query/Customization page.
     */
    public static final String ADVANCED_QUERY_CUSTOMIZATION_BUILD_A_QUERY = "1028";

    // /**
    // * Map Id for the "Run a Saved Query" section of the Advanced Query/Customization page.
    // */
    // public static final String ADVANCED_QUERY_CUSTOMIZATION_RUN_A_SAVED_QUERY = "1029";

    /**
     * Map Id for the User Settings page.
     */
    public static final String APPROVER_USER_SETTINGS = "1029";

    /**
     * Map Id for the Concept Overview?
     */
    public static final String CONCEPTS_OVERVIEW = "1030";

    /**
     * Map id for the creation of a new Custom Drug Pair.
     */
    public static final String CREATE_NEW_CUSTOM_DRUG_DRUG_PAIR = "1031";

    /**
     * Map Id for the Custom Update page.
     */
    public static final String CUSTOM_UPDATES = "1032";

    /**
     * Map Id for the Customization page.
     */
    public static final String CUSTOMIZATION_TAB = "1033";

    /**
     * Map Id for the Customize Concept Type settings page.
     */
    public static final String CUSTOMIZE_CONCEPT_TYPE_SETTINGS = "1034";

    /**
     * Map Id for the Deleted Monograph Customization report.
     */
    public static final String DELETED_MONOGRAPH_CUSTOMIZATION_REPORT = "1035";

    /**
     * Map Id for the Dose Range detail page.
     */
    public static final String DOSE_RANGE = "1036";

    /**
     * Map Id for the Drug Pair Batch detail page.
     */
    public static final String DRUG_PAIR_DETAIL_BATCH = "1037";

    /**
     * Map Id for the 508 Compliant Drug Pair Batch detail page.
     */
    public static final String DRUG_PAIR_DETAIL_BATCH_508 = "1059";

    /**
     * Map Id for the Drug Pair Lookup page.
     */
    public static final String DRUG_PAIR_LOOKUP = "1038";

    /**
     * Map Id for the Drug-Drug Interaction detail page.
     */
    public static final String DRUG_DRUG_INTERACTION = "1039";

    /**
     * Map Id for the Duplicate Therapy detail page.
     */
    public static final String DUPLICATE_THERAPY = "1040";

    /**
     * Map Id for the main Easy Search page.
     */
    public static final String EASY_SEARCH = "1041";

    /**
     * Map Id for the Easy Search Results Dose Range page.
     */
    public static final String EASY_SEARCH_RESULTS_DOSE_RANGE = "1042";

    /**
     * Map Id for the Easy Search Results DDI/DT page.
     */
    public static final String EASY_SEARCH_RESULTS_DDI_DT = "1043";

    /**
     * Map Id for the Easy Search page with Dose Range selected.
     */
    public static final String EASY_SEARCH_DOSE_RANGE = "1044";

    /**
     * Map Id for the Easy Search page with DDI/DT selected.
     */
    public static final String EASY_SEARCH_DRUG_DRUG_INTERACTION = "1045";

    /**
     * Map Id for the Custom Dose Range report.
     */
    public static final String FDB_CUSTOM_DOSE_RANGE_REPORT = "1046";

    /**
     * Map Id for the Custom Drug-Drug Interaction report.
     */
    public static final String FDB_CUSTOM_DRUG_DRUG_INTERACTION_REPORT = "1047";

    /**
     * Map Id for the Custom Duplicate Therapy report.
     */
    public static final String FDB_CUSTOM_DUPLICATE_THERAPY_REPORT = "1048";

    /**
     * Map Id for the Custom Professional Monograph report.
     */
    public static final String FDB_CUSTOM_PROFESSIONAL_MONOGRAPH_REPORT = "1049";

    /**
     * Map Id for the Null Drug Pairs report.
     */
    public static final String NULL_DRUG_PAIRS_CUSTOMIZATION_REPORT = "1050";

    /**
     * Map Id for the PECS Help Table of Contents.
     */
    public static final String PECS_2_2_HELP = "1051";

    /**
     * Map Id for the Home page.
     */
    public static final String PECS_HOME_PAGE = "1053";

    /**
     * Map Id for the Professional Monograph detail page.
     */
    public static final String PROFESSIONAL_MONOGRAPH = "1054";

    /**
     * Map Id for the Reports page.
     */
    public static final String REPORTS = "1055";

    /**
     * Map Id for the Settings page.
     */
    public static final String SETTINGS = "1056";

    /**
     * Map Id for the concept customization page.
     */
    public static final String CONCEPT_CUSTOMIZATION = "1057";
    /**
     * Map Id for the Single Drug Pair detail page.
     */
    public static final String SINGLE_DRUG_DRUG_PAIR_DETAIL = "1058";
    /**
     * Map Id for the Contact Us page.
     */
    public static final String CONTATCT_US = "1060";
}
