/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.interceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

/**
 * The Class LoginInterceptor.
 * 
 * @author vhaisacarusr
 */
public class LoginInterceptor extends HandlerInterceptorAdapter {

    /** The logger. */
    private static Log logger = LogFactory.getLog(LoginInterceptor.class);

    /**
     * Instantiates a new login interceptor.
     */
    public LoginInterceptor() {
        super();
        logger.debug("in Login Interceptor class");
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.springframework.web.servlet.handler.HandlerInterceptorAdapter#preHandle(javax.servlet.http.HttpServletRequest,
     * javax.servlet.http.HttpServletResponse, java.lang.Object)
     */
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object object) throws Exception {

        HttpSession session = request.getSession();
        logger.debug(request.getRequestURL());
        // need to add the user to the session.
        if (request.getRequestURL().toString().endsWith("/ct/pecs/index")) {
            return true;
        }
        if (session.getAttribute("sessionUser") == null) {
            logger.debug("no user redirecting to welcome page");
            response.sendRedirect("/ct/public/welcome");
            return false;
        }

        return true;
    }

}
