package gov.va.med.pharmacy.pecs.web.property;

import gov.va.med.pharmacy.pecs.query.Page;
import gov.va.med.pharmacy.pecs.web.AbstractController;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * The Class PropertyController.
 */
@Controller
@RequestMapping(value = "property")
public class PropertyController extends AbstractController {

    /**
     * Populate message.
     * 
     * @param propertyKey
     *            the property key
     * @return the string
     */
    @RequestMapping(value = "{propertyKey}", method = RequestMethod.GET)
    @ResponseBody
    public String populateMessage(@PathVariable("propertyKey") String propertyKey) {
        if ("GRID_PAGE_SIZE".equals(propertyKey)) {
            return "" + Page.DEFAULT_SIZE;
        }
        return findMessage(propertyKey);
    }
}
