package gov.va.med.pharmacy.pecs.web.settings;

import gov.va.med.pharmacy.pecs.metadata.UserModifiableFieldMetadataDTO;

import java.util.ArrayList;

import javax.validation.Valid;

/**
 * The Class TableSettings.
 */
public class TableSettings {

    /** The table name. */
    private String tableName;

    /** The configurable tables. */
    private ArrayList<String> configurableTables;

    /** The config columns. */
    @Valid
    private ArrayList<UserModifiableFieldMetadataDTO> configColumns;

    /**
     * Gets the table name.
     * 
     * @return the table name
     */
    public String getTableName() {
        return tableName;
    }

    /**
     * Sets the table name.
     * 
     * @param tableName
     *            the new table name
     */
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    /**
     * Gets the configurable tables.
     * 
     * @return the configurable tables
     */
    public ArrayList<String> getConfigurableTables() {
        return configurableTables;
    }

    /**
     * Sets the configurable tables.
     * 
     * @param configurableTables
     *            the new configurable tables
     */
    public void setConfigurableTables(ArrayList<String> configurableTables) {
        this.configurableTables = configurableTables;
    }

    /**
     * Gets the config columns.
     * 
     * @return the config columns
     */
    public ArrayList<UserModifiableFieldMetadataDTO> getConfigColumns() {
        return configColumns;
    }

    /**
     * Sets the config columns.
     * 
     * @param configColumns
     *            the new config columns
     */
    public void setConfigColumns(ArrayList<UserModifiableFieldMetadataDTO> configColumns) {
        this.configColumns = configColumns;
    }
}
