package gov.va.med.pharmacy.pecs.web.settings;

import gov.va.med.pharmacy.pecs.domain.impl.va.CtUsersVa;

import java.util.ArrayList;

import org.hibernate.validator.constraints.ScriptAssert;

/**
 * The Class UserSettingsModel.
 */
@ScriptAssert(lang = "javascript", script = "!((_this.userDeletes == null || _this.userDeletes.isEmpty()) "
        + "&& (_this.addUserText == null || _this.addUserText.isEmpty()))")
public class UserSettingsModel {

    /** The user deletes. */
    private String userDeletes;

    /** The add user text. */
    private String addUserText;

    /** The user list. */
    private ArrayList<CtUsersVa> userList;

    /**
     * Gets the user deletes.
     * 
     * @return the user deletes
     */
    public String getUserDeletes() {
        return userDeletes;
    }

    /**
     * Sets the user deletes.
     * 
     * @param userDeletes
     *            the new user deletes
     */
    public void setUserDeletes(String userDeletes) {
        this.userDeletes = userDeletes;
    }

    /**
     * Gets the adds the user text.
     * 
     * @return the adds the user text
     */
    public String getAddUserText() {
        return addUserText;
    }

    /**
     * Sets the adds the user text.
     * 
     * @param addUserText
     *            the new adds the user text
     */
    public void setAddUserText(String addUserText) {
        this.addUserText = addUserText;
    }

    /**
     * Gets the user list.
     * 
     * @return the user list
     */
    public ArrayList<CtUsersVa> getUserList() {
        return userList;
    }

    /**
     * Sets the user list.
     * 
     * @param userList
     *            the new user list
     */
    public void setUserList(ArrayList<CtUsersVa> userList) {
        this.userList = userList;
    }

}
