package gov.va.med.pharmacy.pecs.web.util;

import gov.va.med.pharmacy.pecs.exception.CustomizationServiceException;

/**
 * The Class BaseRecordKeyHelper.
 */
public abstract class BaseRecordKeyHelper {

    /** The Constant WIZARD_RECORDID_DELIMITER. */
    public static final String WIZARD_RECORDID_DELIMITER = "|";

    /** The record key. */
    protected String recordKey = null;

    /**
     * Parses the.
     * 
     * @param recordKey
     *            the record key
     * @throws CustomizationServiceException
     *             the customization service exception
     */
    public abstract void parse(String recordKey) throws CustomizationServiceException;

    /**
     * Gets the record key.
     * 
     * @return the record key
     */
    public String getRecordKey() {
        return recordKey;
    }

    /**
     * Sets the record key.
     * 
     * @param recordKey
     *            the new record key
     */
    public void setRecordKey(String recordKey) {
        this.recordKey = recordKey;
    }
}
