package gov.va.med.pharmacy.pecs.web.util;

import java.util.List;

/**
 * The Interface InformationMessageSupport.
 */
public interface InformationMessageSupport {

    /**
     * Adds the information message.
     * 
     * @param message
     *            the message
     */
    public void addInformationMessage(String message);

    /**
     * Adds the information message.
     * 
     * @param message
     *            the message
     * @param values
     *            the values
     */
    public void addInformationMessage(String message, Object[] values);

    /**
     * Gets the information messages.
     * 
     * @return the information messages
     */
    public List<String> getInformationMessages();

    /**
     * Clear information messages.
     */
    public void clearInformationMessages();
}
