package gov.va.med.pharmacy.pecs.web.util;

import java.util.List;

/**
 * The Interface WarningMessageSupport.
 */
public interface WarningMessageSupport {

    /**
     * Adds the warning message.
     * 
     * @param message
     *            the message
     */
    public void addWarningMessage(String message);

    /**
     * Adds the warning message.
     * 
     * @param message
     *            the message
     * @param values
     *            the values
     */
    public void addWarningMessage(String message, Object[] values);

    /**
     * Gets the warning messages.
     * 
     * @return the warning messages
     */
    public List<String> getWarningMessages();

    /**
     * Clear warning messages.
     */
    public void clearWarningMessages();
}
